\ ************************************************************************
\ (c) 2006 Balancer
\ http://balancer.ru
\ Jabber: balancer@balancer.ru
\ e-mail: balancer@balancer.ru
\ Описания слов взяты из SP-Forth4, (c)Андрей Черезов, http://forth.org.ru
\ ************************************************************************


\ ------------------------------------------------------------------------
: wordlist ( -- wid ) \ 94 SEARCH
\ Создает новый пустой список слов, возвращая его идентификатор wid.
\ Новый список слов может быть возвращен из предварительно распределенных 
\ списков слов или может динамически распределяться в пространстве данных.
\ Система должна допускать создание как минимум 8 новых списков слов в 
\ дополнение к имеющимся в системе.
	"ru.balancer.jbforth.Dict" 0 jnew
;

: definitions ( -- ) \ 94 SEARCH
\ Сделать списком компиляции тот же список слов, что и первый список в порядке 
\ поиска. Имена последующих определений будут помещаться в список компиляции.
\ Последующие изменения порядка поиска не влияют на список компиляции.
  context @ set-current
;

