\ Бан игрока. Возможные форматы вызова:
\ //ban имя_игрока		- забанить игрока по его имени
\ //ban                 - забанить игрока, выбранного целью

L2Player.class "getAccountName" { } japi-func: p.account_name

\ --------------------------------------------------------------
\ Возвращает запросом в БД имя аккаунта игрока, заданного по его имени
: player>account  ( "player-name" -- "account-name" )
	"SELECT account_name FROM characters WHERE char_name = '[ >slashes ]'" parse query
	?dup if . null exit then
	0 list@ "account_name" m@
;

: player+name  ( arg -- name player )
	?dup if \ задано имя
		dup find_player
	else \ цель
		player@ target@
		?dup unless exit then \ ни имени, ни цели...
		dup p.name swap
	then
;

forth:: admin_ban
	"ban" check-access
	player+name
	(( _name _player ))
	
	_player if
		_player p.account_name
	else
		_name player>account 
	then
	
	"UPDATE accounts SET access_level = -1000 WHERE login = '[ >slashes ]'" parse update
	?dup if . then
	_player if _player p.kick then
;

forth:: admin_unban
	"ban" check-access

	player+name
	(( _name _player ))
	
	_player if
		_player p.account_name
	else
		_name player>account 
	then
	
	"UPDATE accounts SET access_level = 0 WHERE login = '[ >slashes ]'" parse update
	?dup if . then
;

forth:: admin_set_account_access_level
	"ban" check-access
	2 args int >r

	player+name
	(( _name _player ))
	
	_player if
		_player p.account_name
	else
		_name player>account 
	then
	
	"UPDATE accounts SET access_level = [ r> ] WHERE login = '[ >slashes ]'" parse update
	?dup if . then
;
