\ Бан чата игрока. Возможные форматы вызова:
\ //banchat имя_игрока время_бана_в_минутах   - забанить чат игрока по его имени на заданное время
\ //banchat время_бана_в_минутах              - забанить чат игрока, выбранного в качестве цели
\ //banchat имя_игрока                        - навечно забанить игрока по имени
\ //banchat                                   - навечно забанить игрока, выбранного целью

L2Player.class "updateNoChannel" { int.class } japi-proc: p.banchat

: >readable_time  ( ban_period -- "text" )
	dup 0 < if
		drop
		ru:  бессрочно!
		en:  infinity!
		exit
	then

	ru:  на
	en:  for
	" " s+
	swap s+
	
	ru:  мин.!
	en:  min.!
	s+
;

forth:: admin_banchat
	"banchat" check-access
	2 args ( name time | time-for-target | name-for-infinity-banchat )
	?dup null? if \ only time or name
	dup int if \ only time
		target-or-me@
	else \ name
		smart-find ?dup null? if exit then
		-1 swap
		then
	else
		swap smart-find ?dup null? if exit then
	then
	(( _time _player ))
	_time 60 * _player p.banchat
	"Banchat for " _player s+ " by " s+ name@ s+
	dup .
	"bans" >log
	ru: Вы забанены во всех чатах
	en: You are baned in all chats
	_time >readable_time s+
	name@ _player .tell
;

forth:: admin_unbanchat
	"banchat" check-access
	smart-find ?dup null? if exit then
	>r 0 r@ p.banchat
	"Unbanchat for " r@ s+ " by " s+ name@ s+
	dup .
	"bans" >log
	ru: Вы разбанены во всех чатах
	en: You are unbanned in all chats!
	name@ r> .tell
;
