\ GM teleport commands

: all-to-me-notify
	"You moved by admin. You can return to previous place by '.back' command." "Jump system" player@ .tell
;

: admin_all-to-me \ move all player in world to calling GM

	"teleport" check-access			\ check access level
	
	player@ coords@ coords>s

	" player@ coords@ coords>s to back-coordinates all-to-me-notify 100 coords-randomize jump" s+ do-players	\ jump (teleport) to saved coordinates all players
;

: (bm-list+)  ( s1 hashmap -- s2 ) \ добавить букмарк в список
	>r
	'<a action="bypass -h forth admin_bm-list [ r@ "value" m@ ] jump">[ r@ "name" m@ "^bookmark\-" "" replace ]</a> [<a action="bypass -h admin_bm- [ r@ "name" m@ ]">del</a> | <a action="bypass -h admin_bm_file [ r@ "name" m@ ]">file</a>]<br1>' parse
	s+
	rdrop
;

: bookmarks.  ( -- string )
	"SELECT * FROM `character_variables` WHERE `name` LIKE 'bookmark%' AND `obj_id` = " player@ "ObjectId" p@ s+
	query ?dup if exit then
	"" swap ['] (bm-list+) do-list
;

: admin_bm-list  ( -- )  \ Получить список закладок
	"teleport" check-access
	'jbforth/admin/tools/bookmarks.htm' show
;

: admin_bm \ jump to stored place: //bm cool place
	"teleport" check-access
	?dup unless admin_bm-list exit then
	"bookmark-" swap s+ dup >r uv@
	dup null? if
		drop "Not found bookmark '" r> s+ "'." s+
	else
		rdrop
		s>coords if	jump else drop then
	then
;

: admin_bm_file  ( -- \ name )  \ Записывает координаты букмарка в файл.
	"teleport" check-access
	?dup unless "Incorrect argument" exit then
	>r
	"SELECT `value` FROM `character_variables` WHERE `name` LIKE '[ r@ >slashes ]' AND `obj_id` = " parse
	player@ "ObjectId" p@ s+
	query ?dup if . rdrop exit then
	"{ " swap 0 list@ "value" m@ s+	" } \ " s+
	r> s+
	"
" s+
	"data/jbforth/points.f" file-append

	"Bookmark saved to file" .
	admin_bm-list
;

: admin_bm+ \ bookmark current location by name: //bm+ cool place
	"teleport" check-access
	player@ coords@	coords>s
	"bookmark-" rot s+ uv!
	"Bookmark added" .
	admin_bm-list
;

: admin_bm-  ( -- \ name )  \ Удаляет букмарк с именем name
	"teleport" check-access
	?dup unless "Incorrect argument" exit then
	"DELETE FROM `character_variables` WHERE `name` LIKE '[ >slashes ]' AND `obj_id` = " parse
	player@ "ObjectId" p@ s+
	update 2drop
	"Bookmark deleted" .
	admin_bm-list
;

\ //rcl-tp - вызывает целевого игрока (Target Player) к админу. Работает также и для NPC.
: admin_rcl-tp	\ Recall target player to GM position: //rcl-tp
	"spawn" check-access
	self coords@
	target-or-me@ c.tele
;

: admin_to-npc  ( npc-id -- )
	"teleport" check-access
	find-by-npc_id dup null? if 
		drop "Could not found NPC" .
	else
		coords@ 30 coords-randomize jump
	then
;

: admin_teleport_character ( x y z -- )
	"teleport" check-access
	s>coords drop
	player@ target@ teleport-player-to
;
