tools.f

module: territory:

0 value зона		\ список точек зоны
0 value точка		\ целое число от 0 до размера зоны - 1
0 value указатели	\ список npc-указателей границ зоны

1147	constant тип_скилла
20001	constant тип_моба
2000 	constant задержка

: следующая_точка  ( -- )
	точка 1+
	зона list# mod 				\ "Заворачиваем" территорию по кольцу
	to точка
;

: предыдущая_точка  ( -- позиция )
	точка
	dup 0 <= if
		зона list# +
	then
	1-
;

: показать_точку  ( -- )
	указатели точка list@ ?dup if false unspawn then
	зона точка list@ 
	list-rev> drop z>geo \ получили x y z очередной точки
	0 тип_моба 0 false
	spawn
	dup c.paralyze
	dup указатели точка list!
	указатели предыдущая_точка list@
	?dup unless
		drop exit
	then
	тип_скилла 1 500 500 new-MagicSkillUser
	player@ p.broadcast
;

: начальная_точка  ( -- )  0 to точка ;

: показать_точки  ( -- )
	указатели unless
		new-list
		зона list# 0 ?do
			0 over list+
		loop
		to указатели
	then
	
	начальная_точка
	зона list# 0 ?do
		показать_точку
		10 sleep
		следующая_точка
	loop
;

: убрать_точку  ( -- )
	указатели точка list@
	false unspawn
	10 sleep
	следующая_точка
;

: убрать_точки  ( -- )
	указатели unless exit then

	начальная_точка
	
	зона list# 0 ?do
		убрать_точку
	loop
;

true value цикл?


: цикл  ( -- )
	цикл? unless exit then
	показать_точки   
	цикл? if "admin: tools: territory: цикл" задержка do-timer drop then 
;

: start  ( -- )  
	true to цикл?
	цикл
;

: stop  ( -- )
	false to цикл?
	убрать_точки 
;

on-jbf-stop: stop

: (list>string)  ( s1 list-item -- s2+" "+list-item )  >r " " s+ r> s+ ;

: list>string  ( {list} -- "{ list }" )
	"{" swap
	['] (list>string) do-list
	" }" s+
;

: list>>file ( {list} "comment" "file-name" -- )
	rot list>string
	rot ?dup if
		" \ " s+
		s+
	then
	"
" s+
	
	swap file-append
;

: сохранить_точку  ( -- )
	указатели точка list@
	coords@
	3 >rev-list
	false "data/jbforth/territory.f" list>>file
;

\ Сохранить текущее расположение NPC в зону и в файл
: save  ( -- )
	указатели unless exit then

	начальная_точка
	
	зона list# 0 ?do
		сохранить_точку
		следующая_точка
	loop
;

{ admin/tools/territory/38-52-gordons-flower.f } to зона
\ { admin/tools/territory/work.f } to зона

: go  ( -- )
	зона 0 list@
	list-rev> drop
	z>geo jump
;

: locs>coords ( list map -- {{x y z}} )
	dup >r "loc_zmin" m@
	r@ "loc_y" m@
	r> "loc_x" m@
	3 >list
	over list+
;

forth:: admin_show_zone ( location -- )
	зона null? unless
		stop
		null to зона
	then
	
	>slashes
	new-list
	"SELECT loc_x, loc_y, loc_zmin FROM locations WHERE name = '" rot s+ "' ORDER BY `order`" s+ query
	?dup if show exit then
	& locs>coords do-list
	to зона
	start
	go
	"main.htm" show
;

: (location>list)
	dup >r "zmin" field@ 
	r@ "y" field@ 
	r> "x" field@ 
	3 >list
	over list+
;

: go-for-name
	tail
	TerritoryTable "getLocations" 0 jget
	swap >string m@
	?dup unless "Error find territory" type exit then
	"Points" p@
	new-list  swap & (location>list) do-list
	to зона
	start
	go
	"main.htm" show
;

;module
