module: intention

"l2f.gameserver.ai.CtrlIntention" class constant  CtrlIntention.class

: intention.handler!  ( intention 'handler character -- )
	"AI" p@ >r
	over r@ "resetIntentionHandlers" 1 jexec
	r@ "addIntentionHandler"  { CtrlIntention.class Word.class } jexec
	rdrop
;

: def:  ( -- \ name )  CtrlIntention.class NextWord tuck field@ "constant " rot s+ eval ;

def: AI_INTENTION_IDLE
def: AI_INTENTION_ACTIVE
def: AI_INTENTION_REST
def: AI_INTENTION_ATTACK
def: AI_INTENTION_CAST
def: AI_INTENTION_MOVE_TO
def: AI_INTENTION_FOLLOW
def: AI_INTENTION_PICK_UP
def: AI_INTENTION_INTERACT

: c.intention!  ( arg0 arg1 intention char -- )  >r -rot r> "AI" p@ "setIntention" { CtrlIntention.class Object.class dup } jexec ;
: intention!  ( arg0 arg1 intention -- )  self c.intention! ;

;module
