forth:: find_path ( x1 y1 z1 x2 y2 z2 -- List<Location> )
	"l2f.gameserver.geodata.PathFinder" { int.class int.class int.class int.class int.class int.class } jnew
	"findPath" 0
	jget
;

forth:: find_around_path ( x1 y1 z1 x2 y2 z2 -- List<Location> )
	"l2f.gameserver.geodata.PathFinder" { int.class int.class int.class int.class int.class int.class } jnew
	"findAroundPath" 0
	jget
;

: show-point  ( Location -- )  >r 57 1 null r@ "x" field@ r@ "y" field@ r> "z" field@ item_spawn drop ;

forth:: admin_gla (( distance -- ))
	distance unless 500 to distance then
	self hcoords@ (( x y z h ))
	x y z \ from
	h 32768. f/
	pi f* to h
	h fcos distance f* int x +
	h fsin distance f* int y +
	z
	find_around_path
	& show-point do-list
;

: .x "x" field@ ;
: .y "y" field@ ;
: .z "z" field@ ;

: show_section (( loc1 loc2 -- ))
	loc2 .x loc1 .x - (( dx ))
	loc2 .y loc1 .y - (( dy ))
	dx dup f*
	dy dup f*
	f+
	fsqrt int (( distance ))
	distance 0 ?do
		57 1 null
		i distance f/ 
		dup dx f* loc1 .x +
		swap dy f* loc1 .y +
		loc1 .z z>geo
		item_spawn
		drop
	20 +loop
;


: show_path (( list -- ))
	list list# 1- 0 ?do
		list i list@
		list i 1+ list@
		show_section
	loop
;

forth:: admin_gl (( distance -- ))
	distance unless 500 to distance then
	self hcoords@ (( x y z h ))
	x y z \ from
	h 32768. f/
	pi f* to h
	h fcos distance f* int x +
	h fsin distance f* int y +
	z
	find_path
	show_path
;

world@ "MAP_MIN_X" field@ constant MAP_MIN_X
world@ "MAP_MIN_Y" field@ constant MAP_MIN_Y

: x>geo  ( x -- geo_x )  MAP_MIN_X - 16 / ;
: y>geo  ( y -- geo_y )  MAP_MIN_Y - 16 / ;
: geo>x  ( geo_x -- x )  16 * MAP_MIN_X + ;
: geo>y  ( geo_y -- y )  16 * MAP_MIN_Y + ;

: geojump  ( geo_x geo_y z -- ) rot x>geo rot y>geo rot jump ;

: geo. self coords@ rot x>geo . swap y>geo . . ;
