module: arena

jail: also
geodata: also
territories: also
ai also
intention also
evt also

{ points-dion-team1.f } value pvp_team1-points
{ points-dion-team2.f } value pvp_team2-points
new-list VALUE pvp_team1_list
new-list VALUE pvp_team2_list
new-list VALUE pvp_team1_dup_list
new-list VALUE pvp_team2_dup_list
new-list VALUE pvp_temp_list
new-list VALUE pvp_temp_list2
null VALUE pvp_team1_count
null VALUE pvp_team2_count
null VALUE pvp_team1_min
null VALUE pvp_team1_max
null VALUE pvp_team2_min
null VALUE pvp_team2_max
null VALUE pvp_price
null VALUE pvp_time
null VALUE pvp_creator_name
null VALUE pvp_reg_name
null VALUE pvp_reg_team
null VALUE pvp_name
null VALUE pvp_level
null VALUE pvp_pay_sum
null VALUE pl_h
null VALUE pvp_temp
0 VALUE pvp_status
0 VALUE pvp_battle_status

: npc-31225
	'<br><a action="bypass -h jbf_pvp_create">Создать бой</a><br><a action="bypass -h jbf_pvp_register">Зарегистрироваться</a>'
;

['] npc-31225 31225 npc-dialog+

forth:: bypass_pvp_register
'<table>
<tr><td>Команда (1 или 2): <edit var="team" width=80></td></tr>
<tr><td><button value=Ok action="bypass -h jbf_pvp_register_check $team" width=80 height=15></td></tr>
</table>' show
;

forth:: bypass_pvp_create
'<table>
<tr><td>Ставка (10k - 100kk) <edit var="pvp_price" width=80></td></tr>
<tr><td></td></tr>
<tr><td>Размер команд (1-5):</td></tr>
<tr><td>1 команда: <edit var="team1count" width=80></td><td>2 команда: <edit var="team2count" width=80></td></tr>
<tr><td></td></tr>
<tr><td>Уровни:</td></tr>
<tr><td>1 команда:</td></tr>
<tr><td>Мин: <edit var="min1" width=80></td><td>Макс: <edit var="max1" width=80></td></tr>
<tr><td></td></tr>
<tr><td>2 команда:</td></tr>
<tr><td>Мин: <edit var="min2" width=80></td><td>Макс: <edit var="max2" width=80></td></tr>
<tr><td></td></tr>
<tr><td>Время до начала (1-10m): <edit var="pvptime" width=80></td></tr>
<tr><td></td></tr>
<tr><td><button value=Ok action="bypass -h jbf_pvp_check $pvp_price $team1count $team2count $min1 $max1 $min2 $max2 $pvptime" width=80 height=15></td></tr>
</table>' show
;

: pvp_delete_from_list ( list player -- list)
	to pvp_temp
	new-list to pvp_temp_list2
	list> 0 ?do
		dup oid@ pvp_temp oid@ = not if 
			pvp_temp_list2 list+
		then
	loop
	pvp_temp_list2
;

: pvp_team1_adena_pay
	pvp_price pvp_team2_dup_list list# pvp_price * pvp_team1_dup_list list# / + to pvp_pay_sum
	pvp_team1_dup_list list# 0 ?DO
		pvp_team1_dup_list i list@ online@ 0 = not if
			57 pvp_pay_sum pvp_team1_dup_list i list@ inventory+!
		then
	LOOP
;

: pvp_team2_adena_pay
	pvp_price pvp_team1_dup_list list# pvp_price * pvp_team2_dup_list list# / + to pvp_pay_sum
	pvp_team2_dup_list list# 0 ?DO
		pvp_team2_dup_list i list@ online@ 0 = not if
			57 pvp_pay_sum pvp_team2_dup_list i list@ inventory+!
		then
	LOOP
;

: pvp_team_status_clear
	pvp_team1_dup_list list# 0 ?DO
		pvp_team1_dup_list i list@ online@ 0 = not if
			0 pvp_team1_dup_list i list@ team!
		then
	LOOP

	pvp_team2_dup_list list# 0 ?DO
		pvp_team2_dup_list i list@ online@ 0 = not if
			0 pvp_team2_dup_list i list@ team!
		then
	LOOP
;

: pvp_check_wins

	pvp_team_status_clear

	pvp_team1_list list# 0 = if
		pvp_team2_adena_pay
		"2 команда победила" "PVP system" .shout
		new-list to pvp_team1_list
		new-list to pvp_team2_list
		0 to pvp_status
		0 to pvp_battle_status
		exit
	then

	pvp_team2_list list# 0 = if
		pvp_team1_adena_pay
		"1 команда победила" "PVP system" .shout
		new-list to pvp_team1_list
		new-list to pvp_team2_list
		0 to pvp_status
		0 to pvp_battle_status
		exit
	then
;

: pvp_check_teams_online
	pvp_team1_list to pvp_temp_list
	pvp_temp_list list# 0 ?DO
		pvp_temp_list i list@ online@ 0 = if
			pvp_temp_list i list@ "Name" p@ " дисквалифицирован" s+ "PVP system" .shout
			pvp_team1_list pvp_temp_list i list@ pvp_delete_from_list to pvp_team1_list
			pvp_check_wins
		then
	LOOP
	pvp_team2_list to pvp_temp_list
	pvp_temp_list list# 0 ?DO
		pvp_temp_list i list@ online@ 0 = if
			pvp_temp_list i list@ "Name" p@ " дисквалифицирован" s+ "PVP system" .shout
			pvp_team2_list pvp_temp_list i list@ pvp_delete_from_list to pvp_team2_list
			pvp_check_wins
		then
	LOOP
;

: pvp_teleport
	pvp_team1_list list# 0 ?DO
		pvp_team1_list i list@ online@ 0 = not if
			pvp_team1-points i list@ list-rev> drop
			pvp_team1_list i list@ teleport-char-to
		then
	LOOP
	pvp_team2_list list# 0 ?DO
		pvp_team2_list i list@ online@ 0 = not if
			pvp_team2-points i list@ list-rev> drop
			pvp_team2_list i list@ teleport-char-to
		then
	LOOP
;

: pvp_paralyze
	pvp_team1_dup_list list# 0 ?DO
		pvp_team1_dup_list i list@ online@ 0 = not if
			pvp_team1_dup_list i list@ c.paralyze
			pvp_team1_dup_list i list@ "Pet" p@ null = not if
				pvp_team1_dup_list i list@ "Pet" p@ c.paralyze
			then
		then
	LOOP
	pvp_team2_dup_list list# 0 ?DO
		pvp_team2_dup_list i list@ online@ 0 = not if
			pvp_team2_dup_list i list@ c.paralyze
			pvp_team2_dup_list i list@ "Pet" p@ null = not if
				pvp_team2_dup_list i list@ "Pet" p@ c.paralyze
			then
		then
	LOOP	
;

: pvp_unparalyze
	pvp_team1_dup_list list# 0 ?DO
		pvp_team1_dup_list i list@ online@ 0 = not if
			pvp_team1_dup_list i list@ c.unparalyze
			pvp_team1_dup_list i list@ "Pet" p@ null = not if
				pvp_team1_dup_list i list@ "Pet" p@ c.unparalyze
			then
		then
	LOOP
	pvp_team2_dup_list list# 0 ?DO
		pvp_team2_dup_list i list@ online@ 0 = not if
			pvp_team2_dup_list i list@ c.unparalyze
			pvp_team2_dup_list i list@ "Pet" p@ null = not if
				pvp_team2_dup_list i list@ "Pet" p@ c.unparalyze
			then
		then
	LOOP
;

: pvp_team1_die
	pvp_status 2 = player@ pvp_team1_list in-list? and if
		player@ "Name" p@ " убит" s+ "PVP system" .shout
		0 player@ team!
		killer to pvp_temp
		pvp_temp c.summon? if
			pvp_temp "Owner" p@ to pvp_temp
		then
		pvp_temp pvp_team2_list in-list? not pvp_temp null = not and if
			"Нарушение правил, игрок " killer "Name" p@ s+ " арестован" s+ "PVP system" .shout
			25 ['] jail-me pvp_temp p-do-player
		then
		pvp_team1_list player@ pvp_delete_from_list to pvp_team1_list
		pvp_check_wins
		pvp_check_teams_online
	then
;

: pvp_team2_die
	pvp_status 2 = player@ pvp_team2_list in-list? and if
		player@ "Name" p@ " убит" s+ "PVP system" .shout
		0 player@ team!
		killer to pvp_temp
		pvp_temp c.summon? if
			pvp_temp "Owner" p@ to pvp_temp
		then
		pvp_temp pvp_team1_list in-list? not pvp_temp null = not and if
			"Нарушение правил, игрок " pvp_temp "Name" p@ s+ " арестован" s+ "PVP system" .shout
			25 ['] jail-me pvp_temp p-do-player
		then
		pvp_team2_list player@ pvp_delete_from_list to pvp_team2_list
		pvp_check_wins
		pvp_check_teams_online
	then
;

: pvp_die_check
	pvp_team1_list list> 0 ?DO
		dup online@ 1 = if
			oid@ >R ['] pvp_team1_die R> npc-die+!
		else
			drop
		then
	LOOP
	pvp_team2_list list> 0 ?DO
		dup online@ 1 = if
			oid@ >R ['] pvp_team2_die R> npc-die+!
		else
			drop
		then
	LOOP
;

: pvp_attack_check
	player@ .
	killer .
;

: def1:        ( -- \ name )  CtrlEvent.class     NextWord tuck field@ "constant " rot s+ eval ;

: pvp_attack
\	EVT_ATTACKED ['] pvp_attack_check player@ evt.handler!
	EVT_FINISH_CASTING ['] pvp_attack_check player@ evt.handler!
;

: pvp_arena_clear_temp
	player@ hcoords@ 2drop dup 183028 > swap 184000 < and swap dup 11958 > swap 12932 < and and player@ pvp_team1_list in-list? not player@ pvp_team2_list in-list? not and and if 
		11819 183467 -3564 jump 
	then
;

: pvp_arena_clear
	 "pvp_arena_clear_temp" do-players
;

forth:: bypass_pvp_check
	pvp_status 0 > if drop "Дождитесь окончания боя" show exit then
	explode list> drop
	to pvp_price
	to pvp_team1_count
	to pvp_team2_count
	to pvp_team1_min
	to pvp_team1_max
	to pvp_team2_min
	to pvp_team2_max
	to pvp_time
	pvp_price 10000 < if "Минимальная ставка 10к" show exit then
	pvp_price 100000000 > if "Максимальная ставка 100кк" show exit then
	pvp_team1_count 1 < if "Неверный размер команды" show exit then
	pvp_team1_count 5 > if "Неверный размер команды" show exit exit then
	pvp_team1_count 1 < if "Неверный размер команды" show exit exit then
	pvp_team1_count 5 > if "Неверный размер команды" show exit exit then
	pvp_team1_min 1 < if "Неверный уровень" show exit then
	pvp_team1_max 80 > if "Неверный уровень" show exit then
	pvp_team2_min 1 < if "Неверный уровень" show exit then
	pvp_team2_max 80 > if "Неверный уровень" show exit then
	pvp_time 1 < if "Неверное время" show exit then
	pvp_time 10 > if "Неверное время" show exit then
	pvp_team1_min pvp_team1_max > if "Минимальный уровень должен быть выше максимального" show exit then
	pvp_team2_min pvp_team2_max > if "Минимальный уровень должен быть выше максимального" show exit then
	new-list to pvp_team1_list
	new-list to pvp_team2_list
	player@ 'Level' p@ to pvp_level
	pvp_level pvp_team1_min < pvp_level pvp_team1_max > or if
		"Вы не подходите по уровню" show
		exit
	then
	pvp_price adena? not if
		drop
    		"У вас недостаточно денег" show
		exit
	else
		~Adena swap player@ inventory-! drop
	then
	1 to pvp_status
	player@ pvp_team1_list +list
	player@ "Name" p@ to pvp_creator_name
	pvp_creator_name " создал бой " s+ pvp_team1_count s+ "х" s+ pvp_team2_count s+ ", " s+ pvp_team1_min s+ "-" s+ pvp_team1_max s+ "lv vs " s+ pvp_team2_min s+ "-" s+ pvp_team2_max s+ "lv, ставка " s+ pvp_price s+ "а, начало через " s+ pvp_time s+ " мин" s+ "PVP system" .shout
	1 player@ team!
	"pvp_announce"  60000  timer-start drop
;

forth:: bypass_pvp_register_check ( team -- )
	to pvp_reg_team
	player@ 'Level' p@ to pvp_level
	pvp_status 0 = if
		"Бой не создан" show
		exit
	then
	pvp_status 2 = if
		"Дождитесь окончания боя" show
		exit
	then

	pvp_reg_team 1 = if
		pvp_level pvp_team1_min < pvp_level pvp_team1_max > or if
			"Вы не подходите по уровню" show
			exit
		then
		pvp_team1_list list# pvp_team1_count = if
			"Команда переполнена" show
			exit
		then
	then

	pvp_reg_team 2 = if
		pvp_level pvp_team2_min < pvp_level pvp_team2_max > or if
			"Вы не подходите по уровню" show
			exit
		then
		pvp_team2_list list# pvp_team2_count = if
			"Команда переполнена" show
			exit
		then
	then

	player@ pvp_team1_list in-list? player@ pvp_team2_list in-list? or if	
		"Вы уже зарегистрированы" show
		exit
	then
	player@ "Name" p@ to pvp_name
	pvp_price adena? not if
		drop
    		"У вас недостаточно денег" show
		exit
	else
		~Adena swap player@ inventory-! drop
	then

	pvp_reg_team 1 = if
		player@ pvp_team1_list +list
		pvp_name " зарегистрировался за 1 команду" s+ "PVP system" .shout
		1 player@ team!
	else
		pvp_reg_team 2 = if
			player@ pvp_team2_list +list
			pvp_name " зарегистрировался за 2 команду" s+ "PVP system" .shout
			2 player@ team!
		else
			"Неверный номер команды" show
			exit
		then
	then
	
	pvp_team1_list list# pvp_team1_count = pvp_team2_list list# pvp_team2_count = and pvp_time 1 = not and if
		"Команды готовы, старт через минуту" "PVP system" .shout
		1 to pvp_time
	then
	
;

: pvp_announce ( -- )
	pvp_time 1 > if 
		pvp_time 1 - to pvp_time 
	else 
		pvp_team2_list list# 0 > if 
			"Подготовка к бою" "PVP system" .shout
			"pvp_begin"  5000  timer-start drop
		else
			"Бой не состоялся, нет противников" "PVP system" .shout
			0 player@ team!
			57 pvp_price player@ inventory+!
			new-list to pvp_team1_list
			new-list to pvp_team2_list
			0 to pvp_status
		then
		exit
	then
	pvp_creator_name " создал бой " s+ pvp_team1_count s+ "х" s+ pvp_team2_count s+ ", " s+ pvp_team1_min s+ "-" s+ pvp_team1_max s+ "lv vs " s+ pvp_team2_min s+ "-" s+ pvp_team2_max s+ "lv, ставка " s+ pvp_price s+ ", начало через " s+ pvp_time s+ "мин" s+ "PVP system" .shout
	"pvp_announce"  30000  timer-start drop
;

0 VALUE winner_task_count

: pvp_winner_check_task
	pvp_status 2 = not if
		exit
	then

	winner_task_count 1 < if
		pvp_team_status_clear
		pvp_team1_adena_pay
		"1 команда победила" "PVP system" .shout
		new-list to pvp_team1_list
		new-list to pvp_team2_list
		0 to pvp_status
		0 to pvp_battle_status
	else
		winner_task_count 1 - to winner_task_count
		"pvp_winner_check_task" 6000 timer-start drop
	then
;

: pvp_begin ( -- )
	2 to pvp_status
	0 to pvp_battle_status
	pvp_arena_clear
	pvp_team1_list to pvp_team1_dup_list
	pvp_team2_list to pvp_team2_dup_list
	"Бой начнется через 30 секунд" "PVP system" .shout s7
	pvp_check_teams_online
	pvp_paralyze
	pvp_die_check
	pvp_teleport
	"'Go!!!' 'PVP system' .shout
	pvp_unparalyze pvp_check_teams_online 1 to pvp_battle_status 30 to winner_task_count pvp_winner_check_task" 30000 do-timer drop
;

: pvp_escape_check
	pvp_status 2 = player@ pvp_team1_list in-list? player@ pvp_team2_list in-list? or and if
		12437 183548 -3564
	else
		0 0 0
	then
;

: pvp_player_exit_check
	pvp_status 2 = if
		player@ pvp_team1_list in-list? if
			player@ "Name" p@ " дисквалифицирован" s+ "PVP system" .shout
			pvp_team1_list player@ pvp_delete_from_list to pvp_team1_list
			pvp_check_wins
		then
		player@ pvp_team2_list in-list? if
			player@ "Name" p@ " дисквалифицирован" s+ "PVP system" .shout
			pvp_team2_list player@ pvp_delete_from_list to pvp_team2_list
			pvp_check_wins
		then
	then
;

{ points-dion.f "arena" } points>territory value terr 

: pvp_enter  ( -- )
	player? unless false exit then
	pvp_status 2 < if exit then
	player@ pvp_team1_list in-list? player@ pvp_team2_list in-list? or if exit then
	11819 183467 -3564 player@ teleport-char-to 
;

: pvp_leave  ( -- )
	player? unless false exit then
	pvp_status 2 < pvp_battle_status 0 = or if exit then
	player@ pvp_team1_list in-list? player@ pvp_team2_list in-list? or not if exit then
	player@ "Heading" p@ to pl_h
	pl_h 16384 <= if 
		player@ "X" p@ 50 - player@ "Y" p@ 50 - player@ "Z" p@ player@ teleport-char-to
	then
	pl_h 16384 > pl_h 32768 <= and if 
		player@ "X" p@ 50 + player@ "Y" p@ 50 - player@ "Z" p@ player@ teleport-char-to
	then
	pl_h 32768 > pl_h 49152 <= and if 
		player@ "X" p@ 50 + player@ "Y" p@ 50 + player@ "Z" p@ player@ teleport-char-to
	then
	pl_h 49152 > if 
		player@ "X" p@ 50 - player@ "Y" p@ 50 + player@ "Z" p@ player@ teleport-char-to
	then
;

['] pvp_enter terr "setEnterWord" 1 jexec

['] pvp_leave terr "setLeaveWord" 1 jexec

previous previous previous previous previous previous

;module
