: npc-31851-dialog-append 
	'<br><br>Каждую неделю в воскресенье проводится турнир, для участия ' .
	'необходима команда из 3-х игроков разного типа профессий. Вы можете ' .
	'создать свою команду, либо зарегистрироваться в уже созданной.' .
	'<br><a action="bypass -h jbf_tournament_list_team">Список всех команд</a>' .
	'<br><a action="bypass -h jbf_tournament_info_check">Информация о турнире</a>' .
	'<br><a action="bypass -h jbf_tournament_info_team 0">Информация о команде</a>' .
	'<br><a action="bypass -h jbf_tournament_create_team_check">Создать команду</a>' .
	'<br><a action="bypass -h jbf_tournament_register_check">Зарегистрироваться в команде</a>' .
	'<br><a action="bypass -h jbf_tournament_delete_team">Удалить команду</a>' .
	'<br><a action="bypass -h jbf_tournament_delete">Выйти из команды</a>' .
;

new-list VALUE t_list
new-list VALUE t_list2
new-list VALUE t_name_list
new-list VALUE t_temp_list
new-list VALUE t_team_check
new-list VALUE t_team1
new-list VALUE t_team2
null VALUE t_team_id
null VALUE t_team_name
null VALUE t_class_id
null VALUE t_type
null VALUE t_level
null VALUE t_category
null VALUE t_out
null VALUE t_obj_id
null VALUE t_n
null VALUE t_t
null VALUE t_k
null VALUE t_step
null VALUE t_flag
null VALUE t_t1s
null VALUE t_t2s
0 VALUE t_field1
0 VALUE t_field2
0 VALUE t_field3
0 VALUE t_field4

{ team1-points.f } value team1-points
{ team2-points.f } value team2-points

: player_by_obj_id ( obj_id -- obj )
	"select char_name from characters where obj_id = [  ]" parse query drop 0 list@ "char_name" m@ find_player
;

: tournament_category ( -- category )
	player@ "Level" p@ to t_level
	t_level 19 > t_level 30 < and if 1 then
	t_level 29 > t_level 40 < and if 2 then
	t_level 39 > t_level 52 < and if 3 then
	t_level 51 > t_level 62 < and if 4 then
	t_level 61 > t_level 76 < and if 5 then
	t_level 75 > if 6 then
;

: tournament_type ( -- type )
	"select B.type from character_subclasses as A left outer join tournament_class_list as B on (A.class_id=B.class_id) where A.active=1 and A.char_obj_id=" player@ "ObjectId" p@ s+ query drop 0 list@ "type" m@
;

: tournament_check_start ( -- )
	"select value from tournament_variables where name='start'" query drop 0 list@ "value" m@ 1 = if "Во время турнира нельзя изменять состав команд" . rdrop exit then
;

: tournament_create_table
	"delete from tournament_table" update drop
	7 1 ?do
		"select * from tournament_teams where leader=1 and category=[ i ]" query drop 
		dup list# 0 = not if
			to t_list
			t_list list# to t_n t_n 2 / 0 ?do
				t_list i 2 * 1 + list@ "team_name" m@
				t_list i 2 * 1 + list@ "team_id" m@
				t_list i 2 * list@ "team_name" m@
				t_list i 2 * list@ "team_id" m@
				"insert into tournament_table set 
					category=1,
					status=0,
					team1id='[  ]',
					team1name='[  ]',
					team2id='[  ]',
					team2name='[  ]',
					win=0"
				parse update drop
			loop
			t_n 2 mod 0 = not if
				t_list i 2 * 1 + list@ "team_name" m@
				t_list i 2 * 1 + list@ "team_id" m@
				"insert into tournament_table set
					category=1,
					status=0,
					team1id='[  ]',
					team1name='[  ]',
					win=0"
				parse update drop
			then
		then
	loop
;

forth:: bypass_tournament_info_check
	'Турнирная таблица:'
	7 1 ?do
		'<br><a action="bypass -h jbf_tournament_info [ i ]">Категория [ i ]</a>' parse s+
	loop
	show
;

forth:: bypass_tournament_info ( category -- )
	to t_category
	"Категория " t_category s+ ":" s+ to t_out
	"select * from tournament_table where category=" t_category s+ query drop dup list# 0 = if 
		t_out "<br>нет команд" s+ to t_out 
	else
		to t_list
		t_list list# 0 ?do
			t_out 
			"<br>'" s+ t_list i list@ "team1name" m@ s+ "'" s+ t_list i list@ "team2name" m@ "null" = not if " vs '" s+ t_list i list@ "team2name" m@ s+ "'" s+ then
			to t_out
		loop
	then
	t_out show
;

forth:: bypass_tournament_create_team_check
	tournament_check_start
	'<table>
	<tr><td>Название команды обязательно английскими буквами!</td></tr>
	<tr><td>Название команды: <edit var="team_name" width=80></td></tr>
	<tr><td><button value=Ok action="bypass -h jbf_tournament_create_team $team_name" width=80 height=15></td></tr>
	</table>' show
;

forth:: bypass_tournament_create_team ( team_name -- )
	>slashes to t_team_name
	t_team_name "" = if "Заполните поле 'название команды'" show exit then
	"select * from tournament_teams where team_name='" t_team_name s+ "'" s+ query drop list# 0 > if "Команда с таким именем уже есть" show exit then
	"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 > if "Вы уже зарегистрированы" show exit then
	"insert into tournament_teams set obj_id=" player@ "ObjectId" p@ s+ ", type=" s+ tournament_type s+ ", team_name='" s+ t_team_name s+ "', leader=1, category=" s+ tournament_category s+ update drop
	tournament_create_table
	"Команда зарегистрирована. Для участия в турнире вам потребуется еще 2 игрока в команду." show
;

forth:: bypass_tournament_register_check ( -- )
	tournament_check_start
	"Выберите команду:<br><table><tr><td width=80>Название</td><td width=60>Размер</td></tr>" to t_out
	"select * from tournament_teams where leader=1 and category=" tournament_category s+ query drop to t_list
	t_list list# 0 ?DO
		"select * from tournament_teams where type=" tournament_type s+ " and team_id=" s+ t_list i list@ "team_id" m@ s+ query drop 
		list# 0 = if
			t_out '<tr><td><a action="bypass -h jbf_tournament_register ' s+ t_list i list@ "team_id" m@ s+ '">' s+ t_list i list@ "team_name" m@ s+ "</a></td><td>" s+ to t_out
			t_out '<a action="bypass -h jbf_tournament_info_team ' s+ t_list i list@ "team_id" m@ s+ '">' s+ "select * from tournament_teams where team_id=" t_list i list@ "team_id" m@ s+ query drop list# s+ "</a></td></tr>" s+ to t_out
		then
	LOOP
	t_out "Выберите команду:<br><table><tr><td width=80>Название</td><td width=60>Размер</td></tr>" = if t_out "<tr><td>Нет подходящих команд</td></tr>" s+ to t_out then
	t_out "</table>" s+ to t_out
	t_out show
;

forth:: bypass_tournament_register ( team_id -- )
	to t_team_id
	"select * from tournament_teams where team_id=" t_team_id s+ query drop 0 list@ "team_name" m@ to t_team_name
	"select * from tournament_teams where type=" tournament_type s+ " and team_id=" s+ t_team_id s+ query drop list# 0 > if exit then
	"select * from tournament_teams where team_id=" t_team_id s+ query drop 0 list@ "category" m@ tournament_category = if
		"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 > if "Вы уже зарегистрированы" show exit then
		"insert into tournament_teams set obj_id=" player@ "ObjectId" p@ s+ ", type=" s+ tournament_type s+ ", team_id=" s+ t_team_id s+ ", team_name='" s+ t_team_name s+ "', leader=0, category=" s+ tournament_category s+ update drop
		"Вы зарегистрировались в команде " t_team_name s+ show
	then
;

forth:: bypass_tournament_list_team ( -- )
	"<table><tr><td width=60>Категория</td><td width=80>Название</td><td width=60>Число</td></tr>" to t_out
	"select * from tournament_teams where leader=1 order by category" query drop dup list# 0 = if 
		t_out "<tr><td>нет команд</td><td></td>" s+ to t_out 
	else
		to t_list
		t_list list# 0 ?DO
			t_out 
			"<tr><td>" s+ t_list i list@ "category" m@ s+ "</td><td>" s+ '<a action="bypass -h jbf_tournament_info_team ' s+ t_list i list@ "team_id" m@ s+ '">' s+ t_list i list@ "team_name" m@ s+ "</a></td><td>" s+ "select * from tournament_teams where team_id=" t_list i list@ "team_id" m@ s+ query drop list# s+ "</td></tr>" s+
			to t_out
		LOOP
	then
	t_out "</table>" s+ to t_out
	t_out show
;

forth:: bypass_tournament_info_team ( team_id -- )
	dup 0 = if 
		drop
		"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 = if "Вы не зарегистрированы" show exit then
		"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop 0 list@ "team_id" m@ to t_team_id
	else
		to t_team_id		
	then
	"select * from tournament_teams where team_id=" t_team_id s+ query drop to t_list
	"Информация о команде:<br>" to t_out
	t_out "<br>Название: " s+ t_list 0 list@ "team_name" m@ s+ to t_out
	t_out "<br>Лидер: " s+ "select B.char_name from tournament_teams as A left outer join characters as B on (A.obj_id=B.obj_id) where A.leader=1 and A.team_id=" t_team_id s+ query drop 0 list@ "char_name" m@ s+ to t_out
	t_out "<br>Категория: " s+ t_list 0 list@ "category" m@ s+ to t_out
	t_out "<br>Состав:<br>" s+ to t_out
	t_out "<table><tr><td width=80>Имя</td><td width=60>Уровень</td><td width=100>Класс</td><td width=60></td></tr>" s+ to t_out
	t_list list# 0 ?DO
		t_out 
		"<tr><td>" s+ "select B.char_name, C.level, D.class_name from tournament_teams as A left outer join characters as B on (A.obj_id=B.obj_id) left outer join character_subclasses as C on (A.obj_id=C.char_obj_id) left outer join tournament_class_list as D on (C.class_id=D.class_id) where C.active=1 and A.obj_id=" t_list i list@ "obj_id" m@ s+ query drop 0 list@ dup to t_list2 "char_name" m@ s+ "</td><td>" s+ t_list2 "level" m@ s+ "</td><td>" s+ t_list2 "class_name" m@ s+ "</td>" s+
		t_list i list@ "leader" m@ 0 = if
			"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ " and team_id=" s+ t_team_id s+ query drop 
			dup list# 0 = not if
				0 list@ "leader" m@ 1 = if
					"<td>" s+ '<a action="bypass -h jbf_tournament_leader_delete ' s+ t_list i list@ "obj_id" m@ s+ '">Выгнать</a></td>' s+
				then
			else
				drop
			then
		then
		"</tr>" s+ 
		to t_out
	LOOP
	t_out "</table>" s+ to t_out
	t_out show
;

forth:: bypass_tournament_leader_delete ( obj_id -- )
	tournament_check_start
	explode list> drop
	"delete from tournament_teams where obj_id=" swap s+ update drop
	"Игрок удален из команды" show
;

forth:: bypass_tournament_delete_team ( -- )
	tournament_check_start
	"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 = if "Вы не зарегистрированы" show exit then
	"select * from tournament_teams where leader=1 and obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 = if "Вы не являетесь лидером команды" show exit then
	"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop 0 list@ "team_id" m@ to t_team_id
	"delete from tournament_teams where team_id=" t_team_id s+ update drop
	"Команда удалена" show
;

forth:: bypass_tournament_delete ( -- )
	tournament_check_start
	"select * from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ query drop list# 0 = if "Вы не зарегистрированы" show exit then
	"select * from tournament_teams where leader=1 and obj_id=" player@ "ObjectId" p@ s+ query drop list# 1 = if "Вы не можете выйти, не удалив команду" show exit then
	"delete from tournament_teams where obj_id=" player@ "ObjectId" p@ s+ update
	"Вы вышли из команды" show
;

: tournament_prepare_team
	"select team1id from tournament_table where win=0 and step=[ t_step ] LIMIT 0,1" parse query drop 0 list@ "team1id" m@
	"select * from tournament_teams where step=[ t_step ] and team_id = '[  ]'" parse query drop to t_team1
	"select team2id from tournament_table where win=0 and step=[ t_step ] LIMIT 0,1" parse query drop 0 list@ "team2id" m@
	"select * from tournament_teams where step=[ t_step ] and team_id = '[  ]'" parse query drop to t_team2
;

: tournament_teleport_teams ( -- )
	t_t "teleport teams " swap s+ .

	t_team1 list# 0 ?do
		t_team1 i list@ 'obj_id' m@ player_by_obj_id 
		dup null = if 
			drop 
		else
			>R team1-points i list@ list-rev> drop 50 coords-randomize R> teleport-char-to
		then
	loop

	t_team2 list# 0 ?do
		t_team2 i list@ 'obj_id' m@ player_by_obj_id 
		dup null = if 
			drop 
		else
			>R team2-points i list@ list-rev> drop 50 coords-randomize R> teleport-char-to
		then
	loop
;

: tournament_res_cancel_heal
	
;

: team_online? ( team_id -- flag )
	"select * from tournament_teams where team_id = '[  ]'" parse query drop to t_temp_list
	0 to t_flag
	t_temp_list list# 0 ?do
		t_temp_list i list@ 'obj_id' m@ player_by_obj_id null = not if 1 to t_flag then
	loop
	t_flag
;

: team_die? ( team_id -- flag )
	"select * from tournament_teams where team_id = '[  ]'" parse query drop to t_temp_list
	0 to t_flag
	t_temp_list list# 0 ?do
		t_temp_list i list@ 'obj_id' m@ player_by_obj_id null = not 
		t_temp_list i list@ 'die' m@ 0 = 
		and if 1 to t_flag then
	loop
	t_flag
;

: tournament_check_teams ( -- flag )
	"check_teams" .
	0 to t_t1s
	0 to t_t2s
	"select * from tournament_table where win=0 and step=[ t_step ]" parse query drop
	list# 0 ?do
		"select * from tournament_table where win=0 LIMIT 0,1" query drop 0 list@ to t_team_check
		t_team_check "team1id" m@ team_online? 0 = if 1 to t_t1s then
		t_team_check "team2id" m@ team_online? 0 = if 1 to t_t2s then
		
		"Подготовка боя между командами '[ t_team_check 'team1name' m@ ]' и '[ t_team_check 'team2name' m@ ]'" parse announce

		t_t1s 1 = t_t2s 0 = and if
			"команда '[ t_team_check 'team1name' m@ ]' дисквалифицирована, победа достается команде '[ t_team_check 'team2name' m@ ]'" parse announce
			"update tournament_table set win=2 where step=[ t_step ] and team1id=[ t_team_check 'team1id' m@ ]" parse update
		then
		t_t1s 0 = t_t2s 1 = and if
			"команда '[ t_team_check 'team2name' m@ ]' дисквалифицирована, победа достается команде '[ t_team_check 'team1name' m@ ]'" parse announce
			"update tournament_table set win=1 where step=[ t_step ] and team1id=[ t_team_check 'team1id' m@ ]" parse update
		then
		t_t1s 1 = t_t2s 1 = and if
			"команды '[ t_team_check 'team1name' m@ ]' и '[ t_team_check 'team2name' m@ ]' дисквалифицированы" parse announce
			"update tournament_table set win=-1 where step=[ t_step ] and team1id=[ t_team_check 'team1id' m@ ]" parse update
		then

		t_t1s 0 = t_t2s 0 = and if leave then
	loop

	"select * from tournament_table where win=0 and step=[ t_step ]" parse query drop list# 0 if 0 else 1 then
;

: tournament_check_winners ( -- )
	"check_winners" .
;

: tournament_task ( -- )
	t_t 1 + to t_t
	t_t t_k < if 
		"tournament_check_winners tournament_task" 5000 timer-start drop
	then
	tournament_check_teams 1 = if
		tournament_prepare_team
		tournament_teleport_teams
		tournament_res_cancel_heal		
	else
		tournament_next_step
	then
;

: admin_tournament_start ( -- )
	"select * from tournament_table" query drop list# to t_k
	0 to t_t
	1 to t_step
	"tournament_task" 20000 timer-start drop
;