\ Operation with Event State

\ Create new event state record
forth:: eventstatecreate ( state name --- )
  dup "insert into server_variables (`type`, `name`, `index`, `value`, `expire_time`) VALUES
  ('eventstate','" swap s+
  "',0,'" s+ 2 pick s+ "','-1');" s+ 
  update 2drop
;  

\ Set event state
forth:: eventstate+ ( state name --- )
  "update server_variables set `value`='" 2 pick s+ 
  "' where type='eventstate' and `name`='" s+ 1 pick s+ "'" s+
  update
  = if eventstatecreate then
  2drop
  ;

\ Get event state. Return null if not set
forth:: eventstate? ( name --- state )
  "select value from server_variables where type='eventstate' and name='"
  swap s+ "';"  s+
  query
  drop
  dup 
  list# 0 = if 
    drop null
  else
    list-shift drop
    "value" M@ 
  then
  ;

\ Drop event state
forth:: eventstate- ( name --- )
  "delete from server_variables where type='eventstate' and name='"
  swap s+ "';"  s+
  update
  2drop
;
