\ === MasterXL ===
\ 
module: riders

83094 value last-x
148394 value last-y
-3468 value last-z
{ } value riders-racers
0 value point

1 value reg-ride
new-hashmap
{ 65897         157895  -3600 1 } => 1
{ 52381         153395  -2404 2 } => 2
{ 82390         219090  -3482 3 } => 3
{ 83373         94298   -3457 4 } => 4
{ 109283        84002   -2463 5 } => 5
{ 80702         58954   -1968 6 } => 6
{ 147461        31418   -2442 7 } => 7
value way-points
false value runners
false value riders-started
{ events/masterxl/riders/spawnlist } value riders-spawnlist
{ } value riders-spawned-list

: ride-start
    true dup to event? to riders-started
    1 to reg-ride
    82592 148485 -3468 coords>s to event-coordinates
    riders-spawnlist npc-list-spawn to riders-spawned-list
    "Race will begin in some minutes! Quickly on start!" announce
;

: ride-stop
    riders-started 0= if "Not started now." . exit then
    riders-spawned-list npc-list-unspawn
    riders-racers ['] unride do-list
    "980 items:remove-all" do-players
    new-list to riders-racers
    0 to point
    false dup to event? to riders-started
;

: to-radar
    "radar" field@ "addMarker" { int.class int.class int.class } jexec
;

: x@ 0 rl@ ;
: y@ 1 rl@ ;
: z@ 2 rl@ ;
: pmq@ 3 rl@ ;

forth:: bypass_nextpoint
    >string way-points swap m@
    >r
    980 player@ inventory? pmq@ = if
    x@ y@ z@ player@ "radar" field@ "addMarker" { int.class int.class int.class } jexec
    x@ to last-x
    y@ to last-y
    z@ to last-z
    1 980 items_add
    point 1+ to point
    then
    rdrop
;

forth:: bypass_ridersaward
    980 player@ inventory? 8 = if
    riders-racers ['] unride do-list
    7 980 items_remove
    1 4424 items_add
    "Winner is " player@ "Name" p@ s+ announce
    ride-stop exit
    then "Not enough points makrs" .
;

: start-line
    { 736 1538 1829 1830 3958 4677 5858 5859 } ['] items:remove-all do-list
    83094 148394 -3468 player@ "radar" field@ "addMarker" { int.class int.class int.class } jexec
;

: addpoint
    1 980 items_add
;

forth:: go!!
	true to runners
    riders-racers ['] start-line do-list
    strider riders-racers ['] ride p-do-list
;

: ride-check ( digit 10 = allowed racers to autostart )
    reg-ride 0= if rdrop exit then
    riders-racers list# 10 = if
    "Race will begin after 30 seconds!" announce
    "go!!" 30000 timer-start drop
    0 to reg-ride
    "Only 10 racers allowed. Wait next race" . rdrop exit then
;

forth:: use-item-980
        runners not if "Race not started!" .
        else strider player@ ride
    last-x last-y last-z player@ "radar" field@ "addMarker" { int.class int.class int.class } jexec
    drop
    then
;


:noname
    "Damned killer " killer s+ announce
    riders-spawned-list npc-list-unspawn
    new-list to riders-spawned-list
    riders-spawnlist npc-list-spawn to riders-spawned-list
; { 31863 30947 31040 30934 30928 31041 31002 30930 } ['] npc-die+! p-do-list

: npc-31854
    riders-started not if "<br>Races not started"
    else "<br>[jbf_team|I want to be a racer!]<br>" then

;

['] npc-31854 31854 npc-dialog+

forth:: bypass_team
    ride-check
    player@ riders-racers in-list? if "Do you have a twine?" . drop exit then
    player@ dup riders-racers list+
    s+ " in race!" s+ announce
    1 980 items_add
;

: npc-31863
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 1|Point]<br>" then
;

['] npc-31863 31863 npc-dialog+

: npc-30947
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 2|Point]<br>" then
;

['] npc-30947 30947 npc-dialog+

: npc-31040
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 3|Point]<br>" then
;

['] npc-31040 31040 npc-dialog+

: npc-30934
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 4|Point]<br>" then
;

['] npc-30934 30934 npc-dialog+

: npc-30928
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 5|Point]<br>" then
;

['] npc-30928 30928 npc-dialog+

: npc-31041
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 6|Point]<br>" then
;

['] npc-31041 31041 npc-dialog+

: npc-31002
    runners not if "<br>Races not started"
    else "<br>[jbf_nextpoint 7|Point]<br>" then
;

['] npc-31002 31002 npc-dialog+

: npc-30930
    runners not if "<br>Races not started"
    else "<br>[jbf_ridersaward|Finish]<br>" then
;

['] npc-30930 30930 npc-dialog+

forth:: admin_events_masterxl_riders
    "events-admin" check-access
    '<html><body><font color="LEVEL">"Riders Event"</font><br>'
    '<a action="bypass -h forth events masterxl riders ride-start">Start event</a><br>' s+
    '<a action="bypass -h forth events masterxl riders ride-stop">Stop event</a><br>' s+
    '</body></html>' s+
    show
;
"Riders Event" "admin_events_masterxl_riders" admin-event+

;module
