module: worldtree:
stats: also

null value TmpHash
null value TmpName
null value TmpTerr
null value TmpRace

null value MnBonus 
null value HpBonus

null value entering_message_no
null value leaving_message_no 

: sendMessage ( code -- )
	new-SystemMessage player@ p.send-packet
;

: race  ( -- )  
	player? unless false exit then
	self 'Race' p@ >string 
;

: raceEnable? ( race -- )
	dup race = boolean swap "all" = boolean or boolean dup if exit then boolean
;

: CreateFuncBonus ( -- FuncBase FuncBase )
	>r "Add" REGENERATE_HP_RATE 96 r> createFunc.base
	swap >r "Add" REGENERATE_MP_RATE 96 r> createFunc.base
;

: make-terr-wordtree ( hash name -- )
	to TmpName
	to TmpHash
	\ set default bonus
	2 to MnBonus 
	1 to HpBonus
	\ set default messages
	1054 to entering_message_no
	1055 to leaving_message_no 

	TmpHash "affect_race" m@ to TmpRace
	TmpHash "mn_regen_bonus" m@ ?dup null? not if int to MnBonus then 
	TmpHash "hp_regen_bonus" m@ ?dup null? not if int to HpBonus then
	TmpHash "entering_message_no" m@ ?dup null? not if int to entering_message_no then
	TmpHash "leaving_message_no" m@ ?dup null? not if int to leaving_message_no then
 
	{ TmpHash "range" m@ list> drop TmpName } points>territory to TmpTerr 
 
	" 0 uvalue [ TmpName  ]-hp-func " parse eval
	" 0 uvalue [ TmpName  ]-mp-func " parse eval
	" null uvalue [ TmpName  ]-activated? " parse eval


	": [ TmpName ]-enter  ( -- ) " parse
		'"' s+ "[ TmpRace ]" parse s+ '"' s+ "  raceEnable? unless exit then " parse s+
		" [ TmpName ]-activated? if exit then " parse s+
		" true to [ TmpName ]-activated? " parse s+
		" [ HpBonus ] [ MnBonus ] " parse s+
		" CreateFuncBonus " parse s+
		" to [ TmpName ]-mp-func " parse s+
		" to [ TmpName ]-hp-func " parse s+
		" [ TmpName ]-hp-func self c.addFunc " parse  s+
		" [ TmpName ]-mp-func self c.addFunc " parse  s+
		" self c.sendChanges " parse s+
		" [ entering_message_no ] sendMessage " parse s+
	";" s+
	eval
 
	": [ TmpName ]-leave  ( -- ) " parse
 		'"' s+ "[ TmpRace ]" parse s+ '"' s+ "  raceEnable? unless exit then " parse s+ 	 
  		" [ TmpName ]-activated? unless exit then " parse s+
		" false to [ TmpName ]-activated? " parse s+
		" [ TmpName ]-hp-func self c.removeFunc " parse s+
 		" [ TmpName ]-mp-func self c.removeFunc " parse s+
 		" 0 to [ TmpName ]-hp-func " parse s+
 		" self c.sendChanges " parse s+
		" [ leaving_message_no ] sendMessage " parse s+
	";" s+ 
	eval
    
	"[']" " [ TmpName ]-enter TmpTerr " parse '"setEnterWord"' s+ " 1 jexec " s+
	s+
	eval

	"['] " " [ TmpName ]-leave TmpTerr " parse  '"setLeaveWord"' s+ " 1 jexec " s+
	s+ 
	eval
;


_list.f ['] make-terr-wordtree do-hashmap

previous

;module