module: swamp:
stats: also

null value TmpHash
null value TmpName
null value TmpTerr
"all" value TmpRace

-50 value RunSpeedBonus

: race  ( -- )  
	player? unless false exit then
	self 'Race' p@ >string 
;

: raceEnable? ( race -- )
	dup race = boolean swap "all" = boolean or boolean dup if exit then boolean
;

: CreateFuncBonus ( -- FuncBase FuncBase )
	>r "Add" RUN_SPEED 96 r> createFunc.base
;

: make-terr-swamp ( hash name -- )
	to TmpName
	to TmpHash
	TmpHash "move_bonus" m@ dup null? not if int to RunSpeedBonus then 
	{ TmpHash "range" m@ list> drop TmpName } points>territory to TmpTerr 
 
	" 0 uvalue [ TmpName  ]-speed-func " parse eval
	" null uvalue [ TmpName  ]-activated? " parse eval

	": [ TmpName ]-enter ( -- ) " parse
		'"' s+ "[ TmpRace ]" parse s+ '"' s+ "  raceEnable? unless exit then " parse s+
		" [ TmpName ]-activated? if exit then " parse s+
		" true to [ TmpName ]-activated? " parse s+
		" [ RunSpeedBonus ] " parse s+
		" CreateFuncBonus " parse s+
		" to [ TmpName ]-speed-func " parse s+
		" [ TmpName ]-speed-func self c.addFunc " parse s+
		" self c.sendChanges " parse s+
		'"Enter the in slow zone"' s+ " type " s+
	";" s+  
	eval
 
	": [ TmpName ]-leave  ( -- ) " parse
		'"' s+ "[ TmpRace ]" parse s+ '"' s+ " raceEnable? unless exit then " parse s+ 	 
		" [ TmpName ]-activated? unless exit then " parse s+
		" false to [ TmpName ]-activated? " parse s+
		" [ TmpName ]-speed-func self c.removeFunc " parse s+
		" 0 to [ TmpName ]-speed-func " parse s+
		" self c.sendChanges " parse s+
		' "Exit the out slow zone"' s+ " type " s+
	";" s+
	eval

	"['] " " [ TmpName ]-enter TmpTerr " parse '"setEnterWord"' s+ " 1 jexec " s+
	s+
	eval

	"['] " " [ TmpName ]-leave TmpTerr " parse '"setLeaveWord"' s+ " 1 jexec " s+
	s+
	eval
;

_list1.f ['] make-terr-swamp do-hashmap

previous
;module
