import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

MUNITIONS_BOX = 7232

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31296-2.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
   elif event == "31258-2.htm" :
      st.set("cond","2")
      st.giveItems(MUNITIONS_BOX,1)
      st.playSound("ItemSound.quest_accept")
   elif event == "31378-2.htm" :
      st.takeItems(MUNITIONS_BOX,1)
      st.addExpAndSp(79761,0)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31296 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 74 :
               htmltext = "31296-1.htm"
            else :
               htmltext = "31296-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 :
         htmltext = "31296-2r.htm"
   elif npcId == 31258 :
      if cond == 1 :
         htmltext = "31258-1.htm"
      elif cond == 2 :
         htmltext = "31258-2r.htm"
   elif npcId == 31378 :
      if cond == 2 and st.getQuestItemsCount(MUNITIONS_BOX) == 1 :
         htmltext = "31378-1.htm"
   return htmltext

QUEST       = Quest(12,"12_SecretMeetingWithVarkaSilenos","Secret Meeting With Varka Silenos")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31296)
CREATED.addTalkId(31296)
STARTED.addTalkId(31296)
COMPLETED.addTalkId(31296)
STARTED.addTalkId(31258)
STARTED.addTalkId(31378)

STARTED.addQuestDrop(31258,MUNITIONS_BOX,1)

print "importing quests: 12: Secret Meeting With Varka Silenos"