# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

FOX_FUR_ID = 1032
FOX_FUR_YARN_ID = 1033
MAIDEN_DOLL_ID = 1034
MYSTICS_EARRING_ID = 113

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("id","0")
        htmltext = "30312-04.htm"
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30312 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
        if int(st.get("cond"))<15 :
          if st.getPlayer().getLevel() >= 2 :
            htmltext = "30312-03.htm"
            return htmltext
          else:
            htmltext = "30312-02.htm"
            st.exitCurrentQuest(True)
        else:
          htmltext = "30312-02.htm"
          st.exitCurrentQuest(True)
   elif npcId == 30312 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
        htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30312 and int(st.get("cond"))==1 and (st.getQuestItemsCount(FOX_FUR_YARN_ID)==0 and st.getQuestItemsCount(MAIDEN_DOLL_ID)==0) and st.getQuestItemsCount(FOX_FUR_ID)<10 :
        htmltext = "30312-05.htm"
   elif npcId == 30312 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_ID)>=10 :
        htmltext = "30312-08.htm"
   elif npcId == 30051 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_ID)<10 and st.getQuestItemsCount(FOX_FUR_ID)>0 :
        htmltext = "30051-01.htm"
   elif npcId == 30051 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_ID)>=10 and st.getQuestItemsCount(FOX_FUR_YARN_ID)==0 and st.getQuestItemsCount(MAIDEN_DOLL_ID)==0 and st.getQuestItemsCount(MAIDEN_DOLL_ID)<10 :
        htmltext = "30051-02.htm"
        st.giveItems(FOX_FUR_YARN_ID,1)
        st.takeItems(FOX_FUR_ID,st.getQuestItemsCount(FOX_FUR_ID))
   elif npcId == 30051 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_YARN_ID)>=1 :
        htmltext = "30051-03.htm"
   elif npcId == 30051 and int(st.get("cond"))==1 and st.getQuestItemsCount(MAIDEN_DOLL_ID)==1 :
        htmltext = "30051-04.htm"
   elif npcId == 30312 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_YARN_ID)>=1 :
        htmltext = "30312-06.htm"
   elif npcId == 30055 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_YARN_ID)>=1 :
        htmltext = "30055-01.htm"
        st.giveItems(MAIDEN_DOLL_ID,1)
        st.takeItems(FOX_FUR_YARN_ID,st.getQuestItemsCount(FOX_FUR_YARN_ID))
   elif npcId == 30055 and int(st.get("cond"))==1 and st.getQuestItemsCount(MAIDEN_DOLL_ID)>=1 :
        htmltext = "30055-02.htm"
   elif npcId == 30055 and int(st.get("cond"))==1 and st.getQuestItemsCount(FOX_FUR_YARN_ID)==0 and st.getQuestItemsCount(MAIDEN_DOLL_ID)==0 :
        htmltext = "30055-03.htm"
   elif npcId == 30312 and int(st.get("cond"))==1 and st.getQuestItemsCount(MAIDEN_DOLL_ID)>=1 and int(st.get("onlyone"))==0 :
      if int(st.get("id")) != 154 :
        st.set("id","154")
        htmltext = "30312-07.htm"
        st.takeItems(MAIDEN_DOLL_ID,st.getQuestItemsCount(MAIDEN_DOLL_ID))
        st.giveItems(MYSTICS_EARRING_ID,1)
        st.addExpAndSp(100,0)
        st.set("cond","0")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
        st.set("onlyone","1")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId in [ 20481 , 20545 ] :
        st.set("id","0")
        if int(st.get("cond")) == 1 and st.getQuestItemsCount(FOX_FUR_ID)<10 and st.getQuestItemsCount(FOX_FUR_YARN_ID) == 0 :
          if st.getRandom(10)<4 :
            st.giveItems(FOX_FUR_ID,1)
            if st.getQuestItemsCount(FOX_FUR_ID) == 10 :
              st.playSound("ItemSound.quest_middle")
            else:
              st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(154,"154_SacrificeToSea","Sacrifice To Sea")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30312)

STARTING.addTalkId(30312)

STARTED.addTalkId(30051)
STARTED.addTalkId(30055)
STARTED.addTalkId(30312)

STARTED.addKillId(20481)
STARTED.addKillId(20545)

STARTED.addQuestDrop(20481,FOX_FUR_ID,1)
STARTED.addQuestDrop(20545,FOX_FUR_ID,1)
STARTED.addQuestDrop(30051,FOX_FUR_YARN_ID,1)
STARTED.addQuestDrop(30055,MAIDEN_DOLL_ID,1)

print "importing quests: 154: Sacrifice To Sea"
