# Maked by Mr. Have fun! Version 0.2
# version 0.3 - fixed on 2005.11.08

import sys
from l2f.gameserver.model.quest        import State
from l2f.gameserver.model.quest        import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

ADENA_ID           = 57
PLAGUE_DUST_ID     = 1035
HYACINTH_CHARM1_ID = 1071
HYACINTH_CHARM2_ID = 1072

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("cond","1")
        st.set("id","0")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        if st.getQuestItemsCount(HYACINTH_CHARM1_ID) == 0 : st.giveItems(HYACINTH_CHARM1_ID,1)
        htmltext = "30154-04.htm"
    return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you.</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30154 and int(st.get("cond")) == 0 and int(st.get("onlyone")) == 0 :
        if int(st.get("cond")) < 15 :
          if st.getPlayer().getRace().ordinal() != 1 :
            htmltext = "30154-00.htm"
          elif st.getPlayer().getLevel() >= 12 :
            htmltext = "30154-03.htm"
            return htmltext
          else:
            st.exitCurrentQuest(True)
        else:
          htmltext = "30154-02.htm"
          st.exitCurrentQuest(True)
   elif npcId == 30154 and int(st.get("cond")) == 0 and int(st.get("onlyone")) == 1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30154 and int(st.get("cond")) != 0 and st.getQuestItemsCount(HYACINTH_CHARM1_ID) != 0 and st.getQuestItemsCount(PLAGUE_DUST_ID) == 0 :
        htmltext = "30154-05.htm"
   elif npcId == 30154 and int(st.get("cond")) != 0 and st.getQuestItemsCount(HYACINTH_CHARM1_ID) != 0 and st.getQuestItemsCount(PLAGUE_DUST_ID) != 0 :
        st.takeItems(PLAGUE_DUST_ID,st.getQuestItemsCount(PLAGUE_DUST_ID))
        st.takeItems(HYACINTH_CHARM1_ID,st.getQuestItemsCount(HYACINTH_CHARM1_ID))
        if st.getQuestItemsCount(HYACINTH_CHARM2_ID) == 0 : st.giveItems(HYACINTH_CHARM2_ID,1)
        htmltext = "30154-06.htm"
   elif npcId == 30154 and int(st.get("cond")) != 0 and st.getQuestItemsCount(HYACINTH_CHARM2_ID) != 0 and st.getQuestItemsCount(PLAGUE_DUST_ID) < 5 :
        htmltext = "30154-07.htm"
   elif npcId == 30154 and int(st.get("cond")) != 0 and st.getQuestItemsCount(HYACINTH_CHARM2_ID) != 0 and st.getQuestItemsCount(PLAGUE_DUST_ID) >= 5 and int(st.get("onlyone")) == 0 :
        if int(st.get("id")) != 159 :
          st.set("id","159")
          st.takeItems(PLAGUE_DUST_ID,st.getQuestItemsCount(PLAGUE_DUST_ID))
          st.takeItems(HYACINTH_CHARM2_ID,st.getQuestItemsCount(HYACINTH_CHARM2_ID))
          st.giveItems(ADENA_ID,18250)
          htmltext = "30154-08.htm"
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.set("onlyone","1")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 27017 :
        st.set("id","0")
        if int(st.get("cond")) and st.getQuestItemsCount(HYACINTH_CHARM2_ID) and st.getRandom(100) < 40 and st.getQuestItemsCount(PLAGUE_DUST_ID) < 5 :
            if st.getQuestItemsCount(PLAGUE_DUST_ID) == 4 :
              st.giveItems(PLAGUE_DUST_ID,1)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(PLAGUE_DUST_ID,1)
              st.playSound("ItemSound.quest_itemget")
        if int(st.get("cond")) and st.getQuestItemsCount(HYACINTH_CHARM1_ID) and st.getRandom(100) < 40 and st.getQuestItemsCount(PLAGUE_DUST_ID) == 0 :
            st.giveItems(PLAGUE_DUST_ID,1)
            st.playSound("ItemSound.quest_middle")
   return

QUEST     = Quest(159,"159_ProtectHeadsprings","Protect Headsprings")
CREATED   = State('Start',     QUEST)
STARTING  = State('Starting',  QUEST)
STARTED   = State('Started',   QUEST)
COMPLETED = State('Completed', QUEST)
ABORTED   = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30154)

STARTING.addTalkId(30154)

STARTED.addTalkId(30154)

STARTED.addKillId(27017)

STARTED.addQuestDrop(27017,PLAGUE_DUST_ID,1)
STARTED.addQuestDrop(27017,PLAGUE_DUST_ID,1)
STARTED.addQuestDrop(27017,PLAGUE_DUST_ID,1)
STARTED.addQuestDrop(30154,HYACINTH_CHARM1_ID,1)
STARTED.addQuestDrop(30154,HYACINTH_CHARM2_ID,1)

print "importing quests: 159: Protect Headsprings"
