import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31302-02.htm" :
       st.set("cond","1")
       st.setState(STARTED)
       st.playSound("ItemSound.quest_accept")
    elif event == "31518-02.htm" :
       st.set("cond","2")
    elif event == "31517-02.htm" :
       st.addExpAndSp(88000,0) 
       st.set("cond","0")
       st.setState(COMPLETED)
       st.playSound("ItemSound.quest_finish")
    return htmltext

 def onTalk (Self,npc,st) :
   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31302 :
      if cond == 0 :
         if id != COMPLETED :
	    if st.getPlayer().getLevel() >= 60 :
               htmltext = "31302-01.htm"
            else :
               htmltext = "31302-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond >= 1 :
         htmltext = "31302-02r.htm"
   elif npcId == 31518 :
      if cond == 1 :
         htmltext = "31518-01.htm"
      elif cond == 2 :
         htmltext = "31518-02r.htm"
   elif npcId == 31517 :
      if cond == 2 :
         htmltext = "31517-01.htm"
   return htmltext

QUEST       = Quest(15,"15_SweetWhispers","Sweet Whispers")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31302)

COMPLETED.addTalkId(31302)

STARTED.addTalkId(31302)
STARTED.addTalkId(31517)
STARTED.addTalkId(31518)

print "importing quests: 15: Sweet Whispers"