# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

DARK_BEZOAR_ID = 1160
LESSER_HEALING_POTION_ID = 1060

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30348-03.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30348 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
      if int(st.get("cond"))<15 :
        if st.getPlayer().getRace().ordinal() != 2 :
          htmltext = "30348-00.htm"
        elif st.getPlayer().getLevel() >= 3 :
          htmltext = "30348-02.htm"
          return htmltext
        else:
          htmltext = "30348-01.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30348-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30348 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30348 and int(st.get("cond"))==1 :
      if st.getQuestItemsCount(DARK_BEZOAR_ID)<13 :
        htmltext = "30348-04.htm"
      elif st.getQuestItemsCount(DARK_BEZOAR_ID) >= 13 and int(st.get("onlyone")) == 0 :
          if int(st.get("id")) != 165 :
            st.set("id","165")
            htmltext = "30348-05.htm"
            st.takeItems(DARK_BEZOAR_ID,st.getQuestItemsCount(DARK_BEZOAR_ID))
            st.giveItems(LESSER_HEALING_POTION_ID,5)
            st.addExpAndSp(1000,0)
            st.setState(COMPLETED)
            st.unset("cond")
            st.set("onlyone","1")
            st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId in [ 20529,20532,20536,20456 ] :
        st.set("id","0")
        if int(st.get("cond")) == 1 :
          if st.getRandom(10)<4 and st.getQuestItemsCount(DARK_BEZOAR_ID)<13 :
            st.giveItems(DARK_BEZOAR_ID,1)
            if st.getQuestItemsCount(DARK_BEZOAR_ID) == 13 :
              st.set("cond","2")
              st.playSound("ItemSound.quest_middle")
            else:
              st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(165,"165_ShilensHunt","Shilen's Hunt")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30348)

STARTING.addTalkId(30348)

STARTED.addTalkId(30348)

STARTED.addKillId(20456)
STARTED.addKillId(20529)
STARTED.addKillId(20532)
STARTED.addKillId(20536)

STARTED.addQuestDrop(20529,DARK_BEZOAR_ID,1)
STARTED.addQuestDrop(20532,DARK_BEZOAR_ID,1)
STARTED.addQuestDrop(20536,DARK_BEZOAR_ID,1)
STARTED.addQuestDrop(20456,DARK_BEZOAR_ID,1)

print "importing quests: 165: Shilen's Hunt"
