# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

UNDRES_LETTER_ID = 1088
CEREMONIAL_DAGGER_ID = 1089
DREVIANT_WINE_ID = 1090
GARMIELS_SCRIPTURE_ID = 1091
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      htmltext = "30130-04.htm"
      st.giveItems(UNDRES_LETTER_ID,1)
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30130 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
      if int(st.get("cond"))<15 :
        if st.getPlayer().getRace().ordinal() != 2 and st.getPlayer().getRace().ordinal() != 0 :
          htmltext = "30130-00.htm"
        elif st.getPlayer().getLevel() >= 2 :
          htmltext = "30130-03.htm"
          return htmltext
        else:
          htmltext = "30130-02.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30130-02.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30130 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30130 and int(st.get("cond"))==1 and st.getQuestItemsCount(UNDRES_LETTER_ID)==1 and (st.getQuestItemsCount(GARMIELS_SCRIPTURE_ID)<1 or st.getQuestItemsCount(DREVIANT_WINE_ID)<1 or st.getQuestItemsCount(CEREMONIAL_DAGGER_ID)<1) :
      htmltext = "30130-05.htm"
   elif npcId == 30135 and int(st.get("cond"))==1 and st.getQuestItemsCount(UNDRES_LETTER_ID)==1 and st.getQuestItemsCount(CEREMONIAL_DAGGER_ID)==0 :
      st.giveItems(CEREMONIAL_DAGGER_ID,1)
      htmltext = "30135-01.htm"
   elif npcId == 30135 and int(st.get("cond"))==1 and st.getQuestItemsCount(CEREMONIAL_DAGGER_ID)==1 :
      htmltext = "30135-02.htm"
   elif npcId == 30139 and int(st.get("cond"))==1 and st.getQuestItemsCount(UNDRES_LETTER_ID)==1 and st.getQuestItemsCount(DREVIANT_WINE_ID)==0 :
      st.giveItems(DREVIANT_WINE_ID,1)
      htmltext = "30139-01.htm"
   elif npcId == 30139 and int(st.get("cond"))==1 and st.getQuestItemsCount(DREVIANT_WINE_ID)==1 :
      htmltext = "30139-02.htm"
   elif npcId == 30143 and int(st.get("cond"))==1 and st.getQuestItemsCount(UNDRES_LETTER_ID)==1 and st.getQuestItemsCount(GARMIELS_SCRIPTURE_ID)==0 :
      st.giveItems(GARMIELS_SCRIPTURE_ID,1)
      htmltext = "30143-01.htm"
   elif npcId == 30143 and int(st.get("cond"))==1 and st.getQuestItemsCount(GARMIELS_SCRIPTURE_ID)==1 :
      htmltext = "30143-02.htm"
   elif npcId == 30130 and int(st.get("cond"))==1 and st.getQuestItemsCount(UNDRES_LETTER_ID)==1 and st.getQuestItemsCount(CEREMONIAL_DAGGER_ID)==1 and st.getQuestItemsCount(DREVIANT_WINE_ID)==1 and st.getQuestItemsCount(GARMIELS_SCRIPTURE_ID)==1 and int(st.get("onlyone"))==0 :
      if int(st.get("id")) != 166 :
        st.set("id","166")
        htmltext = "30130-06.htm"
        st.takeItems(CEREMONIAL_DAGGER_ID,1)
        st.takeItems(DREVIANT_WINE_ID,1)
        st.takeItems(GARMIELS_SCRIPTURE_ID,1)
        st.takeItems(UNDRES_LETTER_ID,1)
        st.giveItems(ADENA_ID,500)
        st.addExpAndSp(500,0)
        st.set("cond","0")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
        st.set("onlyone","1")
   return htmltext

QUEST       = Quest(166,"166_DarkMass","Dark Mass")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30130)

STARTING.addTalkId(30130)

STARTED.addTalkId(30130)
STARTED.addTalkId(30135)
STARTED.addTalkId(30139)
STARTED.addTalkId(30143)


STARTED.addQuestDrop(30135,CEREMONIAL_DAGGER_ID,1)
STARTED.addQuestDrop(30139,DREVIANT_WINE_ID,1)
STARTED.addQuestDrop(30143,GARMIELS_SCRIPTURE_ID,1)
STARTED.addQuestDrop(30130,UNDRES_LETTER_ID,1)

print "importing quests: 166: Dark Mass"
