import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31517-02.htm" :
      st.setState(STARTED)
      st.set("cond","1")
      st.giveItems(7167,4)
      st.playSound("ItemSound.quest_accept")
    elif event == "31512-02.htm" :
      st.takeItems(7167,1)
      st.set("cond","2")
      st.playSound("ItemSound.quest_middle")
    elif event == "31513-02.htm" :
      st.takeItems(7167,1)
      st.set("cond","3")
      st.playSound("ItemSound.quest_middle")
    elif event == "31514-02.htm" :
      st.takeItems(7167,1)
      st.set("cond","4")
      st.playSound("ItemSound.quest_middle")
    elif event == "31515-02.htm" :
      st.takeItems(7167,1)
      st.set("cond","5")
      st.playSound("ItemSound.quest_middle")
    elif event == "31516-02.htm" :
      st.takeItems(7167,1)
      st.set("cond","6")
      st.playSound("ItemSound.quest_middle")

    return htmltext

 def onTalk (Self,npc,st) :
   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31517 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 61 :
               htmltext = "31517-01.htm"
            else :
               htmltext = "31517-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond > 0 and cond < 6 and st.getQuestItemsCount(7167) > 0 :
         htmltext = "31517-02r.htm"
      elif cond > 0 and cond < 6 and st.getQuestItemsCount(7167) == 0 :
         htmltext = "31517-proeb.htm"
         st.set("cond","0")
         st.setState(COMPLETED)
      elif cond == 6 and st.getQuestItemsCount(7167) == 0 :
         htmltext = "31517-03.htm"
         st.addExpAndSp(221958,0) 
         st.set("cond","0")
         st.setState(COMPLETED)
         st.playSound("ItemSound.quest_finish")
   elif npcId == 31512 :
      if cond == 1 :
         if st.getQuestItemsCount(7167) != 0 :
            htmltext = "31512-01.htm"
         else :
            htmltext = "31512-03.htm"
      elif cond == 2 :
         htmltext = "31512-04.htm"
   elif npcId == 31513 :
      if cond == 2 :
         if st.getQuestItemsCount(7167) != 0 :
            htmltext = "31513-01.htm"
         else :
            htmltext = "31513-03.htm"
      elif cond == 3 :
         htmltext = "31513-04.htm"
   elif npcId == 31514 :
      if cond == 3 :
         if st.getQuestItemsCount(7167) != 0 :
            htmltext = "31514-01.htm"
         else :
            htmltext = "31514-03.htm"
      elif cond == 4 :
         htmltext = "31514-04.htm"
   elif npcId == 31515 :
      if cond == 4 :
         if st.getQuestItemsCount(7167) != 0 :
            htmltext = "31515-01.htm"
         else :
            htmltext = "31515-03.htm"
      elif cond == 5 :
         htmltext = "31515-04.htm"
   elif npcId == 31516 :
      if cond == 5 :
         if st.getQuestItemsCount(7167) != 0 :
            htmltext = "31516-01.htm"
         else :
            htmltext = "31516-03.htm"
      elif cond == 6 :
         htmltext = "31516-04.htm"
   return htmltext

QUEST       = Quest(16,"16_TheComingDarkness","The Coming Darkness")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31517)

STARTED.addTalkId(31517)
COMPLETED.addTalkId(31517)

STARTED.addTalkId(31512)
STARTED.addTalkId(31513)
STARTED.addTalkId(31514)
STARTED.addTalkId(31515)
STARTED.addTalkId(31516)

STARTED.addQuestDrop(31517,7167,1)

print "importing quests: 16: The Coming Darkness"