# Maked by Mr. Have fun! Version 0.2
# Last Update by Artful at 2005-11-10
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

MARK_OF_CHAMPION_ID = 3276
ASCALONS_LETTER1_ID = 3277
MASONS_LETTER_ID = 3278
IRON_ROSE_RING_ID = 3279
ASCALONS_LETTER2_ID = 3280
WHITE_ROSE_INSIGNIA_ID = 3281
GROOTS_LETTER_ID = 3282
ASCALONS_LETTER3_ID = 3283
MOUENS_ORDER1_ID = 3284
MOUENS_ORDER2_ID = 3285
MOUENS_LETTER_ID = 3286
HARPYS_EGG1_ID = 3287
MEDUSA_VENOM1_ID = 3288
WINDSUS_BILE1_ID = 3289
BLOODY_AXE_HEAD_ID = 3290
ROAD_RATMAN_HEAD_ID = 3291
LETO_LIZARDMAN_FANG1_ID = 3292

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      htmltext = "30624-06.htm"
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      st.giveItems(ASCALONS_LETTER1_ID,1)
    elif event == "30624_1" :
      htmltext = "30624-05.htm"
    elif event == "30624_2" :
      htmltext = "30624-10.htm"
      st.takeItems(MASONS_LETTER_ID,st.getQuestItemsCount(MASONS_LETTER_ID))
      st.giveItems(ASCALONS_LETTER2_ID,1)
    elif event == "30624_3" :
      htmltext = "30624-14.htm"
      st.takeItems(GROOTS_LETTER_ID,st.getQuestItemsCount(GROOTS_LETTER_ID))
      st.giveItems(ASCALONS_LETTER3_ID,1)
    elif event == "30625_1" :
      htmltext = "30625-02.htm"
    elif event == "30625_2" :
      htmltext = "30625-03.htm"
      st.takeItems(ASCALONS_LETTER1_ID,st.getQuestItemsCount(ASCALONS_LETTER1_ID))
      st.giveItems(IRON_ROSE_RING_ID,1)
    elif event == "30093_1" :
      htmltext = "30093-02.htm"
      st.takeItems(ASCALONS_LETTER2_ID,st.getQuestItemsCount(ASCALONS_LETTER2_ID))
      st.giveItems(WHITE_ROSE_INSIGNIA_ID,1)
    elif event == "30196_1" :
      htmltext = "30196-02.htm"
    elif event == "30196_2" :
      htmltext = "30196-03.htm"
      st.takeItems(ASCALONS_LETTER3_ID,st.getQuestItemsCount(ASCALONS_LETTER3_ID))
      st.giveItems(MOUENS_ORDER1_ID,1)
    elif event == "30196_3" :
      htmltext = "30196-06.htm"
      st.takeItems(MOUENS_ORDER1_ID,st.getQuestItemsCount(MOUENS_ORDER1_ID))
      st.takeItems(ROAD_RATMAN_HEAD_ID,st.getQuestItemsCount(ROAD_RATMAN_HEAD_ID))
      st.giveItems(MOUENS_ORDER2_ID,1)
    return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30624 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
     if  st.getPlayer().getClassId().getId() in [0x01,0x2d] :
       if st.getPlayer().getLevel() >= 39 :
         if st.getPlayer().getClassId().getId() == 0x01 :
           htmltext = "30624-03.htm"
         else:
           htmltext = "30624-04.htm"
       else:
         htmltext = "30624-02.htm"
         st.exitCurrentQuest(True)
     else:
       htmltext = "30624-01.htm"
       st.exitCurrentQuest(True)
   elif npcId == 30624 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER1_ID) :
      htmltext = "30624-07.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(IRON_ROSE_RING_ID) :
      htmltext = "30624-08.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(MASONS_LETTER_ID) :
      htmltext = "30624-09.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER2_ID) :
      htmltext = "30624-11.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) :
      htmltext = "30624-12.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(GROOTS_LETTER_ID) :
      htmltext = "30624-13.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER3_ID) :
      htmltext = "30624-15.htm"
   elif npcId == 30624 and int(st.get("cond")) and (st.getQuestItemsCount(MOUENS_ORDER1_ID) or st.getQuestItemsCount(MOUENS_ORDER2_ID)) :
      htmltext = "30624-16.htm"
   elif npcId == 30624 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_LETTER_ID) :
      st.addExpAndSp(36000,4600)
      htmltext = "30624-17.htm"
      st.takeItems(MOUENS_LETTER_ID,st.getQuestItemsCount(MOUENS_LETTER_ID))
      st.giveItems(MARK_OF_CHAMPION_ID,1)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
      st.set("onlyone","1")
   elif npcId == 30625 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER1_ID) :
      htmltext = "30625-01.htm"
   elif npcId == 30625 and int(st.get("cond")) and st.getQuestItemsCount(IRON_ROSE_RING_ID) and st.getQuestItemsCount(BLOODY_AXE_HEAD_ID)<100 :
      htmltext = "30625-04.htm"
   elif npcId == 30625 and int(st.get("cond")) and st.getQuestItemsCount(IRON_ROSE_RING_ID) and st.getQuestItemsCount(BLOODY_AXE_HEAD_ID)>=100 :
      htmltext = "30625-05.htm"
      st.takeItems(BLOODY_AXE_HEAD_ID,st.getQuestItemsCount(BLOODY_AXE_HEAD_ID))
      st.takeItems(IRON_ROSE_RING_ID,st.getQuestItemsCount(IRON_ROSE_RING_ID))
      st.giveItems(MASONS_LETTER_ID,1)
   elif npcId == 30625 and int(st.get("cond")) and st.getQuestItemsCount(MASONS_LETTER_ID) :
      htmltext = "30625-06.htm"
   elif npcId == 30625 and int(st.get("cond")) and (st.getQuestItemsCount(ASCALONS_LETTER2_ID) or st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) or st.getQuestItemsCount(ASCALONS_LETTER2_ID) or st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) or st.getQuestItemsCount(GROOTS_LETTER_ID) or st.getQuestItemsCount(ASCALONS_LETTER3_ID) or st.getQuestItemsCount(MOUENS_ORDER1_ID) or st.getQuestItemsCount(MOUENS_ORDER2_ID) or st.getQuestItemsCount(MOUENS_LETTER_ID) or st.getQuestItemsCount(GROOTS_LETTER_ID)) :
      htmltext = "30625-07.htm"
   elif npcId == 30093 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER2_ID) :
      htmltext = "30093-01.htm"
   elif npcId == 30093 and int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and (st.getQuestItemsCount(HARPYS_EGG1_ID)<30 or st.getQuestItemsCount(MEDUSA_VENOM1_ID)<30 or st.getQuestItemsCount(WINDSUS_BILE1_ID)<30) :
      htmltext = "30093-03.htm"
   elif npcId == 30093 and int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and st.getQuestItemsCount(HARPYS_EGG1_ID)>=30 and st.getQuestItemsCount(MEDUSA_VENOM1_ID)>=30 and st.getQuestItemsCount(WINDSUS_BILE1_ID)>=30 :
      htmltext = "30093-04.htm"
      st.takeItems(WHITE_ROSE_INSIGNIA_ID,st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID))
      st.takeItems(HARPYS_EGG1_ID,st.getQuestItemsCount(HARPYS_EGG1_ID))
      st.takeItems(MEDUSA_VENOM1_ID,st.getQuestItemsCount(MEDUSA_VENOM1_ID))
      st.takeItems(WINDSUS_BILE1_ID,st.getQuestItemsCount(WINDSUS_BILE1_ID))
      st.giveItems(GROOTS_LETTER_ID,1)
   elif npcId == 30093 and int(st.get("cond")) and st.getQuestItemsCount(GROOTS_LETTER_ID) :
      htmltext = "30093-05.htm"
   elif npcId == 30093 and int(st.get("cond")) and (st.getQuestItemsCount(ASCALONS_LETTER3_ID) or st.getQuestItemsCount(MOUENS_ORDER1_ID) or st.getQuestItemsCount(MOUENS_ORDER2_ID) or st.getQuestItemsCount(MOUENS_LETTER_ID)) :
      htmltext = "30093-06.htm"
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(ASCALONS_LETTER3_ID) :
      htmltext = "30196-01.htm"
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER1_ID) and st.getQuestItemsCount(ROAD_RATMAN_HEAD_ID)<100 :
      htmltext = "30196-04.htm"
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER1_ID) and st.getQuestItemsCount(ROAD_RATMAN_HEAD_ID)>=100 :
      htmltext = "30196-05.htm"
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID)<100 :
      htmltext = "30196-07.htm"
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID)>=100 :
      htmltext = "30196-08.htm"
      st.takeItems(MOUENS_ORDER2_ID,st.getQuestItemsCount(MOUENS_ORDER2_ID))
      st.takeItems(LETO_LIZARDMAN_FANG1_ID,st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID))
      st.giveItems(MOUENS_LETTER_ID,1)
   elif npcId == 30196 and int(st.get("cond")) and st.getQuestItemsCount(MOUENS_LETTER_ID) :
      htmltext = "30196-09.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == 20780 :
     if int(st.get("cond")) and st.getQuestItemsCount(IRON_ROSE_RING_ID) and st.getQuestItemsCount(BLOODY_AXE_HEAD_ID) < 100 :
       st.giveItems(BLOODY_AXE_HEAD_ID,1)
       if st.getQuestItemsCount(BLOODY_AXE_HEAD_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20145 :
     if int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and st.getQuestItemsCount(HARPYS_EGG1_ID) < 30 and st.getRandom(2) == 1 :
       st.giveItems(HARPYS_EGG1_ID,1)
       if st.getQuestItemsCount(HARPYS_EGG1_ID) == 30 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 27088 :
     if int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and st.getQuestItemsCount(HARPYS_EGG1_ID) < 30 :
       st.giveItems(HARPYS_EGG1_ID,1)
       if st.getQuestItemsCount(HARPYS_EGG1_ID) == 30 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20158 :
     if int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and st.getQuestItemsCount(MEDUSA_VENOM1_ID) < 30 and st.getRandom(2) == 1 :
       st.giveItems(MEDUSA_VENOM1_ID,1)
       if st.getQuestItemsCount(MEDUSA_VENOM1_ID) == 30 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20553 :
     if int(st.get("cond")) and st.getQuestItemsCount(WHITE_ROSE_INSIGNIA_ID) and st.getQuestItemsCount(WINDSUS_BILE1_ID) < 30 and st.getRandom(2) == 1 :
       st.giveItems(WINDSUS_BILE1_ID,1)
       if st.getQuestItemsCount(WINDSUS_BILE1_ID) == 30 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20551 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER1_ID) and st.getQuestItemsCount(ROAD_RATMAN_HEAD_ID) < 100 :
       st.giveItems(ROAD_RATMAN_HEAD_ID,1)
       if st.getQuestItemsCount(ROAD_RATMAN_HEAD_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_middle")
   elif npcId == 20577 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 and st.getRandom(2) == 1 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20578 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 and st.getRandom(10) < 6 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20579 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 and st.getRandom(10) < 7 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20580 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 and st.getRandom(10) < 8 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20581 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 and st.getRandom(10) < 9 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20582 :
     if int(st.get("cond")) and st.getQuestItemsCount(MOUENS_ORDER2_ID) and st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) < 100 :
       st.giveItems(LETO_LIZARDMAN_FANG1_ID,1)
       if st.getQuestItemsCount(LETO_LIZARDMAN_FANG1_ID) == 100 :
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   return

QUEST       = Quest(223,"223_TestOfChampion","Test Of Champion")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30624)

STARTING.addTalkId(30624)

STARTED.addTalkId(30093)
STARTED.addTalkId(30196)
STARTED.addTalkId(30624)
STARTED.addTalkId(30625)

STARTED.addKillId(20145)
STARTED.addKillId(20158)
STARTED.addKillId(27088)
STARTED.addKillId(27089)
STARTED.addKillId(20551)
STARTED.addKillId(20553)
STARTED.addKillId(20577)
STARTED.addKillId(20578)
STARTED.addKillId(20579)
STARTED.addKillId(20580)
STARTED.addKillId(20581)
STARTED.addKillId(20582)
STARTED.addKillId(20780)

STARTED.addQuestDrop(30625,MASONS_LETTER_ID,1)
STARTED.addQuestDrop(30093,GROOTS_LETTER_ID,1)
STARTED.addQuestDrop(30196,MOUENS_LETTER_ID,1)
STARTED.addQuestDrop(30624,ASCALONS_LETTER1_ID,1)
STARTED.addQuestDrop(30625,IRON_ROSE_RING_ID,1)
STARTED.addQuestDrop(20780,BLOODY_AXE_HEAD_ID,1)
STARTED.addQuestDrop(30093,WHITE_ROSE_INSIGNIA_ID,1)
STARTED.addQuestDrop(20145,HARPYS_EGG1_ID,1)
STARTED.addQuestDrop(27088,HARPYS_EGG1_ID,1)
STARTED.addQuestDrop(20158,MEDUSA_VENOM1_ID,1)
STARTED.addQuestDrop(20553,WINDSUS_BILE1_ID,1)
STARTED.addQuestDrop(30624,ASCALONS_LETTER2_ID,1)
STARTED.addQuestDrop(30624,ASCALONS_LETTER3_ID,1)
STARTED.addQuestDrop(30196,MOUENS_ORDER1_ID,1)
STARTED.addQuestDrop(20551,ROAD_RATMAN_HEAD_ID,1)
STARTED.addQuestDrop(27089,ROAD_RATMAN_HEAD_ID,1)
STARTED.addQuestDrop(30196,MOUENS_ORDER2_ID,1)
STARTED.addQuestDrop(20577,LETO_LIZARDMAN_FANG1_ID,1)
STARTED.addQuestDrop(20578,LETO_LIZARDMAN_FANG1_ID,1)
STARTED.addQuestDrop(20579,LETO_LIZARDMAN_FANG1_ID,1)
STARTED.addQuestDrop(20580,LETO_LIZARDMAN_FANG1_ID,1)
STARTED.addQuestDrop(20581,LETO_LIZARDMAN_FANG1_ID,1)
STARTED.addQuestDrop(20582,LETO_LIZARDMAN_FANG1_ID,1)

print "importing quests: 223: Test Of Champion"
