# Maked by Mr. Have fun! Version 0.2
# Last Update by Artful at 2005-11-09
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

RECOMMENDATION_OF_BALANKI_ID = 2864
RECOMMENDATION_OF_FILAUR_ID = 2865
RECOMMENDATION_OF_ARIN_ID = 2866
MARK_OF_MAESTRO_ID = 2867
LETTER_OF_SOLDER_DETACHMENT_ID = 2868
PAINT_OF_KAMURU_ID = 2869
NECKLACE_OF_KAMURU_ID = 2870
PAINT_OF_TELEPORT_DEVICE_ID = 2871
TELEPORT_DEVICE_ID = 2872
ARCHITECTURE_OF_KRUMA_ID = 2873
REPORT_OF_KRUMA_ID = 2874
INGREDIENTS_OF_ANTIDOTE_ID = 2875
WEIRD_BEES_NEEDLE_ID = 2876
MARSH_SPIDERS_WEB_ID = 2877
BLOOD_OF_LEECH_ID = 2878
BERNARDS_INTRODUCTION_ID = 3294
LETTER_OF_HAMIL3_ID = 3297
HUNTERS_RUNE2_ID = 3299
MARK_OF_SAGITTARIUS_ID = 3293
CRESCENT_MOON_BOW_ID = 3028
TALISMAN_OF_KADESH_ID = 3300
BLOOD_OF_LIZARDMAN_ID = 3306
LETTER_OF_HAMIL1_ID = 3295
LETTER_OF_HAMIL2_ID = 3296
HUNTERS_RUNE1_ID = 3298
TALISMAN_OF_SNAKE_ID = 3301
MITHRIL_CLIP_ID = 3302
STAKATO_CHITIN_ID = 3303
ST_BOWSTRING_ID = 3304
MANASHENS_HORN_ID = 3305
WOODEN_ARROW_ID = 17

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      htmltext = "30702-04.htm"
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      st.giveItems(BERNARDS_INTRODUCTION_ID,1)
    elif event == "30626_1" :
      htmltext = "30626-02.htm"
    elif event == "30626_2" :
      htmltext = "30626-03.htm"
      st.takeItems(BERNARDS_INTRODUCTION_ID,st.getQuestItemsCount(BERNARDS_INTRODUCTION_ID))
      st.giveItems(LETTER_OF_HAMIL1_ID,1)
      st.set("cond","2")
    elif event == "30626_3" :
      htmltext = "30626-06.htm"
    elif event == "30626_4" :
      htmltext = "30626-07.htm"
      st.takeItems(HUNTERS_RUNE1_ID,st.getQuestItemsCount(HUNTERS_RUNE1_ID))
      st.giveItems(LETTER_OF_HAMIL2_ID,1)
      st.set("cond","5")
    elif event == "30653_1" :
      htmltext = "30653-02.htm"
      st.takeItems(LETTER_OF_HAMIL1_ID,st.getQuestItemsCount(LETTER_OF_HAMIL1_ID))
      st.set("cond","3")
    elif event == "30514_1" :
      htmltext = "30514-02.htm"
      st.takeItems(LETTER_OF_HAMIL2_ID,st.getQuestItemsCount(LETTER_OF_HAMIL2_ID))
      st.set("cond","6")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30702 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
     if  st.getPlayer().getClassId().getId() in [0x07,0x16,0x23] :
       if st.getPlayer().getLevel() >= 39 :
         htmltext = "30702-03.htm"
       else:
         htmltext = "30702-01.htm"
         st.exitCurrentQuest(True)
     else:
       htmltext = "30702-02.htm"
       st.exitCurrentQuest(True)
   elif npcId == 30702 and int(st.get("cond")) == 0 and int(st.get("onlyone")) == 1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30702 and int(st.get("cond")) == 1 and st.getQuestItemsCount(BERNARDS_INTRODUCTION_ID) :
      htmltext = "30702-05.htm"
   elif npcId == 30626 and int(st.get("cond")) == 1 and st.getQuestItemsCount(BERNARDS_INTRODUCTION_ID) :
      htmltext = "30626-01.htm"
   elif npcId == 30626 and int(st.get("cond")) == 2 and st.getQuestItemsCount(LETTER_OF_HAMIL1_ID) :
      htmltext = "30626-04.htm"
   elif npcId == 30626 and int(st.get("cond")) == 4 and st.getQuestItemsCount(HUNTERS_RUNE1_ID)==10 :
      htmltext = "30626-05.htm"
   elif npcId == 30626 and int(st.get("cond")) == 5 and st.getQuestItemsCount(LETTER_OF_HAMIL2_ID) :
      htmltext = "30626-08.htm"
   elif npcId == 30626 and int(st.get("cond")) == 8 :
      htmltext = "30626-09.htm"
      st.giveItems(LETTER_OF_HAMIL3_ID,1)
      st.set("cond","9")
   elif npcId == 30626 and int(st.get("cond")) == 9 and st.getQuestItemsCount(LETTER_OF_HAMIL3_ID) :
      htmltext = "30626-10.htm"
   elif npcId == 30626 and int(st.get("cond")) == 12 and st.getQuestItemsCount(CRESCENT_MOON_BOW_ID) :
      htmltext = "30626-11.htm"
      st.set("cond","13")
   elif npcId == 30626 and int(st.get("cond")) == 13 :
      htmltext = "30626-12.htm"
   elif npcId == 30626 and int(st.get("cond")) == 14 and st.getQuestItemsCount(TALISMAN_OF_KADESH_ID) :
      htmltext = "30626-13.htm"
      st.takeItems(CRESCENT_MOON_BOW_ID,st.getQuestItemsCount(CRESCENT_MOON_BOW_ID))
      st.takeItems(TALISMAN_OF_KADESH_ID,st.getQuestItemsCount(TALISMAN_OF_KADESH_ID))
      st.takeItems(BLOOD_OF_LIZARDMAN_ID,st.getQuestItemsCount(BLOOD_OF_LIZARDMAN_ID))
      st.giveItems(MARK_OF_SAGITTARIUS_ID,1)
      st.addExpAndSp(28000,3600)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
      st.set("onlyone","1")
   elif npcId == 30653 and int(st.get("cond")) == 2 and st.getQuestItemsCount(LETTER_OF_HAMIL1_ID) :
      htmltext = "30653-01.htm"
   elif npcId == 30653 and int(st.get("cond")) == 3 :
      htmltext = "30653-03.htm"
   elif npcId == 30514 and int(st.get("cond")) == 5 and st.getQuestItemsCount(LETTER_OF_HAMIL2_ID) :
      htmltext = "30514-01.htm"
   elif npcId == 30514 and int(st.get("cond")) == 6 :
      htmltext = "30514-03.htm"
   elif npcId == 30514 and int(st.get("cond")) == 7 and st.getQuestItemsCount(TALISMAN_OF_SNAKE_ID) :
      htmltext = "30514-04.htm"
      st.takeItems(TALISMAN_OF_SNAKE_ID,st.getQuestItemsCount(TALISMAN_OF_SNAKE_ID))
      st.set("cond","8")
   elif npcId == 30514 and int(st.get("cond")) == 8 :
      htmltext = "30514-05.htm"
   elif npcId == 30717 and int(st.get("cond")) == 9 and st.getQuestItemsCount(LETTER_OF_HAMIL3_ID) :
      htmltext = "30717-01.htm"
      st.takeItems(LETTER_OF_HAMIL3_ID,st.getQuestItemsCount(LETTER_OF_HAMIL3_ID))
      st.set("cond","10")
   elif npcId == 30717 and int(st.get("cond")) == 10 :
      htmltext = "30717-03.htm"
   elif npcId == 30717 and int(st.get("cond")) == 12 :
      htmltext = "30717-04.htm"
   elif npcId == 30717 and int(st.get("cond")) == 11 and st.getQuestItemsCount(STAKATO_CHITIN_ID) and st.getQuestItemsCount(MITHRIL_CLIP_ID) and st.getQuestItemsCount(ST_BOWSTRING_ID) and st.getQuestItemsCount(MANASHENS_HORN_ID) :
      htmltext = "30717-02.htm"
      st.takeItems(MITHRIL_CLIP_ID,st.getQuestItemsCount(MITHRIL_CLIP_ID))
      st.takeItems(STAKATO_CHITIN_ID,st.getQuestItemsCount(STAKATO_CHITIN_ID))
      st.takeItems(ST_BOWSTRING_ID,st.getQuestItemsCount(ST_BOWSTRING_ID))
      st.takeItems(MANASHENS_HORN_ID,st.getQuestItemsCount(MANASHENS_HORN_ID))
      st.giveItems(CRESCENT_MOON_BOW_ID,1)
      st.giveItems(WOODEN_ARROW_ID,10)
      st.set("cond","12")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId in [20079,20080,20081,20084,20086,20089,20090] :
     if int(st.get("cond")) == 3 and st.getQuestItemsCount(HUNTERS_RUNE1_ID) < 10 and st.getRandom(2) == 1 :
       st.giveItems(HUNTERS_RUNE1_ID,1)
       if st.getQuestItemsCount(HUNTERS_RUNE1_ID) == 10 :
         st.set("cond","4")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId in [20269,20270] :
     if int(st.get("cond")) and int(st.get("cond")) == 6 and st.getQuestItemsCount(HUNTERS_RUNE2_ID) < 10 and st.getRandom(2) == 1 :
       st.giveItems(HUNTERS_RUNE2_ID,1)
       if st.getQuestItemsCount(HUNTERS_RUNE2_ID) == 10 :
         st.takeItems(HUNTERS_RUNE2_ID,10)
         st.giveItems(TALISMAN_OF_SNAKE_ID,1)
         st.set("cond","7")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId in [20230,20232,20234] :
     if int(st.get("cond")) and int(st.get("cond")) == 10 and st.getQuestItemsCount(STAKATO_CHITIN_ID) == 0 and st.getRandom(10) == 1 :
       st.giveItems(STAKATO_CHITIN_ID,1)       
       if st.getQuestItemsCount(MITHRIL_CLIP_ID) and st.getQuestItemsCount(ST_BOWSTRING_ID) and st.getQuestItemsCount(MANASHENS_HORN_ID) :
         st.set("cond","11")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20563 :
     if int(st.get("cond")) and int(st.get("cond")) == 10 and st.getQuestItemsCount(MANASHENS_HORN_ID) == 0 and st.getRandom(10) == 1 :
       st.giveItems(MANASHENS_HORN_ID,1)
       if st.getQuestItemsCount(MITHRIL_CLIP_ID) and st.getQuestItemsCount(ST_BOWSTRING_ID) and st.getQuestItemsCount(STAKATO_CHITIN_ID) :
         st.set("cond","11")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20233 :
     if int(st.get("cond")) and int(st.get("cond")) == 10 and st.getQuestItemsCount(ST_BOWSTRING_ID) == 0 and st.getRandom(10) == 1 :
       st.giveItems(ST_BOWSTRING_ID,1)
       if st.getQuestItemsCount(MITHRIL_CLIP_ID) and st.getQuestItemsCount(MANASHENS_HORN_ID) and st.getQuestItemsCount(STAKATO_CHITIN_ID) :
         st.set("cond","11")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20551 :
     if int(st.get("cond")) and int(st.get("cond")) == 10 and st.getQuestItemsCount(MITHRIL_CLIP_ID) == 0 and st.getRandom(10) == 1 :
       st.giveItems(MITHRIL_CLIP_ID,1)
       if st.getQuestItemsCount(ST_BOWSTRING_ID) and st.getQuestItemsCount(MANASHENS_HORN_ID) and st.getQuestItemsCount(STAKATO_CHITIN_ID) :
         st.set("cond","11")
         st.playSound("Itemsound.quest_middle")
       else:
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 20551 :
     if int(st.get("cond")) and int(st.get("cond")) == 10 and st.getQuestItemsCount(MITHRIL_CLIP_ID) == 0 :
       if st.getRandom(10) == 1 :
         if st.getQuestItemsCount(ST_BOWSTRING_ID) and st.getQuestItemsCount(MANASHENS_HORN_ID) and st.getQuestItemsCount(STAKATO_CHITIN_ID) :
           st.giveItems(MITHRIL_CLIP_ID,1)
           st.set("cond","11")
           st.playSound("Itemsound.quest_middle")
         else:
           st.giveItems(MITHRIL_CLIP_ID,1)
           st.playSound("Itemsound.quest_itemget")
   elif npcId in [20577,20578,20579,20580,20581,20582] :
     if int(st.get("cond")) and int(st.get("cond")) == 13 :
       if ((st.getQuestItemsCount(BLOOD_OF_LIZARDMAN_ID)-120)*5) > st.getRandom(100) :
         st.getPcSpawn().addSpawn(27090)
         st.takeItems(BLOOD_OF_LIZARDMAN_ID,st.getQuestItemsCount(BLOOD_OF_LIZARDMAN_ID))
         st.playSound("Itemsound.quest_before_battle")
       else:
         st.giveItems(BLOOD_OF_LIZARDMAN_ID,1)
         st.playSound("Itemsound.quest_itemget")
   elif npcId == 27090 :
     if int(st.get("cond")) and int(st.get("cond")) == 13 and st.getQuestItemsCount(TALISMAN_OF_KADESH_ID) == 0 :
       if st.getItemEquipped(7) == CRESCENT_MOON_BOW_ID :
         st.giveItems(TALISMAN_OF_KADESH_ID,1)
         st.set("cond","14")
         st.playSound("Itemsound.quest_middle")
       else:
         st.getPcSpawn().addSpawn(27090)
   return

QUEST       = Quest(224,"224_TestOfSagittarius","Test Of Sagittarius")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30702)

STARTING.addTalkId(30702)

STARTED.addTalkId(30514)
STARTED.addTalkId(30626)
STARTED.addTalkId(30653)
STARTED.addTalkId(30702)
STARTED.addTalkId(30717)

STARTED.addKillId(20230)
STARTED.addKillId(20232)
STARTED.addKillId(20233)
STARTED.addKillId(20234)
STARTED.addKillId(20269)
STARTED.addKillId(20270)
STARTED.addKillId(27090)
STARTED.addKillId(20551)
STARTED.addKillId(20563)
STARTED.addKillId(20577)
STARTED.addKillId(20578)
STARTED.addKillId(20579)
STARTED.addKillId(20580)
STARTED.addKillId(20581)
STARTED.addKillId(20582)
STARTED.addKillId(20079)
STARTED.addKillId(20080)
STARTED.addKillId(20081)
STARTED.addKillId(20082)
STARTED.addKillId(20084)
STARTED.addKillId(20086)
STARTED.addKillId(20089)
STARTED.addKillId(20090)

STARTED.addQuestDrop(20269,HUNTERS_RUNE2_ID,1)
STARTED.addQuestDrop(20270,HUNTERS_RUNE2_ID,1)
STARTED.addQuestDrop(30717,CRESCENT_MOON_BOW_ID,1)
STARTED.addQuestDrop(27090,TALISMAN_OF_KADESH_ID,1)
STARTED.addQuestDrop(20577,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(20578,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(20579,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(20580,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(20581,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(20582,BLOOD_OF_LIZARDMAN_ID,1)
STARTED.addQuestDrop(30702,BERNARDS_INTRODUCTION_ID,1)
STARTED.addQuestDrop(20079,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20080,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20081,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20082,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20084,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20086,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20089,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(20090,HUNTERS_RUNE1_ID,1)
STARTED.addQuestDrop(30626,LETTER_OF_HAMIL1_ID,1)
STARTED.addQuestDrop(20269,TALISMAN_OF_SNAKE_ID,1)
STARTED.addQuestDrop(20270,TALISMAN_OF_SNAKE_ID,1)
STARTED.addQuestDrop(30626,LETTER_OF_HAMIL2_ID,1)
STARTED.addQuestDrop(30626,LETTER_OF_HAMIL3_ID,1)
STARTED.addQuestDrop(20551,MITHRIL_CLIP_ID,1)
STARTED.addQuestDrop(20230,STAKATO_CHITIN_ID,1)
STARTED.addQuestDrop(20232,STAKATO_CHITIN_ID,1)
STARTED.addQuestDrop(20234,STAKATO_CHITIN_ID,1)
STARTED.addQuestDrop(20233,ST_BOWSTRING_ID,1)
STARTED.addQuestDrop(20563,MANASHENS_HORN_ID,1)

print "importing quests: 224: Test Of Sagittarius"
