# Maked by Mr. Have fun! Version 0.2
# Last Update by Artful at 2005-11-24
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

MARK_OF_WARSPIRIT_ID = 2879
VENDETTA_TOTEM_ID = 2880
TAMLIN_ORC_HEAD_ID = 2881 #
WARSPIRIT_TOTEM_ID = 2882 #
ORIMS_CONTRACT_ID = 2883
PORTAS_EYE_ID = 2884
BRAKIS_REMAINS1_ID = 2887
HERMODTS_REMAINS1_ID = 2901
KIRUNAS_REMAINS1_ID = 2910
TONARS_REMAINS1_ID = 2894
BRAKIS_REMAINS2_ID = 2911 #
HERMODTS_REMAINS2_ID = 2913 #
KIRUNAS_REMAINS2_ID = 2914 #
TONARS_REMAINS2_ID = 2912 #
EXCUROS_SCALE_ID = 2885
MORDEOS_TALON_ID = 2886
PEKIRONS_TOTEM_ID = 2888
TONARS_SKULL_ID = 2889
TONARS_RIB_BONE_ID = 2890
TONARS_SPINE_ID = 2891
TONARS_ARM_BONE_ID = 2892
TONARS_THIGH_BONE_ID = 2893
MANAKIAS_TOTEM_ID = 2895
HERMODTS_SKULL_ID = 2896
HERMODTS_RIB_BONE_ID = 2897
HERMODTS_SPINE_ID = 2898
HERMODTS_ARM_BONE_ID = 2899
HERMODTS_THIGH_BONE_ID = 2900
RACOYS_TOTEM_ID = 2902
KIRUNAS_SKULL_ID = 2905
KIRUNAS_RIB_BONE_ID = 2906
KIRUNAS_SPINE_ID = 2907
KIRUNAS_ARM_BONE_ID = 2908
KIRUNAS_THIGH_BONE_ID = 2909
INSECT_DIAGRAM_BOOK_ID = 2904
VIVIANTES_LETTER_ID = 2903

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        htmltext = "30510-05.htm"
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    elif event == "30630_1" :
          htmltext = "30630-02.htm"
    elif event == "30630_2" :
          htmltext = "30630-03.htm"
    elif event == "30630_3" :
          htmltext = "30630-04.htm"
          st.giveItems(ORIMS_CONTRACT_ID,1)
    elif event == "30682_1" :
          htmltext = "30682-02.htm"
          st.giveItems(PEKIRONS_TOTEM_ID,1)
    elif event == "30515_1" :
          htmltext = "30515-02.htm"
          st.giveItems(MANAKIAS_TOTEM_ID,1)
    elif event == "30507_1" :
          htmltext = "30507-02.htm"
          st.giveItems(RACOYS_TOTEM_ID,1)
    elif event == "30030_1" :
          htmltext = "30030-02.htm"
    elif event == "30030_2" :
          htmltext = "30030-03.htm"
    elif event == "30030_3" :
          htmltext = "30030-04.htm"
          st.giveItems(VIVIANTES_LETTER_ID,1)
    elif event == "30649_1" :
          htmltext = "30649-02.htm"
    elif event == "30649_2" :
      st.takeItems(WARSPIRIT_TOTEM_ID,st.getQuestItemsCount(WARSPIRIT_TOTEM_ID))
      st.takeItems(BRAKIS_REMAINS2_ID,st.getQuestItemsCount(BRAKIS_REMAINS2_ID))
      st.takeItems(HERMODTS_REMAINS2_ID,st.getQuestItemsCount(HERMODTS_REMAINS2_ID))
      st.takeItems(KIRUNAS_REMAINS2_ID,st.getQuestItemsCount(KIRUNAS_REMAINS2_ID))
      st.takeItems(TAMLIN_ORC_HEAD_ID,st.getQuestItemsCount(TAMLIN_ORC_HEAD_ID))
      st.takeItems(TONARS_REMAINS2_ID,st.getQuestItemsCount(TONARS_REMAINS2_ID))
      st.addExpAndSp(23000,2900)
      st.giveItems(MARK_OF_WARSPIRIT_ID,1)
      htmltext = "30649-03.htm"
      st.set("cond","0")
      st.set("onlyone","1")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
    return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
   if npcId == 30510 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
     if st.getPlayer().getRace().ordinal() == 3 :
       if st.getPlayer().getClassId().getId() == 0x32 :
         if st.getPlayer().getLevel() >= 39 :
           htmltext = "30510-04.htm"
         else:
           htmltext = "30510-03.htm"
           st.exitCurrentQuest(True)
       else:
         htmltext = "30510-02.htm"
         st.exitCurrentQuest(True)
     else:
       htmltext = "30510-01.htm"
       st.exitCurrentQuest(True)
   elif npcId == 30510 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 30510 and int(st.get("cond"))==1 and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 0 and st.getQuestItemsCount(WARSPIRIT_TOTEM_ID) == 0 :
        if st.getQuestItemsCount(BRAKIS_REMAINS1_ID) and st.getQuestItemsCount(HERMODTS_REMAINS1_ID) and st.getQuestItemsCount(KIRUNAS_REMAINS1_ID) and st.getQuestItemsCount(TONARS_REMAINS1_ID) :
          htmltext = "30510-07.htm"
          st.takeItems(BRAKIS_REMAINS1_ID,st.getQuestItemsCount(BRAKIS_REMAINS1_ID))
          st.takeItems(HERMODTS_REMAINS1_ID,st.getQuestItemsCount(HERMODTS_REMAINS1_ID))
          st.takeItems(KIRUNAS_REMAINS1_ID,st.getQuestItemsCount(KIRUNAS_REMAINS1_ID))
          st.takeItems(TONARS_REMAINS1_ID,st.getQuestItemsCount(TONARS_REMAINS1_ID))
          st.giveItems(VENDETTA_TOTEM_ID,1)
        else:
          htmltext = "30510-06.htm"
   elif npcId == 30510 and int(st.get("cond"))==1 and st.getQuestItemsCount(VENDETTA_TOTEM_ID)==1 :
        if st.getQuestItemsCount(TAMLIN_ORC_HEAD_ID)<13 :
          htmltext = "30510-08.htm"
        else:
          htmltext = "30510-09.htm"
          st.takeItems(VENDETTA_TOTEM_ID,st.getQuestItemsCount(VENDETTA_TOTEM_ID))
          st.giveItems(WARSPIRIT_TOTEM_ID,1)
          st.giveItems(BRAKIS_REMAINS2_ID,1)
          st.giveItems(HERMODTS_REMAINS2_ID,1)
          st.giveItems(KIRUNAS_REMAINS2_ID,1)
          st.giveItems(TONARS_REMAINS2_ID,1)
   elif npcId == 30510 and int(st.get("cond"))==1 and st.getQuestItemsCount(WARSPIRIT_TOTEM_ID)==1 :
        htmltext = "30510-10.htm"
   elif npcId == 30630 and int(st.get("cond"))==1 and st.getQuestItemsCount(ORIMS_CONTRACT_ID) == 0 and st.getQuestItemsCount(BRAKIS_REMAINS1_ID) == 0 and st.getQuestItemsCount(BRAKIS_REMAINS2_ID) == 0 and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 0 :
        htmltext = "30630-01.htm"
   elif npcId == 30630 and int(st.get("cond"))==1 and st.getQuestItemsCount(ORIMS_CONTRACT_ID)==1 :
        if (st.getQuestItemsCount(PORTAS_EYE_ID)+st.getQuestItemsCount(EXCUROS_SCALE_ID)+st.getQuestItemsCount(MORDEOS_TALON_ID)) < 30 :
          htmltext = "30630-05.htm"
        else:
          htmltext = "30630-06.htm"
          st.takeItems(ORIMS_CONTRACT_ID,st.getQuestItemsCount(ORIMS_CONTRACT_ID))
          st.takeItems(PORTAS_EYE_ID,st.getQuestItemsCount(PORTAS_EYE_ID))
          st.takeItems(EXCUROS_SCALE_ID,st.getQuestItemsCount(EXCUROS_SCALE_ID))
          st.takeItems(MORDEOS_TALON_ID,st.getQuestItemsCount(MORDEOS_TALON_ID))
          st.giveItems(BRAKIS_REMAINS1_ID,1)
   elif npcId == 30630 and int(st.get("cond"))==1 and st.getQuestItemsCount(ORIMS_CONTRACT_ID)==0 and (st.getQuestItemsCount(BRAKIS_REMAINS1_ID) or st.getQuestItemsCount(BRAKIS_REMAINS2_ID) or st.getQuestItemsCount(VENDETTA_TOTEM_ID)) :
        htmltext = "30630-07.htm"
   elif npcId == 30682 and int(st.get("cond"))==1 and st.getQuestItemsCount(PEKIRONS_TOTEM_ID) == 0 and st.getQuestItemsCount(TONARS_REMAINS1_ID) == 0 and st.getQuestItemsCount(TONARS_REMAINS2_ID) == 0 and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 0 :
        htmltext = "30682-01.htm"
   elif npcId == 30682 and int(st.get("cond"))==1 and st.getQuestItemsCount(PEKIRONS_TOTEM_ID) :
        if (st.getQuestItemsCount(TONARS_SKULL_ID) + st.getQuestItemsCount(TONARS_RIB_BONE_ID) + st.getQuestItemsCount(TONARS_SPINE_ID) + st.getQuestItemsCount(TONARS_ARM_BONE_ID) + st.getQuestItemsCount(TONARS_THIGH_BONE_ID)) == 5 :
          htmltext = "30682-04.htm"
          st.takeItems(PEKIRONS_TOTEM_ID,st.getQuestItemsCount(PEKIRONS_TOTEM_ID))
          st.takeItems(TONARS_SKULL_ID,st.getQuestItemsCount(TONARS_SKULL_ID))
          st.takeItems(TONARS_RIB_BONE_ID,st.getQuestItemsCount(TONARS_RIB_BONE_ID))
          st.takeItems(TONARS_SPINE_ID,st.getQuestItemsCount(TONARS_SPINE_ID))
          st.takeItems(TONARS_ARM_BONE_ID,st.getQuestItemsCount(TONARS_ARM_BONE_ID))
          st.takeItems(TONARS_THIGH_BONE_ID,st.getQuestItemsCount(TONARS_THIGH_BONE_ID))
          st.giveItems(TONARS_REMAINS1_ID,1)
        else:
          htmltext = "30682-03.htm"
   elif npcId == 30682 and int(st.get("cond"))==1 and st.getQuestItemsCount(PEKIRONS_TOTEM_ID)==0 and (st.getQuestItemsCount(TONARS_REMAINS1_ID) or st.getQuestItemsCount(TONARS_REMAINS2_ID) or st.getQuestItemsCount(VENDETTA_TOTEM_ID)) :
        htmltext = "30682-05.htm"
   elif npcId == 30515 and int(st.get("cond"))==1 and st.getQuestItemsCount(MANAKIAS_TOTEM_ID) == 0 and st.getQuestItemsCount(HERMODTS_REMAINS2_ID) == 0 and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 0 and st.getQuestItemsCount(HERMODTS_REMAINS1_ID)==0 :
        htmltext = "30515-01.htm"
   elif npcId == 30515 and int(st.get("cond"))==1 and st.getQuestItemsCount(MANAKIAS_TOTEM_ID)==1 :
        if (st.getQuestItemsCount(HERMODTS_SKULL_ID) + st.getQuestItemsCount(HERMODTS_RIB_BONE_ID) + st.getQuestItemsCount(HERMODTS_SPINE_ID) + st.getQuestItemsCount(HERMODTS_ARM_BONE_ID) + st.getQuestItemsCount(HERMODTS_THIGH_BONE_ID)) == 5 :
          htmltext = "30515-04.htm"
          st.takeItems(MANAKIAS_TOTEM_ID,st.getQuestItemsCount(MANAKIAS_TOTEM_ID))
          st.takeItems(HERMODTS_SKULL_ID,st.getQuestItemsCount(HERMODTS_SKULL_ID))
          st.takeItems(HERMODTS_RIB_BONE_ID,st.getQuestItemsCount(HERMODTS_RIB_BONE_ID))
          st.takeItems(HERMODTS_SPINE_ID,st.getQuestItemsCount(HERMODTS_SPINE_ID))
          st.takeItems(HERMODTS_ARM_BONE_ID,st.getQuestItemsCount(HERMODTS_ARM_BONE_ID))
          st.takeItems(HERMODTS_THIGH_BONE_ID,st.getQuestItemsCount(HERMODTS_THIGH_BONE_ID))
          st.giveItems(HERMODTS_REMAINS1_ID,1)
        else:
          htmltext = "30515-03.htm"
   elif npcId == 30515 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID)==0 and ( st.getQuestItemsCount(KIRUNAS_REMAINS2_ID) or st.getQuestItemsCount(WARSPIRIT_TOTEM_ID) or st.getQuestItemsCount(BRAKIS_REMAINS2_ID) or st.getQuestItemsCount(HERMODTS_REMAINS2_ID) or st.getQuestItemsCount(TAMLIN_ORC_HEAD_ID) or st.getQuestItemsCount(TONARS_REMAINS2_ID) ) :
        htmltext = "30515-05.htm"
   elif npcId == 30507 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID) == 0 and st.getQuestItemsCount(KIRUNAS_REMAINS1_ID) == 0 and st.getQuestItemsCount(KIRUNAS_REMAINS2_ID) == 0 and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 0 :
        htmltext = "30507-01.htm"
   elif npcId == 30507 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID)==1 and st.getQuestItemsCount(VIVIANTES_LETTER_ID) == 0 and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID) == 0 :
        htmltext = "30507-03.htm"
   elif npcId == 30507 and int(st.get("cond"))==1 and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(VIVIANTES_LETTER_ID) :
        htmltext = "30507-04.htm"
   elif npcId == 30507 and int(st.get("cond"))==1 and st.getQuestItemsCount(VIVIANTES_LETTER_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID) :
        if (st.getQuestItemsCount(KIRUNAS_SKULL_ID)+st.getQuestItemsCount(KIRUNAS_RIB_BONE_ID)+st.getQuestItemsCount(KIRUNAS_SPINE_ID)+st.getQuestItemsCount(KIRUNAS_ARM_BONE_ID)+st.getQuestItemsCount(KIRUNAS_THIGH_BONE_ID)) == 5 :
          htmltext = "30507-06.htm"
          st.takeItems(RACOYS_TOTEM_ID,st.getQuestItemsCount(RACOYS_TOTEM_ID))
          st.takeItems(KIRUNAS_SKULL_ID,st.getQuestItemsCount(KIRUNAS_SKULL_ID))
          st.takeItems(KIRUNAS_RIB_BONE_ID,st.getQuestItemsCount(KIRUNAS_RIB_BONE_ID))
          st.takeItems(KIRUNAS_SPINE_ID,st.getQuestItemsCount(KIRUNAS_SPINE_ID))
          st.takeItems(KIRUNAS_ARM_BONE_ID,st.getQuestItemsCount(KIRUNAS_ARM_BONE_ID))
          st.takeItems(KIRUNAS_THIGH_BONE_ID,st.getQuestItemsCount(KIRUNAS_THIGH_BONE_ID))
          st.takeItems(INSECT_DIAGRAM_BOOK_ID,st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID))
          st.giveItems(KIRUNAS_REMAINS1_ID,1)
        else:
          htmltext = "30507-05.htm"
   elif npcId == 30507 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID)==0 and ( st.getQuestItemsCount(KIRUNAS_REMAINS1_ID) or st.getQuestItemsCount(KIRUNAS_REMAINS2_ID) or st.getQuestItemsCount(VENDETTA_TOTEM_ID) ) :
        htmltext = "30507-07.htm"
   elif npcId == 30030 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(VIVIANTES_LETTER_ID) == 0 and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID) == 0 :
        htmltext = "30030-01.htm"
   elif npcId == 30030 and int(st.get("cond"))==1 and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(VIVIANTES_LETTER_ID) :
        htmltext = "30030-05.htm"
   elif npcId == 30030 and int(st.get("cond"))==1 and st.getQuestItemsCount(VIVIANTES_LETTER_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID) :
        htmltext = "30030-06.htm"
   elif npcId == 30030 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID)==0 and ( st.getQuestItemsCount(KIRUNAS_REMAINS1_ID) or st.getQuestItemsCount(KIRUNAS_REMAINS2_ID) or st.getQuestItemsCount(VENDETTA_TOTEM_ID) ) :
        htmltext = "30030-07.htm"
   elif npcId == 30436 and int(st.get("cond"))==1 and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(VIVIANTES_LETTER_ID) :
        htmltext = "30436-01.htm"
        st.takeItems(VIVIANTES_LETTER_ID,st.getQuestItemsCount(VIVIANTES_LETTER_ID))
        st.giveItems(INSECT_DIAGRAM_BOOK_ID,1)
   elif npcId == 30436 and int(st.get("cond"))==1 and st.getQuestItemsCount(VIVIANTES_LETTER_ID)==0 and st.getQuestItemsCount(RACOYS_TOTEM_ID) and st.getQuestItemsCount(INSECT_DIAGRAM_BOOK_ID) :
        htmltext = "30436-02.htm"
   elif npcId == 30436 and int(st.get("cond"))==1 and st.getQuestItemsCount(RACOYS_TOTEM_ID)==0 and ( st.getQuestItemsCount(KIRUNAS_REMAINS1_ID) or st.getQuestItemsCount(KIRUNAS_REMAINS2_ID) or st.getQuestItemsCount(VENDETTA_TOTEM_ID) ) :
        htmltext = "30436-03.htm"
   elif npcId == 30649 and int(st.get("cond"))==1 and st.getQuestItemsCount(WARSPIRIT_TOTEM_ID):
        htmltext = "30649-01.htm"
   return htmltext


 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == 20213 :
     if int(st.get("cond")) and st.getQuestItemsCount(ORIMS_CONTRACT_ID) and st.getQuestItemsCount(PORTAS_EYE_ID)<10 :
       st.giveItems(PORTAS_EYE_ID,1)
       if st.getQuestItemsCount(PORTAS_EYE_ID) == 10 :
         st.playSound("ItemSound.quest_middle")
       else :
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20214 :
     if int(st.get("cond")) and st.getQuestItemsCount(ORIMS_CONTRACT_ID) and st.getQuestItemsCount(EXCUROS_SCALE_ID)<10 :
       st.giveItems(EXCUROS_SCALE_ID,1)
       if st.getQuestItemsCount(EXCUROS_SCALE_ID) == 10 :
         st.playSound("ItemSound.quest_middle")
       else :
         st.playSound("ItemSound.quest_itemget")
   elif npcId == 20215 :
     if int(st.get("cond")) and st.getQuestItemsCount(ORIMS_CONTRACT_ID) and st.getQuestItemsCount(MORDEOS_TALON_ID)<10 :
       st.giveItems(MORDEOS_TALON_ID,1)
       if st.getQuestItemsCount(MORDEOS_TALON_ID) == 10 :
         st.playSound("ItemSound.quest_middle")
       else :
         st.playSound("ItemSound.quest_itemget")
   elif npcId in [20089,20090] and st.getQuestItemsCount(RACOYS_TOTEM_ID) :
     n1 = st.getQuestItemsCount(KIRUNAS_SKULL_ID)+st.getQuestItemsCount(KIRUNAS_RIB_BONE_ID)+st.getQuestItemsCount(KIRUNAS_SPINE_ID)+st.getQuestItemsCount(KIRUNAS_ARM_BONE_ID)+st.getQuestItemsCount(KIRUNAS_THIGH_BONE_ID)
     if int(st.get("cond")) and n1 < 5 :
       n = st.getRandom(100)
       sound = 0
       if n <= 30 :
         while sound == 0 :
           n2 = st.getRandom(5)
           if n2 == 0 and st.getQuestItemsCount(KIRUNAS_THIGH_BONE_ID) == 0 :
             st.giveItems(KIRUNAS_THIGH_BONE_ID,1)
             sound = 1
           if n2 == 1 and st.getQuestItemsCount(KIRUNAS_ARM_BONE_ID) == 0 :
             st.giveItems(KIRUNAS_ARM_BONE_ID,1)
             sound = 1
           if n2 == 2 and st.getQuestItemsCount(KIRUNAS_SPINE_ID) == 0 :
             st.giveItems(KIRUNAS_SPINE_ID,1)
             sound = 1
           if n2 == 3 and st.getQuestItemsCount(KIRUNAS_RIB_BONE_ID) == 0 :
             st.giveItems(KIRUNAS_RIB_BONE_ID,1)
             sound = 1
           if n2 == 4 and st.getQuestItemsCount(KIRUNAS_SKULL_ID) == 0 :
             st.giveItems(KIRUNAS_SKULL_ID,1)
             sound = 1
       if sound == 1 :
         if n1 == 4 :
           st.playSound("ItemSound.quest_middle")
         else :
           st.playSound("ItemSound.quest_itemget")
   elif npcId in [20581,20582] and st.getQuestItemsCount(PEKIRONS_TOTEM_ID) :
     n1 = st.getQuestItemsCount(TONARS_SKULL_ID)+st.getQuestItemsCount(TONARS_RIB_BONE_ID)+st.getQuestItemsCount(TONARS_SPINE_ID)+st.getQuestItemsCount(TONARS_ARM_BONE_ID)+st.getQuestItemsCount(TONARS_THIGH_BONE_ID)
     if int(st.get("cond")) and n1 < 5 :
       n = st.getRandom(100)
       sound = 0
       if n <= 30 :
         while sound == 0 :
           n2 = st.getRandom(5)
           if n2 == 0 and st.getQuestItemsCount(TONARS_SKULL_ID) == 0:
             st.giveItems(TONARS_SKULL_ID,1)
             sound = 1
           if n2 == 1 and st.getQuestItemsCount(TONARS_RIB_BONE_ID) == 0:
             st.giveItems(TONARS_RIB_BONE_ID,1)
             sound = 1
           if n2 == 2 and st.getQuestItemsCount(TONARS_SPINE_ID) == 0:
             st.giveItems(TONARS_SPINE_ID,1)
             sound = 1
           if n2 == 3 and st.getQuestItemsCount(TONARS_ARM_BONE_ID) == 0:
             st.giveItems(TONARS_ARM_BONE_ID,1)
             sound = 1
           if n2 == 4 and st.getQuestItemsCount(TONARS_THIGH_BONE_ID) == 0:
             st.giveItems(TONARS_THIGH_BONE_ID,1)
             sound = 1
       if sound == 1 :
         if n1 == 4 :
           st.playSound("ItemSound.quest_middle")
         else :
           st.playSound("ItemSound.quest_itemget")
   elif npcId in [20158,27108] and st.getQuestItemsCount(MANAKIAS_TOTEM_ID) :
     n1 = st.getQuestItemsCount(HERMODTS_RIB_BONE_ID)+st.getQuestItemsCount(HERMODTS_SPINE_ID)+st.getQuestItemsCount(HERMODTS_ARM_BONE_ID)+st.getQuestItemsCount(HERMODTS_THIGH_BONE_ID)
     if int(st.get("cond")) and (n1 < 4 or st.getQuestItemsCount(HERMODTS_SKULL_ID) == 0) :
       n = st.getRandom(100)
       sound = 0
       if npcId == 20158 and n1 < 4 and n <= 30 :
         while sound == 0 :
           n2 = st.getRandom(4)
           if n2 == 0 and st.getQuestItemsCount(HERMODTS_RIB_BONE_ID) == 0 :
             st.giveItems(HERMODTS_RIB_BONE_ID,1)
             sound = 1
           if n2 == 1 and st.getQuestItemsCount(HERMODTS_SPINE_ID) == 0 :
             st.giveItems(HERMODTS_SPINE_ID,1)
             sound = 1
           if n2 == 2 and st.getQuestItemsCount(HERMODTS_THIGH_BONE_ID) == 0 :
             st.giveItems(HERMODTS_THIGH_BONE_ID,1)
             sound = 1
           if n2 == 3 and st.getQuestItemsCount(HERMODTS_ARM_BONE_ID) == 0 :
             st.giveItems(HERMODTS_ARM_BONE_ID,1)
             sound = 1
       if npcId == 27108 and st.getQuestItemsCount(HERMODTS_SKULL_ID) == 0 and n <= 30 :
         st.giveItems(HERMODTS_SKULL_ID,1)
         sound = 1
       if sound == 1 :
         if n1 == 3 and st.getQuestItemsCount(HERMODTS_SKULL_ID) :
           st.playSound("ItemSound.quest_middle")
         else :
           st.playSound("ItemSound.quest_itemget")
   elif npcId in [20601,20602] :
     if int(st.get("cond")) and st.getQuestItemsCount(VENDETTA_TOTEM_ID) == 1 and st.getQuestItemsCount(TAMLIN_ORC_HEAD_ID)<13 :
       if st.getRandom(100) < 50 :
         st.giveItems(TAMLIN_ORC_HEAD_ID,1)
         if st.getQuestItemsCount(TAMLIN_ORC_HEAD_ID) == 13 :
           st.playSound("ItemSound.quest_middle")
         else :
           st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(233,"233_TestOfWarspirit","Test Of Warspirit")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30510)

STARTING.addTalkId(30510)

STARTED.addTalkId(30030)
STARTED.addTalkId(30436)
STARTED.addTalkId(30507)
STARTED.addTalkId(30510)
STARTED.addTalkId(30515)
STARTED.addTalkId(30630)
STARTED.addTalkId(30649)
STARTED.addTalkId(30682)

STARTED.addKillId(20158)
STARTED.addKillId(20213)
STARTED.addKillId(20214)
STARTED.addKillId(20215)
STARTED.addKillId(27108)
STARTED.addKillId(20581)
STARTED.addKillId(20582)
STARTED.addKillId(20601)
STARTED.addKillId(20602)
STARTED.addKillId(20089)
STARTED.addKillId(20090)

STARTED.addQuestDrop(30630,BRAKIS_REMAINS1_ID,1)
STARTED.addQuestDrop(30515,HERMODTS_REMAINS1_ID,1)
STARTED.addQuestDrop(30507,KIRUNAS_REMAINS1_ID,1)
STARTED.addQuestDrop(30682,TONARS_REMAINS1_ID,1)
STARTED.addQuestDrop(30510,VENDETTA_TOTEM_ID,1)
STARTED.addQuestDrop(30630,ORIMS_CONTRACT_ID,1)
STARTED.addQuestDrop(20213,PORTAS_EYE_ID,1)
STARTED.addQuestDrop(20214,EXCUROS_SCALE_ID,1)
STARTED.addQuestDrop(20215,MORDEOS_TALON_ID,1)
STARTED.addQuestDrop(30682,PEKIRONS_TOTEM_ID,1)
STARTED.addQuestDrop(20581,TONARS_SKULL_ID,1)
STARTED.addQuestDrop(20582,TONARS_SKULL_ID,1)
STARTED.addQuestDrop(20581,TONARS_RIB_BONE_ID,1)
STARTED.addQuestDrop(20582,TONARS_RIB_BONE_ID,1)
STARTED.addQuestDrop(20581,TONARS_SPINE_ID,1)
STARTED.addQuestDrop(20582,TONARS_SPINE_ID,1)
STARTED.addQuestDrop(20581,TONARS_ARM_BONE_ID,1)
STARTED.addQuestDrop(20582,TONARS_ARM_BONE_ID,1)
STARTED.addQuestDrop(20581,TONARS_THIGH_BONE_ID,1)
STARTED.addQuestDrop(20582,TONARS_THIGH_BONE_ID,1)
STARTED.addQuestDrop(30515,MANAKIAS_TOTEM_ID,1)
STARTED.addQuestDrop(27108,HERMODTS_SKULL_ID,1)
STARTED.addQuestDrop(20158,HERMODTS_RIB_BONE_ID,1)
STARTED.addQuestDrop(20158,HERMODTS_SPINE_ID,1)
STARTED.addQuestDrop(20158,HERMODTS_ARM_BONE_ID,1)
STARTED.addQuestDrop(20158,HERMODTS_THIGH_BONE_ID,1)
STARTED.addQuestDrop(30507,RACOYS_TOTEM_ID,1)
STARTED.addQuestDrop(20089,KIRUNAS_SKULL_ID,1)
STARTED.addQuestDrop(20090,KIRUNAS_SKULL_ID,1)
STARTED.addQuestDrop(20089,KIRUNAS_RIB_BONE_ID,1)
STARTED.addQuestDrop(20090,KIRUNAS_RIB_BONE_ID,1)
STARTED.addQuestDrop(20089,KIRUNAS_SPINE_ID,1)
STARTED.addQuestDrop(20090,KIRUNAS_SPINE_ID,1)
STARTED.addQuestDrop(20089,KIRUNAS_ARM_BONE_ID,1)
STARTED.addQuestDrop(20090,KIRUNAS_ARM_BONE_ID,1)
STARTED.addQuestDrop(20089,KIRUNAS_THIGH_BONE_ID,1)
STARTED.addQuestDrop(20090,KIRUNAS_THIGH_BONE_ID,1)
STARTED.addQuestDrop(30436,INSECT_DIAGRAM_BOOK_ID,1)
STARTED.addQuestDrop(30030,VIVIANTES_LETTER_ID,1)
STARTED.addQuestDrop(30510,WARSPIRIT_TOTEM_ID,1)
STARTED.addQuestDrop(30510,BRAKIS_REMAINS2_ID,1)
STARTED.addQuestDrop(30510,HERMODTS_REMAINS2_ID,1)
STARTED.addQuestDrop(30510,KIRUNAS_REMAINS2_ID,1)
STARTED.addQuestDrop(20601,TAMLIN_ORC_HEAD_ID,1)
STARTED.addQuestDrop(20602,TAMLIN_ORC_HEAD_ID,1)
STARTED.addQuestDrop(30510,TONARS_REMAINS2_ID,1)

print "importing quests: 233: Test Of Warspirit"
