# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

GOBLIN_CLUB_ID = 1335
SILVERY_LEAF_ID = 1340

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("id","0")
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        htmltext = "31853-03.htm"
    elif event == "31853_1" :
            htmltext = "31853-06.htm"
            st.set("cond","0")
            st.setState(COMPLETED)
            st.playSound("ItemSound.quest_finish")
    elif event == "31853_2" :
            htmltext = "31853-07.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 31853 and int(st.get("cond"))==0 :
        if int(st.get("cond"))<15 :
          if st.getPlayer().getLevel() >= 4 and st.getPlayer().getRace().ordinal() == 1 :
            htmltext = "31853-02.htm"
            return htmltext
          elif st.getPlayer().getRace().ordinal() != 1 :
            htmltext = "31853-00.htm"
            st.exitCurrentQuest(True)
          elif st.getPlayer().getLevel()<4 :
            htmltext = "31853-01.htm"
            st.exitCurrentQuest(True)
        else:
          htmltext = "31853-01.htm"
          st.exitCurrentQuest(True)
   elif npcId == 31853 and int(st.get("cond"))==1 :
        if st.getQuestItemsCount(GOBLIN_CLUB_ID)>0 :
          if int(st.get("id")) != 267 :
            st.set("id","267")
            st.giveItems(SILVERY_LEAF_ID,1*st.getQuestItemsCount(GOBLIN_CLUB_ID))
            st.takeItems(GOBLIN_CLUB_ID,st.getQuestItemsCount(GOBLIN_CLUB_ID))
            htmltext = "31853-05.htm"
        else:
          htmltext = "31853-04.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20325 :
      st.set("id","0")
      if int(st.get("cond")) :
        if st.getRandom(10)<5 :
          st.giveItems(GOBLIN_CLUB_ID,1)
          st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(267,"267_WrathOfVerdure","Wrath Of Verdure")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31853)

STARTING.addTalkId(31853)

STARTED.addTalkId(31853)

STARTED.addKillId(20325)

STARTED.addQuestDrop(20325,GOBLIN_CLUB_ID,1)

print "importing quests: 267: Wrath Of Verdure"
