# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

KASHA_PARASITE_ID = 1480
KASHA_CRYSTAL_ID = 1481
HESTUIS_TOTEM_ID = 1500
Leather_Pants = 29

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30571-03.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30571 and int(st.get("cond"))==0 :
      if int(st.get("cond")) < 15 :
        if st.getPlayer().getRace().ordinal() != 3 :
          htmltext = "30571-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() < 15 :
          htmltext = "30571-01.htm"
          st.exitCurrentQuest(True)
        else:
          htmltext = "30571-02.htm"
          return htmltext
      else:
        htmltext = "30571-02.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30571 and int(st.get("cond")) :
      if st.getQuestItemsCount(KASHA_CRYSTAL_ID) < 1 :
        htmltext = "30571-04.htm"
      else:
        if int(st.get("id")) != 276 :
          st.set("id","276")
          htmltext = "30571-05.htm"
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.takeItems(KASHA_CRYSTAL_ID,-1)
          st.takeItems(KASHA_PARASITE_ID,-1)
          st.giveItems(HESTUIS_TOTEM_ID,1)
          st.giveItems(Leather_Pants,1)
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20479 :
      st.set("id","0")
      if int(st.get("cond")) and st.getQuestItemsCount(KASHA_CRYSTAL_ID) < 1 :
        if st.getQuestItemsCount(KASHA_PARASITE_ID) >= 50 :
          st.getPcSpawn().addSpawn(27044)
          st.takeItems(KASHA_PARASITE_ID,-1)
        else:
          st.giveItems(KASHA_PARASITE_ID,1)
          st.playSound("ItemSound.quest_itemget")
   elif npcId == 27044 :
      st.set("id","0")
      if int(st.get("cond")) and st.getQuestItemsCount(KASHA_CRYSTAL_ID) < 1 :
        st.giveItems(KASHA_CRYSTAL_ID,1)
        st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(276,"276_HestuiTotem","Hestui Totem")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30571)

STARTING.addTalkId(30571)

STARTED.addTalkId(30571)

STARTED.addKillId(20479)
STARTED.addKillId(27044)

STARTED.addQuestDrop(27044,KASHA_CRYSTAL_ID,1)
STARTED.addQuestDrop(20479,KASHA_PARASITE_ID,1)

print "importing quests: 276: Hestui Totem"
