# Made by Mr. - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

FUNGUS_SAC = 1118
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30150-05.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond=st.getInt("cond")
   kolqv= st.getInt("kolqv")
   levigr= st.getPlayer().getLevel()
   if cond == 0 :
     if levigr >= 8 and levigr <= 13 :
       htmltext = "30150-03.htm"
     else:
       if levigr < 8 :
         htmltext = "30150-02.htm"
       else :
         htmltext = "30150-08.htm"
       st.exitCurrentQuest(True)
   else :
     if st.getQuestItemsCount(FUNGUS_SAC) < 10 :
       htmltext = "30150-06.htm"
     else :
       st.takeItems(FUNGUS_SAC,-1)
       st.giveItems(ADENA,3500)
       st.set("cond","0")
       kolqn = st.getInt("kolq")+1 
       kolqf = str(kolqn)
       st.set("kolq",kolqf)
       st.setState(COMPLETED)
       st.playSound("ItemSound.quest_finish")
       htmltext = "30150-07.htm"
       st.exitCurrentQuest(True)
   return htmltext

 def onKill(self,npc,st) :
   if st.getQuestItemsCount(FUNGUS_SAC) < 10 and st.getRandom(100) < 50 :
     st.giveItems(FUNGUS_SAC,1)
     if st.getQuestItemsCount(FUNGUS_SAC) == 10 :
       st.playSound("ItemSound.quest_middle")
     else:
       st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(313,"313_CollectSpores","Collect Spores")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30150)

CREATED.addTalkId(30150)
STARTING.addTalkId(30150)
STARTED.addTalkId(30150)
COMPLETED.addTalkId(30150)

STARTED.addKillId(20509)

STARTED.addQuestDrop(20509,FUNGUS_SAC,1)

print "importing quests: 313: Collect Spores"