# Made by Mr. - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

WERERAT_FANG = 1042
VAROOL_FOULCLAWS_FANG = 1043
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30155-04.htm" :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    elif event == "30155-08.htm" :
        st.exitCurrentQuest(True)
        st.playSound("ItemSound.quest_finish")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.set("cond","0")
   if int(st.get("cond"))==0 :
     if st.getPlayer().getRace().ordinal() != 1 :
       htmltext = "30155-00.htm"
       st.exitCurrentQuest(True)
     elif st.getPlayer().getLevel() >= 18 :
       htmltext = "30155-03.htm"
     else:
       htmltext = "30155-02.htm"
       st.exitCurrentQuest(True)
   else :
     rats=st.getQuestItemsCount(WERERAT_FANG)
     varool=st.getQuestItemsCount(VAROOL_FOULCLAWS_FANG)
     if rats or varool :
       htmltext = "30155-07.htm"
       st.giveItems(ADENA,rats*60+varool*10000)
       st.takeItems(WERERAT_FANG,-1)
       st.takeItems(VAROOL_FOULCLAWS_FANG,-1)
     else:
       htmltext = "30155-05.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == 27020 :
     if st.getQuestItemsCount(VAROOL_FOULCLAWS_FANG) == 0 and st.getRandom(10)>7:
       st.giveItems(VAROOL_FOULCLAWS_FANG,1)
       st.playSound("ItemSound.quest_middle")
   elif st.getRandom(10)>5 :
     st.giveItems(WERERAT_FANG,1)
     st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(316,"316_DestroyPlaguebringers","Destroy Plaguebringers")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30155)

CREATED.addTalkId(30155)
STARTING.addTalkId(30155)
STARTED.addTalkId(30155)
COMPLETED.addTalkId(30155)

STARTED.addKillId(20040)
STARTED.addKillId(20047)
STARTED.addKillId(27020)

STARTED.addQuestDrop(20040,WERERAT_FANG,1)
STARTED.addQuestDrop(20047,WERERAT_FANG,1)
STARTED.addQuestDrop(27020,VAROOL_FOULCLAWS_FANG,1)

print "importing quests: 316: Destroy Plaguebringers"