# Made by Mr. - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

WIND_SHARD = 1078
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30361-04.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    elif event == "30361-08.htm" :
      st.playSound("ItemSound.quest_finish")
      st.set("cond","0")
      st.setState(COMPLETED)
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   cond = st.getInt("cond")
   if cond == 0 :
     if st.getPlayer().getLevel() >= 18 :
       htmltext = "30361-03.htm"
     else:
       htmltext = "30361-02.htm"
       st.exitCurrentQuest(True)
   else :
     count = st.getQuestItemsCount(WIND_SHARD)
     if count :
       st.giveItems(ADENA,40*count)
       st.takeItems(WIND_SHARD,-1)
       htmltext = "30361-07.htm"
     else :
       htmltext = "30361-05.htm"
   return htmltext

 def onKill (self,npc,st):
   if st.getRandom(10) > 4 :
      st.giveItems(WIND_SHARD,1)
      st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(317,"317_CatchTheWind","Catch The Wind")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30361)

CREATED.addTalkId(30361)
STARTED.addTalkId(30361)
COMPLETED.addTalkId(30361)

STARTED.addKillId(20036)
STARTED.addKillId(20044)

STARTED.addQuestDrop(20036,WIND_SHARD,1)
STARTED.addQuestDrop(20044,WIND_SHARD,1)

print "importing quests: 317: Catch The Wind"