# Made by Mr. - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

BONE_FRAGMENT = 809
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30359-04.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
   if int(st.get("cond"))==0 :
     if st.getPlayer().getRace().ordinal() != 2 :
       htmltext = "30359-00.htm"
       st.exitCurrentQuest(True)
     elif st.getPlayer().getLevel() >= 10 :
       htmltext = "30359-03.htm"
     else:
       htmltext = "30359-02.htm"
       st.exitCurrentQuest(True)
   else :
     if st.getQuestItemsCount(BONE_FRAGMENT)<10 :
       htmltext = "30359-05.htm"
     else :
       htmltext = "30359-06.htm"
       st.giveItems(ADENA,8470)
       st.takeItems(BONE_FRAGMENT,-1)
       st.exitCurrentQuest(True)
       st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):
   count=st.getQuestItemsCount(BONE_FRAGMENT)
   if count<10 and st.getRandom(10)>7 :
      st.giveItems(BONE_FRAGMENT,1)
      if count == 9 :
        st.playSound("ItemSound.quest_middle")
        st.set("cond","2")
      else :
        st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(320,"320_BonesTellFuture","Bones Tell Future")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30359)

CREATED.addTalkId(30359)
STARTING.addTalkId(30359)
STARTED.addTalkId(30359)
COMPLETED.addTalkId(30359)

STARTED.addKillId(20517)
STARTED.addKillId(20518)

STARTED.addQuestDrop(20517,BONE_FRAGMENT,1)
STARTED.addQuestDrop(20518,BONE_FRAGMENT,1)

print "importing quests: 320: Bones Tell Future"