# Jovial Accordian Written By Elektra
# Fixed by mr
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest


ITEM_MUSICAL_SCORE       = 4420
ITEM_EVENT_CLOTHES       = 4318
ITEM_NANARINS_FLUTE      = 4319
ITEM_SABRINS_BLACK_BEER  = 4320 

NPC_BARBADO = 30959
NPC_POITAN  = 30458
NPC_HOLVAS  = 30058
NPC_NANARIN = 30956


class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        if st.getQuestItemsCount(ITEM_EVENT_CLOTHES)      > 0 :  
             st.takeItems(ITEM_EVENT_CLOTHES, st.getQuestItemsCount(ITEM_EVENT_CLOTHES))
        if st.getQuestItemsCount(ITEM_NANARINS_FLUTE)     > 0 : 
             st.takeItems(ITEM_NANARINS_FLUTE, st.getQuestItemsCount(ITEM_NANARINS_FLUTE))
        if st.getQuestItemsCount(ITEM_SABRINS_BLACK_BEER) > 0 : 
             st.takeItems(ITEM_SABRINS_BLACK_BEER, st.getQuestItemsCount(ITEM_SABRINS_BLACK_BEER))
        htmltext = "30956_2.htm"
    elif event == "2" :
        st.giveItems(ITEM_EVENT_CLOTHES,1)
        st.playSound("ItemSound.quest_middle")
        st.set("cond","3")
        htmltext = "30956_6.htm"
    elif event == "3" :
        st.giveItems(ITEM_NANARINS_FLUTE,1)
        st.playSound("ItemSound.quest_middle")
        st.set("cond","3")
        htmltext = "30956_4.htm" 
    elif event == "4" :
        st.giveItems(ITEM_SABRINS_BLACK_BEER,1)
        st.playSound("ItemSound.quest_middle")
        st.set("cond","3")
        htmltext = "30956_6.htm"
    elif event == "5" :
        st.giveItems(4420,1)
        st.playSound("ItemSound.quest_finish")
        st.setState(COMPLETED)
        st.set("cond","0")
        st.exitCurrentQuest(True)
        htmltext = "30956_7.htm"
    return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   cond  = st.getInt("cond")
   htmltext = "30956_0.htm"
   if npcId == NPC_NANARIN :
        if cond == 0 :
           htmltext = "30956_1.htm"
        elif cond == 1 :
           htmltext = "30956_8.htm"
        elif cond == 2 :
           htmltext = "30956_3.htm"
        elif cond == 3 :
           htmltext = "30956_6.htm"
        elif cond == 4 :
           htmltext = "30956_5.htm"
   elif npcId == NPC_BARBADO : 
        if cond == 3 :
           if   st.getQuestItemsCount(ITEM_EVENT_CLOTHES)      > 0 : 
                st.takeItems(ITEM_EVENT_CLOTHES, st.getQuestItemsCount(ITEM_EVENT_CLOTHES)) 
                htmltext = "30959_2.htm" 
                st.setState(COMPLETED)
                st.set("cond","0")
                st.exitCurrentQuest(True)
           elif st.getQuestItemsCount(ITEM_SABRINS_BLACK_BEER) > 0 : 
                st.takeItems(ITEM_SABRINS_BLACK_BEER, st.getQuestItemsCount(ITEM_SABRINS_BLACK_BEER)) 
                htmltext = "30959_2.htm" 
                st.setState(COMPLETED)
                st.set("cond","0")
                st.exitCurrentQuest(True)
           elif st.getQuestItemsCount(ITEM_NANARINS_FLUTE)     > 0 : 
                st.takeItems(ITEM_NANARINS_FLUTE, st.getQuestItemsCount(ITEM_NANARINS_FLUTE)) 
                st.set("cond","4")
                st.playSound("ItemSound.quest_middle")
                htmltext = "30959_1.htm"     
        elif cond == 4 :
           htmltext = "30959_3.htm"    
   elif npcId == NPC_HOLVAS and (cond == 1 or cond == 2) :
        st.set("cond","2")
        if st.getRandom(10) > 5: htmltext = "30058_1.htm"  
        else : htmltext = "30058_2.htm" 
   elif npcId == NPC_POITAN and (cond == 1 or cond == 2 ) :
        st.set("cond","2")
        if st.getRandom(10) > 5 : htmltext = "30458_1.htm"  
        else : htmltext="30458_2.htm" 
   return htmltext

QUEST       = Quest(363,"363_SorrowfulSoundofFlute","Sorrowful Sounds of Flute")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(NPC_NANARIN)
CREATED.addTalkId(NPC_NANARIN)
STARTED.addTalkId(NPC_HOLVAS)
STARTED.addTalkId(NPC_POITAN) 
STARTED.addTalkId(NPC_BARBADO)

print "importing quests: 363: Sorrowful Sound of Flute"

