# Made by mtrix
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

ADENA = 57
BLADE_STAKATO_FANG = 5881
CHANCE = 9

class Quest (JQuest) :

 def __init__(self,id,name,descr,party): JQuest.__init__(self,id,name,descr,party)

 def onEvent (self,event,st) :
     htmltext = event
     if event == "30926-02.htm" :
         st.set("cond","1")
         st.setState(STARTED)
         st.playSound("ItemSound.quest_accept")
     elif event == "30926-05.htm" :
         st.playSound("ItemSound.quest_finish")
         st.exitCurrentQuest(True)
     return htmltext

 def onTalk (Self,npc,st):
     npcId = npc.getNpcId()
     htmltext = "<html><head><body>I have nothing to say you</body></html>"
     id = st.getState()
     level = st.getPlayer().getLevel()
     cond = st.getInt("cond")
     amount = st.getQuestItemsCount(BLADE_STAKATO_FANG)
     id2 = st.getStateId()
     if id == CREATED or id2 == "Aborted" :
        if level>=36 :
            htmltext = "30926-01.htm"
        else :
            htmltext = "<html><head><body>(This is a quest that can only be performed by players of level 36 and above.)</body></html>"
     elif cond and not amount :
         htmltext = "30926-03.htm"
     elif amount :
         htmltext = "30926-04.htm"
         st.giveItems(ADENA,amount*2250)
         st.takeItems(BLADE_STAKATO_FANG,-1)
         st.playSound("ItemSound.quest_middle")
     return htmltext

 def onKill (self,npc,st):
     npcId = npc.getNpcId()
     random = st.getRandom(100)
     chance = CHANCE + npcId - 794
     if random<=chance :
         st.giveItems(BLADE_STAKATO_FANG,1)
         st.playSound("ItemSound.quest_itemget")
     return

QUEST       = Quest(368,"368_TrespassingIntoTheSacredArea","Trespassing Into The Sacred Area",True)
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30926)

CREATED.addTalkId(30926)
STARTED.addTalkId(30926)

for i in range(20794,20798) :
    STARTED.addKillId(i)
    STARTED.addQuestDrop(i,BLADE_STAKATO_FANG,1)

print "importing quests: 368: Trespassing Into The Sacred Area"


