# Made by ValianT
# Edit by ValianT. Update 26/02/07. Updated 28062007 by HellSinger
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest
# NPC
OFulle = 31572
FetteredSoul = 20552
# Items
LostBaitIngredient = 7622
IcyAirFishingLure = 7611
# Skill
FishSkill = 1315

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31572-04.htm" :
      st.setState(STARTED)
      st.set("cond","1")
      st.playSound("ItemSound.quest_accept")
   elif event == "31572-07.htm" :
      if st.getQuestItemsCount(LostBaitIngredient) < 100 :
         htmltext = "31572-08.htm"
      else :
         st.unset("cond")
         st.takeItems(LostBaitIngredient,-1)
         st.giveItems(IcyAirFishingLure,4)
         st.setState(COMPLETED)
         st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   cond = st.getInt("cond")
   id = st.getState()
   if npcId == OFulle :
      if id == COMPLETED :
         htmltext = "<html><head><body>This quest have already been completed.</body></html>"
      elif id == CREATED or id == ABORTED :
         if st.getPlayer().getLevel() < 36 :
            htmltext = "31572-03.htm"
            st.exitCurrentQuest(True)
         elif st.getPlayer().getSkillLevel(FishSkill)!= None and st.getPlayer().getSkillLevel(FishSkill) >= 11 :
            htmltext = "31572-01.htm"
         else : 
            htmltext = "31572-02.htm"
            st.exitCurrentQuest(True)
      elif cond in [1,2] :
         if st.getQuestItemsCount(LostBaitIngredient) < 100 :
            htmltext = "31572-06.htm"
            st.set("cond","1")
         else : htmltext = "31572-05.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == FetteredSoul and int(st.get("cond")) == 1 :
      if st.getQuestItemsCount(LostBaitIngredient) < 100 and st.getRandom(100) <= 30 :
         st.giveItems(LostBaitIngredient,1)
         if st.getQuestItemsCount(LostBaitIngredient) == 100 :
            st.playSound("ItemSound.quest_middle")
            st.set("cond","2")
         else :
            st.playSound("ItemSound.quest_itemget")
   return
QUEST       = Quest(51,"51_OFullesSpecialBait","OFulle's Special Bait")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
ABORTED     = State('Aborted', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(OFulle)

CREATED.addTalkId(OFulle)
STARTED.addTalkId(OFulle)
COMPLETED.addTalkId(OFulle)

STARTED.addKillId(FetteredSoul)

STARTED.addQuestDrop(FetteredSoul,LostBaitIngredient,1)

print "importing quests: 51: OFulle's Special Bait"
