# Version 0.1 whiter
# fixed by Drac

import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

ADENA = 57
SECRET_BOOK_OF_GIANT = 6622
CRYOLITE = 7080
DIVINE_STONE_OF_WISDOM = 7081
GUILD_REPORT = 7091
RESONANCE_AMULET_1 = 7268
RESONANCE_AMULET_2 = 7310
RESONANCE_AMULET_3 = 7352
RESONANCE_AMULET_4 = 7383
RESONANCE_AMULET_5 = 7397
RESONANCE_AMULET_6 = 7445
HALISHA_MARK = 7501
ANCIENT_LANGUAGE_DICTIONARY = 7527

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31582-04.htm" :
        htmltext = "31582-04.htm"
        st.giveItems(GUILD_REPORT,1)
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
    elif event == "31284-04.htm" :
        htmltext = "31284-04.htm"
        st.set("cond","11")
    elif event == "31284-05.htm" :
        htmltext = "31284-05.htm"
        st.set("cond","12")
    elif event == "end" :
        htmltext = "You have completed the quest for 3rd occupation change and moved to another class. Congratulations!"
        st.player.setClassId(107)
        st.player.broadcastUserInfo()
        st.giveItems(SECRET_BOOK_OF_GIANT,1)
        st.giveItems(ADENA,5000000)
        st.takeItems(GUILD_REPORT,1)
        st.addExpAndSp(2299404,0)
        st.unset("cond")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
        st.set("onlyone","1")
    return htmltext

 def onTalk (Self,npc,st) :
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.set("cond","0")
     st.set("onlyone","0")
   if npcId == 31582 and int(st.get("onlyone")) == 0 :
      if int(st.get("cond")) == 0 :
         if st.getPlayer().getClassId().getId() == 0x22 :
            if st.getPlayer().getLevel() >= 76 :
               htmltext = "31582-03.htm" 
            else:
               htmltext = "31582-05.htm" 
               st.exitCurrentQuest(True)
         else:
            htmltext = "31582-02.htm" 
            st.exitCurrentQuest(True)
      elif int(st.get("cond")) == 19 :
         htmltext = "31582-06.htm" 
   elif npcId == 31582 and int(st.get("onlyone")) == 1 :
      htmltext = "<html><head><body>This quest have already been completed.</body></html>"
   elif npcId == 31284 :
      if int(st.get("cond")) == 1 :
         htmltext = "31284-01.htm"
         st.set("cond","2")
      elif int(st.get("cond")) == 4 and st.getQuestItemsCount(ANCIENT_LANGUAGE_DICTIONARY) :
         htmltext = "31284-02.htm"
         st.set("cond","5")
         st.takeItems(ANCIENT_LANGUAGE_DICTIONARY,1)
         st.giveItems(RESONANCE_AMULET_1,1)
   elif npcId == 31623 :
      if int(st.get("cond")) == 2 :
         htmltext = "31623-02.htm"
         st.set("cond","3")
      elif int(st.get("cond")) == 3 and st.getQuestItemsCount(CRYOLITE) :
         htmltext = "31623-03.htm" 
         st.set("cond","4")
         st.takeItems(CRYOLITE,1)
         st.giveItems(ANCIENT_LANGUAGE_DICTIONARY,1)
   elif npcId == 31646 and int(st.get("cond")) == 5 and st.getQuestItemsCount(RESONANCE_AMULET_1) :
      htmltext = "31646-01.htm"
      st.set("cond","6")
      st.takeItems(RESONANCE_AMULET_1,1)
   elif npcId == 31649 and int(st.get("cond")) == 7 and st.getQuestItemsCount(RESONANCE_AMULET_2) :
      htmltext = "31649-01.htm" 
      st.set("cond","8")
      st.takeItems(RESONANCE_AMULET_2,1)
   elif npcId == 31658 and st.getQuestItemsCount(RESONANCE_AMULET_3) :
      if int(st.get("cond")) == 8 :
         htmltext = "Hallate's Dancer Lillian"
         st.getPcSpawn().addSpawn(27272)
      elif int(st.get("cond")) == 9 :
         htmltext = "31658-01.htm" 
         st.set("cond","10")
         st.takeItems(RESONANCE_AMULET_3,1)
   elif npcId == 31284 :
      if int(st.get("cond")) == 10 :
         htmltext = "31284-03.htm"
      elif npcId == 31284 and int(st.get("cond")) == 11 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM) :
         htmltext = "31284-06.htm"
         st.set("cond","13")
         st.takeItems(DIVINE_STONE_OF_WISDOM,1)
         st.giveItems(RESONANCE_AMULET_4,1)
      elif npcId == 31284 and int(st.get("cond")) == 12 and st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM) :
         htmltext = "31284-06.htm"
         st.set("cond","13")
         st.takeItems(DIVINE_STONE_OF_WISDOM,1)
         st.giveItems(RESONANCE_AMULET_4,1)
      elif int(st.get("cond")) == 14 :
         htmltext = "31284-07.htm"
         st.set("cond","15")
   elif npcId == 31651 and int(st.get("cond")) == 13 and st.getQuestItemsCount(RESONANCE_AMULET_4) :
      htmltext = "31651-01.htm"
      st.set("cond","14")
      st.takeItems(RESONANCE_AMULET_4,1)
   elif npcId == 31652 and int(st.get("cond")) == 16 and st.getQuestItemsCount(RESONANCE_AMULET_5) :
      htmltext = "31652-01.htm"
      st.set("cond","17")
      st.takeItems(RESONANCE_AMULET_5,1)
   elif npcId == 31659 and st.getQuestItemsCount(RESONANCE_AMULET_6) :
      if int(st.get("cond")) == 17 :
         htmltext = "Kill Death Lord Hallate"
         st.getPcSpawn().addSpawn(27262)
      elif int(st.get("cond")) == 18 and st.getQuestItemsCount(RESONANCE_AMULET_6) :
         htmltext = "31659-01.htm" 
         st.set("cond","19")
         st.takeItems(RESONANCE_AMULET_6,1)
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   cond = int(st.get("cond"))
   if cond == 6 :
      if npcId == 27216 and st.getQuestItemsCount(RESONANCE_AMULET_2) == 0 :
         if st.getRandom(10) < 3 :
            st.giveItems(RESONANCE_AMULET_2,1)
            st.playSound("ItemSound.quest_middle")
            st.set("cond","7")
   elif cond == 8 :
      if npcId == 27272 and st.getQuestItemsCount(RESONANCE_AMULET_3) == 0 :
         st.giveItems(RESONANCE_AMULET_3,1)
         st.playSound("ItemSound.quest_middle")
         st.set("cond","9")
   elif cond == 15 :
      if npcId in (21646,21652) :
         if st.getQuestItemsCount(HALISHA_MARK) < 701 :
            st.giveItems(HALISHA_MARK,1)
            if st.getQuestItemsCount(HALISHA_MARK) == 701 :
               st.getPcSpawn().addSpawn(27219)
               st.takeItems(HALISHA_MARK,-1)
               st.playSound("ItemSound.quest_middle")          
            else:
               st.playSound("ItemSound.quest_itemget")
      elif npcId == 27219 :
         if st.getQuestItemsCount(RESONANCE_AMULET_5) < 1 and st.getQuestItemsCount(HALISHA_MARK) >= 701 :
            st.giveItems(RESONANCE_AMULET_5,1)
            st.takeItems(HALISHA_MARK,701)
            st.playSound("ItemSound.quest_middle")
            st.set("cond","16")
   elif cond == 17 :
      if npcId == 27262 :
         if st.getQuestItemsCount(RESONANCE_AMULET_6) < 1 :
            st.giveItems(RESONANCE_AMULET_6,1)
            st.playSound("ItemSound.quest_middle")
            st.set("cond","18")
 
   return

QUEST       = Quest(96,"96_SuccessionToTheLegend","Succession to the Legend, Spectral Dancer")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31582)
CREATED.addTalkId(31582)
STARTED.addTalkId(31582)

STARTED.addTalkId(31284)
STARTED.addTalkId(31623)
STARTED.addTalkId(31646)
STARTED.addTalkId(31649)
STARTED.addTalkId(31658)
STARTED.addTalkId(31651)
STARTED.addTalkId(31652)
STARTED.addTalkId(31659)

STARTED.addKillId(27216)
STARTED.addKillId(27219)
for i in range(21646,21652):
  STARTED.addKillId(i)
STARTED.addKillId(27262)
STARTED.addKillId(27272)

for j in range(1646,1652):
  STARTED.addQuestDrop(j,HALISHA_MARK,1)
STARTED.addQuestDrop(27216,RESONANCE_AMULET_2,1)
STARTED.addQuestDrop(27272,RESONANCE_AMULET_3,1)
STARTED.addQuestDrop(27219,RESONANCE_AMULET_5,1)
STARTED.addQuestDrop(5285,RESONANCE_AMULET_6,1)
                                      
print "importing quests: 96: Succession to the Legend, Spectral Dancer"