import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

PETUKAI = 30583
TANAPI  = 30571
TAMIL   = 30576

SCROLL_OF_ESCAPE_GIRAN = 7126
MARK_OF_TRAVELER = 7570
 
class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr) 

 def onEvent (self,event,st) :
   htmltext = event
   if event == "30583-03.htm" :
     st.set("cond","1")
     st.setState(STARTED)
     st.playSound("ItemSound.quest_accept")
   elif event == "30571-02.htm" :
     st.set("cond","2")
     st.playSound("ItemSound.quest_middle")
   elif event == "30576-02.htm" :
     st.giveItems(SCROLL_OF_ESCAPE_GIRAN,1)
     st.giveItems(MARK_OF_TRAVELER, 1)
     st.set("cond","0")
     st.setState(COMPLETED)
     st.playSound("ItemSound.quest_finish")
   return htmltext 

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   cond  = st.getInt("cond")
   id    = st.getState()
   if npcId == PETUKAI :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getRace().ordinal() == 3 :
               if st.getPlayer().getLevel() >= 3 :
                  htmltext = "30583-02.htm"
               else :
                  htmltext = "30583-01.htm"
                  st.exitCurrentQuest(True)
            else :
               htmltext = "<html><body>I can't supply you with another Giran Scroll of Escape. Sorry traveller.</body></html>"
      elif cond == 1 :
         htmltext = "30583-04.htm"
   elif npcId == TANAPI :
      if cond == 1 :
         htmltext = "30571-01.htm"
      elif cond == 2 :
         htmltext = "30571-03.htm"
   elif npcId == TAMIL :
      if cond == 2 :
         htmltext = "30576-01.htm"

   return htmltext

QUEST     = Quest(9,"9_IntoTheCityOfHumans","Into the City of Humans")
CREATED   = State('Start',     QUEST)
STARTED   = State('Started',   QUEST)
COMPLETED = State('Completed', QUEST)
 
QUEST.setInitialState(CREATED)
QUEST.addStartNpc(PETUKAI)

CREATED.addTalkId(PETUKAI)
COMPLETED.addTalkId(PETUKAI)

STARTED.addTalkId(PETUKAI)
STARTED.addTalkId(TANAPI)
STARTED.addTalkId(TAMIL)

STARTED.addQuestDrop(TAMIL,SCROLL_OF_ESCAPE_GIRAN,1)
STARTED.addQuestDrop(TAMIL,MARK_OF_TRAVELER,1)

print "importing quests: 9: Into the City of Humans"