import sys

from l2f.gameserver.model              import L2Player 
from l2f.gameserver.model.quest        import State
from l2f.gameserver.model.quest        import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

ORC_GATEKEEPER_CHARM   	= 1658
DWARF_GATEKEEPER_TOKEN 	= 1659
WHIRPY			= 30540
TAMIL			= 30576

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   # ORC_VILLAGE
   if npcId == TAMIL: 
     if st.getQuestItemsCount(ORC_GATEKEEPER_CHARM) >= 1:
       st.takeItems(ORC_GATEKEEPER_CHARM,1)
       st.player.teleToLocation(-80826,149775,-3043)
       st.exitCurrentQuest(True)
       return
     else:
       st.exitCurrentQuest(True)
       return "30576-01.htm"
   # DWARVEN_VILLAGE
   elif npcId == WHIRPY: 
     if st.getQuestItemsCount(DWARF_GATEKEEPER_TOKEN) >= 1:
       st.takeItems(DWARF_GATEKEEPER_TOKEN,1)
       st.player.teleToLocation(-80826,149775,-3043)
       st.exitCurrentQuest(True)
       return
     else:
       st.exitCurrentQuest(True)
       return "30540-01.htm"

QUEST       = Quest(1100,"1100_teleport_with_charm","Teleports")
CREATED     = State('Start',QUEST)

QUEST.setInitialState(CREATED)

for i in [ WHIRPY, TAMIL ] :
    QUEST.addStartNpc(i)
    CREATED.addTalkId(i)

print "importing teleport data: 1100_teleport_with_charm"
