DROP TABLE IF EXISTS `craftcount`;

CREATE TABLE `craftcount` (
  `char_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `count` bigint(20) UNSIGNED default '0',
  UNIQUE KEY `char_id` (`char_id`,`item_id`),
  KEY `char_id_2` (`char_id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS `dropcount`;

CREATE TABLE `dropcount` (
  `char_id` int(11) UNSIGNED NOT NULL,
  `item_id` int(11) UNSIGNED NOT NULL,
  `count` bigint(20) UNSIGNED default '0',
  UNIQUE KEY `char_id` (`char_id`,`item_id`),
  KEY `char_id_2` (`char_id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS `killcount`;

CREATE TABLE `killcount` (
  `char_id` int(11) UNSIGNED NOT NULL,
  `npc_id` int(11) UNSIGNED NOT NULL,
  `count` int(10) UNSIGNED default '0',
  UNIQUE KEY `char_id` (`char_id`,`npc_id`),
  KEY `char_id_2` (`char_id`)
) ENGINE=MyISAM;