ALTER TABLE `seven_signs`
CHANGE COLUMN `red_stones` `dawn_red_stones` INT(10) NOT NULL DEFAULT 0,
CHANGE COLUMN `green_stones` `dawn_green_stones` INT(10) NOT NULL DEFAULT 0,
CHANGE COLUMN `blue_stones` `dawn_blue_stones` INT(10) NOT NULL DEFAULT 0,
CHANGE COLUMN `ancient_adena_amount` `dawn_ancient_adena_amount` INT(10) NOT NULL DEFAULT 0,
CHANGE COLUMN `contribution_score` `dawn_contribution_score` INT(10) NOT NULL DEFAULT 0,
ADD COLUMN `dusk_red_stones` INT(10) NOT NULL DEFAULT 0,
ADD COLUMN `dusk_green_stones` INT(10) NOT NULL DEFAULT 0,
ADD COLUMN `dusk_blue_stones` INT(10) NOT NULL DEFAULT 0,
ADD COLUMN `dusk_ancient_adena_amount` INT(10) NOT NULL DEFAULT 0,
ADD COLUMN `dusk_contribution_score` INT(10) NOT NULL DEFAULT 0;

UPDATE `seven_signs` SET 
`dusk_red_stones` = `dawn_red_stones`, `dawn_red_stones` = 0,
`dusk_green_stones` = `dawn_green_stones`, `dawn_green_stones` = 0,
`dusk_blue_stones` = `dawn_blue_stones`, `dawn_blue_stones` = 0,
`dusk_ancient_adena_amount` = `dawn_ancient_adena_amount`, `dawn_ancient_adena_amount` = 0,
`dusk_contribution_score` = `dawn_contribution_score`, `dawn_contribution_score` = 0 
WHERE `cabal` = 'dusk';

CREATE TABLE `seven_signs_status` (
  `current_cycle` INT NOT NULL default '1',
  `festival_cycle` INT NOT NULL default '1',
  `active_period` INT NOT NULL default '1',
  `date` INT NOT NULL default '1',
  `previous_winner` INT NOT NULL default '0',
  `dawn_stone_score` INT NOT NULL default '0',
  `dawn_festival_score` INT NOT NULL default '0',
  `dusk_stone_score` INT NOT NULL default '0',
  `dusk_festival_score` INT NOT NULL default '0',
  `avarice_owner` INT NOT NULL default '0',
  `gnosis_owner` INT NOT NULL default '0',
  `strife_owner` INT NOT NULL default '0',
  `avarice_dawn_score` INT NOT NULL default '0',
  `gnosis_dawn_score` INT NOT NULL default '0',
  `strife_dawn_score` INT NOT NULL default '0',
  `avarice_dusk_score` INT NOT NULL default '0',
  `gnosis_dusk_score` INT NOT NULL default '0',
  `strife_dusk_score` INT NOT NULL default '0',
  `accumulated_bonus0` INT NOT NULL default '0',
  `accumulated_bonus1` INT NOT NULL default '0',
  `accumulated_bonus2` INT NOT NULL default '0',
  `accumulated_bonus3` INT NOT NULL default '0',
  `accumulated_bonus4` INT NOT NULL default '0'
);

INSERT INTO `seven_signs_status` VALUES
(1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);