DROP TABLE IF EXISTS `character_friends_temp`;

CREATE TABLE IF NOT EXISTS `character_friends_temp` (
 `char_id` INT NOT NULL default 0,
 `friend_id` INT(11) NOT NULL DEFAULT 0, 
 `friend_name` VARCHAR(35) NOT NULL DEFAULT '',
 PRIMARY KEY  (`char_id`,`friend_id`)
) TYPE=MyISAM;

INSERT IGNORE INTO character_friends_temp (
SELECT char_id,
 friend_id,
 friend_name
FROM character_friends
GROUP BY char_id, friend_id
);

INSERT IGNORE INTO character_friends_temp (
SELECT A.friend_id AS char_id,
 A.char_id AS friend_id,
 B.char_name AS friend_name
FROM character_friends AS A 
 LEFT JOIN characters AS B ON (A.char_id=B.obj_Id)
WHERE A.friend_id<>0 
 AND B.char_name<>""
GROUP BY A.friend_id, A.char_id
);

DROP TABLE IF EXISTS `character_friends`;

RENAME TABLE character_friends_temp TO character_friends;