\ now  ( -- current-time-in-millis-Long )
"java.lang.System" class "currentTimeMillis" { } japi-static-func: now

: new-SimpleDateFormat  ( "format" -- SimpleDateFormat )
	>string dup . "java.text.SimpleDateFormat" 1 jnew
;

: new-Date  ( time-in-millis-Long -- Date )
	"java.util.Date" { long.class } jnew
;

: strftime  ( time-in-seconds "format" -- "date-string" )
	swap >long 1000L D* new-Date swap
	.s new-SimpleDateFormat .s
	"format" 1 jget
;

: days     ( n -- n*86400 ) 86400 * ;
: hours    ( n -- n*3600 )  3600 * ;
: minutes  ( n -- n*60 )    60 * ;

: time  ( -- unixtime )  now 1000L D/ ;

: seconds>hms  ( seconds -- "time in human readable" )
	>r
	r@ 86400 >= if r@ 86400 / "d " s+ r> 86400 mod 3600 / s+ "m" s+ exit then
	r@  3600 >= if r@  3600 / "h " s+ r>  3600 mod   60 / s+ "m" s+ exit then
	r@    60 >= if r@    60 / "m " s+ r>    60 mod        s+ "s" s+ exit then
	r> >string "s" s+
;
