vocabulary local:

: (make-args)  ( {list1} name -- {list2} )  
	swap >r >r			\ ( r: {list} name )
	r@ forget			\ "Забываем" старое имя, если оно было
	0 r> make-uvalue	\ Создаём UVALUE по имени
	'latest
	r> tuck +list
;

: (load-args)  ( n1 n2 .. {arg-list} -- )  & value!  do-list ;

false value ((comment-flag))
new-list value ((tmp-arg-list))

: (end-word-with-local-var)
	((tmp-arg-list))   & forget-context   do-list
	previous
;

: ((  	\ ( -- \ name1 name2 ... nameN "))" )
	\ Создаёт локальные переменные name1 .. nameN, 
	\ соответствующие элементам стека на входе слова.
	\ Параметры из стека снимаются.

	?comp \ только компиляция	
	
	false to ((comment-flag))
	
	{
		BEGIN
			NextWord
			DUP "--" = if
				true TO ((comment-flag))
				DROP
				NextWord
			then
		DUP "))" <> WHILE
			((comment-flag)) if DROP then
		REPEAT
	
		DROP
	}

	to ((tmp-arg-list))
	
    get-current >r context @ >r
	[compile] local: definitions
	{ }  ((tmp-arg-list))  & (make-args)  do-list
	r> context ! r> set-current

	also local:

	& (end-word-with-local-var) on-end-word-cleanable+
	
	uvalue-noname ,
	['] (load-args) ,
; IMMEDIATE
