(  Working with forth modules
   Copyright [C] 2000 D.Yakimov day@forth.org.ru
)

: MODULE: ( "name" -- old-current )
\ start a forth module
\ Если такой модуль уже существует, продолжить компиляцию в него
  >IN @ ['] ' CATCH
  IF >IN ! VOCABULARY GET-CURRENT
     'LATEST
  ELSE 
     NIP GET-CURRENT SWAP
  THEN
  EXECUTE
  DEFINITIONS
  ALSO
;

: EXPORT ( old-current -- old-current )
\ export some module definitions
   DUP SET-CURRENT
;

: ;MODULE ( old-current -- )
\ finish the module
   SET-CURRENT PREVIOUS
;

: {{ ( "name" -- )
\ Кладет в ORDER wordlist, к-ый даст "name"
\ или vocabulary если "name" - vocabulary
        DEPTH >R
        ALSO ' EXECUTE
        DEPTH R> <>             IF      \ wid on the stack?
             CONTEXT !          THEN
; IMMEDIATE

: }}
   PREVIOUS
; IMMEDIATE

: module-path  ( -- "voc path to module" )
\	Возваращает строку с вызовами словарей до текущего модуля
	"" >r
	current @
	begin
		dup null?
		over forth-wordlist = or
	not	while
		dup "getName" 0 jget " " s+ r> s+ >r
		dict-of-word
	repeat
	drop
	r>

	\ Если режим компиляции, то компилируем значение в определяемое слово
	state @ if
		[compile] literal
	then
; immediate
