\ ************************************************************************
\ (c) 2006 Balancer
\ http://balancer.ru
\ Jabber: balancer@balancer.ru
\ e-mail: balancer@balancer.ru
\ Описания слов взяты из SP-Forth4, (c)Андрей Черезов, http://forth.org.ru
\ ************************************************************************


: also ( -- ) \ 94 SEARCH EXT
\ Преобразовать порядок поиска, состоящий из widn, ...wid2, wid1 (где wid1 
\ просматривается первым) в widn,... wid2, wid1, wid1. Неопределенная ситуация 
\ возникает, если в порядке поиска слишком много списков.
 	get-order context @ over +list set-order
;

: previous ( -- ) \ 94 SEARCH EXT
\ Преобразовать порядок поиска, состоящий из widn, ...wid2, wid1 (где wid1 
\ просматривается первым) в widn,... wid2. Неопределенная ситуация возникает,
\ если порядок поиска был пуст перед выполнением PREVIOUS.
 	get-order 
	list-shift 
	set-order 
	context !
;

: forth ( -- ) \ 94 SEARCH EXT
\ Преобразовать порядок поиска, состоящий из widn, ...wid2, wid1 (где wid1 
\ просматривается первым) в widn,... wid2, widFORTH-WORDLIST.
  forth-wordlist context !
;

: only ( -- ) \ 94 SEARCH EXT
\ Установить список поиска на зависящий от реализации минимальный список поиска.
\ Минимальный список поиска должен включать слова FORTH-WORDLIST и SET-ORDER.
  new-list forth-wordlist over list+ set-order
  forth
;
