: c.target!  ( target char -- )
	"setTarget" { L2Object.class } jexec
;

: obj-p@  ( "Property" -- value )
	object swap p@
	?dup unless "none" then
;

: npc.spawn.location@  ( L2NpcInstance -- location )
	"Spawn" p@ ?dup if
		"Location" p@
	else
		0
	then
;

: npc>spawn_id  ( L2NpcInstance -- spawn_id )
	"Spawn" p@ ?dup if
		"Id" p@
	else
		0
	then
;

: npc.aggro@  ( L2NpcInstance -- location )
	dup L2Attackable.class instance-of? if
		"AggroRange" p@
	else
		0
	then
;

: npc.id@   ( L2NpcInstance -- npc_id )
	"Template" p@
	"npcId" field@
;

: L2NpcInstance.onActionShift
	object player@ c.target!

	"npc-data-view" access?
	if
		"jbforth/admin/actions/L2NpcInstance.onActionShift.htm" parse show
	else
		"ALT_GAME_SHOW_DROPLIST" config@ if
			"jbforth/admin/actions/player.L2NpcInstance.onActionShift.htm" parse show
		else
			"Showing npc stats/droplist to players forbidden by administrator" show
		then
	then
	action-failed
	true boolean
;

: L2AdventurerInstance.onActionShift	L2NpcInstance.onActionShift ;
: L2MonsterInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2ControllableMobInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2MinionInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2TeleporterInstance.onActionShift	L2NpcInstance.onActionShift ;
: L2BossInstance.onActionShift			L2NpcInstance.onActionShift ;
: L2RaidBossInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2Merchant.onActionShift				L2NpcInstance.onActionShift ;
: L2GuardInstance.onActionShift			L2NpcInstance.onActionShift ;
: L2TrainerInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2MerchantInstance.onActionShift		L2NpcInstance.onActionShift ;
: L2VillageMasterInstance.onActionShift	L2NpcInstance.onActionShift ;
: L2ChestInstance.onActionShift			L2NpcInstance.onActionShift ;
: L2ManorManagerInstance.onActionShift	L2NpcInstance.onActionShift ;

: L2DoorInstance.onActionShift
    "npc-data-view" access? not
    if
    false boolean exit
    then
    object player@ c.target!
	"jbforth/admin/actions/L2DoorInstance.onActionShift.htm" parse show
	action-failed
	true boolean
;

: L2Player.onActionShift
	"players-data-view" access? not
	if
		false boolean exit
	then
    object player@ c.target!
	"jbforth/admin/players/character_list.htm" show
	action-failed
	true boolean
;

: show-user-droplist
	object "Template" p@ "npcId" field@
	"l2f.gameserver.cache.InfoCache" class "getFromDroplistCache" 1 jget
	show
;

: show-resists
	"jbforth/admin/actions/player.L2NpcInstance.resists.htm" parse show
;

: (make-html-characters-list)  ( str item -- str )
	>r "<tr><td>" s+
	r@ s+
	"</td><td>" s+
	r> object c.distance-to s+
	"</td></tr>" s+
;

: make-html-characters-list  ( {list} -- "html" )
	"" swap
	& (make-html-characters-list) do-list
;
