new-hashmap
	"admin_reload" => back
	"Сообщение" => title
	"JBForth перезагружен!" => message
value admin_message

: set-back-message  ( "message" -- )  admin_message "message" m! ;	

: admin_reload_npc  ( -- )
	"reload" check-access
	"NpcTable reload begin" type
	NpcTable "reloadAllNpc" 0 jexec
	"NpcTable reload end" type

	"Перезагрузка даных NPC и дропа завершена" admin_message "message" m!
	"jbforth/admin/_msg_back.htm" show
;


: admin_reload_skills  ( -- )
	"reload" check-access
	skills-reload
	"Skill table reloaded" .
;

: admin_reload  ( -- )
	"reload" check-access
	"jbforth/admin/reload.htm" show
;

: admin_reload_spawns  ( -- )
	"reload" check-access
	SpawnTable "reloadAll" 0 jexec
;


: admin_reload_abuse  ( -- )
	"reload" check-access
	"l2f.Config" class "abuseLoad" 0 jexec
;

: admin_reload_jbf  ( -- )
	"reload" check-access
	"reload_jbf" eval \ For last version of word
	"jbforth/admin/_msg_back.htm" show
;

: admin_reload_strings  ( -- )
	"reload" check-access
	"l2f.gameserver.lib.Strings" class "reload" 0 jget drop

	"Перезагрузка строковой библиотеки (в т.ч. транслита) завершена" admin_message "message" m!
	"jbforth/admin/_msg_back.htm" show
;

: admin_file_cache_clean  ( -- )
	"reload" check-access
	"l2f.gameserver.lib.Files" class "cacheClean" 0 jget drop

	"Очистка файлового кеша завершена" admin_message "message" m!
	"jbforth/admin/_msg_back.htm" show
;

: admin_reload_all_fish  ( -- )
	"reload" check-access
	"l2f.gameserver.tables.FishTable" class "getInstance" 0 jget "reloadAllFish" 0 jexec
	"Перезагрузка рыбы завершена" admin_message "message" m!
	"jbforth/admin/_msg_back.htm" show
;

: admin_reload_access  ( -- )
	"reload" check-access
	"l2f.Config" class "loadGMAccess" 0 jexec
	"Player access level reload" admin_message "message" m!
	"jbforth/admin/_msg_back.htm" show
;

"l2f.gameserver.instancemanager.TownManager" class   constant TownManager.class
TownManager.class "init" { } japi-static-proc: TownManager.init

"l2f.gameserver.instancemanager.ZoneManager" class   constant ZoneManager.class
ZoneManager.class "reload" { } japi-proc: (ZoneManager.reload)
ZoneManager.class "getInstance" { } japi-static-func: ZoneManager.instance
: ZoneManager.reload  ZoneManager.instance (ZoneManager.reload) ;

: admin_reload_locs  ( -- )
	"reload" check-access
	Territory "reload_data" 0 jexec
;

: admin_reload_zones  ( -- )
	"reload" check-access
	TerritoryTable.reload
	ZoneManager.reload
	TownManager.init
	ru: Зоны перезагружены
	en: Zones was reloads
	set-back-message
	"jbforth/admin/_msg_back.htm" show
;
