\ =====MasterXl=====
1 value current-attackers
false value siege-started
{ 30080 30081 30082 30083 30084 30087 30088 30090 30091 30092 30093 30094 30095 30097 30098 30103 30104 30121 30122 30123 30124 30128 30452 30477 30478 30511 30514 30753 30767 30829 30985 30989 31049 31419 31420 31428 31447 31449 31450 31451 31572 } value npcgiran
0 value giran-mob
\ =====test section

 20214 CONSTANT a_wave1 \
 21084 CONSTANT a_wave2 \
 21628 CONSTANT a_wave3 \
 21085 CONSTANT a_wave4 \
 20629 CONSTANT a_wave5 \
 21067 CONSTANT def_id  \ Angel

new-hashmap
\ npc_id-attackers | qty-att |npc_id-defenders | qty-def
    {   a_wave1     75     def_id    15      } => 1
    {   a_wave2     50     def_id    1       } => 2
    {   a_wave3     25     def_id    1       } => 3
    {   a_wave4     15     def_id    1       } => 4
    {   a_wave5     10     def_id    1       } => 5
 value siege-set-easy

new-hashmap
\ npc_id-attackers | qty-att |npc_id-defenders | qty-def 
    {	a_wave1	100	def_id	11	} => 1
    {	a_wave2	 75	def_id	1	} => 2
    {	a_wave3	 50	def_id	1	} => 3
    {	a_wave4	 25 	def_id	1	} => 4
    {	a_wave5	 15	def_id	1	} => 5
value siege-set-normal 

new-hashmap
\ npc_id-attackers | qty-att |npc_id-defenders | qty-def 
    {	a_wave1	100	def_id	9 	} => 1
    {	a_wave2	100	def_id	1	} => 2
    {	a_wave3	 60	def_id	1	} => 3
    {	a_wave4	 45	def_id	1	} => 4
    {	a_wave5	 25	def_id	1	} => 5
value siege-set-hard

new-hashmap
{  } value siege-set

: siege?
    siege-started not if rdrop exit then
;

: test-kill
    find-by-npc_id dup null? if
    drop "Could not found NPC" .
    else
    false unspawn
    then
;

: giran-ppls
    npcgiran ['] test-kill do-list
;

: siege-stop
    false to siege-started
    "DELETE FROM `server_variables` WHERE `type` = 'giransiege'" update 2drop
    "'ItemSound.quest_jackpot' so" do-players
    "Защитники Гирана победили ужасную арми Тьмы!!!" announce
    10 "null-check" player@ 1 mg_setcheck
    10 "null-check" player@ 2 mg_setcheck
    1 mg_unspawn
    2 mg_unspawn
    SpawnTable "reloadAll" 0 jexec
    1 to current-attackers
;

: times
    "SELECT `value` FROM `server_variables` WHERE `type` = 'giransiege'" query
    drop list> dup 0= if exit then drop 'value' m@
	
;

: siege-occuped
    giran-ppls
    1 20674 50 mg_create
    83247 148604 -3404 1 mg_spawnat
    10 "siege-stop" player@ 1 mg_setcheck
    1 mg_attackrnd
    "Полчища темных сил заполнили Гиран!!!" announce
;

: siege-time-end
    times 0= if exit then
    "SELECT `expire_time` FROM `server_variables` WHERE `type` = 'giransiege'" query
    drop list> dup 0= if drop exit then
    drop 'expire_time' m@ timestamp()  < if siege-stop exit
    then siege-occuped
;

: siege-defeat
    "INSERT INTO `server_variables` ( `type` , `name` , `index` , `value` , `expire_time` )
    VALUES ( 'giransiege', 'occuped', '0', '1', '[ timestamp() 432000 + ]')" parse update 2drop 
   "Защитники Гирана потерпели поражени в неравной борьбе с армией Тьмы" announce
    ": null-check ;" eval
    10 "null-check" player@ 1 mg_setcheck
    10 "null-check" player@ 2 mg_setcheck
    1 mg_unspawn
    2 mg_unspawn
    "Мирное население покинуло город" announce
    siege-occuped
    "'ItemSound.siege_end' so" do-players
;

: npc-att@ 	0 rl@ ;
: att-qty@	1 rl@ ;
: npc-def@	2 rl@ ;
: def-qty@	3 rl@ ;

: next-wave
    current-attackers 6 = if "Армия тьмы была уничтожена!" announce
    ": null-check ;" eval
    10 "null-check" player@ 1 mg_setcheck
    10 "null-check" player@ 2 mg_setcheck 
    1 mg_unspawn
    2 mg_unspawn
    siege-stop
    exit then 
    current-attackers
    >string siege-set swap m@
    >r
    2 npc-att@ att-qty@ mg_create
    75243 139899 -3469 2 mg_spawnat 
    1 "next-wave" player@ 2 mg_setcheck
    "1 2 mg_attackgrp" 3000 timer-start drop
    "1 2 mg_attackgrp" 6000 timer-start drop
    current-attackers 1 + to current-attackers
    "'AmbSound.thunder_01' so" do-players
    "Все нападающие уничтожены!" announce
    rdrop
;

: spawn-siege
    80554 142248 -3542 1 mg_spawnat
    75243 139899 -3469 2 mg_spawnat
    1 "siege-defeat" player@ 1 mg_setcheck
    1 "next-wave" player@ 2 mg_setcheck
    1 1 mg_nomove
    current-attackers 1+  to current-attackers
    "1 2 mg_attackgrp" 3000 timer-start drop
    "1 2 mg_attackgrp" 6000 timer-start drop
;

: tttt1 
    "'ItemSound.siege_start' so" do-players
    current-attackers
    >string siege-set swap m@
    >r 
    1 npc-def@ def-qty@ mg_create
    2 npc-att@ att-qty@ mg_create rdrop
    spawn-siege
    true to siege-started
   
;

: bypass_siege-show 
    dup 1 = if drop siege-set-easy to siege-set "2.htm" show exit then
    dup 2 = if drop siege-set-normal to siege-set "2.htm" show exit then
    3 = if siege-set-hard to siege-set "2.htm" show exit then
;

: bypass_admin-siege
    "1.htm" show
;

: reward-1
    siege-started not if exit then
    rnd 0.3 f< if  5 2132 killer p.items_add then
    rnd 0.3 f< if 10 1460 killer p.items_add then
    rnd 0.05 f< if  1 5595 killer p.items_add then
    rnd 0.05 f< if  1 7126 killer p.items_add then
    rnd 0.05 f< if  1 7132 killer p.items_add then
    rnd 0.05 f< if  1 3936 killer p.items_add then
    rnd 0.05 f< if  1 1538 killer p.items_add then
    rnd 0.03 f< if 1  948 killer p.items_add then
    rnd 0.02 f< if 1  947 killer p.items_add then
;

: reward-2
    siege-started not if exit then
    rnd 0.4 f< if  3 2133 killer p.items_add then
    rnd 0.4 f< if  5 1461 killer p.items_add then
    rnd 0.09 f< if 1 5595 killer p.items_add then
    rnd 0.09 f< if 1 7126 killer p.items_add then
    rnd 0.09 f< if 1 7132 killer p.items_add then
    rnd 0.09 f< if 1 3936 killer p.items_add then
    rnd 0.09 f< if 1 1538 killer p.items_add then
    rnd 0.04 f< if 1  948 killer p.items_add then
    rnd 0.03 f< if 1  947 killer p.items_add then
;

: reward-3
    siege-started not if exit then
    rnd 0.5 f< if   7 2133 killer p.items_add then
    rnd 0.5 f< if  15 1461 killer p.items_add then
    rnd 0.1 f< if  2 5595 killer p.items_add then
    rnd 0.1 f< if  2 7126 killer p.items_add then
    rnd 0.1 f< if  2 7132 killer p.items_add then
    rnd 0.1 f< if  2 3936 killer p.items_add then
    rnd 0.1 f< if  2 1538 killer p.items_add then
    rnd 0.05 f< if  1  948 killer p.items_add then
    rnd 0.04 f< if  1  947 killer p.items_add then
;

: reward-4
    siege-started not if exit then
    rnd 0.5 f< if  10 2133 killer p.items_add then
    rnd 0.5 f< if  20 1461 killer p.items_add then
    rnd 0.12 f< if  5 5595 killer p.items_add then
    rnd 0.12 f< if  5 7126 killer p.items_add then
    rnd 0.12 f< if  5 7132 killer p.items_add then
    rnd 0.12 f< if  5 3936 killer p.items_add then
    rnd 0.12 f< if  5 1538 killer p.items_add then
    rnd 0.03 f< if  1  730 killer p.items_add then
    rnd 0.02 f< if  1  729 killer p.items_add then
;

: reward-5
    siege-started not if exit then
    rnd 0.5 f< if  15 2133 killer p.items_add then
    rnd 0.5 f< if  30 1461 killer p.items_add then
    rnd 0.15 f< if  7 5595 killer p.items_add then
    rnd 0.15 f< if  7 7126 killer p.items_add then
    rnd 0.15 f< if  7 7132 killer p.items_add then
    rnd 0.15 f< if  7 3936 killer p.items_add then
    rnd 0.15 f< if  7 1538 killer p.items_add then
    rnd 0.05 f< if  2  730 killer p.items_add then
    rnd 0.03 f< if  2  729 killer p.items_add then
;

' reward-1 a_wave1 npc-die+!

' reward-2 a_wave2 npc-die+!

' reward-3 a_wave3 npc-die+!

' reward-4 a_wave4 npc-die+!

' reward-5 a_wave5 npc-die+!

: bypass_start-siege tttt1 ;

: admin_siege_menu
        "events-admin" check-access
        '<html><body><font color="LEVEL">Siege of Giran Castle Town</font><br>'
        '<a action="bypass -h jbf_admin-siege">Siege menu</a><br>' s+
        '</body></html>' s+
        show
;
