module: evt

"l2f.gameserver.ai.CtrlEvent" class constant  CtrlEvent.class

: evt.handler!  ( evt 'handler character -- )
	"AI" p@ >r
	over r@ "resetEventHandlers" 1 jexec
	r@ "addEventHandler"  { CtrlEvent.class Word.class } jexec
	rdrop
;

: evt.unhandler!  ( evt 'handler character -- )
	"AI" p@ >r
	over r@ "resetEventHandlers" 1 jexec
	r@ "removeEventHandler"  { CtrlEvent.class Word.class } jexec
	rdrop
;

: def:        ( -- \ name )  CtrlEvent.class     NextWord tuck field@ "constant " rot s+ eval ;

def: EVT_ATTACKED
def: EVT_THINK
def: EVT_AGGRESSION
def: EVT_STUNNED
def: EVT_SLEEPING
def: EVT_ROOTED
def: EVT_READY_TO_ACT
def: EVT_USER_CMD
def: EVT_ARRIVED
def: EVT_ARRIVED_REVALIDATE
def: EVT_ARRIVED_BLOCKED
def: EVT_FORGET_OBJECT
def: EVT_CANCEL
def: EVT_DEAD
def: EVT_FAKE_DEATH
def: EVT_CONFUSED
def: EVT_MUTED
def: EVT_AFFRAID
def: EVT_FINISH_CASTING

: c.notify!  ( arg0 arg1 event char -- )  >r -rot r> "AI" p@ "notifyEvent" { CtrlEvent.class Object.class dup } jexec ;
: notify!  ( arg0 arg1 event -- )  self c.notify! ;

;module
