module: castle:

data.f

\ Добавляемый каждому Mass Gatekeeper'у диалог.
\ Не заводим тонну ненужных диалогов в общей куче,
\ для всех показываем один. Опционально - возможна допись информации
\ по конкретным замкам и условиям.
: mass-gatekeeper-dialog
	"!"
	"gk.htm" html-load
	s+
;

\ Считываем из БД все Mass Gatekeeper'ов.
"SELECT `id` FROM `npc` WHERE `name` = 'Mass Gatekeeper'" query drop
\ Добавляем им приведённый диалог.
[[ "id" m@ int & mass-gatekeeper-dialog swap npc-dialog+ ]] do-list


\ Формат хэшмапа будет timer-task => castle
new-chmap value timer-tasks

\ В случае, если Форт перезагружается во время активных задач, то
\ принудительно их прерываем.

: timer!  ( timer castle -- )  timer-tasks swap m! ;
: erase-timer  ( castle -- )  false swap timer! ;
: timer@  ( castle -- )  timer-tasks swap m@ ;

: timer-task-cancel  (( task castle -- ))
	task if	
		task false timer-stop
	then
	castle erase-timer
;

on-jbf-stop:: timer-tasks  & timer-task-cancel  do-hashmap ;

\ Сообщаем о переброске, если у нас идёт осада
: gk-go-shout  (( _npc castle -- ))
\	castle siege? unless exit then \ Это не осада, выходим
	
	_npc
	1 \ Shout
	
	castle
	ru: Защитники замка [ castle>name ] были перемещены в свой замок.
	en: The defenders of [ castle>name ] castle will be teleported to the inner castle.
	parse

	6000 npc-say
;

: castle>throne-hall  ( castle -- throne_hall )  throne-halls swap castle>name m@ ;

: jump-to-throne (( castle player -- ))
	castle castle>throne-hall
	?dup unless 
		"Can't find throne hall data of [ castle castle>name ] castle"
		parse
		exit 
	then
	
	list-rnd
	player p.xyzh-list-jump
;

: do-mass-gk  ( {npc castle} -- )
    list-rev> drop
	(( castle ))
	castle gk-go-shout

	castle
		castle castle>owner-restart-territory
	getPlayersAtTerritory
	& jump-to-throne
		p-do-list

	castle erase-timer
;

forth:: bypass_mass-gk  ( -- )
	npc castle/obj (( castle ))
	castle timer@ if
		ru: Процесс перемещения уже запущен. Ждите...
		en: Mass teleport already running. Please wait...
		type
		exit
	then
	
	{ npc castle }
	& do-mass-gk 
	30000 
	p-do-timer
	
	castle timer!

	"go.htm" show
;

;module
