module: vmedals

\ ======= awarm ======= 
\ Medal shop
\ 6392 Event Medal
\ 6393 Event Glittering Medal
\
new-hashmap
\ items_to_buy | event_medals event_glittering_medal
  { 1374  30   } => 1  \ Greater Haster Potion
  { 1375  60   } => 2  \ Swift Attack Potion
  { 6036  60   } => 3  \ Magic Haste Potin
  { 1540  100  } => 4  \ Quick Healing Potion
  { 1538  150  } => 5  \ Blessed Scroll of Escape
  { 3936  100  } => 6  \ Blessed Scroll of Ressurection
  { 956   20   } => 7  \ Scroll Enchant armor D-grade
  { 955   60   } => 8  \ Scroll Enchant weapon D-grade
  { 952   100  } => 9  \ Scroll Enchant armor C-grade
  { 951   300  } => 10 \ Scroll Enchant weapon C-grade
  { 6394  350  } => 11 \ Red Party Mask
value vmedalshop-items-list  

: itb@  ( -- items-to-buy )   0 rl@ ;
: em@ ( -- event-medals )   1 rl@ ;
  
new-hashmap
\ items_to_buy | event_glittering_medal
  { 6326  2000  } => 1  \ Sealed Majestic Necklace
  { 6327  1950  } => 2  \ Sealed Majestic Earring
  { 6328  1300  } => 3  \ Sealed Majestic Ring
  { 1540  100   } => 4  \ Quick Healing Potion
  { 1538  150   } => 5  \ Blessed Scroll of Escape
  { 3936  100   } => 6  \ Blessed Scroll of Ressurection
  { 948   200   } => 7  \ Scroll Enchant armor B-grade
  { 947   600   } => 8  \ Scroll Enchant weapon B-grade
  { 730   300   } => 9  \ Scroll Enchant armor A-grade
  { 729   900   } => 10 \ Scroll Enchant weapon A-grade
  { 960   500   } => 11 \ Scroll Enchant armor S-grade
  { 959   1500  } => 12 \ Scroll Enchant weapon S-grade
value vmedalshophi-items-list  

: ithb@ ( -- itemsh-to-buy )      0 rl@ ;
: egm@  ( -- event-glittering-medal ) 1 rl@ ;  

0 user-value npcid

: .rexit ( "text" -- )
  rdrop
  parse .
  rdrop
;

forth:: bypass_do-vmedals
  player@ target@ "NpcId" p@ to npcid
;

forth:: bypass_vmedals
    ._s
  >string vmedalshop-items-list swap m@
  >r
  em@ 4676 items# > if "Not enough " egm@ s+ " medals" s+ .rexit then
  em@ 4676 items_remove
  1 itb@ items_add
  rdrop
;

forth:: bypass_vmedalshi
  >string vmedalshophi-items-list swap m@
  >r
  egm@ 4676 items# > if "Not enough "  egm@ s+ " medals" s+ .rexit then
  egm@ 4676 items_remove
  1 ithb@ items_add
  rdrop
;


: 31228-dialog  
  "<br>[jbf_event-vmedals|Medals of Victory Event]"
  ;


\ ======statement
\ { spawnlist.f } value medals-spawnlist
false value vmedals-started
\ { } value medals-victory-spawned-list

: dropchance 
  killer dup target@ "Level" p@ swap "Level" p@  2 - -
  2 / rnd f* int
  dup
  1 < 
  if rdrop exit then ;


\ ======awards
: awards   dropchance 4676 killer p.items_add ;
\ : awards  dropchance 4676 killer p.items_add ;

\ ======main code

: start
\    medals-spawnlist npc-list-spawn  to medals-spawned-list
  true to vmedals-started
  "started" "vmedals" eventstate+
  ['] 31228-dialog 31228 npc-dialog+
;

: start-with-announce
	start
	"Medals of Victory event begin" announce \ do-players
;

: stop
  false to vmedals-started
  "stopped" "vmedals" eventstate+
  "Medals of Victory event stopped" announce \ do-players
\ medals-spawned-list npc-list-unspawn
;

: run? 
  vmedals-started not if rdrop exit then
;

dielist.f

:noname ( on npc die )
  run?
  rnd 1 f< if awards then
; vmedal-warrior ['] npc-die+! p-do-list 

\ ==== dialogs

forth:: bypass_vmedals-1
  "1.htm" show
; 

forth:: bypass_vmedals-2
  "2.htm" show
;


forth:: admin_events_awarm_vmedals_menu
  "events-admin" check-access
  '<html><body><font color="LEVEL">Мероприятие "Medals of Victory Event"</font><br>'
  '<a action="bypass -h forth events awarm vmedals start-with-announce">Запуск эвента</a><br>' s+
  '<a action="bypass -h forth events awarm vmedals stop">Остановка эвента</a><br>' s+
  '</body></html>' s+
  show
;

forth:: bypass_event-vmedals
  "31228-3.htm" show
  ;

: vmedals-prestart
	"vmedals" eventstate? "started" = if 
		"Starting Medals of Victory Event\n" . 
		start  
	then
;              

"Medals of Victory Event" "admin_events_awarm_vmedals_menu" admin-event+
vmedals-prestart

;module
