\ 2005-09-15..17, (c)Balancer, (c)Tais
\ Event "Theft of lady Kamilla"

\ ========= Configurable vars =========

"halleluiah" value password
"inferno" value orator_password
"Kamilla" value stolen_player


\ ========= Internal vars =========

false value theft-of-kamilla:running
false value MarlukKnight-killed
false value PytanKnight-killed
false value UtenusGuard-killed
false value BloodyKnight-killed
false value DeathLord-killed
false value spell-given

\ ========= Begin of main code ============

: run? theft-of-kamilla:running ;
: run! true to theft-of-kamilla:running ;

\ : run? not if exit then  ( -- ) \ if not running show message and exit from called word
\ 	run? not if
\		'Event "Theft of lady Kamilla" not running yet' .
\		rdrop 
\		exit
\	then
\ ;

\ null value kamilla

: stop
	ride-hair-enable
	false to theft-of-kamilla:running
;

\ used by timer
: event_ends  ( -- )  
    run? not if exit then
	"Kamilla" find_player unpoly
	"jbforth/events/theft-of-kamilla/maximilian-2.htm" show
	"Event ends! Kamilla come back!" announce
	stop
;

forth:: bypass_event_theft-of-kamilla_pw_check:
    run? not if exit then

	~MercenaryPostingTicket player@ inventory? 1 < if
		"You have not main quest item, Mercenary Posting Ticket" show
		exit
  	then
	
	password = if
		1 ~MercenaryPostingTicket items_remove
		"Password matches!" .
		s4
		
		302 ( spoil festival ) 5000 5000 player@  "Kamilla" find_player  MAGIC-SKILL-TARGET

		1 ~MistSword items_add

		"event_ends" 5000 timer-start drop
   	else
   		"Password not matches. Try again." show
   	then
;

forth:: bypass_event_theft-of-kamilla_orator_pw_check:
    run? not if exit then
	orator_password = if
		"Password matches! You can enter now." show
		22170001 door-open
		22170002 door-open
\		"Event: Gate opened!" announce
\ 		s4
   	else
   		"Password not matches. Try again." show
   	then
;


\ Priest Dustin, start of even:
forth:: bypass_event_theft-of-kamilla_30116
    run? not if exit then
	"jbforth/events/theft-of-kamilla/dustin.htm" show
;

\ Priest Dustin, after offer money
forth:: bypass_event_theft-of-kamilla_30116-2
	run? not if exit then

    1000 adena_pay \ remove money from inventory

	1 ~MercenaryPostingTicket items_add

	"jbforth/events/theft-of-kamilla/dustin-2.htm" show
;

forth:: bypass_event_theft-of-kamilla_30120
	run? not if exit then
	spell-given not if exit then
	~MercenaryPostingTicket player@ inventory? 1 < if
		"You have not main quest item, Mercenary Posting Ticket" show
		exit
  	then

	"jbforth/events/theft-of-kamilla/maximilian.htm" show
;

forth:: bypass_event_theft-of-kamilla_30025
	run? not if exit then
	"jbforth/events/theft-of-kamilla/trash.htm" show
;

forth:: bypass_event_theft-of-kamilla_30025-2
    run? not if exit then

    300000 adena_pay

	"jbforth/events/theft-of-kamilla/trash-2.htm" show
;

forth:: bypass_event_theft-of-kamilla_31201
    run? not if exit then

	"jbforth/events/theft-of-kamilla/orator.htm" show
;

: npc-30116-dialog-append 
    run? not if exit then
	'<br><a action="bypass -h jbf_event_theft-of-kamilla_30116">Event "Theft of lady Kamilla"</a><br>' .
;

: npc-30120-dialog-append 
    run? not if exit then
    spell-given not if exit then
	'<br><a action="bypass -h jbf_event_theft-of-kamilla_30120">Event "Theft of lady Kamilla"</a><br>' .
;

: npc-30025-dialog-append 
    run? not if exit then
	'<br><a action="bypass -h jbf_event_theft-of-kamilla_30025">Event "Theft of lady Kamilla"</a><br>' .
;

: npc-31201-dialog-append 
    run? not if exit then
	'<br><a action="bypass -h jbf_event_theft-of-kamilla_31201">Event "Theft of lady Kamilla"</a><br>' .
;

: npc-20123-dialog-append 
    run? not if exit then
	'<br><a action="bypass -h jbf_event_theft-of-kamilla_20123">Event "Theft of lady Kamilla"</a><br>' .
;
forth:: bypass_event_theft-of-kamilla_20123
    run? not if exit then
    
    DeathLord-killed not if "You must kill Death Lord" show exit then

	22170003 door-open
	22170004 door-open
	"jbforth/events/theft-of-kamilla/dixy.htm" show
	true to spell-given
;

: on-npc-20862-die   run? not if exit then   DeathLord-killed not if  true to DeathLord-killed then ;

: start
	ride-hair-disable
	10110 "Kamilla" find_player  poly
	"Event begins!" announce
	"Event begins!" announce
	"Event begins!" announce
	s4
	true to theft-of-kamilla:running
	false to MarlukKnight-killed
	false to PytanKnight-killed
	false to UtenusGuard-killed
	false to BloodyKnight-killed
	false to DeathLord-killed
	false to spell-given
;




\ === teleporters ===
: npc-30588-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_30588">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_30588 79766 -15347 -276 jump ;

: npc-35376-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_35376">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_35376 83616 -14684 -1272 jump ;

: npc-35378-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_35378">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_35378  MarlukKnight-killed if 83407 -18122 -1272 jump else "You must kill Marluk Knight" show then ;
: on-npc-20625-die  ( Marluk Knight )  run? not if exit then   MarlukKnight-killed not if true to MarlukKnight-killed  1 ~ElvenSword*ElvenSword items_add then ;

: npc-35377-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_35377">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_35377  PytanKnight-killed if 79261 -16613 -840 jump else "You must kill Pytan Knight" show then ;
: on-npc-20762-die  ( Pytan Knight )  run? not if exit then   PytanKnight-killed not if true to PytanKnight-killed  4 ~EnchantScrollWeaponB items_add then ;

: npc-35380-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_35380">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_35380  UtenusGuard-killed if 80148 -16485 -505 jump else "You must kill Utenus Guard" show then ;
: on-npc-20897-die   run? not if exit then   UtenusGuard-killed not if  true to UtenusGuard-killed  1 ~Flamberge items_add  then ;

: npc-35379-dialog-append  run? not if exit then		'<br><a action="bypass -h jbf_event_theft-of-kamilla_35379">Event "Theft of lady Kamilla". Next point...</a><br>' . ;
forth:: bypass_event_theft-of-kamilla_35379  BloodyKnight-killed if 80545 -15189 -1831 jump else "You must kill Bloody Knight" show then ;
: on-npc-21087-die   run? not if exit then   BloodyKnight-killed not if  true to BloodyKnight-killed  1 ~HeavyDoomAxe items_add  then ;

forth:: bypass_event_theft-of-kamilla_31201-giran   run? not if exit then   Town_of_Giran jump ;
