\ Вернуть список персонажей, окружающих персонажа L2Character в радиусе radius
: c.around-characters  ( L2Character radius -- {list} )  swap "getKnownCharacters" { int.class } jget ;

\ Вернуть истину, если наш персонаж - игрок
: player?  ( -- flag )  self L2Player.class instance-of?  ;

: c.player?  ( character -- flag )  L2Player.class instance-of?  ;

\ Вернуть истину, если наш персонаж - монстр
: monster? ( -- flag )  self L2MonsterInstance.class instance-of? ;

: summon? ( -- flag )  self L2Summon.class instance-of? ;

: c.summon? ( character -- flag ) L2Summon.class instance-of? ;

\ Вернуть истину, если наш персонаж - эльф
: elf?  ( -- flag )
	player? unless false exit then
	self "Race" p@ >string "elf" =
;

\ Заставить заданного чара бежать бегом
\ ( character -- )
L2Character.class "setRunning" { } japi-proc: c.set-running

\ Заставить текущего чара бежать бегом
: set-running  ( -- )  self c.set-running ;

L2Character.class "setTemplate" { L2CharTemplate.class } japi-proc: c.setTemplate

\ --------------------------------------------------------------
\ Вернуть массив эффектов персонажа
\ c.effects  ( L2Character -- L2Effect[] )
L2Character.class "getAllEffects" { } japi-func: c.effects

\ --------------------------------------------------------------
\ Телепортировать чар в заданные координаты
\ c.tele  ( x y z -- )
L2Character.class "teleToLocation" { int.class int.class int.class } japi-func: c.tele
