\ Языковая поддержка.
\ Простейший выбор строк, в зависимости от текущего языка.
\ Только в режиме компиляции
\ Язык по умолчанию прописан русский.
\ (c) Balancer 2007

"en" suvalue lang@

false uvalue lang-found?

: (ru:) lang@ "ru" = unless drop else true to lang-found?  then ;
: (en:) 
	lang-found? if drop then 
	false to lang-found?
;

: ru:  ( \ string -- "string" | )  
	?comp
	string-tail 
	[compile] literal 
	& (ru:) ,
; immediate

\ Если строка на подходящем языке не была найдена, то английский:
: en:  ( \ string -- "string" | )  
	?comp
	string-tail 
	[compile] literal 
	& (en:) ,
; immediate

\ Пример использования (английский - всегда последний в списке!):
(
	: test
		ru: Это тестовая строчка
		en: This is the test string
		show
	;
)
