\ Server-wide variables autosavable in database

forth:: sv@ ( var-name -- value )
	"SELECT `value` FROM `server_variables` WHERE `type` = 'svalue' AND `name` LIKE '[ >slashes ]';" parse
	query ?dup if type exit then
	dup list# 0= if drop null exit then
	0 list@ "value" m@
;

forth:: sv-del ( var-name -- )
	"DELETE FROM `server_variables` WHERE `type` = 'svalue'	AND `name` LIKE '[ >slashes ]';" parse
	update ?dup if type else drop then
;

forth:: sv! ( value var-name -- )
	over null? if  nip sv-del exit	then
		
	"REPLACE `server_variables` SET `type`='svalue', `name` = '[ >slashes ]', `value` = '[ >slashes ]';" parse
	update ?dup if type else drop then
;

new-list value sv-list

forth:: svalue  ( val -- \ name )
	get-current >r
	context @ >r
    "forth definitions" eval
	value
	latest
	r> context !
	r> set-current
	dup >r sv-list list+
	r@ sv@ 
	dup null? if drop rexit then
	"to " r> s+ eval
;

: sv-save ( name -- )
	context @ >r
    "forth " over s+ eval
	swap sv!
	r> context !
;

: sv-save-all  ( -- )
	sv-list ['] sv-save do-list
;

on-jbf-stop: 	sv-save-all
on-server-stop: sv-save-all
