0 value name

\ Word to loads user-defined vars from character_variables table

: uv@ ( var-name -- value )
	player@ null? if
		drop
		null exit
	then

	"SELECT `value` FROM `character_variables` WHERE `obj_id` = " player@ "ObjectId" p@ s+
	" AND `type` = 'user-var' AND `name` = '" s+
	swap >slashes s+
	"';" s+

	query ?dup if . exit then
	dup list# 0= if drop null exit then
	0 list@ "value" m@
;

: uv-del ( var-name -- )
	player@ null? if drop exit then
	"DELETE FROM `character_variables` WHERE `obj_id` = " player@ "ObjectId" p@ s+
	" and `type` = 'user-var' and `name` = '" s+
	swap >slashes s+
	"';" s+
	update ?dup if . else drop then
;

: uv! ( value var-name -- )
\	2dup "Save " swap s+ "=" s+ swap s+ .
	over null? if  nip uv-del exit	then

	"REPLACE `character_variables` SET `type` = 'user-var', `obj_id` = " player@ "ObjectId" p@ s+
	", `name` = '" s+
	swap >slashes s+
	"', `value` = '" s+
	swap s+
	"', `expire_time` = '-1';" s+
	update ?dup if . else drop then
;

new-list value suv-list

forth:: suvalue  ( val -- \ name )
	get-current >r
	context @ >r
    "forth definitions" eval
	user-value
	latest
	r> context !
	r> set-current
	dup >r suv-list list+
	player@ unless rexit then
	r@ uv@
	dup null? if drop rexit then
	"to " r> s+ eval
;

: suv-load  ( name -- )
	context @ >r
	[compile] forth
	dup uv@ "to " rot s+ eval
	r> context !
;

: suv-load-all  ( -- )
	suv-list ['] suv-load do-list
;

: suv-save ( name -- )
	context @ >r
    "forth " over s+ eval
	swap uv!
	r> context !
;

: suv-save-all  ( -- )
	suv-list ['] suv-save do-list
;

: suv-save-all-players  ( -- )
	['] suv-save-all do-players
;

['] suv-load-all do-players

on-jbf-stop: 	suv-save-all-players
on-server-stop: suv-save-all-players
