module: stats:

"l2f.gameserver.skills.Stats" class constant Stats.class
"l2f.gameserver.skills.funcs.FuncFactory" class constant FuncFactory.class
"l2f.gameserver.skills.funcs.Func" class constant Func.class

: def:  ( -- \ name )  Stats.class NextWord tuck field@ "constant " rot s+ eval ;

def: MAX_HP
def: MAX_MP
def: MAX_CP
def: REGENERATE_HP_RATE
def: REGENERATE_CP_RATE
def: REGENERATE_MP_RATE
def: POWER_DEFENCE
def: MAGIC_DEFENCE
def: POWER_ATTACK
def: MAGIC_ATTACK
def: POWER_ATTACK_SPEED
def: MAGIC_ATTACK_SPEED
def: MAGIC_REUSE_RATE
def: PHYSIC_REUSE_RATE
def: SHIELD_DEFENCE
def: CRITICAL_DAMAGE
def: CRITICAL_DAMAGE_STATIC
def: EVASION_RATE
def: SHIELD_RATE
def: SHIELD_ANGLE
def: FATALBLOW_RATE
def: CRITICAL_RATE
def: CRITICAL_RATE_STATIC
def: MCRITICAL_RATE
def: CAST_INTERRUPT
def: ACCURACY_COMBAT
def: POWER_ATTACK_RANGE
def: MAGIC_ATTACK_RANGE
def: POLE_ATTACK_ANGLE
def: RUN_SPEED
def: BLEED_RECEPTIVE
def: POISON_RECEPTIVE
def: STUN_RECEPTIVE
def: ROOT_RECEPTIVE
def: FEAR_RECEPTIVE
def: SLEEP_RECEPTIVE
def: PARALYZE_RECEPTIVE
def: FIRE_RECEPTIVE
def: WIND_RECEPTIVE
def: WATER_RECEPTIVE
def: EARTH_RECEPTIVE
def: UNHOLY_RECEPTIVE
def: SACRED_RECEPTIVE
def: SWORD_WPN_RECEPTIVE
def: BLUNT_WPN_RECEPTIVE
def: DAGGER_WPN_RECEPTIVE
def: BOW_WPN_RECEPTIVE
def: POLE_WPN_RECEPTIVE
def: REFLECT_DAMAGE_PERCENT
def: ABSORB_DAMAGE_PERCENT
def: TRANSFER_DAMAGE_PERCENT
def: MAX_LOAD
def: MAGIC_DAMAGE
def: PHYSICAL_DAMAGE
def: ATK_REUSE
def: HEAL_EFFECTIVNESS
def: MANAHEAL_EFFECTIVNESS
def: MP_MAGIC_SKILL_CONSUME
def: MP_PHYSICAL_SKILL_CONSUME
def: CANCEL_RECEPTIVE
def: DEBUFF_RECEPTIVE
def: MP_USE_BOW
def: MP_USE_BOW_CHANCE
def: SS_USE_BOW
def: ACTIVATE_RATE
def: INVENTORY_LIMIT
def: STORAGE_LIMIT
def: TRADE_LIMIT
def: COMMON_RECIPE_LIMIT
def: DWARVEN_RECIPE_LIMIT
def: EXP_SP

FuncFactory.class "getInstance" { } japi-static-func: FuncFactory
\ ( func stat order lambdaValue -- func )
FuncFactory.class "createFunc" { String.class Stats.class int.class doub.class } japi-static-func: createFunc.base
FuncFactory.class "createFunc" { String.class Stats.class int.class doub.class Object.class } japi-static-func: createFunc.owner
FuncFactory.class "createFunc" { Word.class Stats.class int.class bool.class } japi-static-func: createFunc.word
L2Character.class "addStatFunc" { Func.class } japi-proc: c.addFunc
L2Character.class "removeStatFunc" { Func.class } japi-proc: c.removeFunc
L2Character.class "removeStatsOwner" { Object.class } japi-proc: c.removeFuncOwner
L2Character.class "sendChanges" { }  japi-proc: c.sendChanges

;module
