import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

KENDNELLS_ORDER1 = 1836
KENDNELLS_ORDER2 = 1837
KENDNELLS_ORDER3 = 1838
KENDNELLS_ORDER4 = 1839
KENDNELLS_ORDER5 = 1840
KENDNELLS_ORDER6 = 1841
KENDNELLS_ORDER7 = 1842
KENDNELLS_ORDER8 = 1843
KABOO_CHIEF_TORC1 = 1844
KABOO_CHIEF_TORC2 = 1845
RED_SUNSET_SWORD = 981
RED_SUNSET_STAFF = 754

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30218-03.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      if st.getQuestItemsCount(KENDNELLS_ORDER1)+st.getQuestItemsCount(KENDNELLS_ORDER2)+st.getQuestItemsCount(KENDNELLS_ORDER3)+st.getQuestItemsCount(KENDNELLS_ORDER4) == 0 :
        n = st.getRandom(100)
        if n < 25 :
          st.giveItems(KENDNELLS_ORDER1,1)
        elif n < 50 :
          st.giveItems(KENDNELLS_ORDER2,1)
        elif n < 75 :
          st.giveItems(KENDNELLS_ORDER3,1)
        else :
          st.giveItems(KENDNELLS_ORDER4,1)
    return htmltext

 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if cond == 0 :
      if id != COMPLETED : 
        if st.getPlayer().getLevel() >= 10 and st.getPlayer().getRace().ordinal() == 1 :
          htmltext = "30218-02.htm"
          return htmltext
        elif st.getPlayer().getRace().ordinal() != 1 :
          htmltext = "30218-00.htm"
          st.exitCurrentQuest(True)
        else:
          htmltext = "30218-10.htm"
          st.exitCurrentQuest(True)
      else :
         htmltext = "<html><body>This quest have already been completed.</body></html>"
   elif cond == 1 and (st.getQuestItemsCount(KENDNELLS_ORDER1)+st.getQuestItemsCount(KENDNELLS_ORDER2)+st.getQuestItemsCount(KENDNELLS_ORDER3)+st.getQuestItemsCount(KENDNELLS_ORDER4) == 1):
      htmltext = "30218-05.htm"
   elif cond == 2 and st.getQuestItemsCount(KABOO_CHIEF_TORC1) == 1 :
      htmltext = "30218-06.htm"
      if st.getQuestItemsCount(KENDNELLS_ORDER1) :
         st.takeItems(KENDNELLS_ORDER1,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER2) :
         st.takeItems(KENDNELLS_ORDER2,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER3) :
         st.takeItems(KENDNELLS_ORDER3,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER4) :
         st.takeItems(KENDNELLS_ORDER4,1)
      st.takeItems(KABOO_CHIEF_TORC1,1)
      n = st.getRandom(100)
      st.set("cond","3")
      if n < 25 :
         st.giveItems(KENDNELLS_ORDER5,1)
      elif n < 50 :
         st.giveItems(KENDNELLS_ORDER6,1)
      elif n < 75 :
         st.giveItems(KENDNELLS_ORDER7,1)
      else:
         st.giveItems(KENDNELLS_ORDER8,1)
   elif cond == 3 and (st.getQuestItemsCount(KENDNELLS_ORDER5)+st.getQuestItemsCount(KENDNELLS_ORDER6)+st.getQuestItemsCount(KENDNELLS_ORDER7)+st.getQuestItemsCount(KENDNELLS_ORDER8) == 1):
      htmltext = "30218-07.htm"
   elif cond == 4 and st.getQuestItemsCount(KABOO_CHIEF_TORC2) :
      htmltext = "30218-08.htm"
      if st.getQuestItemsCount(KENDNELLS_ORDER5) :
         st.takeItems(KENDNELLS_ORDER5,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER6) :
         st.takeItems(KENDNELLS_ORDER6,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER7) :
         st.takeItems(KENDNELLS_ORDER7,1)
      if st.getQuestItemsCount(KENDNELLS_ORDER8) :
         st.takeItems(KENDNELLS_ORDER8,1)
      for item in range(4412,4417) :
         st.giveItems(item,10)
      st.takeItems(KABOO_CHIEF_TORC2,1)
      if st.getPlayer().getClassId().isMage() :
         st.giveItems(RED_SUNSET_STAFF,1)
         st.giveItems(5790,3000)
         st.playTutorialVoice("tutorial_voice_027")
      else :
         st.giveItems(RED_SUNSET_SWORD,1)
         st.giveItems(5789,7000)
         st.playTutorialVoice("tutorial_voice_026")
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   cond = st.getInt("cond")
   if cond == 1 and st.getQuestItemsCount(KABOO_CHIEF_TORC1) == 0 :
      if npcId == 27059 and st.getQuestItemsCount(KENDNELLS_ORDER1) :
         st.giveItems(KABOO_CHIEF_TORC1,1)
      elif npcId == 27060 and st.getQuestItemsCount(KENDNELLS_ORDER2) :
         st.giveItems(KABOO_CHIEF_TORC1,1)
      elif npcId == 27061 and st.getQuestItemsCount(KENDNELLS_ORDER3) :
         st.giveItems(KABOO_CHIEF_TORC1,1)
      elif npcId == 27062 and st.getQuestItemsCount(KENDNELLS_ORDER4) :
         st.giveItems(KABOO_CHIEF_TORC1,1)
      if st.getQuestItemsCount(KABOO_CHIEF_TORC1) :
         st.set("cond","2")
         st.playSound("ItemSound.quest_middle")
   elif cond == 3 and st.getQuestItemsCount(KABOO_CHIEF_TORC2) == 0 :
      if npcId == 27064 and st.getQuestItemsCount(KENDNELLS_ORDER5) :
         st.giveItems(KABOO_CHIEF_TORC2,1)
      elif npcId == 27065 and st.getQuestItemsCount(KENDNELLS_ORDER6) :
         st.giveItems(KABOO_CHIEF_TORC2,1)
      elif npcId == 27067 and st.getQuestItemsCount(KENDNELLS_ORDER7) :
         st.giveItems(KABOO_CHIEF_TORC2,1)
      elif npcId == 27068 and st.getQuestItemsCount(KENDNELLS_ORDER8) :
         st.giveItems(KABOO_CHIEF_TORC2,1)
      if st.getQuestItemsCount(KABOO_CHIEF_TORC2) :
         st.set("cond","4")
         st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(105,"105_SkirmishWithOrcs","Skirmish with the Orcs")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30218)

CREATED.addTalkId(30218)
STARTED.addTalkId(30218)
COMPLETED.addTalkId(30218)

for mob in range(27059,27069):
   if mob in [27063,27066] :
      continue
   STARTED.addKillId(mob)
for i in range(27059,27063):
   STARTED.addQuestDrop(i,KABOO_CHIEF_TORC1,1)
for j in range(27064,27069):
   if mob == 27066 :
      continue
   STARTED.addQuestDrop(j,KABOO_CHIEF_TORC2,1)

STARTED.addQuestDrop(30218,KENDNELLS_ORDER1,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER2,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER3,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER4,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER5,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER6,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER7,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER8,1)
STARTED.addQuestDrop(30218,KENDNELLS_ORDER8,1)
for reward in [1835,2509,5789,5790,4412,4413,4414,4415,4416,RED_SUNSET_SWORD,RED_SUNSET_STAFF] :
   STARTED.addQuestDrop(30218,reward,1)

print "importing quests: 105: Skirmish with the Orcs"
