import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

class Quest (JQuest):

  def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

  def onEvent (self,event,st):
    return

  def onTalk (self,npc,st):
    npcId = npc.getNpcId()
    if npcId == 29025 :
      if st.getInt("ok") == 1 and st.getPlayer().getQuestState("234_FatesWhisper").get("cond") == "7" :
        if not npc.isBusy():
           npc.setBusy(True)
           npc.setBusyMessage("Attending another player's request")
           st.getPcSpawn().removeSpawn(29020)
           st.getPcSpawn().addSpawn(29020,116033,17447,10107)
           npc.doDie(npc)
        st.exitCurrentQuest(True)
        return "<html><head><body>Baium:<br>You call my name! Now you donna die!</body></html>!"
      else:
        st.exitCurrentQuest(True)
        return "<html><head><body>Conditions are not right to wake up Baium</body></html>"
    elif npcId == 31862 :
      if st.getQuestItemsCount(4295) > 0 and st.getPlayer().getQuestState("234_FatesWhisper").get("cond") == "7" :
        st.takeItems(4295,1)
        st.getPlayer().teleToLocation(113100,14500,10077)
        st.set("ok","1")
        return '<html><head><body>Angelic Vortex:<br>You have been teleported!</body></html>'
      else :
        return '<html><head><body>Angelic Vortex:<br>You do not have enough items</body></html>'
    return

QUEST       = Quest(12535, "12535_WakeBaium", "Wake Baium")
CREATED     = State('Start',       QUEST)
COMPLETED   = State('Completed',   QUEST)

QUEST.setInitialState(CREATED)

QUEST.addStartNpc(29025)
QUEST.addStartNpc(31862)
CREATED.addTalkId(29025)
CREATED.addTalkId(31862)

print "importing quests: 12535: Wake Up Baium"