import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

PACKAGE = 7263

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31274-2.htm" :
     st.set("cond","1")
     st.giveItems(PACKAGE,1)
     st.setState(STARTED)
     st.playSound("ItemSound.quest_accept")
   elif event == "31539-2.htm" :
     st.takeItems(PACKAGE,-1)
     st.giveItems(57,82656)
     st.set("cond","0")
     st.setState(COMPLETED)
     st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31274 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 74 :
               htmltext = "31274-1.htm"
            else :
               htmltext = "31274-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 :
         htmltext = "31274-2r.htm"
   elif npcId == 31539 :
      if cond == 1 and st.getQuestItemsCount(PACKAGE) == 1 :
         htmltext = "31539-1.htm"
   return htmltext

QUEST       = Quest(13,"13_ParcelDelivery","Parcel Delivery")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31274)
CREATED.addTalkId(31274)
STARTED.addTalkId(31274)
COMPLETED.addTalkId(31274)
STARTED.addTalkId(31539)

STARTED.addQuestDrop(31274,PACKAGE,1)
STARTED.addQuestDrop(31539,57,1)

print "importing quests: 13: Parcel Delivery"