import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

LETTER_TO_ARCHAEOLOGIST = 7253

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31263-2.htm" :
     st.set("cond","1")
     st.giveItems(LETTER_TO_ARCHAEOLOGIST,1)
     st.setState(STARTED)
     st.playSound("ItemSound.quest_accept")
   elif event == "31538-2.htm" :
     st.takeItems(LETTER_TO_ARCHAEOLOGIST,-1)
     st.giveItems(57,113228)
     st.set("cond","0")
     st.setState(COMPLETED)
     st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 31263 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 74 :
               htmltext = "31263-1.htm"
            else :
               htmltext = "31263-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 :
         htmltext = "31263-2.htm"
   elif npcId == 31538 :
      if cond == 1 and st.getQuestItemsCount(LETTER_TO_ARCHAEOLOGIST) == 1 :
         htmltext = "31538-1.htm"
   return htmltext

QUEST       = Quest(14,"14_WhereaboutsoftheArchaeologist","Whereabouts of the Archaeologist")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31263)
CREATED.addTalkId(31263)
STARTED.addTalkId(31263)
COMPLETED.addTalkId(31263)
STARTED.addTalkId(31538)

STARTED.addQuestDrop(31263,LETTER_TO_ARCHAEOLOGIST,1)
STARTED.addQuestDrop(31538,57,1)

print "importing quests: 14: Whereabouts of the Archaeologisty"