import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

OFFICIAL_LETTER = 1019
HASTE_POTION = 734
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30042-04.htm" :
      st.giveItems(OFFICIAL_LETTER,1)
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 30042 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 3 :
               htmltext = "30042-03.htm"
               return htmltext
            else:
               htmltext = "30042-02.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 and st.getQuestItemsCount(OFFICIAL_LETTER) == 1 :
         htmltext = "30042-05.htm"
   elif npcId == 30311 and cond == 1 and st.getQuestItemsCount(OFFICIAL_LETTER) == 1 :
        htmltext = "30311-01.htm"
        st.takeItems(OFFICIAL_LETTER,-1)
        st.giveItems(HASTE_POTION,1)
        st.set("cond","0")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
   return htmltext

QUEST       = Quest(155,"155_FindSirWindawood","Find Sir Windawood")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30042)

CREATED.addTalkId(30042)
STARTED.addTalkId(30042)
STARTED.addTalkId(30311)
COMPLETED.addTalkId(30042)

STARTED.addQuestDrop(30042,OFFICIAL_LETTER,1)
STARTED.addQuestDrop(30311,HASTE_POTION,1)

print "importing quests: 155: Find Sir Windawood"