# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

MARK_OF_REFORMER_ID = 2821
BOOK_OF_REFORM_ID = 2822
LETTER_OF_INTRODUCTION_ID = 2823
SLAS_LETTER_ID = 2824
GREETINGS_ID = 2825
OLMAHUMS_MONEY_ID = 2826
KATARIS_LETTER_ID = 2827
NYAKURIS_LETTER_ID = 2828
KAKANS_LETTER_ID = 3037
UNDEAD_LIST_ID = 2829
RAMUSS_LETTER_ID = 2830
RIPPED_DIARY_ID = 2831
HUGE_NAIL_ID = 2832
LETTER_OF_BETRAYER_ID = 2833
BONE_FRAGMENT4_ID = 2834
BONE_FRAGMENT5_ID = 2835
BONE_FRAGMENT6_ID = 2836
BONE_FRAGMENT7_ID = 2837
BONE_FRAGMENT8_ID = 2838
BONE_FRAGMENT9_ID = 2839

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
        htmltext = "30118-04.htm"
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        st.giveItems(BOOK_OF_REFORM_ID,1)
    elif event == "30118_1" :
          htmltext = "30118-06.htm"
          st.giveItems(LETTER_OF_INTRODUCTION_ID,1)
          st.takeItems(BOOK_OF_REFORM_ID,1)
          st.set("cond","4")
          st.takeItems(HUGE_NAIL_ID,1)
    elif event == "30666_1" :
          htmltext = "30666-03.htm"
    elif event == "30666_2" :
          htmltext = "30666-02.htm"
    elif event == "30666_3" :
          htmltext = "30666-04.htm"
          st.giveItems(SLAS_LETTER_ID,1)
          st.takeItems(LETTER_OF_INTRODUCTION_ID,1)
          st.set("cond","5")
    elif event == "30666_4" :
          htmltext = "30666-02.htm"
    elif event == "30669_1" :
          htmltext = "30669-02.htm"
    elif event == "30669_2" :
          htmltext = "30669-03.htm"
#          if Maker_GetNpcCount() == 1 :
          st.getPcSpawn().addSpawn(27131,-9382,-89852,-2333)
    elif event == "30669_3" :
          htmltext = "30669-05.htm"
    elif event == "30670_1" :
          htmltext = "30670-03.htm"
#          if Maker_GetNpcCount() == 1 :
          st.getPcSpawn().addSpawn(27132,126019,-179983,-1781)
    elif event == "30670_2" :
          htmltext = "30670-02.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30118 and int(st.get("cond"))==0 and int(st.get("onlyone"))==0 :
        if int(st.get("cond")) < 15 :
          if (st.getPlayer().getClassId().getId() == 0x0f or st.getPlayer().getClassId().getId() == 0x2a) :
            if st.getPlayer().getLevel() >= 39 :
              htmltext = "30118-03.htm"
            else:
              htmltext = "30118-01.htm"
              st.exitCurrentQuest(True)
          else:
            htmltext = "30118-02.htm"
            st.exitCurrentQuest(True)
        else:
          htmltext = "30118-02.htm"
          st.exitCurrentQuest(True)
   elif npcId == 30118 and int(st.get("cond"))==0 and int(st.get("onlyone"))==1 :
      htmltext = "<html><head><body>This quest has already been completed.</body></html>"
   elif npcId == 30118 and int(st.get("cond"))==3 and st.getQuestItemsCount(HUGE_NAIL_ID)>=1:
        htmltext = "30118-05.htm"
   elif npcId == 30118 and int(st.get("cond"))>=4 :
        htmltext = "30118-07.htm"
   elif npcId == 30666 and int(st.get("cond"))==4 and st.getQuestItemsCount(LETTER_OF_INTRODUCTION_ID)>0 :
        htmltext = "30666-01.htm"
   elif npcId == 30666 and int(st.get("cond"))==5 and st.getQuestItemsCount(SLAS_LETTER_ID)>0 :
        htmltext = "30666-05.htm"
   elif npcId == 30666 and int(st.get("cond"))==10 :
        htmltext = "30666-06.htm"
        st.set("cond","11")
        st.takeItems(OLMAHUMS_MONEY_ID,1)
        st.giveItems(GREETINGS_ID,3)
   elif npcId == 30666 and int(st.get("cond"))==18 and st.getQuestItemsCount(KATARIS_LETTER_ID)>0 and st.getQuestItemsCount(KAKANS_LETTER_ID)>0 and st.getQuestItemsCount(NYAKURIS_LETTER_ID)>0 and st.getQuestItemsCount(RAMUSS_LETTER_ID)>0 :
          st.giveItems(MARK_OF_REFORMER_ID,1)
          st.addExpAndSp(28000,3600)
          htmltext = "30666-07.htm"
          st.set("cond","0")
          st.set("onlyone","1")
          st.getPcSpawn().removeAllSpawn()
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.takeItems(KATARIS_LETTER_ID,1)
          st.takeItems(KAKANS_LETTER_ID,1)
          st.takeItems(NYAKURIS_LETTER_ID,1)
          st.takeItems(RAMUSS_LETTER_ID,1)
   elif npcId == 30668 and (int(st.get("cond"))==5 or int(st.get("cond"))==6) :
        htmltext = "30668-01.htm"
        st.set("cond","6")
        st.takeItems(SLAS_LETTER_ID,1)
        st.getPcSpawn().addSpawn(30732,-4015,40141,-3664)
        st.getPcSpawn().addSpawn(27129,-4034,40201,-3665)
   elif npcId == 30668 and int(st.get("cond"))==8:
        htmltext = "30668-02.htm"
        st.getPcSpawn().addSpawn(27130,-4106,40174,-3660)
   elif npcId == 30668 and int(st.get("cond"))==9 :
        htmltext = "30668-03.htm"
        st.set("cond","10")
        st.giveItems(KATARIS_LETTER_ID,1)
        st.takeItems(LETTER_OF_BETRAYER_ID,1)
   elif npcId == 30732 and int(st.get("cond"))==7 :
        htmltext = "30732-01.htm"
        st.set("cond","8")
        st.giveItems(OLMAHUMS_MONEY_ID,1)
   elif npcId == 30669 and int(st.get("cond"))==11 and st.getQuestItemsCount(GREETINGS_ID)>0 :
        htmltext = "30669-01.htm"
   elif npcId == 30669 and int(st.get("cond"))==12 :
        htmltext = "30669-04.htm"
        st.set("cond","13")
        st.giveItems(KAKANS_LETTER_ID,1)
        st.takeItems(GREETINGS_ID,1)
   elif npcId == 30670 and int(st.get("cond"))==13 and st.getQuestItemsCount(GREETINGS_ID)>0 :
        htmltext = "30670-01.htm"
   elif npcId == 30670 and int(st.get("cond"))==14 and st.getQuestItemsCount(GREETINGS_ID)>0 :
        htmltext = "30670-04.htm"
        st.set("cond","15")
        st.giveItems(NYAKURIS_LETTER_ID,1)
        st.takeItems(GREETINGS_ID,1)
   elif npcId == 30667 and int(st.get("cond"))==15 and st.getQuestItemsCount(GREETINGS_ID)>0 :
        htmltext = "30667-01.htm"
        st.set("cond","16")
        st.giveItems(UNDEAD_LIST_ID,1)
        st.takeItems(GREETINGS_ID,1)
   elif npcId == 30667 and st.getQuestItemsCount(BONE_FRAGMENT4_ID)>0 and st.getQuestItemsCount(BONE_FRAGMENT5_ID)>0 and st.getQuestItemsCount(BONE_FRAGMENT6_ID)>0 and st.getQuestItemsCount(BONE_FRAGMENT7_ID)>0 and st.getQuestItemsCount(BONE_FRAGMENT8_ID)>0 :
        htmltext = "30667-03.htm"
        st.set("cond","18")
        st.takeItems(BONE_FRAGMENT4_ID,1)
        st.takeItems(BONE_FRAGMENT5_ID,1)
        st.takeItems(BONE_FRAGMENT6_ID,1)
        st.takeItems(BONE_FRAGMENT7_ID,1)
        st.takeItems(BONE_FRAGMENT8_ID,1)
        st.giveItems(RAMUSS_LETTER_ID,1)
        st.takeItems(UNDEAD_LIST_ID,1)
   elif npcId == 30667 and int(st.get("cond"))==16 :
        htmltext = "30667-02.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 27099 :
    if int(st.get("cond")) == 1 and st.getQuestItemsCount(RIPPED_DIARY_ID) < 7 and st.getQuestItemsCount(BOOK_OF_REFORM_ID) >= 1 :
      if st.getQuestItemsCount(RIPPED_DIARY_ID) == 6 :
        st.set("cond","2")
        st.getPcSpawn().addSpawn(27128)
        st.takeItems(RIPPED_DIARY_ID,st.getQuestItemsCount(RIPPED_DIARY_ID))
        st.playSound("ItemSound.quest_middle")
      else:
        st.giveItems(RIPPED_DIARY_ID,1)
        st.playSound("ItemSound.quest_itemget")
   elif npcId == 27128 :
    if int(st.get("cond")) == 2 and st.getQuestItemsCount(HUGE_NAIL_ID) == 0 :
      st.giveItems(HUGE_NAIL_ID,1)
      st.set("cond","3")
      st.playSound("ItemSound.quest_middle")
   elif npcId == 27129:
      st.set("cond","7")
   elif npcId == 27130 :
    if int(st.get("cond")) == 8 :
      st.set("cond","9")
      st.giveItems(LETTER_OF_BETRAYER_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 27131 :
    if int(st.get("cond")) == 11 :
      st.set("cond","12")
   elif npcId == 27132 :
    if int(st.get("cond")) == 13 :
      st.set("cond","14")
   elif npcId == 20404 :
    if int(st.get("cond")) == 16 and st.getQuestItemsCount(BONE_FRAGMENT4_ID) == 0 :
      st.giveItems(BONE_FRAGMENT4_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 20104 :
    if int(st.get("cond")) == 16 and st.getQuestItemsCount(BONE_FRAGMENT5_ID) == 0 :
      st.giveItems(BONE_FRAGMENT5_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 20102 :
    if int(st.get("cond")) == 16 and st.getQuestItemsCount(BONE_FRAGMENT6_ID) == 0 :
      st.giveItems(BONE_FRAGMENT6_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 20022 :
    if int(st.get("cond")) == 16 and st.getQuestItemsCount(BONE_FRAGMENT7_ID) == 0 :
      st.giveItems(BONE_FRAGMENT7_ID,1)
      st.playSound("ItemSound.quest_middle")
   elif npcId == 20100 :
    if int(st.get("cond")) == 16 and st.getQuestItemsCount(BONE_FRAGMENT8_ID) == 0 :
      st.giveItems(BONE_FRAGMENT8_ID,1)
      st.playSound("ItemSound.quest_middle")
   return

QUEST       = Quest(227,"227_TestOfReformer","Test Of Reformer")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30118)

STARTING.addTalkId(30118)

for npcId in [30118,30666,30667,30669,30670,30732,30668]:
 STARTED.addTalkId(npcId)
for mobId in [20100,20102,20104,20404,20022,27099,27128,27130,27129,27132,27131]:
 STARTED.addKillId(mobId)

print "importing quests: 227: Test Of Reformer"
