# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

GIANT_SPIDER_SKIN_ID = 1495
ADENA_ID = 57
HEALING_POTION_ID = 1061
WOODEN_ARROW_ID = 17

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30497-03.htm"
    elif event == "30497_1" :
          htmltext = "30497-06.htm"
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
    elif event == "30497_2" :
          htmltext = "30497-07.htm"
    elif event == "30405_1" :
          htmltext = "30405-03.htm"
    elif event == "30405_2" :
          htmltext = "30405-04.htm"
          st.giveItems(HEALING_POTION_ID,1)
          st.takeItems(GIANT_SPIDER_SKIN_ID,10)
    elif event == "30405_3" :
          htmltext = "30405-05.htm"
          st.giveItems(WOODEN_ARROW_ID,50)
          st.takeItems(GIANT_SPIDER_SKIN_ID,10)
    elif event == "30405_4" :
          if st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID) >= 10 :
            htmltext = "30405-06.htm"
          elif st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID) < 10 :
            htmltext = "30405-07.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30497 and int(st.get("cond"))==0 :
      if int(st.get("cond")) < 15 :
        if st.getPlayer().getLevel() >= 15 :
          htmltext = "30497-02.htm"
          return htmltext
        else:
          htmltext = "30497-01.htm"
          st.exitCurrentQuest(True)
      else:
        htmltext = "30497-01.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30497 and int(st.get("cond"))==1 and st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID)<1 :
      htmltext = "30497-04.htm"
   elif npcId == 30497 and int(st.get("cond"))==1 and st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID)>=1 :
      if int(st.get("id")) != 259 :
        st.set("id","259")
        htmltext = "30497-05.htm"
      st.giveItems(ADENA_ID,st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID)*25)
      st.takeItems(GIANT_SPIDER_SKIN_ID,st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID))
   elif npcId == 30405 and int(st.get("cond"))==1 and st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID)<10 :
      htmltext = "30405-01.htm"
   elif npcId == 30405 and int(st.get("cond"))==1 and st.getQuestItemsCount(GIANT_SPIDER_SKIN_ID)>=10 :
      htmltext = "30405-02.htm"
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20103 :
      st.set("id","0")
      if int(st.get("cond")) :
        st.giveItems(GIANT_SPIDER_SKIN_ID,1)
        st.playSound("ItemSound.quest_itemget")
   elif npcId == 20106 :
      st.set("id","0")
      if int(st.get("cond")) :
        st.giveItems(GIANT_SPIDER_SKIN_ID,1)
        st.playSound("ItemSound.quest_itemget")
   elif npcId == 20108 :
      st.set("id","0")
      if int(st.get("cond")) :
        st.giveItems(GIANT_SPIDER_SKIN_ID,1)
        st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(259,"259_RanchersPlea","Ranchers Plea")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30497)

STARTING.addTalkId(30497)

STARTED.addTalkId(30405)
STARTED.addTalkId(30497)

STARTED.addKillId(20103)
STARTED.addKillId(20106)
STARTED.addKillId(20108)

STARTED.addQuestDrop(20103,GIANT_SPIDER_SKIN_ID,1)
STARTED.addQuestDrop(20106,GIANT_SPIDER_SKIN_ID,1)
STARTED.addQuestDrop(20108,GIANT_SPIDER_SKIN_ID,1)

print "importing quests: 259: Ranchers Plea"
