# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

BLACK_SOULSTONE = 1475
RED_SOULSTONE = 1476
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30566-03.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept") 
    elif event == "30566-07.htm" :
          st.set("cond","0")
          kolqn = st.getInt("kolq")+1 
          kolqf = str(kolqn)
          st.set("kolq",kolqf)
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
    elif event == "30566-08.htm" :
          st.set("cond","1")
          st.setState(STARTED)
          st.playSound("ItemSound.quest_accept")
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   cond = st.getInt("cond")
   kolqv= st.getInt("kolqv")
   if cond==0 :
      if st.getPlayer().getLevel() < 15 :
        if st.getPlayer().getRace().ordinal() != 3 :
          htmltext = "30566-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() < 6 :
          htmltext = "30566-01.htm"
          st.exitCurrentQuest(True)
        else:
          htmltext = "30566-02.htm"
          return htmltext
      else:
        htmltext = "30566-01.htm"
        st.exitCurrentQuest(True)
   elif cond > 0 :
        if st.getQuestItemsCount(BLACK_SOULSTONE)+st.getQuestItemsCount(RED_SOULSTONE) == 0 :
          htmltext = "30566-04.htm"
        elif st.getQuestItemsCount(RED_SOULSTONE) == 0 :
          htmltext = "30566-05.htm"
          n = st.getQuestItemsCount(BLACK_SOULSTONE)
          st.giveItems(ADENA,n*5)
          st.takeItems(BLACK_SOULSTONE,n)
          kolqn = st.getInt("kolq")+1 
          kolqf = str(kolqn)
          st.set("kolq",kolqf)
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
        else:
          htmltext = "30566-06.htm"
          n = st.getQuestItemsCount(BLACK_SOULSTONE)
          if n :
            st.giveItems(ADENA,n*5)
            st.takeItems(BLACK_SOULSTONE,n)
          n = st.getQuestItemsCount(RED_SOULSTONE)
          st.giveItems(ADENA,n*50)
          st.takeItems(RED_SOULSTONE,n)
          kolqn = st.getInt("kolq")+1 
          kolqf = str(kolqn)
          st.set("kolq",kolqf)
          st.unset("cond")
          qs = st.getPlayer().getQuestState("255_C4Tutorial")
          if qs != None :
            Ex = qs.getInt("Ex")
            if Ex != 10 :
              st.showQuestionMark(26)
              qs.set("Ex","10")
              if st.getPlayer().getClassId().isMage() :
                st.playTutorialVoice("tutorial_voice_027")
                st.giveItems(5790,3000)
              else :
                st.playTutorialVoice("tutorial_voice_026")
                st.giveItems(5789,6000)
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   cond = st.getInt("cond")
   if npcId == 20311 :
      if cond == 1 :
        n = st.getRandom(100)
        if n <= 90 :
          st.giveItems(BLACK_SOULSTONE,1)
        else:
          st.giveItems(RED_SOULSTONE,1)
        st.playSound("ItemSound.quest_itemget")
   elif npcId == 20312 :
      if cond == 1 :
        n = st.getRandom(100)
        if n <= 87 :
          st.giveItems(BLACK_SOULSTONE,1)
        else:
          st.giveItems(RED_SOULSTONE,1)
        st.playSound("ItemSound.quest_itemget")
   elif npcId == 20313 :
      if cond == 1 :
        n = st.getRandom(100)
        if n <= 77 :
          st.giveItems(BLACK_SOULSTONE,1)
        else:
          st.giveItems(RED_SOULSTONE,1)
        st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(273,"273_InvadersOfHolyland","Invaders Of Holyland")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30566)

CREATED.addTalkId(30566)
STARTED.addTalkId(30566)
COMPLETED.addTalkId(30566)

STARTED.addKillId(20311)
STARTED.addKillId(20312)
STARTED.addKillId(20313)

STARTED.addQuestDrop(20311,BLACK_SOULSTONE,1)
STARTED.addQuestDrop(20312,BLACK_SOULSTONE,1)
STARTED.addQuestDrop(20313,BLACK_SOULSTONE,1)
STARTED.addQuestDrop(20311,RED_SOULSTONE,1)
STARTED.addQuestDrop(20312,RED_SOULSTONE,1)
STARTED.addQuestDrop(20313,RED_SOULSTONE,1)

print "importing quests: 273: Invaders Of Holyland"
