# Maked by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

DARKWING_BAT_FANG_ID = 1478
VARANGKAS_PARASITE_ID = 1479
ADENA_ID = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("id","0")
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
      htmltext = "30567-03.htm"
    return htmltext


 def onTalk (Self,npc,st):

   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.setState(STARTING)
     st.set("cond","0")
     st.set("onlyone","0")
     st.set("id","0")
   if npcId == 30567 and int(st.get("cond"))==0 :
      if int(st.get("cond")) < 15 :
        if st.getPlayer().getRace().ordinal() != 3 :
          htmltext = "30567-00.htm"
          st.exitCurrentQuest(True)
        elif st.getPlayer().getLevel() < 11 :
          htmltext = "30567-01.htm"
          st.exitCurrentQuest(True)
        else:
          htmltext = "30567-02.htm"
          return htmltext
      else:
        htmltext = "30567-02.htm"
        st.exitCurrentQuest(True)
   elif npcId == 30567 and int(st.get("cond")) :
      if st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 70 :
        htmltext = "30567-04.htm"
      else:
        if int(st.get("id")) != 275 :
          st.set("id","275")
          htmltext = "30567-05.htm"
          st.set("cond","0")
          st.setState(COMPLETED)
          st.playSound("ItemSound.quest_finish")
          st.giveItems(ADENA_ID,4200)
          st.takeItems(DARKWING_BAT_FANG_ID,st.getQuestItemsCount(DARKWING_BAT_FANG_ID))
          st.takeItems(VARANGKAS_PARASITE_ID,st.getQuestItemsCount(VARANGKAS_PARASITE_ID))
   return htmltext

 def onKill (self,npc,st):

   npcId = npc.getNpcId()
   if npcId == 20316 :
      st.set("id","0")
      if int(st.get("cond")) and st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 70 :
        if st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 69 :
          st.playSound("ItemSound.quest_itemget")
        else:
          st.playSound("ItemSound.quest_middle")
        st.giveItems(DARKWING_BAT_FANG_ID,1)
        n = st.getRandom(100)
        if st.getQuestItemsCount(DARKWING_BAT_FANG_ID) > 10 and st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 66 and n < 10 :
          st.getPcSpawn().addSpawn(27043)
          st.giveItems(VARANGKAS_PARASITE_ID,1)
   elif npcId == 27043 :
      st.set("id","0")
      if int(st.get("cond")) and st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 66 and st.getQuestItemsCount(VARANGKAS_PARASITE_ID) > 0 :
        if st.getQuestItemsCount(DARKWING_BAT_FANG_ID) < 65 :
          st.playSound("ItemSound.quest_itemget")
        else:
          st.playSound("ItemSound.quest_middle")
        st.giveItems(DARKWING_BAT_FANG_ID,5)
        n = st.getQuestItemsCount(VARANGKAS_PARASITE_ID)
        st.takeItems(VARANGKAS_PARASITE_ID,n)
   return

QUEST       = Quest(275,"275_BlackWingedSpies","Black Winged Spies")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30567)

STARTING.addTalkId(30567)

STARTED.addTalkId(30567)

STARTED.addKillId(20316)
STARTED.addKillId(27043)

STARTED.addQuestDrop(20316,DARKWING_BAT_FANG_ID,1)
STARTED.addQuestDrop(27043,DARKWING_BAT_FANG_ID,1)
STARTED.addQuestDrop(20316,VARANGKAS_PARASITE_ID,1)

print "importing quests: 275: Black Winged Spies"
