# Made by Mr. Have fun! - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

ORCISH_ARROWHEAD = 963
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30029-04.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond")
   kolqv= st.getInt("kolqv")

   if cond==0 :
     if st.getPlayer().getLevel() >= 10 :
        htmltext = "30029-03.htm"
     else:
        htmltext = "30029-02.htm"
        st.exitCurrentQuest(True)
   else :
     if st.getQuestItemsCount(ORCISH_ARROWHEAD) < 10 :
       htmltext = "30029-05.htm"
     else :
       st.takeItems(ORCISH_ARROWHEAD,-1)
       st.giveItems(ADENA,1000)
       st.addExpAndSp(2000,200)
       kolqn = st.getInt("kolq")+1 
       kolqf = str(kolqn)
       st.set("kolq",kolqf)
       st.set("cond","0")
       st.setState(COMPLETED)
       htmltext = "30029-06.htm"
       st.playSound("ItemSound.quest_finish")
   return htmltext

 def onKill (self,npc,st):
   if st.getQuestItemsCount(ORCISH_ARROWHEAD) < 10 and st.getRandom(100) < 40 :
     st.giveItems(ORCISH_ARROWHEAD,1)
     if st.getQuestItemsCount(ORCISH_ARROWHEAD) == 10 :
       st.set("cond","2") 
       st.playSound("ItemSound.quest_middle")
     else:
       st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(303,"303_CollectArrowheads","Collect Arrowheads")
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30029)

CREATED.addTalkId(30029)
STARTED.addTalkId(30029)
COMPLETED.addTalkId(30029)

STARTED.addKillId(20361)
STARTED.addQuestDrop(20361,ORCISH_ARROWHEAD,1)

print "importing quests: 303: Collect Arrowheads"