# Made by Mr. Have fun! Version 0.2
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

INGREDIENT_LIST = 1420
SONIAS_BOTANYBOOK = 1421
RED_MANDRAGORA_ROOT = 1422
WHITE_MANDRAGORA_ROOT = 1423
RED_MANDRAGORA_SAP = 1424
WHITE_MANDRAGORA_SAP = 1425
JAYCUBS_INSECTBOOK = 1426
NECTAR = 1427
ROYAL_JELLY = 1428
HONEY = 1429
GOLDEN_HONEY = 1430
PANOS_CONTRACT = 1431
HOBGOBLIN_AMULET = 1432
DIONIAN_POTATO = 1433
GLYVKAS_BOTANYBOOK = 1434
GREEN_MARSH_MOSS = 1435
BROWN_MARSH_MOSS = 1436
GREEN_MOSS_BUNDLE = 1437
BROWN_MOSS_BUNDLE = 1438
ROLANTS_CREATUREBOOK = 1439
MONSTER_EYE_BODY = 1440
MONSTER_EYE_MEAT = 1441
JONAS_STEAK_DISH1 = 1442
JONAS_STEAK_DISH2 = 1443
JONAS_STEAK_DISH3 = 1444
JONAS_STEAK_DISH4 = 1445
JONAS_STEAK_DISH5 = 1446
MIRIENS_REVIEW1 = 1447
MIRIENS_REVIEW2 = 1448
MIRIENS_REVIEW3 = 1449
MIRIENS_REVIEW4 = 1450
MIRIENS_REVIEW5 = 1451
ADENA = 57
JONAS_SALAD_RECIPE = 1455
JONAS_SAUCE_RECIPE = 1456
JONAS_STEAK_RECIPE = 1457

def has_list(st) :
    return st.getQuestItemsCount(INGREDIENT_LIST)

def has_review(st) :
    return st.getQuestItemsCount(MIRIENS_REVIEW1)+\
           st.getQuestItemsCount(MIRIENS_REVIEW2)+\
           st.getQuestItemsCount(MIRIENS_REVIEW3)+\
           st.getQuestItemsCount(MIRIENS_REVIEW4)+\
           st.getQuestItemsCount(MIRIENS_REVIEW5)

def has_dish(st) :
    return st.getQuestItemsCount(JONAS_STEAK_DISH1)+\
           st.getQuestItemsCount(JONAS_STEAK_DISH2)+\
           st.getQuestItemsCount(JONAS_STEAK_DISH3)+\
           st.getQuestItemsCount(JONAS_STEAK_DISH4)+\
           st.getQuestItemsCount(JONAS_STEAK_DISH5)

def special_ingredients(st):
    return st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)+\
           st.getQuestItemsCount(GOLDEN_HONEY)+\
           st.getQuestItemsCount(BROWN_MOSS_BUNDLE)

def ingredients_count(st) :
    return st.getQuestItemsCount(RED_MANDRAGORA_SAP)+\
           st.getQuestItemsCount(HONEY)+\
           st.getQuestItemsCount(DIONIAN_POTATO)+\
           st.getQuestItemsCount(GREEN_MOSS_BUNDLE)+\
           st.getQuestItemsCount(MONSTER_EYE_MEAT)+\
           special_ingredients(st)

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30469-03.htm" :
        st.set("cond","1")
        st.setState(STARTED)
        st.playSound("ItemSound.quest_accept")
        htmltext = "30469-03.htm"
        st.giveItems(INGREDIENT_LIST,1)
    elif event == "30062-05.htm" :
        htmltext = "30062-05.htm"
        st.takeItems(SONIAS_BOTANYBOOK,1)
        st.giveItems(ADENA,st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)*120)
        st.giveItems(ADENA,st.getQuestItemsCount(RED_MANDRAGORA_ROOT)*30)
        st.addExpAndSp(800,50)
        st.takeItems(RED_MANDRAGORA_ROOT,-1)
        st.takeItems(WHITE_MANDRAGORA_ROOT,-1)
        st.giveItems(RED_MANDRAGORA_SAP,1)

    elif event == "30073-05.htm" :
        htmltext = "30073-05.htm"
        st.takeItems(JAYCUBS_INSECTBOOK,1)
        st.giveItems(ADENA,st.getQuestItemsCount(ROYAL_JELLY)*160)
        st.giveItems(ADENA,st.getQuestItemsCount(NECTAR)*40)
        st.addExpAndSp(1000,100)
        st.takeItems(NECTAR,-1)
        st.takeItems(ROYAL_JELLY,-1)
        st.giveItems(HONEY,1)
    elif event == "30067-05.htm" :
        htmltext = "30067-05.htm"
        st.takeItems(GLYVKAS_BOTANYBOOK,1)
        st.giveItems(ADENA,st.getQuestItemsCount(BROWN_MARSH_MOSS)*300)
        st.giveItems(ADENA,st.getQuestItemsCount(GREEN_MARSH_MOSS)*75)
        st.addExpAndSp(2500,300)
        st.takeItems(GREEN_MARSH_MOSS,-1)
        st.takeItems(BROWN_MARSH_MOSS,-1)
        st.giveItems(GREEN_MOSS_BUNDLE,1)
    return htmltext


 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   id = st.getState()
   cond = st.getInt("cond") 
   if npcId == 30469 and cond==0 :
      if st.getPlayer().getLevel() >= 24 :
         htmltext = "30469-02.htm"
         return htmltext
      else:
         htmltext = "30469-01.htm"
         st.exitCurrentQuest(True)
   elif npcId == 30469 and cond>0 and has_list(st) and ingredients_count(st) < 5 :
        htmltext = "30469-04.htm"
   elif npcId == 30469 and cond>0 and has_list(st) and ingredients_count(st) >= 5 :
          if special_ingredients(st) == 0 :
            if st.getRandom(10)<1 :
              htmltext = "30469-05t2.htm"
              st.giveItems(JONAS_STEAK_DISH2,1)
            else:
              htmltext = "30469-05t1.htm"
              st.giveItems(JONAS_STEAK_DISH1,1)
          elif special_ingredients(st) == 1 :
            if st.getRandom(10)<1 :
              htmltext = "30469-05t3.htm"
              st.giveItems(JONAS_STEAK_DISH3,1)
            else:
              htmltext = "30469-05t2.htm"
              st.giveItems(JONAS_STEAK_DISH2,1)
          elif special_ingredients(st) == 2 :
            if st.getRandom(10)<1 :
              htmltext = "30469-05t4.htm"
              st.giveItems(JONAS_STEAK_DISH4,1)
            else:
              htmltext = "30469-05t3.htm"
              st.giveItems(JONAS_STEAK_DISH3,1)
          elif special_ingredients(st) == 3 :
            if st.getRandom(10)<1 :
              htmltext = "30469-05t5.htm"
              st.giveItems(JONAS_STEAK_DISH5,1)
              st.playSound("ItemSound.quest_jackpot")
            else:
              htmltext = "30469-05t4.htm"
              st.giveItems(JONAS_STEAK_DISH4,1)
          st.takeItems(INGREDIENT_LIST,1)
          st.takeItems(RED_MANDRAGORA_SAP,1)
          st.takeItems(WHITE_MANDRAGORA_SAP,1)
          st.takeItems(HONEY,1)
          st.takeItems(GOLDEN_HONEY,1)
          st.takeItems(DIONIAN_POTATO,1)
          st.takeItems(GREEN_MOSS_BUNDLE,1)
          st.takeItems(BROWN_MOSS_BUNDLE,1)
          st.takeItems(MONSTER_EYE_MEAT,1)
   elif npcId == 30469 and cond>0 and ingredients_count(st) == 0 and not has_list(st) and has_dish(st) and not has_review(st) :
        htmltext = "30469-06.htm"
   elif npcId == 30469 and cond>0 and ingredients_count(st) == 0 and not has_list(st) and not has_dish(st) and has_review(st) :
        if st.getQuestItemsCount(MIRIENS_REVIEW1) :
          htmltext = "30469-06t1.htm"
          st.takeItems(MIRIENS_REVIEW1,1)
          st.giveItems(ADENA,7500)
          st.addExpAndSp(6000,300)
        elif st.getQuestItemsCount(MIRIENS_REVIEW2) :
          htmltext = "30469-06t2.htm"
          st.takeItems(MIRIENS_REVIEW2,1)
          st.giveItems(ADENA,9000)
          st.addExpAndSp(7000,350)
        elif st.getQuestItemsCount(MIRIENS_REVIEW3) :
          htmltext = "30469-06t3.htm"
          st.takeItems(MIRIENS_REVIEW3,1)
          st.giveItems(ADENA,5800)
          st.giveItems(JONAS_SALAD_RECIPE,1)
          st.addExpAndSp(9000,450)
        elif st.getQuestItemsCount(MIRIENS_REVIEW4) :
          htmltext = "30469-06t4.htm"
          st.takeItems(MIRIENS_REVIEW4,1)
          st.giveItems(ADENA,6800)
          st.giveItems(JONAS_SAUCE_RECIPE,1)
          st.addExpAndSp(10500,525)
        elif st.getQuestItemsCount(MIRIENS_REVIEW5) :
          htmltext = "30469-06t5.htm"
          st.takeItems(MIRIENS_REVIEW5,1)
          st.giveItems(ADENA,7800)
          st.giveItems(JONAS_STEAK_RECIPE,1)
          st.addExpAndSp(12000,600)
        kolqn = st.getInt("kolq")+1 
        kolqf = str(kolqn)
        st.set("kolq",kolqf)
        st.set("cond","0")
        st.setState(COMPLETED) 
        st.playSound("ItemSound.quest_finish")
        st.exitCurrentQuest(True)
   elif npcId == 30461 and cond>0 and has_list(st) :
        htmltext = "30461-01.htm"
   elif npcId == 30461 and cond>0 and ingredients_count(st) == 0 and not has_list(st) and has_dish(st) and not has_review(st) :
        if st.getQuestItemsCount(JONAS_STEAK_DISH1) :
          htmltext = "30461-02t1.htm"
          st.takeItems(JONAS_STEAK_DISH1,1)
          st.giveItems(MIRIENS_REVIEW1,1)
        elif st.getQuestItemsCount(JONAS_STEAK_DISH2) :
          htmltext = "30461-02t2.htm"
          st.takeItems(JONAS_STEAK_DISH2,1)
          st.giveItems(MIRIENS_REVIEW2,1)
        elif st.getQuestItemsCount(JONAS_STEAK_DISH3) :
          htmltext = "30461-02t3.htm"
          st.takeItems(JONAS_STEAK_DISH3,1)
          st.giveItems(MIRIENS_REVIEW3,1)
        elif st.getQuestItemsCount(JONAS_STEAK_DISH4) :
          htmltext = "30461-02t4.htm"
          st.takeItems(JONAS_STEAK_DISH4,1)
          st.giveItems(MIRIENS_REVIEW4,1)
        elif st.getQuestItemsCount(JONAS_STEAK_DISH5) :
          htmltext = "30461-02t5.htm"
          st.takeItems(JONAS_STEAK_DISH5,1)
          st.giveItems(MIRIENS_REVIEW5,1)
   elif npcId == 30461 and cond>0 and ingredients_count(st) == 0 and not has_list(st) and not has_dish(st) and has_review(st) :
        htmltext = "30461-04.htm"
   elif npcId == 30062 and cond>0 and has_list(st) and ingredients_count(st)<5 and not st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)==0) :
        htmltext = "30062-01.htm"
        st.giveItems(SONIAS_BOTANYBOOK,1)
   elif npcId == 30062 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_ROOT)+st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT))<40 and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)==0) :
        htmltext = "30062-02.htm"
   elif npcId == 30062 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_ROOT)+st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT))>=40 and st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)<40 and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)==0) :
        htmltext = "30062-03.htm"
   elif npcId == 30062 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_ROOT)+st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT))>=40 and st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)>=40 and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)==0) :
        htmltext = "30062-06.htm"
        st.takeItems(SONIAS_BOTANYBOOK,1)
        st.takeItems(RED_MANDRAGORA_ROOT,-1)
        st.takeItems(WHITE_MANDRAGORA_ROOT,-1)
        st.giveItems(WHITE_MANDRAGORA_SAP,1)
   elif npcId == 30062 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK)==0 and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP)>0) :
        htmltext = "30062-07.htm"
   elif npcId == 30073 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK)==0 and (st.getQuestItemsCount(HONEY)+st.getQuestItemsCount(GOLDEN_HONEY)==0) :
        htmltext = "30073-01.htm"
        st.giveItems(JAYCUBS_INSECTBOOK,1)
   elif npcId == 30073 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK) and st.getQuestItemsCount(NECTAR)<20 :
        htmltext = "30073-02.htm"
   elif npcId == 30073 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK) and st.getQuestItemsCount(NECTAR)>=20 and st.getQuestItemsCount(ROYAL_JELLY)<10 :
        htmltext = "30073-03.htm"
   elif npcId == 30073 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK) and st.getQuestItemsCount(NECTAR)>=20 and st.getQuestItemsCount(ROYAL_JELLY)>=10 :
        htmltext = "30073-06.htm"
        st.takeItems(JAYCUBS_INSECTBOOK,1)
        st.takeItems(NECTAR,-1)
        st.takeItems(ROYAL_JELLY,-1)
        st.giveItems(GOLDEN_HONEY,1)
   elif npcId == 30073 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK)==0 and (st.getQuestItemsCount(HONEY)+st.getQuestItemsCount(GOLDEN_HONEY)==1) :
        htmltext = "30073-07.htm"
   elif npcId == 30078 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(PANOS_CONTRACT)==0 and st.getQuestItemsCount(DIONIAN_POTATO)==0 :
        htmltext = "30078-01.htm"
        st.giveItems(PANOS_CONTRACT,1)
   elif npcId == 30078 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(PANOS_CONTRACT) and st.getQuestItemsCount(HOBGOBLIN_AMULET)<30 :
        htmltext = "30078-02.htm"
   elif npcId == 30078 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(PANOS_CONTRACT) and st.getQuestItemsCount(HOBGOBLIN_AMULET)>=30 :
        htmltext = "30078-03.htm"
        st.takeItems(PANOS_CONTRACT,1)
        st.takeItems(HOBGOBLIN_AMULET,-1)
        st.giveItems(DIONIAN_POTATO,1)
   elif npcId == 30078 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(PANOS_CONTRACT)==0 and st.getQuestItemsCount(DIONIAN_POTATO) :
        htmltext = "30078-04.htm"
   elif npcId == 30067 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK)==0 and (st.getQuestItemsCount(GREEN_MOSS_BUNDLE)+st.getQuestItemsCount(BROWN_MOSS_BUNDLE)==0) :
        htmltext = "30067-01.htm"
        st.giveItems(GLYVKAS_BOTANYBOOK,1)
   elif npcId == 30067 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK) and (st.getQuestItemsCount(GREEN_MARSH_MOSS)+st.getQuestItemsCount(BROWN_MARSH_MOSS)<20) :
        htmltext = "30067-02.htm"
   elif npcId == 30067 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK) and (st.getQuestItemsCount(GREEN_MARSH_MOSS)+st.getQuestItemsCount(BROWN_MARSH_MOSS)>=20) and st.getQuestItemsCount(BROWN_MARSH_MOSS)<20 :
        htmltext = "30067-03.htm"
   elif npcId == 30067 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK) and (st.getQuestItemsCount(GREEN_MARSH_MOSS)+st.getQuestItemsCount(BROWN_MARSH_MOSS)>=20) and st.getQuestItemsCount(BROWN_MARSH_MOSS)>=20 :
        htmltext = "30067-06.htm"
        st.takeItems(GLYVKAS_BOTANYBOOK,1)
        st.takeItems(GREEN_MARSH_MOSS,-1)
        st.takeItems(BROWN_MARSH_MOSS,-1)
        st.giveItems(BROWN_MOSS_BUNDLE,1)
   elif npcId == 30067 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK)==0 and (st.getQuestItemsCount(GREEN_MOSS_BUNDLE)+st.getQuestItemsCount(BROWN_MOSS_BUNDLE)==1) :
        htmltext = "30067-07.htm"
   elif npcId == 30069 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK)==0 and st.getQuestItemsCount(MONSTER_EYE_MEAT)==0 :
        htmltext = "30069-01.htm"
        st.giveItems(ROLANTS_CREATUREBOOK,1)
   elif npcId == 30069 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK) and st.getQuestItemsCount(MONSTER_EYE_BODY)<30 :
        htmltext = "30069-02.htm"
   elif npcId == 30069 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK) and st.getQuestItemsCount(MONSTER_EYE_BODY)>=30 :
        htmltext = "30069-03.htm"
        st.takeItems(ROLANTS_CREATUREBOOK,1)
        st.takeItems(MONSTER_EYE_BODY,-1)
        st.giveItems(MONSTER_EYE_MEAT,1)
   elif npcId == 30069 and cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK)==0 and st.getQuestItemsCount(MONSTER_EYE_MEAT)==1 :
        htmltext = "30069-04.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   cond = st.getInt("cond")
   if npcId == 20265 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK) and st.getQuestItemsCount(MONSTER_EYE_BODY)<30 :
          n = st.getRandom(100)
          if n<75 :
            st.giveItems(MONSTER_EYE_BODY,1)
            if st.getQuestItemsCount(MONSTER_EYE_BODY) == 30 :
              st.playSound("ItemSound.quest_middle")
            else:
              st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(MONSTER_EYE_BODY) == 29 :
              st.giveItems(MONSTER_EYE_BODY,1)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(MONSTER_EYE_BODY,2)
              st.playSound("ItemSound.quest_itemget")
   elif npcId == 20266 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(ROLANTS_CREATUREBOOK) and st.getQuestItemsCount(MONSTER_EYE_BODY)<30 :
          n = st.getRandom(10)
          if n<7 :
            st.giveItems(MONSTER_EYE_BODY,1)
            if st.getQuestItemsCount(MONSTER_EYE_BODY) == 30 :
              st.playSound("ItemSound.quest_middle")
            else:
              st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(MONSTER_EYE_BODY) == 29 :
              st.giveItems(MONSTER_EYE_BODY,1)
              st.playSound("ItemSound.quest_middle")
            else:
              st.giveItems(MONSTER_EYE_BODY,2)
              st.playSound("ItemSound.quest_itemget")
   elif npcId == 20226 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK) :
          n = st.getRandom(10)
          if n<9 :
            if st.getQuestItemsCount(GREEN_MARSH_MOSS)<20 :
              st.giveItems(GREEN_MARSH_MOSS,1)
              if st.getQuestItemsCount(GREEN_MARSH_MOSS) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(BROWN_MARSH_MOSS)<20 :
              st.giveItems(BROWN_MARSH_MOSS,1)
              if st.getQuestItemsCount(BROWN_MARSH_MOSS) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20228 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(GLYVKAS_BOTANYBOOK) :
          n = st.getRandom(100)
          if n<88 :
            if st.getQuestItemsCount(GREEN_MARSH_MOSS)<20 :
              st.giveItems(GREEN_MARSH_MOSS,1)
              if st.getQuestItemsCount(GREEN_MARSH_MOSS) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(BROWN_MARSH_MOSS)<20 :
              st.giveItems(BROWN_MARSH_MOSS,1)
              if st.getQuestItemsCount(BROWN_MARSH_MOSS) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20147 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(PANOS_CONTRACT) and st.getQuestItemsCount(HOBGOBLIN_AMULET)<30 :
          st.giveItems(HOBGOBLIN_AMULET,1)
          if st.getQuestItemsCount(HOBGOBLIN_AMULET) == 30 :
            st.playSound("ItemSound.quest_middle")
          else:
            st.playSound("ItemSound.quest_itemget")
   elif npcId == 20204 :
        if int(st.get("cond")) and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK) :
          n = st.getRandom(100)
          if n<80 :
            if st.getQuestItemsCount(NECTAR)<20 :
              st.giveItems(NECTAR,1)
              if st.getQuestItemsCount(NECTAR) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          elif n>95 :
            if st.getQuestItemsCount(ROYAL_JELLY)<10 :
              st.giveItems(ROYAL_JELLY,1)
              if st.getQuestItemsCount(ROYAL_JELLY) == 10 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20229 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(JAYCUBS_INSECTBOOK) :
          n = st.getRandom(100)
          if n<92 :
            if st.getQuestItemsCount(NECTAR)<20 :
              st.giveItems(NECTAR,1)
              if st.getQuestItemsCount(NECTAR) == 20 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(ROYAL_JELLY)<10 :
              st.giveItems(ROYAL_JELLY,1)
              if st.getQuestItemsCount(ROYAL_JELLY) == 10 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20223 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP) == 0) :
          n = st.getRandom(100)
          if n<67 :
            if st.getQuestItemsCount(RED_MANDRAGORA_ROOT)<40 :
              st.giveItems(RED_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(RED_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          elif n>93 :
            if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)<40 :
              st.giveItems(WHITE_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20154 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP) == 0) :
          n = st.getRandom(100)
          if n<74 :
            if st.getQuestItemsCount(RED_MANDRAGORA_ROOT)<40 :
              st.giveItems(RED_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(RED_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          elif n>92 :
            if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)<40 :
              st.giveItems(WHITE_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20155 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP) == 0) :
          n = st.getRandom(100)
          if n<80 :
            if st.getQuestItemsCount(RED_MANDRAGORA_ROOT)<40 :
              st.giveItems(RED_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(RED_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          elif n>91 :
            if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)<40 :
              st.giveItems(WHITE_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == 20156 :
        if cond>0 and has_list(st) and ingredients_count(st)<5 and st.getQuestItemsCount(SONIAS_BOTANYBOOK) and (st.getQuestItemsCount(RED_MANDRAGORA_SAP)+st.getQuestItemsCount(WHITE_MANDRAGORA_SAP) == 0) :
          n = st.getRandom(100)
          if n<90 :
            if st.getQuestItemsCount(RED_MANDRAGORA_ROOT)<40 :
              st.giveItems(RED_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(RED_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
          else:
            if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT)<40 :
              st.giveItems(WHITE_MANDRAGORA_ROOT,1)
              if st.getQuestItemsCount(WHITE_MANDRAGORA_ROOT) == 40 :
                st.playSound("ItemSound.quest_middle")
              else:
                st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(330,"330_AdeptOfTaste","Adept Of Taste")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30469)

CREATED.addTalkId(30469)
COMPLETED.addTalkId(30469)

STARTED.addTalkId(30062)
STARTED.addTalkId(30067)
STARTED.addTalkId(30069)
STARTED.addTalkId(30073)
STARTED.addTalkId(30078)
STARTED.addTalkId(30461)
STARTED.addTalkId(30469)

STARTED.addKillId(20147)
STARTED.addKillId(20154)
STARTED.addKillId(20155)
STARTED.addKillId(20156)
STARTED.addKillId(20204)
STARTED.addKillId(20223)
STARTED.addKillId(20226)
STARTED.addKillId(20228)
STARTED.addKillId(20229)
STARTED.addKillId(20265)
STARTED.addKillId(20266)

STARTED.addQuestDrop(30469,INGREDIENT_LIST,1)
STARTED.addQuestDrop(30062,RED_MANDRAGORA_SAP,1)
STARTED.addQuestDrop(30062,WHITE_MANDRAGORA_SAP,1)
STARTED.addQuestDrop(30073,HONEY,1)
STARTED.addQuestDrop(30073,GOLDEN_HONEY,1)
STARTED.addQuestDrop(30078,DIONIAN_POTATO,1)
STARTED.addQuestDrop(30067,GREEN_MOSS_BUNDLE,1)
STARTED.addQuestDrop(30067,BROWN_MOSS_BUNDLE,1)
STARTED.addQuestDrop(30069,MONSTER_EYE_MEAT,1)
STARTED.addQuestDrop(30461,MIRIENS_REVIEW1,1)
STARTED.addQuestDrop(30461,MIRIENS_REVIEW2,1)
STARTED.addQuestDrop(30461,MIRIENS_REVIEW3,1)
STARTED.addQuestDrop(30461,MIRIENS_REVIEW4,1)
STARTED.addQuestDrop(30461,MIRIENS_REVIEW5,1)
STARTED.addQuestDrop(30469,JONAS_STEAK_DISH1,1)
STARTED.addQuestDrop(30469,JONAS_STEAK_DISH2,1)
STARTED.addQuestDrop(30469,JONAS_STEAK_DISH3,1)
STARTED.addQuestDrop(30469,JONAS_STEAK_DISH4,1)
STARTED.addQuestDrop(30469,JONAS_STEAK_DISH5,1)
STARTED.addQuestDrop(30062,SONIAS_BOTANYBOOK,1)
STARTED.addQuestDrop(20223,RED_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20223,WHITE_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20154,RED_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20155,RED_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20156,RED_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20223,WHITE_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20154,WHITE_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20155,WHITE_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(20156,WHITE_MANDRAGORA_ROOT,1)
STARTED.addQuestDrop(30073,JAYCUBS_INSECTBOOK,1)
STARTED.addQuestDrop(20204,NECTAR,1)
STARTED.addQuestDrop(20229,NECTAR,1)
STARTED.addQuestDrop(20204,ROYAL_JELLY,1)
STARTED.addQuestDrop(20229,ROYAL_JELLY,1)
STARTED.addQuestDrop(30078,PANOS_CONTRACT,1)
STARTED.addQuestDrop(20147,HOBGOBLIN_AMULET,1)
STARTED.addQuestDrop(30067,GLYVKAS_BOTANYBOOK,1)
STARTED.addQuestDrop(20226,GREEN_MARSH_MOSS,1)
STARTED.addQuestDrop(20228,GREEN_MARSH_MOSS,1)
STARTED.addQuestDrop(20226,BROWN_MARSH_MOSS,1)
STARTED.addQuestDrop(20228,BROWN_MARSH_MOSS,1)
STARTED.addQuestDrop(30069,ROLANTS_CREATUREBOOK,1)
STARTED.addQuestDrop(20265,MONSTER_EYE_BODY,1)
STARTED.addQuestDrop(20266,MONSTER_EYE_BODY,1)

print "importing quests: 330: Adept Of Taste"