# Made by Mr. - Version 0.3 by kmarty and DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

SORIUS_LETTER1 = 1202
KLUTO_BOX = 1203
ELVEN_KNIGHT_BROOCH = 1204
TOPAZ_PIECE = 1205
EMERALD_PIECE = 1206
KLUTO_MEMO = 1276
#messages
default="<html><head><body>I have nothing to say you</body></html>"

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30327-05.htm" :
       if st.getPlayer().getClassId().getId() != 0x12 :
          if st.getPlayer().getClassId().getId() == 0x13 :
             htmltext = "30327-02a.htm"
          else:
             htmltext = "30327-02.htm"
             st.exitCurrentQuest(True)
       else:
          if st.getPlayer().getLevel()<19 :
             htmltext = "30327-03.htm"
             st.exitCurrentQuest(True)
          else:
             if st.getQuestItemsCount(ELVEN_KNIGHT_BROOCH) :
                htmltext = "30327-04.htm"
    elif event == "30327-06.htm" :
       st.set("cond","1")
       st.setState(STARTED)
       st.playSound("ItemSound.quest_accept")
    elif event == "30317-02.htm" :
       if int(st.get("cond")) == 3 :
          st.takeItems(SORIUS_LETTER1,-1)
          if st.getQuestItemsCount(KLUTO_MEMO) == 0 :
             st.giveItems(KLUTO_MEMO,1)
             st.set("cond","4")
          else :
             htmltext = default
       else :
          htmltext = default
    return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = default
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
     st.set("cond","0")
     cond=0
   else :
     cond=int(st.get("cond"))
   if npcId == 30327 :
        if cond == 0 :
            htmltext = "30327-01.htm"
        elif cond == 1 :
            if st.getQuestItemsCount(TOPAZ_PIECE)==0 :
              htmltext = "30327-07.htm"
            else:
              htmltext = "30327-08.htm"
        elif cond == 2 :
            if st.getQuestItemsCount(SORIUS_LETTER1) == 0 :
              st.giveItems(SORIUS_LETTER1,1)
            st.set("cond","3")
            htmltext = "30327-09.htm"
        elif cond in [3, 4, 5] :
            htmltext = "30327-11.htm"
        elif cond == 6 :
            st.takeItems(KLUTO_BOX,-1)
            if st.getQuestItemsCount(ELVEN_KNIGHT_BROOCH) == 0 :
              st.addExpAndSp(3200,2280)
              st.giveItems(ELVEN_KNIGHT_BROOCH,1)
            st.set("cond","0")
            st.setState(COMPLETED)
            st.playSound("ItemSound.quest_finish")
            htmltext = "30327-10.htm"
   elif npcId == 30317 :
        if cond == 3 :
            htmltext = "30317-01.htm"
        elif  cond == 4 :
            if st.getQuestItemsCount(EMERALD_PIECE)==0 :
              htmltext = "30317-03.htm"
            else:
              htmltext = "30317-04.htm"
        elif cond == 5 :
            st.takeItems(EMERALD_PIECE,-1)
            st.takeItems(TOPAZ_PIECE,-1)
            if st.getQuestItemsCount(KLUTO_BOX) == 0 :
              st.giveItems(KLUTO_BOX,1)
            st.takeItems(KLUTO_MEMO,-1)
            st.set("cond","6")
            htmltext = "30317-05.htm"
        elif cond == 6 :
            htmltext = "30317-06.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId != 20782 :
        if int(st.get("cond"))==1 and st.getQuestItemsCount(TOPAZ_PIECE)<20 and st.getRandom(100)<70 :
            st.giveItems(TOPAZ_PIECE,1)
            if st.getQuestItemsCount(TOPAZ_PIECE) == 20 :
              st.playSound("ItemSound.quest_middle")
              st.set("cond","2")
            else:
              st.playSound("ItemSound.quest_itemget")
   else :
        if int(st.get("cond"))==4 and st.getQuestItemsCount(EMERALD_PIECE)<20 and st.getRandom(100)<50 :
            st.giveItems(EMERALD_PIECE,1)
            if st.getQuestItemsCount(EMERALD_PIECE) == 20 :
              st.playSound("ItemSound.quest_middle")
              st.set("cond","5")
            else:
              st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(406,"406_PathToElvenKnight","Path To Elven Knight")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30327)
CREATED.addTalkId(30327)
COMPLETED.addTalkId(30327)

STARTED.addTalkId(30317)
STARTED.addTalkId(30327)

STARTED.addKillId(20035)
STARTED.addKillId(20042)
STARTED.addKillId(20045)
STARTED.addKillId(20051)
STARTED.addKillId(20054)
STARTED.addKillId(20060)
STARTED.addKillId(20782)

STARTED.addQuestDrop(30327,SORIUS_LETTER1,1)
STARTED.addQuestDrop(20782,EMERALD_PIECE,1)
STARTED.addQuestDrop(20054,TOPAZ_PIECE,1)
STARTED.addQuestDrop(20060,TOPAZ_PIECE,1)
STARTED.addQuestDrop(20035,TOPAZ_PIECE,1)
STARTED.addQuestDrop(20042,TOPAZ_PIECE,1)
STARTED.addQuestDrop(20051,TOPAZ_PIECE,1)
STARTED.addQuestDrop(20045,TOPAZ_PIECE,1)
STARTED.addQuestDrop(30317,KLUTO_MEMO,1)
STARTED.addQuestDrop(30317,KLUTO_BOX,1)

print "importing quests: 406: Path To Elven Knight"