# Made by Mr. - Version 0.3 by DrLecter
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

HONEY_KHANDAR,BEAR_FUR_CLOAK,BLOODY_AXE,ANCESTOR_SKULL,SPIDER_DUST,DEEP_SEA_ORB = range(1541,1547)
NPC_GIFTS = {30585:BEAR_FUR_CLOAK,30566:HONEY_KHANDAR,30562:BLOODY_AXE,30560:ANCESTOR_SKULL,30559:SPIDER_DUST,30587:DEEP_SEA_ORB}

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "30578-03.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   if npcId == 30578 :
     if cond == 0 :
        if id != COMPLETED :
           if st.getPlayer().getRace().ordinal() <> 3 :
              htmltext = "30578-00.htm"
              st.exitCurrentQuest(True)
           elif st.getPlayer().getLevel() >= 2 :
              htmltext = "30578-02.htm"
           else:
              htmltext = "30578-01.htm"
              st.exitCurrentQuest(True)
        else :
           htmltext = "<html><body>This quest have already been completed.</body></html>"
     elif cond == 1 :
        htmltext = "30578-04.htm"
     elif cond == 2 :
        htmltext = "30578-06.htm"
        for item in NPC_GIFTS.values():
           st.takeItems(item,-1)
        st.giveItems(4,1)
        st.unset("cond")
        st.setState(COMPLETED)
        st.playSound("ItemSound.quest_finish")
   elif (npcId in NPC_GIFTS.keys()) and cond == 1 :
     item = NPC_GIFTS[npcId]
     npc = str(npcId)
     if st.getQuestItemsCount(item) :
        htmltext = npc + "-02.htm"
     else :
        st.giveItems(item,1)
        htmltext = npc + "-01.htm"
        count = 0
        for item in NPC_GIFTS.values():
           count += st.getQuestItemsCount(item)
        if count == 6 :
           st.set("cond","2")
           st.playSound("ItemSound.quest_middle")
        else :
           st.playSound("ItemSound.quest_itemget")
   return htmltext

QUEST     = Quest(4,"4_LongLivethePaagrioLord","Long Live the Paagrio Lord")
CREATED   = State('Start',     QUEST)
STARTED   = State('Started',   QUEST)
COMPLETED = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(30578)

CREATED.addTalkId(30578)
COMPLETED.addTalkId(30578)

STARTED.addTalkId(30559)
STARTED.addTalkId(30560)
STARTED.addTalkId(30562)
STARTED.addTalkId(30566)
STARTED.addTalkId(30578)
STARTED.addTalkId(30585)
STARTED.addTalkId(30587)

STARTED.addQuestDrop(30559,SPIDER_DUST,1)
STARTED.addQuestDrop(30560,ANCESTOR_SKULL,1)
STARTED.addQuestDrop(30562,BLOODY_AXE,1)
STARTED.addQuestDrop(30566,HONEY_KHANDAR,1)
STARTED.addQuestDrop(30585,BEAR_FUR_CLOAK,1)
STARTED.addQuestDrop(30587,DEEP_SEA_ORB,1)
STARTED.addQuestDrop(30578,4,1)

print "importing quests: 4: Long Live the Paagrio Lord"