# Made by ValianT
# Edit by ValianT. Update 26/02/07. Updated 28062007 by HellSinger
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest
# NPC
Lanosco = 31570
SingingWind = 21026
# Items
EssenceofWind = 7621
WindFishingLure = 7610
# Skill
FishSkill = 1315

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
   htmltext = event
   if event == "31570-04.htm" :
      st.setState(STARTED)
      st.set("cond","1")
      st.playSound("ItemSound.quest_accept")
   elif event == "31570-07.htm" :
      if st.getQuestItemsCount(EssenceofWind) < 100 :
         htmltext = "31570-08.htm"
      else :
         st.unset("cond")
         st.takeItems(EssenceofWind,-1)
         st.giveItems(WindFishingLure,4)
         st.setState(COMPLETED)
         st.playSound("ItemSound.quest_finish")
   return htmltext

 def onTalk (Self,npc,st):
   npcId = npc.getNpcId()
   htmltext = "<html><head><body>I have nothing to say you</body></html>"
   cond = st.getInt("cond")
   id = st.getState()
   if npcId == Lanosco :
      if id == COMPLETED :
         htmltext = "<html><head><body>This quest have already been completed.</body></html>"
      elif id == CREATED or id == ABORTED :
         if st.getPlayer().getLevel() < 27 :
            htmltext = "31570-03.htm"
            st.exitCurrentQuest(True)
         elif st.getPlayer().getSkillLevel(FishSkill)!= None and st.getPlayer().getSkillLevel(FishSkill) >= 8 :
            htmltext = "31570-01.htm"
         else : 
            htmltext = "31570-02.htm"
            st.exitCurrentQuest(True)
      elif cond in [1,2] :
         if st.getQuestItemsCount(EssenceofWind) < 100 :
            htmltext = "31570-06.htm"
            st.set("cond","1")
         else : htmltext = "31570-05.htm"
   return htmltext

 def onKill (self,npc,st):
   npcId = npc.getNpcId()
   if npcId == SingingWind and int(st.get("cond")) == 1 :
      if st.getQuestItemsCount(EssenceofWind) < 100 and st.getRandom(100) <= 30 :
         st.giveItems(EssenceofWind,1)
         if st.getQuestItemsCount(EssenceofWind) == 100 :
            st.playSound("ItemSound.quest_middle")
            st.set("cond","2")
         else :
            st.playSound("ItemSound.quest_itemget")
   return
QUEST       = Quest(50,"50_LanoscosSpecialBait","Lanosco's Special Bait")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
ABORTED     = State('Aborted', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(Lanosco)

CREATED.addTalkId(Lanosco)
STARTED.addTalkId(Lanosco)
COMPLETED.addTalkId(Lanosco)

STARTED.addKillId(SingingWind)

STARTED.addQuestDrop(SingingWind,EssenceofWind,1)

print "importing quests: 50: Lanosco's Special Bait"
