# Maked by Drac for L2j Fortress (Russia team) v.2

import sys
from l2f import Config
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

LI = 7207
RATE = int(Config.RATE_QUESTS_REWARD)

class Quest (JQuest) :

 def __init__(self,id,name,descr,party): JQuest.__init__(self,id,name,descr,party)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "1" :
      st.set("cond","1")
      st.setState(STARTED)
      htmltext = "31521-02.htm"
      st.giveItems(LI,5)
      st.playSound("ItemSound.quest_accept")

    if event == "2" :
      st.set("cond","2")
      htmltext = "31547-02.htm"
      st.takeItems(LI,1)
      st.giveItems(7198,1)
      st.playSound("ItemSound.quest_middle")

    if event == "3" :
      st.set("cond","3")
      htmltext = "31546-02.htm"
      st.takeItems(LI,1)
      st.giveItems(7198,1)
      st.playSound("ItemSound.quest_middle")

    if event == "4" :
      st.set("cond","4")
      htmltext = "31545-02.htm"
      st.takeItems(LI,1)
      st.giveItems(7198,1)
      st.playSound("ItemSound.quest_middle")

    if event == "5" :
      st.set("cond","5")
      htmltext = "31544-02.htm"
      st.takeItems(LI,1)
      st.giveItems(7198,1)
      st.playSound("ItemSound.quest_middle")

    if event == "6" :
      st.set("cond","6")
      htmltext = "31543-02.htm"
      st.takeItems(LI,1)
      st.giveItems(7198,1)
      st.playSound("ItemSound.quest_middle")

    if event == "7" :
      htmltext = "31521-04.htm"
      st.set("cond","0")
      st.takeItems(7198,5)
      a = st.getRandom(100)
      if a <= 20 :
        if a <= 7 :
          st.giveItems(6847,1)
        elif a <= 14 :
          st.giveItems(6849,1)
        elif a <= 20 :
          st.giveItems(6851,1)
      else :
        st.giveItems(57,18800*RATE)
        st.giveItems(734,1)
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
      st.exitCurrentQuest(True)

    return htmltext

 def onTalk (Self,npc,st) :

   npcId = npc.getNpcId()
   htmltext = "<html><body>I have nothing to say you</body></html>"
   id = st.getState()
   id2 = st.getStateId()
   if id == CREATED or id2 == "Aborted" :
      st.setState(STARTING)
      st.set("cond","0")
      st.set("onlyone","0")
      st.set("id","0")
   if npcId == 31521 :
        if st.getPlayer().getLevel() < 68 :
           htmltext = "31521-00.htm"
           st.exitCurrentQuest(True)
	elif st.getPlayer().getLevel() >= 68 and st.getState() == STARTING :
	   htmltext = "31521-01.htm"   
        elif st.getPlayer().getLevel() >= 68 and int(st.get("cond")) == 6 and st.getQuestItemsCount(7198) == 5 :
           htmltext = "31521-03.htm"
        elif st.getPlayer().getLevel() >= 68 and int(st.get("cond")) >= 1 and st.getQuestItemsCount(7207) >= 0 :
           htmltext = "31521-02.htm"

   elif npcId == 31547 :
      if int(st.get("cond")) == 1 :
         htmltext = "31547-01.htm"

   elif npcId == 31546 :
      if int(st.get("cond")) == 2 :
         htmltext = "31546-01.htm"

   elif npcId == 31545 :
      if int(st.get("cond")) == 3 :
         htmltext = "31545-01.htm"

   elif npcId == 31544 :
      if int(st.get("cond")) == 4 :
         htmltext = "31544-01.htm"

   elif npcId == 31543 :
      if int(st.get("cond")) == 5 :
         htmltext = "31543-01.htm"

   return htmltext

QUEST       = Quest(622,"622_DeliveryofSpecialLiquor","Delivery of Special Liquor",True)
CREATED     = State('Start', QUEST)
STARTING    = State('Starting', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)
ABORTED     = State('Aborted', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31521)

STARTING.addTalkId(31521)
STARTED.addTalkId(31521)
for i in range(31543,31548) :
  STARTED.addTalkId(i)

STARTED.addQuestDrop(31521,LI,1)
STARTED.addQuestDrop(31547,7198,1)
STARTED.addQuestDrop(31546,7198,1)
STARTED.addQuestDrop(31545,7198,1)
STARTED.addQuestDrop(31544,7198,1)
STARTED.addQuestDrop(31543,7198,1)
STARTED.addQuestDrop(31521,57,1)
STARTED.addQuestDrop(31521,6335,1)
STARTED.addQuestDrop(31521,6337,1)
STARTED.addQuestDrop(31521,6339,1)
STARTED.addQuestDrop(31521,734,1)

print "importing quests: 622: Delivery of Special Liquor"