# Maked by DJ_WEST! Version 1.0
import sys
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

LEAF_OF_FLAVA = 7199
BUFFALO_MEAT = 7200
ANTELOPE_HORN = 7201
ADENA = 57

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event
    if event == "31521-02.htm" :
      st.set("cond","1")
      st.setState(STARTED)
      st.playSound("ItemSound.quest_accept")
    elif event == "31521-04.htm" :
      st.takeItems(LEAF_OF_FLAVA,-1)
      st.takeItems(BUFFALO_MEAT,-1)
      st.takeItems(ANTELOPE_HORN,-1)
      st.giveItems(ADENA,73000)
      st.addExpAndSp(230000,18250)
      st.set("cond","0")
      st.setState(COMPLETED)
      st.playSound("ItemSound.quest_finish")
    return htmltext

 def onTalk (Self,npc,st):
   htmltext = "<html><body>I have nothing to say you</body></html>"
   npcId = npc.getNpcId()
   id = st.getState()
   cond = st.getInt("cond")
   summ = st.getQuestItemsCount(LEAF_OF_FLAVA) + st.getQuestItemsCount(BUFFALO_MEAT) + st.getQuestItemsCount(ANTELOPE_HORN)
   if npcId == 31521 :
      if cond == 0 :
         if id != COMPLETED :
            if st.getPlayer().getLevel() >= 71 :
               htmltext = "31521-01.htm"
            else :
               htmltext = "31521-00.htm"
               st.exitCurrentQuest(True)
         else :
            htmltext = "<html><body>This quest have already been completed.</body></html>"
      elif cond == 1 and summ < 300 :
         htmltext = "31521-02r.htm"
      elif cond == 2 and summ == 300 :
         htmltext = "31521-03.htm"

   return htmltext

 def onKill(self,npc,st):
   npcId = npc.getNpcId()
   cond = st.getInt("cond")
   summ = st.getQuestItemsCount(LEAF_OF_FLAVA) + st.getQuestItemsCount(BUFFALO_MEAT) + st.getQuestItemsCount(ANTELOPE_HORN)
   if cond == 1 and st.getRandom(10) < 5 :
      if npcId == 21316 :
         if st.getQuestItemsCount(LEAF_OF_FLAVA) < 100 :
            st.giveItems(LEAF_OF_FLAVA,1)
            if st.getQuestItemsCount(LEAF_OF_FLAVA) == 100 :
               if summ == 300 :
                  st.set("cond","2")
               st.playSound("ItemSound.quest_middle")
            else :
               st.playSound("ItemSound.quest_itemget")
      elif npcId == 21315 :
         if st.getQuestItemsCount(BUFFALO_MEAT) < 100 :
            st.giveItems(BUFFALO_MEAT,1)
            if st.getQuestItemsCount(BUFFALO_MEAT) == 100 :
               if summ == 300 :
                  st.set("cond","2")
               st.playSound("ItemSound.quest_middle")
            else :
               st.playSound("ItemSound.quest_itemget")
      elif npcId == 21318 :
         if st.getQuestItemsCount(ANTELOPE_HORN) < 100 :
            st.giveItems(ANTELOPE_HORN,1)
            if st.getQuestItemsCount(ANTELOPE_HORN) == 100 :
               if summ == 300 :
                  st.set("cond","2")
               st.playSound("ItemSound.quest_middle")
            else :
               st.playSound("ItemSound.quest_itemget")
   return

QUEST       = Quest(623,"623_TheFinestFood","The Finest Food")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)

QUEST.setInitialState(CREATED)
QUEST.addStartNpc(31521)

STARTED.addTalkId(31521)
COMPLETED.addTalkId(31521)

STARTED.addKillId(21316)
STARTED.addKillId(21315)
STARTED.addKillId(21318)

STARTED.addQuestDrop(21316,LEAF_OF_FLAVA,1)
STARTED.addQuestDrop(21315,BUFFALO_MEAT,1)
STARTED.addQuestDrop(21318,ANTELOPE_HORN,1)
STARTED.addQuestDrop(31521,ADENA,1)

print "importing quests: 623: The Finest Food"