#Tedr
import sys
from l2f.gameserver.serverpackets import SystemMessage
from l2f.gameserver.tables import SkillTable
from l2f.gameserver.model.quest import State
from l2f.gameserver.model.quest import QuestState
from l2f.gameserver.model.quest import QuestJython as JQuest

#items
BOOK1 = 7095
BOOK2 = 6622
ICE_CRYSTAL = 7080
FAT_WHITE_FISH = 6482
BITTER_COLD_BEER = 7536
RESONANCE_AMULET_1 = 7270
RESONANCE_AMULET_2 = 7301
RESONANCE_AMULET_3 = 7332
RESONANCE_AMULET_4 = 7363
RESONANCE_AMULET_5 = 7394
RESONANCE_AMULET_6 = 7425
DIVINE_STONE_OF_WISDOM = 7081
HALISHA_MARK = 7487
ADEN = 57

#NPC
START = 30853
NPC1 = 31583
DONATH = 31624
TABLET_1 = 31646
TABLET_2 = 31649
TABLET_3 = 31652
TABLET_4 = 31654
TABLET_5 = 31655 
TABLET_6 = 31659
DIVINE_STONE_MOB = 31537
ARCHON_NPC = 31281
NPC_TABLET6 = 31618

#Mobs kill
FORBIDDEN_KNOWLEDGE = 27216
KILL_TABL3 = 27288
ARCHON_MOB = 27221
FINAL_KILL = 27280



class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
     
 def onEvent (self,event,st) :
#START
    timer = st.getInt("timer")
    cond = st.getInt("cond")
    kill = st.getInt("kill")
    htmltext = event
    if event == "30853-05.htm" :
        return htmltext
    elif event == "30853-03.htm" :
          st.giveItems(BOOK1,1)
          st.set("cond","1")
          st.set("kill","0")
          st.playSound("ItemSound.quest_accept")
          st.setState(STARTED)                
#NPC1         
    elif event == "31583-05.htm" :
          st.playSound("ItemSound.quest_middle")
          st.set("cond","2")
    elif event == "31583-06.htm" :
          st.set("cond","5")
          st.playSound("ItemSound.quest_middle")
          st.takeItems(BITTER_COLD_BEER,1)
          st.giveItems(RESONANCE_AMULET_1,1)
#DONATH         
    elif event == "31624-05.htm" :
          st.set("cond","3")
          st.playSound("ItemSound.quest_middle")
    elif event == "31624-06.htm" :          
          st.playSound("ItemSound.quest_middle")
          st.set("cond","4")
          st.takeItems(FAT_WHITE_FISH,1)
          st.takeItems(ICE_CRYSTAL,1)
          st.giveItems(BITTER_COLD_BEER,1)          
#Tablet1        
    elif event == "31646-02.htm" :          
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.set("cond","6")          
          st.playSound("ItemSound.quest_middle")
          st.takeItems(RESONANCE_AMULET_1,1)
#Tablet2        
    elif event == "31649-03.htm" : 
          st.set("cond","8")
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.playSound("ItemSound.quest_middle")
          st.takeItems(RESONANCE_AMULET_2,1) 
#Tablet3          
    elif event == "tablet3_1" :
        if not st.getPcSpawn().isSpawnExists(KILL_TABL3) :
            htmltext = "31652-02.htm"
            st.set("cond","9")
            st.set("timer","0")
            st.set("kill","1")
            st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(KILL_TABL3, 161719, -92823, -1893, 300000)).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
            st.startQuestTimer("chat_timer",500)            
        else :
            if kill == 1 :
                htmltext = "31652-03.htm"                
            else :
                htmltext = "31652-04.htm"                            
    elif event == "31652-06.htm" : 
          st.set("cond","10")
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.set("timer","0")
          st.set("kill","0")
          st.playSound("ItemSound.quest_middle")          
          st.takeItems(RESONANCE_AMULET_3,1)          
#DIVINE STONE OF WISDOM        
    elif event == "31537-07.htm" :
          return htmltext
    elif event == "31537-02.htm" : 
          st.playSound("ItemSound.quest_middle")
          st.set("cond","11")          
    elif event == "31537-03.htm" : 
          st.playSound("ItemSound.quest_middle")
          st.set("cond","12")                       
    elif event == "31537-08.htm" : 
          st.set("cond","13")
          st.playSound("ItemSound.quest_middle")          
          st.takeItems(DIVINE_STONE_OF_WISDOM,1)
          st.giveItems(RESONANCE_AMULET_4,1)          
#Tablet4    
    elif event == "31654-02.htm" : 
          st.playSound("ItemSound.quest_middle")
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.set("cond","14")          
          st.takeItems(RESONANCE_AMULET_4,1)
#ARCHON NPC  
    elif event == "31281-03.htm" : 
          st.playSound("ItemSound.quest_middle")           
          st.set("cond","15")
#Tablet5                    
    elif event == "31655-03.htm" : 
          st.set("cond","17")
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.playSound("ItemSound.quest_middle")          
          st.takeItems(RESONANCE_AMULET_5,1)          
#Tablet6         
    elif event == "tablet_6_1" : 
        if not st.getPcSpawn().isSpawnExists(NPC_TABLET6) :
          htmltext = "31659-02.htm"
          st.getPcSpawn().addSpawn(NPC_TABLET6, 124376, 82127, -2796, 300000)
          st.getPcSpawn().addSpawn(FINAL_KILL, 124355, 82155, -2803, 300000)
          st.set("cond","17")
          st.set("kill","1")
          st.set("timer","0")
          st.startQuestTimer("unspawn_timer",60000)
          st.startQuestTimer("chat_timer",500)
        else :
            htmltext = "31659-03.htm"            
    elif event == "31659-06.htm" : 
          st.set("cond","19")
          st.getPlayer().doCast(SkillTable.getInstance().getInfo(4546,1),st.getPlayer())
          st.playSound("ItemSound.quest_middle")          
          st.takeItems(RESONANCE_AMULET_6,1)                         
#NPC TABLET 6          
    elif event == "complite" : 
          st.giveItems(RESONANCE_AMULET_6,1)
          st.playSound("ItemSound.quest_middle")
          st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: the song is and the sound Is sings together Do not forget oh..."))
          st.getPcSpawn().removeAllSpawn()
          st.set("timer","0")
          st.set("kill","0")
          return ""
          
    elif event == "31618-10.htm" :
          return htmltext
          
#Finall       
    elif event == "30853-06.htm" :
          return htmltext              
    elif event == "finish" :
        if st.getPlayer().getLevel() >= 76 :
            st.addExpAndSp(2299404,0)
            htmltext = "30853-09.htm"
            st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
            st.takeItems(BOOK1,1)
            st.giveItems(ADEN,5000000)
            st.giveItems(BOOK2,1)
            st.getPlayer().setClassId(100)
            st.player.broadcastUserInfo()
            st.exitCurrentQuest(True)            
            st.set("cond","0")
            st.setState(COMPLETED)
        else :
            st.set("cond","20")
            st.playSound("ItemSound.quest_middle")
            st.takeItems(BOOK1,1)
            htmltext = "30853-08.htm"
    elif event == "chat_timer" :
        if cond == 9 :
            if timer == 0 :
                st.getPlayer().sendPacket(SystemMessage.sendString("Sword Player Baiel: " + st.getPlayer().getName()+"s, best listens attentively to my singing sound."))
                st.set("timer","1")
                st.getQuestTimer("chat_timer").cancel()                
                st.startQuestTimer("chat_timer",290000)
                return
            else :
                st.getPlayer().sendPacket(SystemMessage.sendString("Sword Player Baiel: hey, to conclusion time The money has not received."))
                return
        elif cond == 17 :
            if timer == 0 :
                st.set("timer","1")
                st.getQuestTimer("chat_timer").cancel()
                st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Angel Narsis: sings All people can conquer by yours singing sound."))
                st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: had found, cannot let off! West the devil natrium forces Si!"))
                st.startQuestTimer("chat_timer",1500)
                return
            elif timer == 1 :
                st.set("timer","2")
                st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: attack. Inadequate? " + st.getPlayer().getName() + "s! Helps me!"))
                st.startQuestTimer("chat_timer",10000)
                return
            elif timer == 2 :
                st.set("timer","3")
                st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: sings " + st.getPlayer().getName() + "s together! Did not consider audience's singing sound, sang also is sings in vain!"))
                st.startQuestTimer("chat_timer",13000)
                return
            elif timer == 3 :
                if kill > 1 and kill < 15 :
                    st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: refuels! " + st.getPlayer().getName() + "s, diligently could win again!"))
                    return
                elif kill == 1 :
                    st.startQuestTimer("chat_timer",13000)
                    return
            return        
                
    elif event == "unspawn_timer" :
        if kill != 1 :
            st.getQuestTimer("unspawn_timer").cancel()
            return
        else :
            st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Angel Narsis: you do not have qualifications to accept my blessing."))
            st.getPlayer().sendPacket(SystemMessage.sendString("Moonvoice Airin: my singing sound had ended Also arrived the time which I left."))
            st.getPcSpawn().removeAllSpawn()            
            return        
                
    return htmltext
    
    
 def onTalk (Self,npc,st):
   htmltext = "<html><head><body>I have nothing to say you</body></html>"  
   npcId = npc.getNpcId()
   id = st.getState()
   kill = st.getInt("kill")
   cond = st.getInt("cond")   
   if cond == 0 :
       if npcId == START and id == COMPLETED :
            htmltext = "<html><head><body>You have already complete this quest.</body></html>"
       else :
         if  st.getPlayer().getClassId().getId() == 21 and st.getPlayer().getLevel() >= 76 :
              htmltext = "30853-01.htm"              
         else :
              htmltext = "30853-02.htm"
              st.exitCurrentQuest(True)            
   elif cond == 1 :
       if npcId == START :
           htmltext = "30853-04.htm"
       elif npcId == NPC1 :
           htmltext = "31583-01.htm"
   elif cond >= 2 and cond <= 4 :
       if npcId == NPC1 :
           if st.getQuestItemsCount(BITTER_COLD_BEER)==0 :
               htmltext = "31583-02.htm"
           else :
               htmltext = "31583-03.htm"
       elif npcId == DONATH :
           if cond == 2 :          
              htmltext = "31624-01.htm"
           elif cond == 3 :
              if npcId == DONATH and st.getQuestItemsCount(ICE_CRYSTAL) >= 1 and st.getQuestItemsCount(FAT_WHITE_FISH) >=1 :
                 htmltext = "31624-03.htm"
              else :
                htmltext = "31624-02.htm"
           elif cond == 4 :           
               htmltext = "31624-04.htm"                            
   elif cond == 5 :
       if npcId == NPC1 :
           htmltext = "31583-04.htm"
       elif npcId == TABLET_1 and st.getQuestItemsCount(RESONANCE_AMULET_1) >= 1 :          
           htmltext = "31646-01.htm"           
   elif cond == 6 :
       if npcId == TABLET_1 :
           htmltext = "31646-03.htm"
       elif npcId == TABLET_2 and st.getQuestItemsCount(RESONANCE_AMULET_2)==0 :
           htmltext = "31649-01.htm"
   elif cond == 7 :
       if npcId == TABLET_2 and st.getQuestItemsCount(RESONANCE_AMULET_2)==1 :
           htmltext = "31649-02.htm"
   elif cond == 8 or cond == 9 :
       if npcId == TABLET_2 :
           htmltext = "31649-04.htm"
       elif npcId == TABLET_3 :
           if st.getQuestItemsCount(RESONANCE_AMULET_3)==0 :
              htmltext = "31652-01.htm"
           else :
               htmltext = "31652-05.htm"
   elif cond == 10 :
       if npcId == TABLET_3 :
           htmltext = "31652-07.htm"
       elif npcId == DIVINE_STONE_MOB :
           htmltext = "31537-01.htm"
   elif cond == 11 or cond == 12 :
       if npcId == DIVINE_STONE_MOB :
          if st.getQuestItemsCount(DIVINE_STONE_OF_WISDOM)==0 :
              htmltext = "31537-04.htm"
          else :
              htmltext = "31537-05.htm"
   elif cond == 13 :
       if npcId == DIVINE_STONE_MOB :
           htmltext = "31537-06.htm"
       elif npcId == TABLET_4 and st.getQuestItemsCount(RESONANCE_AMULET_4)==1 :
           htmltext = "31654-01.htm"
   elif cond == 14 :
       if npcId == TABLET_4 :
           htmltext = "31654-03.htm"
       elif npcId == ARCHON_NPC :
            htmltext = "31281-01.htm"
   elif cond == 15 :
       if npcId == ARCHON_NPC :
           htmltext = "31281-02.htm"
       elif npcId == TABLET_5 :
           htmltext = "31655-01.htm"
   elif cond == 16 :
       if npcId == TABLET_5 and st.getQuestItemsCount(RESONANCE_AMULET_5)==1 :
           htmltext = "31655-02.htm"
   elif cond == 17 or cond == 18 :
       if npcId == TABLET_5 :
           htmltext = "31655-04.htm"
       elif npcId == TABLET_6 : 
          if st.getQuestItemsCount(RESONANCE_AMULET_6)==0 :
              htmltext = "31659-01.htm"
          else :
              htmltext = "31659-05.htm"
       elif npcId == NPC_TABLET6 :
           if kill > 0 :
               htmltext = "31618-04.htm"
           else :
               htmltext = "31618-06.htm"               
   elif cond == 19 :
        if npcId ==TABLET_6 :
            htmltext = "31659-07.htm"
        elif npcId == START :            
            htmltext = "30853-06.htm"
   elif cond == 20 :
       if npcId == START : 
          if st.getPlayer().getLevel() >= 76 :
             st.addExpAndSp(2299404,0)
             st.getPlayer().doCast(SkillTable.getInstance().getInfo(4339,1),st.getPlayer())
             st.giveItems(ADEN,5000000)
             st.giveItems(BOOK2,1)
             st.getPlayer().setClassId(100)
             st.player.broadcastUserInfo()
             st.set("cond","0")
             st.set("kill","0")
             htmltext = "30853-09.htm"
             st.setState(COMPLETED)
          else :
             htmltext = "30853-10.htm"
           
   return htmltext
   
  
 def onAttack (self, npc, st):                   
   npcId = npc.getNpcId()
   cond = st.getInt("cond")
   kill = st.getInt("kill")
   if npcId == KILL_TABL3 :
       st.set("kill","2")       
   elif npcId == FINAL_KILL and cond == 17 :
       if kill <= 15 :
         st.set("kill",str(kill+1))
         if kill == 15 :
             st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Angel Narsis: "+ st.getPlayer().getName()+"s? Also rejects my blessing including you?"))                          
       else :
         st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Angel Narsis: .. "+ st.getPlayer().getName()+"s why, why.... can all people eulogize you..."))        
         st.set("cond","18")
         st.set("kill","0")          
         st.getPcSpawn().removeSpawn(FINAL_KILL)
         
 def onKill (Self,npc,st) :
   kill = st.getInt("kill")
   cond = st.getInt("cond")     
   npcId = npc.getNpcId()
   if npcId == FORBIDDEN_KNOWLEDGE :
        if cond >= 6 and cond < 8 and st.getQuestItemsCount(RESONANCE_AMULET_2) == 0 :
          if kill > 8 :
              st.playSound("ItemSound.quest_middle")
              st.giveItems(RESONANCE_AMULET_2,1)
              st.set("kill","0")
              st.set("cond","7")
          else:
              st.set("kill",str(kill+1))          
   elif npcId == KILL_TABL3 :
        if cond == 9 and st.getQuestItemsCount(RESONANCE_AMULET_3) == 0 :
          st.giveItems(RESONANCE_AMULET_3,1)            
          st.getPlayer().sendPacket(SystemMessage.sendString("Sword Player Baiel: .. My stage...!"))
          st.playSound("ItemSound.quest_middle")          
   if npcId in [21646,21647,21648,21649,21650,21651,21652]  :
       if not st.getPcSpawn().isSpawnExists(ARCHON_MOB) :
          if cond == 15 and st.getQuestItemsCount(HALISHA_MARK) < 700 :
             st.giveItems(HALISHA_MARK,1)
             if st.getQuestItemsCount(HALISHA_MARK) >= 700 :
                st.playSound("Itemsound.quest_before_battle")
                st.getPcSpawn().getSpawn(st.getPcSpawn().addSpawn(ARCHON_MOB, 600000)).getLastSpawn().addDamageHate(st.getPlayer(),1,100)
                st.takeItems(HALISHA_MARK,20)
             else:
                st.playSound("ItemSound.quest_itemget")
   elif npcId == ARCHON_MOB :
        if cond == 15 and st.getQuestItemsCount(RESONANCE_AMULET_5) == 0 :
           st.set("cond","16")
           st.playSound("ItemSound.quest_middle")
           st.getPlayer().sendPacket(SystemMessage.sendString("Archon of Halisha: the present, my soul extricates from millennium fetter, returns the Harry summer side..."))
           st.takeItems(HALISHA_MARK, 700)
           st.giveItems(RESONANCE_AMULET_5,1)
   elif npcId == FINAL_KILL :
        if cond == 17 :
         st.getPlayer().sendPacket(SystemMessage.sendString("Fallen Angel Narsis: .. "+ st.getPlayer().getName()+"s why, why.... can all people eulogize you..."))        
         st.set("cond","18")
         st.set("kill","0")
         
         
         
      
   return

QUEST       = Quest(72,"72_SagaOfTheSwordMuse","Saga of the Sword Muse")
CREATED     = State('Start', QUEST)
STARTED     = State('Started', QUEST)
COMPLETED   = State('Completed', QUEST)


QUEST.setInitialState(CREATED)

QUEST.addStartNpc(START)
STARTED.addTalkId(START)
COMPLETED.addTalkId(START)

STARTED.addTalkId(NPC1)
STARTED.addTalkId(DONATH)
STARTED.addTalkId(TABLET_1) 
STARTED.addTalkId(TABLET_2)
STARTED.addTalkId(TABLET_3)
STARTED.addTalkId(DIVINE_STONE_MOB)
STARTED.addTalkId(TABLET_4)
STARTED.addTalkId(ARCHON_NPC)
STARTED.addTalkId(TABLET_5)
STARTED.addTalkId(TABLET_6)
STARTED.addTalkId(NPC_TABLET6)

STARTED.addAttackId(KILL_TABL3)
STARTED.addAttackId(FINAL_KILL)

STARTED.addKillId(FORBIDDEN_KNOWLEDGE)
STARTED.addKillId(KILL_TABL3)
for i in range(21646,21652):
  STARTED.addKillId(i)
STARTED.addKillId(ARCHON_MOB)
STARTED.addKillId(FINAL_KILL)

STARTED.addQuestDrop(FORBIDDEN_KNOWLEDGE,RESONANCE_AMULET_2,1)
STARTED.addQuestDrop(KILL_TABL3,RESONANCE_AMULET_3,1)
STARTED.addQuestDrop(ARCHON_MOB,RESONANCE_AMULET_5,1)
for j in range(21646,21652):
  STARTED.addQuestDrop(j,HALISHA_MARK,1)

print "importing quests: 72: Saga of the Sword Muse"