ALTER TABLE `characters`
 DROP `level`,
 DROP `exp`,
 DROP `sp`,
 DROP `maxHp`,
 DROP `curHp`,
 DROP `maxCp`,
 DROP `curCp`,
 DROP `maxMp`,
 DROP `curMp`,
 DROP `maxload`,
 DROP `cancraft`,
 DROP `newbie`,
 DROP `char_slot`;

ALTER TABLE `characters` CHANGE `x` `x` MEDIUMINT(7);
ALTER TABLE `characters` CHANGE `y` `y` MEDIUMINT(7);
ALTER TABLE `characters` CHANGE `z` `z` MEDIUMINT(7);
ALTER TABLE `characters` CHANGE `heading` `heading` MEDIUMINT(6);
ALTER TABLE `characters` CHANGE `title` `title` VARCHAR(16);
ALTER TABLE `characters` CHANGE `rec_have` `rec_have` SMALLINT(3) UNSIGNED;
ALTER TABLE `characters` CHANGE `rec_left` `rec_left` SMALLINT(3) UNSIGNED;
ALTER TABLE `characters` CHANGE `face` `face` TINYINT(1) UNSIGNED;
ALTER TABLE `characters` CHANGE `hairStyle` `hairStyle` TINYINT(1) UNSIGNED;
ALTER TABLE `characters` CHANGE `hairColor` `hairColor` TINYINT(1) UNSIGNED;

FLUSH TABLE `characters`;
OPTIMIZE TABLE `characters`;

ALTER TABLE `character_subclasses` CHANGE `char_obj_id` `char_obj_id` INT(10) UNSIGNED;
ALTER TABLE `character_recipebook` CHANGE `char_id` `char_id` INT(10) UNSIGNED;
ALTER TABLE `character_recipebook` CHANGE `id` `id` INT(10) UNSIGNED;
ALTER TABLE `character_shortcuts` CHANGE `char_obj_id` `char_obj_id` INT(10) UNSIGNED;
ALTER TABLE `character_shortcuts` CHANGE `class_index` `class_index` TINYINT(2) UNSIGNED;

ALTER TABLE `character_skills` DROP PRIMARY KEY;
ALTER TABLE `character_skills` ADD PRIMARY KEY ( `char_obj_id` , `skill_id` , `class_index` ) ;

ALTER TABLE `character_hennas` DROP PRIMARY KEY;
ALTER TABLE `character_hennas` ADD INDEX char_obj_id_key (char_obj_id);

ALTER TABLE `character_shortcuts` DROP PRIMARY KEY;
ALTER TABLE `character_shortcuts` ADD PRIMARY KEY ( `char_obj_id` , `slot` , `page` , `class_index` ) ;

ALTER TABLE `character_skills_save` DROP PRIMARY KEY;
ALTER TABLE `character_skills_save` ADD PRIMARY KEY ( `char_obj_id` , `skill_id` , `class_index` ) ;