DROP TABLE IF EXISTS `items_delayed`;
CREATE TABLE IF NOT EXISTS `items_delayed` (
  `owner_id` INT(10) NOT NULL,
  `item_id` SMALLINT(5) UNSIGNED NOT NULL,
  `count` INT(11) UNSIGNED NOT NULL DEFAULT '1',
  `enchant_level` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  KEY `key_owner_id` (`owner_id`),
  KEY `key_item_id` (`item_id`)
) TYPE=MyISAM;

CREATE TABLE IF NOT EXISTS `manor_seeds` (
  `castle_id` int(1) NOT NULL,
  `seed_id` int(11) NOT NULL,
  `qty` int(11) NOT NULL,
  `qty_next` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `price_next` int(11) NOT NULL,
  `left` int(11) NOT NULL default '0',
  `last_update` int(11) NOT NULL default '0',
  PRIMARY KEY  (`castle_id`,`seed_id`)
) ENGINE=MyISAM;

INSERT IGNORE INTO `manor_seeds` VALUES
(1,5650,0,0,0,0,0,0),
(1,5016,0,0,0,0,0,0),
(1,5651,0,0,0,0,0,0),
(1,5017,0,0,0,0,0,0),
(1,5652,0,0,0,0,0,0),
(1,5018,0,0,0,0,0,0),
(1,5653,0,0,0,0,0,0),
(1,5654,0,0,0,0,0,0),
(1,5655,0,0,0,0,0,0),
(1,5656,0,0,0,0,0,0),
(1,5019,0,0,0,0,0,0),
(1,5020,0,0,0,0,0,0),
(1,5021,0,0,0,0,0,0),
(1,5022,0,0,0,0,0,0),
(1,7044,0,0,0,0,0,0),
(1,7051,0,0,0,0,0,0),
(1,7033,0,0,0,0,0,0),
(1,7019,0,0,0,0,0,0),
(1,5657,0,0,0,0,0,0),
(1,5023,0,0,0,0,0,0),
(1,7035,0,0,0,0,0,0);

CREATE TABLE IF NOT EXISTS `manor_crop` (
  `castle_id` int(1) NOT NULL,
  `crop_id` int(11) NOT NULL,
  `qty` int(11) NOT NULL,
  `qty_next` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `price_next` int(11) NOT NULL,
  `left` int(11) NOT NULL default '0',
  `reward_type` int(1) NOT NULL default '0',
  PRIMARY KEY  (`castle_id`,`crop_id`)
) ENGINE=MyISAM;

INSERT IGNORE INTO `manor_crop` VALUES
(1,5650,0,0,0,0,0,0),
(1,5016,0,0,0,0,0,0),
(1,5651,0,0,0,0,0,0),
(1,5017,0,0,0,0,0,0),
(1,5652,0,0,0,0,0,0),
(1,5018,0,0,0,0,0,0),
(1,5653,0,0,0,0,0,0),
(1,5654,0,0,0,0,0,0),
(1,5655,0,0,0,0,0,0),
(1,5656,0,0,0,0,0,0),
(1,5019,0,0,0,0,0,0),
(1,5020,0,0,0,0,0,0),
(1,5021,0,0,0,0,0,0),
(1,5022,0,0,0,0,0,0),
(1,7044,0,0,0,0,0,0),
(1,7051,0,0,0,0,0,0),
(1,7033,0,0,0,0,0,0),
(1,7019,0,0,0,0,0,0),
(1,5657,0,0,0,0,0,0),
(1,5023,0,0,0,0,0,0),
(1,7035,0,0,0,0,0,0);