CREATE TABLE IF NOT EXISTS `item_creation` (
  `shop` int(11) NOT NULL auto_increment,
  `npc` int(11) NOT NULL default '0',
  `markup` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL,
  `count` int(11) NOT NULL default '0',
  `maxCount` int(11) NOT NULL default '0',
  `lastRechargeTime` int(11) NOT NULL default '0',
  `rechargeTime` int(11) NOT NULL default '0',
  `order` int(11) NOT NULL default '0',
  `location` varchar(255) NOT NULL,
  PRIMARY KEY  (`shop`,`order`)
) ENGINE=MyISAM;

INSERT IGNORE INTO `item_creation` VALUES
('50000','35455','10','6902','Pledge Shield','0','0','0','0','1','Giran'),
('50000','35455','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','2','Giran'),
('50000','35455','10','5169','Deluxe Food for strider','5','5','0','1440','3','Giran'),
('50001','35455','10','6902','Pledge Shield','0','0','0','0','4','Giran'),
('50001','35455','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','5','Giran'),
('50001','35455','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','6','Giran'),
('50001','35455','10','5169','Deluxe Food for strider','10','10','0','1440','7','Giran'),
('50001','35455','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','8','Giran'),
('50001','35455','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','9','Giran'),
('50002','35455','10','6902','Pledge Shield','0','0','0','0','10','Giran'),
('50002','35455','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','11','Giran'),
('50002','35455','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','12','Giran'),
('50002','35455','10','5169','Deluxe Food for strider','10','10','0','1440','13','Giran'),
('50002','35455','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','14','Giran'),
('50002','35455','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','15','Giran'),
('50002','35455','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','16','Giran'),
('50002','35455','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','17','Giran'),
('50002','35455','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','18','Giran'),
('50002','35455','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','19','Giran'),
('50002','35455','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','20','Giran'),
('50002','35455','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','21','Giran'),
('50002','35455','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','22','Giran'),
('50002','35455','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','23','Giran'),
('50002','35455','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','24','Giran'),
('50002','35455','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','25','Giran'),
('50002','35455','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','26','Giran'),
('50002','35455','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','27','Giran'),
('50002','35455','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','28','Giran'),
('50002','35455','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','29','Giran'),
('50002','35455','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','30','Giran'),
('50002','35455','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','31','Giran'),
('50002','35455','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','32','Giran'),
('50002','35455','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','33','Giran'),
('50002','35455','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','34','Giran'),
('50002','35455','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','35','Giran'),
('50002','35455','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','36','Giran'),
('50002','35455','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','37','Giran'),
('50002','35455','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','38','Giran'),
('50002','35455','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','39','Giran'),
('50002','35455','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','40','Giran'),
('50002','35455','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','41','Giran'),
('50002','35455','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','42','Giran'),
('50003','35453','10','6902','Pledge Shield','0','0','0','0','43','Giran'),
('50003','35453','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','44','Giran'),
('50003','35453','10','5169','Deluxe Food for strider','5','5','0','1440','45','Giran'),
('50004','35455','10','6902','Pledge Shield','0','0','0','0','46','Giran'),
('50004','35455','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','47','Giran'),
('50004','35455','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','48','Giran'),
('50004','35455','10','5169','Deluxe Food for strider','10','10','0','1440','49','Giran'),
('50004','35455','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','50','Giran'),
('50004','35455','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','51','Giran'),
('50005','35455','10','6902','Pledge Shield','0','0','0','0','52','Giran'),
('50005','35455','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','53','Giran'),
('50005','35455','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','54','Giran'),
('50005','35455','10','5169','Deluxe Food for strider','10','10','0','1440','55','Giran'),
('50005','35455','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','56','Giran'),
('50005','35455','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','57','Giran'),
('50005','35455','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','58','Giran'),
('50005','35455','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','59','Giran'),
('50005','35455','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','60','Giran'),
('50005','35455','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','61','Giran'),
('50005','35455','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','62','Giran'),
('50005','35455','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','63','Giran'),
('50005','35455','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','64','Giran'),
('50005','35455','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','65','Giran'),
('50005','35455','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','66','Giran'),
('50005','35455','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','67','Giran'),
('50005','35455','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','68','Giran'),
('50005','35455','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','69','Giran'),
('50005','35455','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','70','Giran'),
('50005','35455','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','71','Giran'),
('50005','35455','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','72','Giran'),
('50005','35455','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','73','Giran'),
('50005','35455','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','74','Giran'),
('50005','35455','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','75','Giran'),
('50005','35455','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','76','Giran'),
('50005','35455','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','77','Giran'),
('50005','35455','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','78','Giran'),
('50005','35455','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','79','Giran'),
('50005','35455','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','80','Giran'),
('50005','35455','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','81','Giran'),
('50005','35455','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','82','Giran'),
('50005','35455','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','83','Giran'),
('50005','35455','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','84','Giran'),
('50006','35459','10','6902','Pledge Shield','0','0','0','0','85','Giran'),
('50006','35459','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','86','Giran'),
('50006','35459','10','5169','Deluxe Food for strider','5','5','0','1440','87','Giran'),
('50007','35459','10','6902','Pledge Shield','0','0','0','0','88','Giran'),
('50007','35459','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','89','Giran'),
('50007','35459','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','90','Giran'),
('50007','35459','10','5169','Deluxe Food for strider','10','10','0','1440','91','Giran'),
('50007','35459','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','92','Giran'),
('50007','35459','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','93','Giran'),
('50008','35459','10','6902','Pledge Shield','0','0','0','0','94','Giran'),
('50008','35459','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','95','Giran'),
('50008','35459','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','96','Giran'),
('50008','35459','10','5169','Deluxe Food for strider','10','10','0','1440','97','Giran'),
('50008','35459','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','98','Giran'),
('50008','35459','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','99','Giran'),
('50008','35459','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','100','Giran'),
('50008','35459','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','101','Giran'),
('50008','35459','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','102','Giran'),
('50008','35459','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','103','Giran'),
('50008','35459','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','104','Giran'),
('50008','35459','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','105','Giran'),
('50008','35459','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','106','Giran'),
('50008','35459','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','107','Giran'),
('50008','35459','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','108','Giran'),
('50008','35459','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','109','Giran'),
('50008','35459','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','110','Giran'),
('50008','35459','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','111','Giran'),
('50008','35459','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','112','Giran'),
('50008','35459','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','113','Giran'),
('50008','35459','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','114','Giran'),
('50008','35459','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','115','Giran'),
('50008','35459','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','116','Giran'),
('50008','35459','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','117','Giran'),
('50008','35459','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','118','Giran'),
('50008','35459','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','119','Giran'),
('50008','35459','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','120','Giran'),
('50008','35459','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','121','Giran'),
('50008','35459','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','122','Giran'),
('50008','35459','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','123','Giran'),
('50008','35459','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','124','Giran'),
('50008','35459','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','125','Giran'),
('50008','35459','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','126','Giran'),
('50009','35457','10','6902','Pledge Shield','0','0','0','0','127','Giran'),
('50009','35457','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','128','Giran'),
('50009','35457','10','5169','Deluxe Food for strider','5','5','0','1440','129','Giran'),
('50010','35457','10','6902','Pledge Shield','0','0','0','0','130','Giran'),
('50010','35457','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','131','Giran'),
('50010','35457','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','132','Giran'),
('50010','35457','10','5169','Deluxe Food for strider','10','10','0','1440','133','Giran'),
('50010','35457','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','134','Giran'),
('50010','35457','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','135','Giran'),
('50011','35457','10','6902','Pledge Shield','0','0','0','0','135','Giran'),
('50011','35457','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','136','Giran'),
('50011','35457','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','137','Giran'),
('50011','35457','10','5169','Deluxe Food for strider','10','10','0','1440','138','Giran'),
('50011','35457','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','139','Giran'),
('50011','35457','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','140','Giran'),
('50011','35457','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','141','Giran'),
('50011','35457','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','142','Giran'),
('50011','35457','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','143','Giran'),
('50011','35457','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','144','Giran'),
('50011','35457','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','145','Giran'),
('50011','35457','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','146','Giran'),
('50011','35457','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','147','Giran'),
('50011','35457','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','148','Giran'),
('50011','35457','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','149','Giran'),
('50011','35457','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','150','Giran'),
('50011','35457','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','151','Giran'),
('50011','35457','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','152','Giran'),
('50011','35457','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','153','Giran'),
('50011','35457','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','154','Giran'),
('50011','35457','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','155','Giran'),
('50011','35457','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','156','Giran'),
('50011','35457','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','157','Giran'),
('50011','35457','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','158','Giran'),
('50011','35457','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','159','Giran'),
('50011','35457','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','160','Giran'),
('50011','35457','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','161','Giran'),
('50011','35457','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','162','Giran'),
('50011','35457','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','163','Giran'),
('50011','35457','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','164','Giran'),
('50011','35457','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','165','Giran'),
('50011','35457','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','166','Giran'),
('50011','35457','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','167','Giran'),
('50012','35451','10','6902','Pledge Shield','0','0','0','0','168','Giran'),
('50012','35451','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','169','Giran'),
('50012','35451','10','5169','Deluxe Food for strider','5','5','0','1440','170','Giran'),
('50013','35451','10','6902','Pledge Shield','0','0','0','0','171','Giran'),
('50013','35451','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','172','Giran'),
('50013','35451','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','173','Giran'),
('50013','35451','10','5169','Deluxe Food for strider','10','10','0','1440','174','Giran'),
('50013','35451','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','175','Giran'),
('50013','35451','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','176','Giran'),
('50014','35451','10','6902','Pledge Shield','0','0','0','0','177','Giran'),
('50014','35451','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','178','Giran'),
('50014','35451','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','179','Giran'),
('50014','35451','10','5169','Deluxe Food for strider','10','10','0','1440','180','Giran'),
('50014','35451','10','7122','Scroll of Escape to Gludin Village','1','1','0','1440','181','Giran'),
('50014','35451','10','7123','Scroll of Escape to Gludio Castle Town','1','1','0','1440','182','Giran'),
('50014','35451','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','183','Giran'),
('50014','35451','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','184','Giran'),
('50014','35451','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','185','Giran'),
('50014','35451','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','186','Giran'),
('50014','35451','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','187','Giran'),
('50014','35451','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','188','Giran'),
('50014','35451','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','189','Giran'),
('50014','35451','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','190','Giran'),
('50014','35451','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','191','Giran'),
('50014','35451','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','192','Giran'),
('50014','35451','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','193','Giran'),
('50014','35451','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','194','Giran'),
('50014','35451','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','195','Giran'),
('50014','35451','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','196','Giran'),
('50014','35451','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','197','Giran'),
('50014','35451','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','198','Giran'),
('50014','35451','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','199','Giran'),
('50014','35451','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','200','Giran'),
('50014','35451','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','201','Giran'),
('50014','35451','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','202','Giran'),
('50014','35451','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','203','Giran'),
('50014','35451','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','204','Giran'),
('50014','35451','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','205','Giran'),
('50014','35451','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','206','Giran'),
('50014','35451','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','207','Giran'),
('50014','35451','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','208','Giran'),
('50014','35451','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','209','Giran'),
('50015','35384','10','6902','Pledge Shield','0','0','0','0','210','Gludio'),
('50015','35384','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','211','Gludio'),
('50015','35384','10','5169','Deluxe Food for strider','5','5','0','1440','212','Gludio'),
('50016','35384','10','6902','Pledge Shield','0','0','0','0','213','Gludio'),
('50016','35384','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','214','Gludio'),
('50016','35384','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','215','Gludio'),
('50016','35384','10','5169','Deluxe Food for strider','10','10','0','1440','216','Gludio'),
('50016','35384','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','217','Gludio'),
('50016','35384','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','218','Gludio'),
('50017','35384','10','6902','Pledge Shield','0','0','0','0','219','Gludio'),
('50017','35384','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','220','Gludio'),
('50017','35384','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','221','Gludio'),
('50017','35384','10','5169','Deluxe Food for strider','10','10','0','1440','222','Gludio'),
('50017','35384','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','223','Gludio'),
('50017','35384','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','224','Gludio'),
('50017','35384','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','225','Gludio'),
('50017','35384','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','226','Gludio'),
('50017','35384','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','227','Gludio'),
('50017','35384','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','228','Gludio'),
('50017','35384','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','229','Gludio'),
('50017','35384','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','230','Gludio'),
('50017','35384','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','231','Gludio'),
('50017','35384','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','232','Gludio'),
('50017','35384','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','233','Gludio'),
('50017','35384','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','234','Gludio'),
('50017','35384','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','235','Gludio'),
('50017','35384','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','236','Gludio'),
('50017','35384','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','237','Gludio'),
('50017','35384','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','238','Gludio'),
('50017','35384','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','239','Gludio'),
('50017','35384','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','240','Gludio'),
('50017','35384','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','241','Gludio'),
('50017','35384','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','242','Gludio'),
('50017','35384','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','243','Gludio'),
('50017','35384','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','244','Gludio'),
('50017','35384','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','245','Gludio'),
('50017','35384','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','246','Gludio'),
('50017','35384','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','247','Gludio'),
('50017','35384','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','248','Gludio'),
('50017','35384','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','249','Gludio'),
('50017','35384','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','250','Gludio'),
('50018','35390','10','6902','Pledge Shield','0','0','0','0','251','Gludio'),
('50018','35390','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','252','Gludio'),
('50018','35390','10','5169','Deluxe Food for strider','5','5','0','1440','253','Gludio'),
('50019','35390','10','6902','Pledge Shield','0','0','0','0','254','Gludio'),
('50019','35390','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','255','Gludio'),
('50019','35390','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','256','Gludio'),
('50019','35390','10','5169','Deluxe Food for strider','10','10','0','1440','257','Gludio'),
('50019','35390','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','258','Gludio'),
('50019','35390','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','259','Gludio'),
('50020','35390','10','6902','Pledge Shield','0','0','0','0','260','Gludio'),
('50020','35390','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','261','Gludio'),
('50020','35390','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','262','Gludio'),
('50020','35390','10','5169','Deluxe Food for strider','10','10','0','1440','263','Gludio'),
('50020','35390','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','264','Gludio'),
('50020','35390','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','265','Gludio'),
('50020','35390','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','266','Gludio'),
('50020','35390','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','267','Gludio'),
('50020','35390','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','268','Gludio'),
('50020','35390','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','269','Gludio'),
('50020','35390','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','270','Gludio'),
('50020','35390','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','271','Gludio'),
('50020','35390','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','272','Gludio'),
('50020','35390','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','273','Gludio'),
('50020','35390','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','274','Gludio'),
('50020','35390','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','275','Gludio'),
('50020','35390','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','276','Gludio'),
('50020','35390','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','277','Gludio'),
('50020','35390','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','278','Gludio'),
('50020','35390','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','279','Gludio'),
('50020','35390','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','280','Gludio'),
('50020','35390','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','281','Gludio'),
('50020','35390','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','282','Gludio'),
('50020','35390','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','283','Gludio'),
('50020','35390','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','284','Gludio'),
('50020','35390','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','285','Gludio'),
('50020','35390','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','286','Gludio'),
('50020','35390','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','287','Gludio'),
('50020','35390','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','288','Gludio'),
('50020','35390','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','289','Gludio'),
('50020','35390','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','290','Gludio'),
('50020','35390','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','291','Gludio'),
('50021','35388','10','6902','Pledge Shield','0','0','0','0','292','Gludio'),
('50021','35388','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','293','Gludio'),
('50021','35388','10','5169','Deluxe Food for strider','5','5','0','1440','294','Gludio'),
('50022','35388','10','6902','Pledge Shield','0','0','0','0','295','Gludio'),
('50022','35388','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','296','Gludio'),
('50022','35388','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','297','Gludio'),
('50022','35388','10','5169','Deluxe Food for strider','10','10','0','1440','298','Gludio'),
('50022','35388','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','299','Gludio'),
('50022','35388','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','300','Gludio'),
('50023','35388','10','6902','Pledge Shield','0','0','0','0','301','Gludio'),
('50023','35388','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','302','Gludio'),
('50023','35388','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','303','Gludio'),
('50023','35388','10','5169','Deluxe Food for strider','10','10','0','1440','304','Gludio'),
('50023','35388','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','305','Gludio'),
('50023','35388','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','306','Gludio'),
('50023','35388','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','307','Gludio'),
('50023','35388','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','308','Gludio'),
('50023','35388','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','309','Gludio'),
('50023','35388','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','310','Gludio'),
('50023','35388','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','311','Gludio'),
('50023','35388','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','312','Gludio'),
('50023','35388','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','313','Gludio'),
('50023','35388','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','314','Gludio'),
('50023','35388','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','315','Gludio'),
('50023','35388','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','316','Gludio'),
('50023','35388','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','317','Gludio'),
('50023','35388','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','318','Gludio'),
('50023','35388','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','319','Gludio'),
('50023','35388','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','320','Gludio'),
('50023','35388','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','321','Gludio'),
('50023','35388','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','322','Gludio'),
('50023','35388','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','323','Gludio'),
('50023','35388','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','324','Gludio'),
('50023','35388','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','325','Gludio'),
('50023','35388','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','326','Gludio'),
('50023','35388','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','327','Gludio'),
('50023','35388','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','328','Gludio'),
('50023','35388','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','329','Gludio'),
('50023','35388','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','330','Gludio'),
('50023','35388','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','331','Gludio'),
('50023','35388','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','332','Gludio'),
('50024','35386','10','6902','Pledge Shield','0','0','0','0','333','Gludio'),
('50024','35386','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','334','Gludio'),
('50024','35386','10','5169','Deluxe Food for strider','5','5','0','1440','335','Gludio'),
('50025','35386','10','6902','Pledge Shield','0','0','0','0','336','Gludio'),
('50025','35386','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','337','Gludio'),
('50025','35386','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','338','Gludio'),
('50025','35386','10','5169','Deluxe Food for strider','10','10','0','1440','339','Gludio'),
('50025','35386','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','340','Gludio'),
('50025','35386','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','341','Gludio'),
('50026','35386','10','6902','Pledge Shield','0','0','0','0','342','Gludio'),
('50026','35386','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','343','Gludio'),
('50026','35386','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','344','Gludio'),
('50026','35386','10','5169','Deluxe Food for strider','10','10','0','1440','345','Gludio'),
('50026','35386','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','346','Gludio'),
('50026','35386','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','347','Gludio'),
('50026','35386','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','348','Gludio'),
('50026','35386','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','349','Gludio'),
('50026','35386','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','350','Gludio'),
('50026','35386','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','351','Gludio'),
('50026','35386','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','352','Gludio'),
('50026','35386','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','353','Gludio'),
('50026','35386','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','354','Gludio'),
('50026','35386','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','355','Gludio'),
('50026','35386','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','356','Gludio'),
('50026','35386','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','357','Gludio'),
('50026','35386','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','358','Gludio'),
('50026','35386','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','359','Gludio'),
('50026','35386','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','360','Gludio'),
('50026','35386','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','361','Gludio'),
('50026','35386','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','362','Gludio'),
('50026','35386','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','363','Gludio'),
('50026','35386','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','364','Gludio'),
('50026','35386','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','365','Gludio'),
('50026','35386','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','366','Gludio'),
('50026','35386','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','367','Gludio'),
('50026','35386','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','368','Gludio'),
('50026','35386','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','369','Gludio'),
('50026','35386','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','370','Gludio'),
('50026','35386','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','371','Gludio'),
('50026','35386','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','372','Gludio'),
('50026','35386','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','373','Gludio'),
('50027','35398','10','6902','Pledge Shield','0','0','0','0','374','Gludin'),
('50027','35398','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','375','Gludin'),
('50027','35398','10','5169','Deluxe Food for strider','5','5','0','1440','376','Gludin'),
('50028','35398','10','6902','Pledge Shield','0','0','0','0','377','Gludin'),
('50028','35398','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','378','Gludin'),
('50028','35398','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','379','Gludin'),
('50028','35398','10','5169','Deluxe Food for strider','10','10','0','1440','380','Gludin'),
('50028','35398','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','381','Gludin'),
('50028','35398','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','382','Gludin'),
('50029','35398','10','6902','Pledge Shield','0','0','0','0','383','Gludin'),
('50029','35398','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','384','Gludin'),
('50029','35398','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','385','Gludin'),
('50029','35398','10','5169','Deluxe Food for strider','10','10','0','1440','386','Gludin'),
('50029','35398','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','387','Gludin'),
('50029','35398','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','388','Gludin'),
('50029','35398','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','389','Gludin'),
('50029','35398','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','390','Gludin'),
('50029','35398','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','350','Gludin'),
('50029','35398','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','391','Gludin'),
('50029','35398','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','392','Gludin'),
('50029','35398','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','393','Gludin'),
('50029','35398','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','394','Gludin'),
('50029','35398','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','395','Gludin'),
('50029','35398','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','396','Gludin'),
('50029','35398','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','397','Gludin'),
('50029','35398','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','398','Gludin'),
('50029','35398','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','399','Gludin'),
('50029','35398','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','400','Gludin'),
('50029','35398','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','401','Gludin'),
('50029','35398','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','402','Gludin'),
('50029','35398','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','403','Gludin'),
('50029','35398','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','404','Gludin'),
('50029','35398','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','405','Gludin'),
('50029','35398','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','406','Gludin'),
('50029','35398','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','407','Gludin'),
('50029','35398','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','408','Gludin'),
('50029','35398','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','409','Gludin'),
('50029','35398','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','410','Gludin'),
('50029','35398','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','411','Gludin'),
('50029','35398','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','412','Gludin'),
('50029','35398','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','413','Gludin'),
('50030','35400','10','6902','Pledge Shield','0','0','0','0','414','Gludin'),
('50030','35400','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','415','Gludin'),
('50030','35400','10','5169','Deluxe Food for strider','5','5','0','1440','416','Gludin'),
('50031','35400','10','6902','Pledge Shield','0','0','0','0','417','Gludin'),
('50031','35400','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','418','Gludin'),
('50031','35400','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','419','Gludin'),
('50031','35400','10','5169','Deluxe Food for strider','10','10','0','1440','420','Gludin'),
('50031','35400','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','421','Gludin'),
('50031','35400','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','422','Gludin'),
('50032','35400','10','6902','Pledge Shield','0','0','0','0','423','Gludin'),
('50032','35400','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','424','Gludin'),
('50032','35400','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','425','Gludin'),
('50032','35400','10','5169','Deluxe Food for strider','10','10','0','1440','426','Gludin'),
('50032','35400','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','427','Gludin'),
('50032','35400','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','428','Gludin'),
('50032','35400','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','429','Gludin'),
('50032','35400','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','430','Gludin'),
('50032','35400','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','431','Gludin'),
('50032','35400','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','432','Gludin'),
('50032','35400','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','433','Gludin'),
('50032','35400','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','434','Gludin'),
('50032','35400','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','435','Gludin'),
('50032','35400','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','436','Gludin'),
('50032','35400','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','437','Gludin'),
('50032','35400','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','438','Gludin'),
('50032','35400','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','439','Gludin'),
('50032','35400','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','440','Gludin'),
('50032','35400','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','441','Gludin'),
('50032','35400','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','442','Gludin'),
('50032','35400','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','443','Gludin'),
('50032','35400','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','444','Gludin'),
('50032','35400','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','445','Gludin'),
('50032','35400','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','446','Gludin'),
('50032','35400','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','447','Gludin'),
('50032','35400','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','448','Gludin'),
('50032','35400','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','449','Gludin'),
('50032','35400','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','450','Gludin'),
('50032','35400','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','451','Gludin'),
('50032','35400','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','452','Gludin'),
('50032','35400','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','453','Gludin'),
('50032','35400','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','454','Gludin'),
('50033','35396','10','6902','Pledge Shield','0','0','0','0','455','Gludin'),
('50033','35396','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','456','Gludin'),
('50033','35396','10','5169','Deluxe Food for strider','5','5','0','1440','457','Gludin'),
('50034','35396','10','6902','Pledge Shield','0','0','0','0','458','Gludin'),
('50034','35396','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','459','Gludin'),
('50034','35396','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','460','Gludin'),
('50034','35396','10','5169','Deluxe Food for strider','10','10','0','1440','461','Gludin'),
('50034','35396','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','462','Gludin'),
('50034','35396','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','463','Gludin'),
('50035','35396','10','6902','Pledge Shield','0','0','0','0','464','Gludin'),
('50035','35396','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','465','Gludin'),
('50035','35396','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','466','Gludin'),
('50035','35396','10','5169','Deluxe Food for strider','10','10','0','1440','467','Gludin'),
('50035','35396','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','468','Gludin'),
('50035','35396','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','469','Gludin'),
('50035','35396','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','470','Gludin'),
('50035','35396','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','471','Gludin'),
('50035','35396','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','472','Gludin'),
('50035','35396','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','473','Gludin'),
('50035','35396','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','474','Gludin'),
('50035','35396','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','475','Gludin'),
('50035','35396','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','476','Gludin'),
('50035','35396','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','477','Gludin'),
('50035','35396','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','478','Gludin'),
('50035','35396','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','479','Gludin'),
('50035','35396','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','480','Gludin'),
('50035','35396','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','481','Gludin'),
('50035','35396','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','482','Gludin'),
('50035','35396','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','483','Gludin'),
('50035','35396','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','484','Gludin'),
('50035','35396','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','485','Gludin'),
('50035','35396','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','486','Gludin'),
('50035','35396','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','487','Gludin'),
('50035','35396','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','488','Gludin'),
('50035','35396','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','489','Gludin'),
('50035','35396','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','490','Gludin'),
('50035','35396','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','491','Gludin'),
('50035','35396','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','492','Gludin'),
('50035','35396','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','493','Gludin'),
('50035','35396','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','494','Gludin'),
('50035','35396','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','495','Gludin'),
('50036','35394','10','6902','Pledge Shield','0','0','0','0','496','Gludin'),
('50036','35394','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','497','Gludin'),
('50036','35394','10','5169','Deluxe Food for strider','5','5','0','1440','498','Gludin'),
('50037','35394','10','6902','Pledge Shield','0','0','0','0','499','Gludin'),
('50037','35394','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','500','Gludin'),
('50037','35394','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','501','Gludin'),
('50037','35394','10','5169','Deluxe Food for strider','10','10','0','1440','502','Gludin'),
('50037','35394','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','503','Gludin'),
('50037','35394','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','504','Gludin'),
('50038','35394','10','6902','Pledge Shield','0','0','0','0','505','Gludin'),
('50038','35394','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','506','Gludin'),
('50038','35394','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','507','Gludin'),
('50038','35394','10','5169','Deluxe Food for strider','10','10','0','1440','508','Gludin'),
('50038','35394','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','509','Gludin'),
('50038','35394','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','510','Gludin'),
('50038','35394','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','511','Gludin'),
('50038','35394','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','512','Gludin'),
('50038','35394','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','513','Gludin'),
('50038','35394','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','514','Gludin'),
('50038','35394','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','515','Gludin'),
('50038','35394','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','516','Gludin'),
('50038','35394','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','517','Gludin'),
('50038','35394','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','518','Gludin'),
('50038','35394','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','519','Gludin'),
('50038','35394','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','520','Gludin'),
('50038','35394','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','521','Gludin'),
('50038','35394','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','522','Gludin'),
('50038','35394','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','523','Gludin'),
('50038','35394','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','524','Gludin'),
('50038','35394','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','525','Gludin'),
('50038','35394','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','526','Gludin'),
('50038','35394','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','527','Gludin'),
('50038','35394','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','528','Gludin'),
('50038','35394','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','529','Gludin'),
('50038','35394','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','530','Gludin'),
('50038','35394','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','531','Gludin'),
('50038','35394','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','532','Gludin'),
('50038','35394','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','533','Gludin'),
('50038','35394','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','534','Gludin'),
('50038','35394','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','535','Gludin'),
('50038','35394','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','536','Gludin'),
('50039','35392','10','6902','Pledge Shield','0','0','0','0','537','Gludin'),
('50039','35392','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','538','Gludin'),
('50039','35392','10','5169','Deluxe Food for strider','5','5','0','1440','539','Gludin'),
('50040','35392','10','6902','Pledge Shield','0','0','0','0','540','Gludin'),
('50040','35392','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','541','Gludin'),
('50040','35392','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','542','Gludin'),
('50040','35392','10','5169','Deluxe Food for strider','10','10','0','1440','543','Gludin'),
('50040','35392','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','544','Gludin'),
('50040','35392','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','545','Gludin'),
('50041','35392','10','6902','Pledge Shield','0','0','0','0','546','Gludin'),
('50041','35392','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','547','Gludin'),
('50041','35392','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','548','Gludin'),
('50041','35392','10','5169','Deluxe Food for strider','10','10','0','1440','549','Gludin'),
('50041','35392','10','7126','Scroll of Escape to Giran Castle Town','1','1','0','1440','550','Gludin'),
('50041','35392','10','7127','Scroll of Escape to Hardin''s Private Academy','1','1','0','1440','551','Gludin'),
('50041','35392','10','7583','Pet Exchange Ticket: Buffalo','1','1','0','720','552','Gludin'),
('50041','35392','10','6927','Recipe: Healing Potion (100%)','1','1','0','1440','553','Gludin'),
('50041','35392','10','6933','Recipe: Haste Potion (100%)','1','1','0','1440','554','Gludin'),
('50041','35392','10','6934','Recipe: Potion of Alacrity (100%)','1','1','0','1440','555','Gludin'),
('50041','35392','10','6930','Recipe: Greater Antidote (100%)','1','1','0','1440','556','Gludin'),
('50041','35392','10','6932','Recipe: Emergency Dressing (100%)','1','1','0','1440','557','Gludin'),
('50041','35392','10','6937','Recipe: Magic Haste Potion (100%)','1','1','0','1440','558','Gludin'),
('50041','35392','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','559','Gludin'),
('50041','35392','10','6924','Recipe: Eye Patch of Pirate (100%)','1','1','0','1440','560','Gludin'),
('50041','35392','10','7699','Recipe: Forget-me-not Hairpin (100%)','1','1','0','1440','561','Gludin'),
('50041','35392','10','6943','Recipe: Dye Potion - A (100%)','1','1','0','1440','562','Gludin'),
('50041','35392','10','6944','Recipe: Dye Potion - B (100%)','1','1','0','1440','563','Gludin'),
('50041','35392','10','6945','Recipe: Dye Potion - C (100%)','1','1','0','1440','564','Gludin'),
('50041','35392','10','6946','Recipe: Dye Potion - D (100%)','1','1','0','1440','565','Gludin'),
('50041','35392','10','6966','Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)','1','1','0','1440','566','Gludin'),
('50041','35392','10','6967','Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)','1','1','0','1440','567','Gludin'),
('50041','35392','10','6968','Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','568','Gludin'),
('50041','35392','10','6969','Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','569','Gludin'),
('50041','35392','10','6970','Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','570','Gludin'),
('50041','35392','10','6971','Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','571','Gludin'),
('50041','35392','10','6972','Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','572','Gludin'),
('50041','35392','10','6973','Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','573','Gludin'),
('50041','35392','10','6974','Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','574','Gludin'),
('50041','35392','10','6975','Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','575','Gludin'),
('50041','35392','10','6976','Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','576','Gludin'),
('50041','35392','10','6977','Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','577','Gludin');

INSERT IGNORE INTO `item_creation` VALUES
('50042','35461','10','6902','Pledge Shield','0','0','0','0','578','Goddard'),
('50042','35461','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','579','Goddard'),
('50042','35461','10','5169','Deluxe Food for strider','5','5','0','1440','580','Goddard'),
('50043','35461','10','6902','Pledge Shield','0','0','0','0','581','Goddard'),
('50043','35461','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','582','Goddard'),
('50043','35461','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','583','Goddard'),
('50043','35461','10','5169','Deluxe Food for strider','10','10','0','1440','584','Goddard'),
('50043','35461','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','585','Goddard'),
('50043','35461','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','586','Goddard'),
('50044','35461','10','6902','Pledge Shield','0','0','0','0','587','Goddard'),
('50044','35461','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','588','Goddard'),
('50044','35461','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','589','Goddard'),
('50044','35461','10','5169','Deluxe Food for strider','10','10','0','1440','590','Goddard'),
('50044','35461','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','591','Goddard'),
('50044','35461','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','592','Goddard'),
('50044','35461','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','593','Goddard'),
('50044','35461','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','594','Goddard'),
('50044','35461','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','595','Goddard'),
('50044','35461','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','596','Goddard'),
('50044','35461','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','597','Goddard'),
('50044','35461','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','598','Goddard'),
('50044','35461','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','599','Goddard'),
('50044','35461','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','600','Goddard'),
('50044','35461','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','601','Goddard'),
('50044','35461','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','602','Goddard'),
('50044','35461','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','603','Goddard'),
('50044','35461','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','604','Goddard'),
('50044','35461','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','605','Goddard'),
('50044','35461','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','606','Goddard'),
('50044','35461','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','607','Goddard'),
('50044','35461','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','608','Goddard'),
('50044','35461','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','609','Goddard'),
('50044','35461','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','610','Goddard'),
('50044','35461','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','611','Goddard'),
('50044','35461','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','612','Goddard'),
('50044','35461','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','613','Goddard'),
('50044','35461','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','614','Goddard'),
('50044','35461','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','615','Goddard'),
('50044','35461','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','616','Goddard'),
('50044','35461','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','617','Goddard'),
('50044','35461','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','618','Goddard'),
('50044','35461','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','619','Goddard'),
('50045','35463','10','6902','Pledge Shield','0','0','0','0','620','Goddard'),
('50045','35463','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','621','Goddard'),
('50045','35463','10','5169','Deluxe Food for strider','5','5','0','1440','622','Goddard'),
('50046','35463','10','6902','Pledge Shield','0','0','0','0','623','Goddard'),
('50046','35463','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','624','Goddard'),
('50046','35463','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','625','Goddard'),
('50046','35463','10','5169','Deluxe Food for strider','10','10','0','1440','626','Goddard'),
('50046','35463','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','627','Goddard'),
('50046','35463','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','628','Goddard'),
('50047','35463','10','6902','Pledge Shield','0','0','0','0','629','Goddard'),
('50047','35463','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','630','Goddard'),
('50047','35463','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','631','Goddard'),
('50047','35463','10','5169','Deluxe Food for strider','10','10','0','1440','632','Goddard'),
('50047','35463','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','633','Goddard'),
('50047','35463','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','634','Goddard'),
('50047','35463','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','635','Goddard'),
('50047','35463','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','636','Goddard'),
('50047','35463','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','637','Goddard'),
('50047','35463','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','638','Goddard'),
('50047','35463','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','639','Goddard'),
('50047','35463','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','640','Goddard'),
('50047','35463','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','641','Goddard'),
('50047','35463','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','642','Goddard'),
('50047','35463','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','643','Goddard'),
('50047','35463','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','644','Goddard'),
('50047','35463','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','645','Goddard'),
('50047','35463','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','646','Goddard'),
('50047','35463','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','647','Goddard'),
('50047','35463','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','648','Goddard'),
('50047','35463','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','649','Goddard'),
('50047','35463','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','650','Goddard'),
('50047','35463','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','651','Goddard'),
('50047','35463','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','652','Goddard'),
('50047','35463','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','653','Goddard'),
('50047','35463','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','654','Goddard'),
('50047','35463','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','655','Goddard'),
('50047','35463','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','656','Goddard'),
('50047','35463','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','657','Goddard'),
('50047','35463','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','658','Goddard'),
('50047','35463','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','659','Goddard'),
('50047','35463','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','660','Goddard'),
('50047','35463','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','661','Goddard'),
('50048','35465','10','6902','Pledge Shield','0','0','0','0','662','Goddard'),
('50048','35465','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','663','Goddard'),
('50048','35465','10','5169','Deluxe Food for strider','5','5','0','1440','664','Goddard'),
('50049','35465','10','6902','Pledge Shield','0','0','0','0','665','Goddard'),
('50049','35465','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','666','Goddard'),
('50049','35465','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','667','Goddard'),
('50049','35465','10','5169','Deluxe Food for strider','10','10','0','1440','668','Goddard'),
('50049','35465','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','669','Goddard'),
('50049','35465','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','670','Goddard'),
('50050','35465','10','6902','Pledge Shield','0','0','0','0','671','Goddard'),
('50050','35465','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','672','Goddard'),
('50050','35465','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','673','Goddard'),
('50050','35465','10','5169','Deluxe Food for strider','10','10','0','1440','674','Goddard'),
('50050','35465','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','675','Goddard'),
('50050','35465','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','676','Goddard'),
('50050','35465','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','677','Goddard'),
('50050','35465','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','678','Goddard'),
('50050','35465','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','679','Goddard'),
('50050','35465','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','680','Goddard'),
('50050','35465','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','681','Goddard'),
('50050','35465','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','682','Goddard'),
('50050','35465','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','683','Goddard'),
('50050','35465','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','684','Goddard'),
('50050','35465','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','685','Goddard'),
('50050','35465','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','686','Goddard'),
('50050','35465','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','687','Goddard'),
('50050','35465','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','688','Goddard'),
('50050','35465','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','689','Goddard'),
('50050','35465','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','690','Goddard'),
('50050','35465','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','691','Goddard'),
('50050','35465','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','692','Goddard'),
('50050','35465','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','693','Goddard'),
('50050','35465','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','694','Goddard'),
('50050','35465','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','695','Goddard'),
('50050','35465','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','696','Goddard'),
('50050','35465','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','697','Goddard'),
('50050','35465','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','698','Goddard'),
('50050','35465','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','699','Goddard'),
('50050','35465','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','700','Goddard'),
('50050','35465','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','701','Goddard'),
('50050','35465','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','702','Goddard'),
('50050','35465','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','703','Goddard'),
('50051','35467','10','6902','Pledge Shield','0','0','0','0','704','Goddard'),
('50051','35467','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','705','Goddard'),
('50051','35467','10','5169','Deluxe Food for strider','5','5','0','1440','706','Goddard'),
('50052','35467','10','6902','Pledge Shield','0','0','0','0','707','Goddard'),
('50052','35467','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','708','Goddard'),
('50052','35467','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','709','Goddard'),
('50052','35467','10','5169','Deluxe Food for strider','10','10','0','1440','710','Goddard'),
('50052','35467','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','711','Goddard'),
('50052','35467','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','712','Goddard'),
('50053','35467','10','6902','Pledge Shield','0','0','0','0','713','Goddard'),
('50053','35467','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','714','Goddard'),
('50053','35467','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','715','Goddard'),
('50053','35467','10','5169','Deluxe Food for strider','10','10','0','1440','716','Goddard'),
('50053','35467','10','7129','Scroll of Escape to Oren Castle Town','1','1','0','1440','717','Goddard'),
('50053','35467','10','7130','Scroll of Escape to Ivory Tower','1','1','0','1440','718','Goddard'),
('50053','35467','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','719','Goddard'),
('50053','35467','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','720','Goddard'),
('50053','35467','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','721','Goddard'),
('50053','35467','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','722','Goddard'),
('50053','35467','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','723','Goddard'),
('50053','35467','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','724','Goddard'),
('50053','35467','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','725','Goddard'),
('50053','35467','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','726','Goddard'),
('50053','35467','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','727','Goddard'),
('50053','35467','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','728','Goddard'),
('50053','35467','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','729','Goddard'),
('50053','35467','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','730','Goddard'),
('50053','35467','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','731','Goddard'),
('50053','35467','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','732','Goddard'),
('50053','35467','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','733','Goddard'),
('50053','35467','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','734','Goddard'),
('50053','35467','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','735','Goddard'),
('50053','35467','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','736','Goddard'),
('50053','35467','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','737','Goddard'),
('50053','35467','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','738','Goddard'),
('50053','35467','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','739','Goddard'),
('50053','35467','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','740','Goddard'),
('50053','35467','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','741','Goddard'),
('50053','35467','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','742','Goddard'),
('50053','35467','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','743','Goddard'),
('50053','35467','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','744','Goddard'),
('50053','35467','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','745','Goddard'),
('50054','35403','10','6902','Pledge Shield','0','0','0','0','746','Dion'),
('50054','35403','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','747','Dion'),
('50054','35403','10','5169','Deluxe Food for strider','5','5','0','1440','748','Dion'),
('50055','35403','10','6902','Pledge Shield','0','0','0','0','749','Dion'),
('50055','35403','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','750','Dion'),
('50055','35403','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','720','751','Dion'),
('50055','35403','10','5169','Deluxe Food for strider','10','10','0','1440','752','Dion'),
('50055','35403','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','753','Dion'),
('50055','35403','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','754','Dion'),
('50056','35403','10','6902','Pledge Shield','0','0','0','0','755','Dion'),
('50056','35403','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','756','Dion'),
('50056','35403','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','757','Dion'),
('50056','35403','10','5169','Deluxe Food for strider','10','10','0','1440','758','Dion'),
('50056','35403','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','759','Dion'),
('50056','35403','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','760','Dion'),
('50056','35403','10','7585','Pet Exchange Ticket: Kookaburra','1','1','0','720','761','Dion'),
('50056','35403','10','6926','Recipe: Lesser Healing Potion (100%)','1','1','0','1440','762','Dion'),
('50056','35403','10','6929','Recipe: Antidote (100%)','1','1','0','1440','763','Dion'),
('50056','35403','10','6931','Recipe: Bandage (100%)','1','1','0','1440','764','Dion'),
('50056','35403','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','765','Dion'),
('50056','35403','10','6922','Recipe: Party Mask (100%)','1','1','0','1440','766','Dion'),
('50056','35403','10','7700','Recipe: Daisy Hairpin (100%)','1','1','0','1440','767','Dion'),
('50056','35403','10','6940','Recipe: Facelifting Potion - A 100%)','1','1','0','1440','768','Dion'),
('50056','35403','10','6941','Recipe: Facelifting Potion - B (100%)','1','1','0','1440','769','Dion'),
('50056','35403','10','6942','Recipe: Facelifting Potion - C (100%)','1','1','0','1440','770','Dion'),
('50056','35403','10','6954','Recipe: Dye of Strength  <Str+1 Con-1> (100%)','1','1','0','1440','771','Dion'),
('50056','35403','10','6955','Recipe: Dye of Strength  <Str+1 Dex-1> (100%)','1','1','0','1440','772','Dion'),
('50056','35403','10','6956','Recipe: Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','773','Dion'),
('50056','35403','10','6957','Recipe: Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','774','Dion'),
('50056','35403','10','6958','Recipe: Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','775','Dion'),
('50056','35403','10','6959','Recipe: Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','776','Dion'),
('50056','35403','10','6960','Recipe: Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','777','Dion'),
('50056','35403','10','6961','Recipe: Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','778','Dion'),
('50056','35403','10','6962','Recipe: Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','779','Dion'),
('50056','35403','10','6963','Recipe: Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','780','Dion'),
('50056','35403','10','6964','Recipe: Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','781','Dion'),
('50056','35403','10','6965','Recipe: Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','782','Dion'),
('50057','35405','10','6902','Pledge Shield','0','0','0','0','783','Dion'),
('50057','35405','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','784','Dion'),
('50057','35405','10','5169','Deluxe Food for strider','5','5','0','1440','785','Dion'),
('50058','35405','10','6902','Pledge Shield','0','0','0','0','786','Dion'),
('50058','35405','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','787','Dion'),
('50058','35405','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','720','788','Dion'),
('50058','35405','10','5169','Deluxe Food for strider','10','10','0','1440','789','Dion'),
('50058','35405','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','790','Dion'),
('50058','35405','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','791','Dion'),
('50059','35405','10','6902','Pledge Shield','0','0','0','0','792','Dion'),
('50059','35405','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','793','Dion'),
('50059','35405','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','794','Dion'),
('50059','35405','10','5169','Deluxe Food for strider','10','10','0','1440','795','Dion'),
('50059','35405','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','796','Dion'),
('50059','35405','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','797','Dion'),
('50059','35405','10','7585','Pet Exchange Ticket: Kookaburra','1','1','0','720','798','Dion'),
('50059','35405','10','6926','Recipe: Lesser Healing Potion (100%)','1','1','0','1440','799','Dion'),
('50059','35405','10','6929','Recipe: Antidote (100%)','1','1','0','1440','800','Dion'),
('50059','35405','10','6931','Recipe: Bandage (100%)','1','1','0','1440','801','Dion'),
('50059','35405','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','802','Dion'),
('50059','35405','10','6922','Recipe: Party Mask (100%)','1','1','0','1440','803','Dion'),
('50059','35405','10','7700','Recipe: Daisy Hairpin (100%)','1','1','0','1440','804','Dion'),
('50059','35405','10','6940','Recipe: Facelifting Potion - A 100%)','1','1','0','1440','805','Dion'),
('50059','35405','10','6941','Recipe: Facelifting Potion - B (100%)','1','1','0','1440','806','Dion'),
('50059','35405','10','6942','Recipe: Facelifting Potion - C (100%)','1','1','0','1440','807','Dion'),
('50059','35405','10','6954','Recipe: Dye of Strength  <Str+1 Con-1> (100%)','1','1','0','1440','808','Dion'),
('50059','35405','10','6955','Recipe: Dye of Strength  <Str+1 Dex-1> (100%)','1','1','0','1440','809','Dion'),
('50059','35405','10','6956','Recipe: Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','810','Dion'),
('50059','35405','10','6957','Recipe: Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','811','Dion'),
('50059','35405','10','6958','Recipe: Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','812','Dion'),
('50059','35405','10','6959','Recipe: Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','813','Dion'),
('50059','35405','10','6960','Recipe: Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','814','Dion'),
('50059','35405','10','6961','Recipe: Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','815','Dion'),
('50059','35405','10','6962','Recipe: Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','816','Dion'),
('50059','35405','10','6963','Recipe: Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','817','Dion'),
('50059','35405','10','6964','Recipe: Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','818','Dion'),
('50059','35405','10','6965','Recipe: Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','819','Dion'),
('50060','35407','10','6902','Pledge Shield','0','0','0','0','820','Dion'),
('50060','35407','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','821','Dion'),
('50060','35407','10','5169','Deluxe Food for strider','5','5','0','1440','822','Dion'),
('50061','35407','10','6902','Pledge Shield','0','0','0','0','823','Dion'),
('50061','35407','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','824','Dion'),
('50061','35407','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','720','825','Dion'),
('50061','35407','10','5169','Deluxe Food for strider','10','10','0','1440','826','Dion'),
('50061','35407','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','827','Dion'),
('50061','35407','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','828','Dion'),
('50062','35407','10','6902','Pledge Shield','0','0','0','0','829','Dion'),
('50062','35407','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','830','Dion'),
('50062','35407','10','5858','Blessed Scroll of Escape: Clan Hall','1','1','0','1440','831','Dion'),
('50062','35407','10','5169','Deluxe Food for strider','10','10','0','1440','832','Dion'),
('50062','35407','10','7131','Scroll of Escape to Hunters Village','1','1','0','1440','833','Dion'),
('50062','35407','10','7132','Scroll of Escape to Aden Castle Town','1','1','0','1440','834','Dion'),
('50062','35407','10','7585','Pet Exchange Ticket: Kookaburra','1','1','0','720','835','Dion'),
('50062','35407','10','6926','Recipe: Lesser Healing Potion (100%)','1','1','0','1440','836','Dion'),
('50062','35407','10','6929','Recipe: Antidote (100%)','1','1','0','1440','837','Dion'),
('50062','35407','10','6931','Recipe: Bandage (100%)','1','1','0','1440','838','Dion'),
('50062','35407','10','6920','Recipe: Greater Fish Oil (100%)','1','1','0','1440','839','Dion'),
('50062','35407','10','6922','Recipe: Party Mask (100%)','1','1','0','1440','840','Dion'),
('50062','35407','10','7700','Recipe: Daisy Hairpin (100%)','1','1','0','1440','841','Dion'),
('50062','35407','10','6940','Recipe: Facelifting Potion - A 100%)','1','1','0','1440','842','Dion'),
('50062','35407','10','6941','Recipe: Facelifting Potion - B (100%)','1','1','0','1440','843','Dion'),
('50062','35407','10','6942','Recipe: Facelifting Potion - C (100%)','1','1','0','1440','844','Dion'),
('50062','35407','10','6954','Recipe: Dye of Strength  <Str+1 Con-1> (100%)','1','1','0','1440','845','Dion'),
('50062','35407','10','6955','Recipe: Dye of Strength  <Str+1 Dex-1> (100%)','1','1','0','1440','846','Dion'),
('50062','35407','10','6956','Recipe: Dye of Constitution <Con+1 Str-1> (100%)','1','1','0','1440','847','Dion'),
('50062','35407','10','6957','Recipe: Dye of Constitution <Con+1 Dex-1> (100%)','1','1','0','1440','848','Dion'),
('50062','35407','10','6958','Recipe: Dye of Dexterity <Dex+1 Str-1> (100%)','1','1','0','1440','849','Dion'),
('50062','35407','10','6959','Recipe: Dye of Dexterity <Dex+1 Con-1> (100%)','1','1','0','1440','850','Dion'),
('50062','35407','10','6960','Recipe: Dye of Intelligence <Int+1 Men-1> (100%)','1','1','0','1440','851','Dion'),
('50062','35407','10','6961','Recipe: Dye of Intelligence <Int+1 Wit-1> (100%)','1','1','0','1440','852','Dion'),
('50062','35407','10','6962','Recipe: Dye of Mental Strength <Men+1 Int-1> (100%)','1','1','0','1440','853','Dion'),
('50062','35407','10','6963','Recipe: Dye of Mental Strength <Men+1 Wit-1> (100%)','1','1','0','1440','854','Dion'),
('50062','35407','10','6964','Recipe: Dye of Wit<Wit+1 Int-1> (100%)','1','1','0','1440','855','Dion'),
('50062','35407','10','6965','Recipe: Dye of Wit<Wit+1 Men-1> (100%)','1','1','0','1440','856','Dion'),
('50063','35447','10','6902','Pledge Shield','0','0','0','0','857','Aden'),
('50063','35447','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','858','Aden'),
('50063','35447','10','5169','Deluxe Food for strider','5','5','0','1440','859','Aden'),
('50064','35447','10','6902','Pledge Shield','0','0','0','0','860','Aden'),
('50064','35447','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','861','Aden'),
('50064','35447','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','862','Aden'),
('50064','35447','10','5169','Deluxe Food for strider','10','10','0','1440','863','Aden'),
('50064','35447','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','864','Aden'),
('50064','35447','10','7125','Scroll of Escape to Floran','1','1','0','1440','865','Aden'),
('50065','35447','10','6902','Pledge Shield','0','0','0','0','866','Aden'),
('50065','35447','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','867','Aden'),
('50065','35447','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','868','Aden'),
('50065','35447','10','5169','Deluxe Food for strider','10','10','0','1440','869','Aden'),
('50065','35447','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','870','Aden'),
('50065','35447','10','7125','Scroll of Escape to Floran','1','1','0','1440','871','Aden'),
('50065','35447','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','872','Aden'),
('50065','35447','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','873','Aden'),
('50065','35447','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','874','Aden'),
('50065','35447','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','875','Aden'),
('50065','35447','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','876','Aden'),
('50065','35447','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','877','Aden'),
('50065','35447','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','878','Aden'),
('50065','35447','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','879','Aden'),
('50065','35447','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','880','Aden'),
('50065','35447','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','881','Aden'),
('50065','35447','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','882','Aden'),
('50065','35447','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','883','Aden'),
('50065','35447','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','884','Aden'),
('50065','35447','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','885','Aden'),
('50065','35447','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','886','Aden'),
('50065','35447','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','887','Aden'),
('50065','35447','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','888','Aden'),
('50065','35447','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','889','Aden'),
('50065','35447','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','890','Aden'),
('50065','35447','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','891','Aden'),
('50065','35447','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','892','Aden'),
('50065','35447','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','893','Aden'),
('50065','35447','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','894','Aden'),
('50065','35447','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','895','Aden'),
('50065','35447','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','896','Aden'),
('50065','35447','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','897','Aden'),
('50065','35447','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','898','Aden'),
('50066','35449','10','6902','Pledge Shield','0','0','0','0','899','Aden'),
('50066','35449','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','900','Aden'),
('50066','35449','10','5169','Deluxe Food for strider','5','5','0','1440','901','Aden'),
('50067','35449','10','6902','Pledge Shield','0','0','0','0','901','Aden'),
('50067','35449','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','902','Aden'),
('50067','35449','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','903','Aden'),
('50067','35449','10','5169','Deluxe Food for strider','10','10','0','1440','904','Aden'),
('50067','35449','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','905','Aden'),
('50067','35449','10','7125','Scroll of Escape to Floran','1','1','0','1440','906','Aden'),
('50068','35449','10','6902','Pledge Shield','0','0','0','0','907','Aden'),
('50068','35449','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','908','Aden'),
('50068','35449','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','909','Aden'),
('50068','35449','10','5169','Deluxe Food for strider','10','10','0','1440','910','Aden'),
('50068','35449','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','911','Aden'),
('50068','35449','10','7125','Scroll of Escape to Floran','1','1','0','1440','912','Aden'),
('50068','35449','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','913','Aden'),
('50068','35449','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','914','Aden'),
('50068','35449','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','915','Aden'),
('50068','35449','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','916','Aden'),
('50068','35449','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','917','Aden'),
('50068','35449','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','918','Aden'),
('50068','35449','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','919','Aden'),
('50068','35449','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','920','Aden'),
('50068','35449','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','921','Aden'),
('50068','35449','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','922','Aden'),
('50068','35449','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','923','Aden'),
('50068','35449','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','924','Aden'),
('50068','35449','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','925','Aden'),
('50068','35449','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','926','Aden'),
('50068','35449','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','927','Aden'),
('50068','35449','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','928','Aden'),
('50068','35449','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','929','Aden'),
('50068','35449','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','930','Aden'),
('50068','35449','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','931','Aden'),
('50068','35449','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','932','Aden'),
('50068','35449','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','933','Aden'),
('50068','35449','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','934','Aden'),
('50068','35449','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','935','Aden'),
('50068','35449','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','936','Aden'),
('50068','35449','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','937','Aden'),
('50068','35449','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','938','Aden'),
('50068','35449','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','939','Aden'),
('50069','35445','10','6902','Pledge Shield','0','0','0','0','940','Aden'),
('50069','35445','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','941','Aden'),
('50069','35445','10','5169','Deluxe Food for strider','5','5','0','1440','942','Aden'),
('50070','35445','10','6902','Pledge Shield','0','0','0','0','943','Aden'),
('50070','35445','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','944','Aden'),
('50070','35445','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','945','Aden'),
('50070','35445','10','5169','Deluxe Food for strider','10','10','0','1440','946','Aden'),
('50070','35445','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','947','Aden'),
('50070','35445','10','7125','Scroll of Escape to Floran','1','1','0','1440','948','Aden'),
('50071','35445','10','6902','Pledge Shield','0','0','0','0','949','Aden'),
('50071','35445','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','950','Aden'),
('50071','35445','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','951','Aden'),
('50071','35445','10','5169','Deluxe Food for strider','10','10','0','1440','952','Aden'),
('50071','35445','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','953','Aden'),
('50071','35445','10','7125','Scroll of Escape to Floran','1','1','0','1440','954','Aden'),
('50071','35445','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','955','Aden'),
('50071','35445','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','956','Aden'),
('50071','35445','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','957','Aden'),
('50071','35445','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','958','Aden'),
('50071','35445','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','959','Aden'),
('50071','35445','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','960','Aden'),
('50071','35445','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','961','Aden'),
('50071','35445','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','962','Aden'),
('50071','35445','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','963','Aden'),
('50071','35445','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','964','Aden'),
('50071','35445','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','965','Aden'),
('50071','35445','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','966','Aden'),
('50071','35445','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','967','Aden'),
('50071','35445','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','968','Aden'),
('50071','35445','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','969','Aden'),
('50071','35445','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','970','Aden'),
('50071','35445','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','971','Aden'),
('50071','35445','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','972','Aden'),
('50071','35445','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','973','Aden'),
('50071','35445','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','974','Aden'),
('50071','35445','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','975','Aden'),
('50071','35445','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','976','Aden'),
('50071','35445','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','977','Aden'),
('50071','35445','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','978','Aden'),
('50071','35445','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','979','Aden'),
('50071','35445','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','980','Aden'),
('50071','35445','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','981','Aden'),
('50072','35441','10','6902','Pledge Shield','0','0','0','0','982','Aden'),
('50072','35441','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','983','Aden'),
('50072','35441','10','5169','Deluxe Food for strider','5','5','0','1440','984','Aden'),
('50073','35441','10','6902','Pledge Shield','0','0','0','0','985','Aden'),
('50073','35441','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','986','Aden'),
('50073','35441','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','987','Aden'),
('50073','35441','10','5169','Deluxe Food for strider','10','10','0','1440','988','Aden'),
('50073','35441','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','989','Aden'),
('50073','35441','10','7125','Scroll of Escape to Floran','1','1','0','1440','990','Aden'),
('50074','35441','10','6902','Pledge Shield','0','0','0','0','991','Aden'),
('50074','35441','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','992','Aden'),
('50074','35441','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','993','Aden'),
('50074','35441','10','5169','Deluxe Food for strider','10','10','0','1440','994','Aden'),
('50074','35441','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','995','Aden'),
('50074','35441','10','7125','Scroll of Escape to Floran','1','1','0','1440','996','Aden'),
('50074','35441','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','997','Aden'),
('50074','35441','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','998','Aden'),
('50074','35441','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','999','Aden'),
('50074','35441','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','1000','Aden'),
('50074','35441','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','1001','Aden'),
('50074','35441','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','1002','Aden'),
('50074','35441','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','1003','Aden'),
('50074','35441','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','1004','Aden'),
('50074','35441','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','1005','Aden'),
('50074','35441','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','1006','Aden'),
('50074','35441','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','1007','Aden'),
('50074','35441','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','1008','Aden'),
('50074','35441','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','1009','Aden'),
('50074','35441','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','1010','Aden'),
('50074','35441','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','1011','Aden'),
('50074','35441','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','1012','Aden'),
('50074','35441','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','1013','Aden'),
('50074','35441','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','1014','Aden'),
('50074','35441','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','1015','Aden'),
('50074','35441','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','1016','Aden'),
('50074','35441','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','1017','Aden'),
('50074','35441','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','1018','Aden'),
('50074','35441','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','1019','Aden'),
('50074','35441','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','1020','Aden'),
('50074','35441','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','1021','Aden'),
('50074','35441','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','1022','Aden'),
('50074','35441','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','1023','Aden'),
('50075','35439','10','6902','Pledge Shield','0','0','0','0','1024','Aden'),
('50075','35439','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1025','Aden'),
('50075','35439','10','5169','Deluxe Food for strider','5','5','0','1440','1026','Aden'),
('50076','35439','10','6902','Pledge Shield','0','0','0','0','1027','Aden'),
('50076','35439','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1028','Aden'),
('50076','35439','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','1029','Aden'),
('50076','35439','10','5169','Deluxe Food for strider','10','10','0','1440','1030','Aden'),
('50076','35439','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','1031','Aden'),
('50076','35439','10','7125','Scroll of Escape to Floran','1','1','0','1440','1032','Aden'),
('50077','35439','10','6902','Pledge Shield','0','0','0','0','1033','Aden'),
('50077','35439','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1034','Aden'),
('50077','35439','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','1035','Aden'),
('50077','35439','10','5169','Deluxe Food for strider','10','10','0','1440','1036','Aden'),
('50077','35439','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','1037','Aden'),
('50077','35439','10','7125','Scroll of Escape to Floran','1','1','0','1440','1038','Aden'),
('50077','35439','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','1039','Aden'),
('50077','35439','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','1040','Aden'),
('50077','35439','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','1041','Aden'),
('50077','35439','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','1042','Aden'),
('50077','35439','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','1043','Aden'),
('50077','35439','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','1044','Aden'),
('50077','35439','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','1045','Aden'),
('50077','35439','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','1046','Aden'),
('50077','35439','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','1047','Aden'),
('50077','35439','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','1048','Aden'),
('50077','35439','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','1049','Aden'),
('50077','35439','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','1050','Aden'),
('50077','35439','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','1051','Aden'),
('50077','35439','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','1052','Aden'),
('50077','35439','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','1053','Aden'),
('50077','35439','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','1054','Aden'),
('50077','35439','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','1055','Aden'),
('50077','35439','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','1056','Aden'),
('50077','35439','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','1057','Aden'),
('50077','35439','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','1058','Aden'),
('50077','35439','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','1059','Aden'),
('50077','35439','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','1060','Aden'),
('50077','35439','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','1061','Aden'),
('50077','35439','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','1062','Aden'),
('50077','35439','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','1063','Aden'),
('50077','35439','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','1064','Aden'),
('50077','35439','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','1065','Aden'),
('50078','35443','10','6902','Pledge Shield','0','0','0','0','1066','Aden'),
('50078','35443','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1067','Aden'),
('50078','35443','10','5169','Deluxe Food for strider','5','5','0','1440','1068','Aden'),
('50079','35443','10','6902','Pledge Shield','0','0','0','0','1069','Aden'),
('50079','35443','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1070','Aden'),
('50079','35443','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','1071','Aden'),
('50079','35443','10','5169','Deluxe Food for strider','10','10','0','1440','1072','Aden'),
('50079','35443','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','1073','Aden'),
('50079','35443','10','7125','Scroll of Escape to Floran','1','1','0','1440','1074','Aden'),
('50080','35443','10','6902','Pledge Shield','0','0','0','0','1075','Aden'),
('50080','35443','10','1829','Scroll of Escape: Clan Hall','5','5','0','1440','1076','Aden'),
('50080','35443','10','5858','Blessed Scroll of Escape: Clan Hall','3','3','0','1440','1077','Aden'),
('50080','35443','10','5169','Deluxe Food for strider','10','10','0','1440','1078','Aden'),
('50080','35443','10','7124','Scroll of Escape to Dion Castle Town','1','1','0','1440','1079','Aden'),
('50080','35443','10','7125','Scroll of Escape to Floran','1','1','0','1440','1080','Aden'),
('50080','35443','10','7584','Pet Exchange Ticket: Cougar','1','1','0','720','1081','Aden'),
('50080','35443','10','6928','Recipe: Greater Healing Potion (100%)','1','1','0','1440','1082','Aden'),
('50080','35443','10','6935','Recipe: Greater Haste Potion (100%)','1','1','0','1440','1083','Aden'),
('50080','35443','10','6936','Recipe: Greater Swift Attack Potion (100%)','1','1','0','1440','1084','Aden'),
('50080','35443','10','6938','Recipe: Greater Magic Haste Potion (100%)','1','1','0','1440','1085','Aden'),
('50080','35443','10','6921','Recipe: Premium Fish Oil(100%)','1','1','0','1440','1086','Aden'),
('50080','35443','10','6923','Recipe: Hair Pin (100%)','1','1','0','1440','1087','Aden'),
('50080','35443','10','7691','Recipe - Maiden''s Hairpin (100%)','1','1','0','1440','1088','Aden'),
('50080','35443','10','6947','Recipe: Hair Style Change Potion - A (100%)','1','1','0','1440','1089','Aden'),
('50080','35443','10','6948','Recipe: Hair Style Change Potion - B (100%)','1','1','0','1440','1090','Aden'),
('50080','35443','10','6949','Recipe: Hair Style Change Potion - C (100%)','1','1','0','1440','1091','Aden'),
('50080','35443','10','6950','Recipe: Hair Style Change Potion - D (100%)','1','1','0','1440','1092','Aden'),
('50080','35443','10','6951','Recipe: Hair Style Change Potion - E (100%)','1','1','0','1440','1093','Aden'),
('50080','35443','10','6952','Recipe: Hair Style Change Potion - F (100%)','1','1','0','1440','1094','Aden'),
('50080','35443','10','6953','Recipe: Hair Style Change Potion - G (100%)','1','1','0','1440','1095','Aden'),
('50080','35443','10','7002','Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)','1','1','0','1440','1096','Aden'),
('50080','35443','10','7003','Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)','1','1','0','1440','1097','Aden'),
('50080','35443','10','7004','Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)','1','1','0','1440','1098','Aden'),
('50080','35443','10','7005','Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)','1','1','0','1440','1099','Aden'),
('50080','35443','10','7006','Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)','1','1','0','1440','1100','Aden'),
('50080','35443','10','7007','Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)','1','1','0','1440','1101','Aden'),
('50080','35443','10','7008','Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)','1','1','0','1440','1102','Aden'),
('50080','35443','10','7009','Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)','1','1','0','1440','1103','Aden'),
('50080','35443','10','7010','Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)','1','1','0','1440','1104','Aden'),
('50080','35443','10','7011','Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)','1','1','0','1440','1105','Aden'),
('50080','35443','10','7012','Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)','1','1','0','1440','1106','Aden'),
('50080','35443','10','7013','Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)','1','1','0','1440','1107','Aden');

