DROP TABLE IF EXISTS `zone`;

CREATE TABLE `zone` (
  `id` int(9) NOT NULL default '0',
  `index` int(9) NOT NULL default '0',
  `taxById` int(9) NOT NULL default '0',
  `name` varchar(32) NOT NULL,
  `type` varchar(16) default NULL,
  `loc1_id` varchar(32) default NULL,
  `loc2_id` varchar(32) default NULL,
  `loc3_id` varchar(32) default NULL,
  `restart_point` varchar(255) default NULL,
  `PKrestart_point` varchar(32) default NULL,
  `target` varchar(255) default NULL,
  `skill_name` varchar(255) default NULL,
  `skill_prob` varchar(255) default NULL,
  `unit_tick` varchar(255) default NULL,
  `default_status` varchar(255) default NULL,
  `initial_delay` varchar(255) default NULL,
  `on_time` varchar(255) default NULL,
  `off_time` varchar(255) default NULL,
  `random_time` varchar(255) default NULL,
  `skill_action_type` varchar(255) default NULL,
  `restart_time` varchar(255) default NULL,
  `restart_allowed_time` varchar(255) default NULL,
  `affect_race` varchar(255) default NULL,
  `move_bonus` varchar(255) default NULL,
  `hp_regen_bonus` varchar(255) default NULL,
  `mp_regen_bonus` varchar(255) default NULL,
  `damage_on_hp` varchar(255) default NULL,
  `damage_on_mp` varchar(255) default NULL,
  `message_no` varchar(255) default NULL,
  `entering_message_no` varchar(255) default NULL,
  `leaving_message_no` varchar(255) default NULL,
  `exp_penalty_per` varchar(255) default NULL,
  `item_drop` varchar(255) default NULL,
  `blocked_actions` varchar(255) default NULL,
  `event_id` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`,`type`)
);

INSERT INTO `zone` VALUES (1,0,0,'mother_tree_start_zone','mother_tree','mother_tree_start_zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'elf',NULL,NULL,NULL,NULL,NULL,NULL,'114','115',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2,0,0,'mother_tree_town','mother_tree','mother_tree_town',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'elf',NULL,NULL,NULL,NULL,NULL,NULL,'114','115',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (7,0,0,'mage_start_peace_1','peace_zone','mage_start_peace_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (8,0,0,'mage_start_peace_2','peace_zone','mage_start_peace_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (9,0,0,'mage_start_peace_3','peace_zone','mage_start_peace_3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (10,0,0,'mage_start_peace_4','peace_zone','mage_start_peace_4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (11,0,0,'mage_start_peace_5','peace_zone','mage_start_peace_5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (12,0,0,'fighter_start_peace_1','peace_zone','fighter_start_peace_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (13,0,0,'fighter_start_peace_2','peace_zone','fighter_start_peace_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (14,0,0,'fighter_start_peace_3','peace_zone','fighter_start_peace_3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (15,0,0,'fighter_start_peace_4','peace_zone','fighter_start_peace_4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (19,0,0,'20_19_worldtree','mother_tree','20_19_worldtree',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'elf',NULL,NULL,NULL,NULL,NULL,NULL,'114','115',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (20,0,0,'20_20_worldtree','mother_tree','20_20_worldtree',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'elf',NULL,NULL,NULL,NULL,NULL,NULL,'114','115',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (21,0,0,'21_20_worldtree','mother_tree','21_20_worldtree',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'elf',NULL,NULL,NULL,NULL,NULL,NULL,'114','115',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (55,0,0,'dwarf_start','peace_zone','dwarf_start',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (64,0,0,'hadin_peace1','peace_zone','hadin_peace1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (70,0,0,'speaking_port_peace1','peace_zone','speaking_port_peace1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (71,0,0,'speaking_port_peace2','peace_zone','speaking_port_peace2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (72,0,0,'speaking_port_peace3','peace_zone','speaking_port_peace3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (73,0,0,'speaking_port_peace4','peace_zone','speaking_port_peace4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (74,0,0,'speaking_port_peace5','peace_zone','speaking_port_peace5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (75,0,0,'speaking_port_peace6','peace_zone','speaking_port_peace6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (76,0,0,'speaking_port_peace7','peace_zone','speaking_port_peace7',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (77,0,0,'speaking_port_peace8','peace_zone','speaking_port_peace8',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (78,0,0,'gludin_port1','peace_zone','gludin_port1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (79,0,0,'glludin_port2','peace_zone','glludin_port2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (80,0,0,'giran_port1','peace_zone','giran_port1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (81,0,0,'giran_port2','peace_zone','giran_port2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (82,0,0,'giran_port3','peace_zone','giran_port3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (83,0,0,'giran_port4','peace_zone','giran_port4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (84,0,0,'dion_monster_race1','peace_zone','dion_monster_race1',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (85,0,0,'dion_monster_race2','peace_zone','dion_monster_race2',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (86,0,0,'dion_monster_race3','peace_zone','dion_monster_race3',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (87,0,0,'dion_monster_race4','peace_zone','dion_monster_race4',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (88,0,0,'dion_monster_race5','peace_zone','dion_monster_race5',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (89,0,0,'dion_monster_race6','peace_zone','dion_monster_race6',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (90,0,0,'dion_monster_race7','peace_zone','dion_monster_race7',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (91,0,0,'dion_monster_race8','peace_zone','dion_monster_race8',NULL,NULL,'Monster Track Peace Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (92,0,0,'dion_monster_pvp','battle_zone','dion_monster_pvp',NULL,NULL,'Monster Track Arena Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (99,0,0,'cruma_boss_damage_zone','damage','cruma_boss_damage_zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (100,0,0,'spore_boss_swamp_zone','swamp','spore_boss_swamp_zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (101,0,0,'spore_boss_poison_zone','poison','spore_boss_poison_zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (102,0,0,'gludin_pvp','battle_zone','gludin_pvp',NULL,NULL,'Gludin Arena Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (103,0,0,'gludin_pvp_peace_1','peace_zone','gludin_pvp_peace_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (104,0,0,'gludin_pvp_peace_2','peace_zone','gludin_pvp_peace_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (105,0,0,'gludin_pvp_peace_3','peace_zone','gludin_pvp_peace_3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (106,0,0,'gludin_pvp_peace_4','peace_zone','gludin_pvp_peace_4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (107,0,0,'giran_pvp_battle','battle_zone','giran_pvp_battle',NULL,NULL,'Giran Arena Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (108,0,0,'giran_pvp_peace1','peace_zone','giran_pvp_peace1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (109,0,0,'giran_pvp_peace2','peace_zone','giran_pvp_peace2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (110,0,0,'giran_pvp_peace3','peace_zone','giran_pvp_peace3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (111,0,0,'giran_pvp_peace4','peace_zone','giran_pvp_peace4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (112,0,0,'colosseum_battle1','battle_zone','colosseum_battle1',NULL,NULL,'Collusieum Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (113,0,0,'colosseum_battle2','battle_zone','colosseum_battle2',NULL,NULL,'Collusieum Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (114,0,0,'colosseum_battle3','battle_zone','colosseum_battle3',NULL,NULL,'Collusieum Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'283','284',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (115,0,0,'colosseum_peace1','peace_zone','colosseum_peace1',NULL,NULL,'Collusieum Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (116,0,0,'colosseum_peace2','peace_zone','colosseum_peace2',NULL,NULL,'Collusieum Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (117,0,0,'gm_prison','peace_zone','gm_prison',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'116','117',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (118,0,0,'aden_slow_8','swamp','aden_slow_8',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418008');
INSERT INTO `zone` VALUES (119,0,0,'aden_slow_7','swamp','aden_slow_7',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418007');
INSERT INTO `zone` VALUES (120,0,0,'aden_slow_6','swamp','aden_slow_6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418006');
INSERT INTO `zone` VALUES (121,0,0,'aden_slow_5','swamp','aden_slow_5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418005');
INSERT INTO `zone` VALUES (122,0,0,'aden_slow_4','swamp','aden_slow_4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418004');
INSERT INTO `zone` VALUES (123,0,0,'aden_slow_3','swamp','aden_slow_3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418003');
INSERT INTO `zone` VALUES (124,0,0,'aden_slow_2','swamp','aden_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418002');
INSERT INTO `zone` VALUES (125,0,0,'aden_slow_1','swamp','aden_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2418001');
INSERT INTO `zone` VALUES (126,0,0,'aden_damage_8','damage','aden_damage_8',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (127,0,0,'aden_damage_7','damage','aden_damage_7',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (128,0,0,'aden_damage_6','damage','aden_damage_6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (129,0,0,'aden_damage_5','damage','aden_damage_5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (130,0,0,'aden_damage_4','damage','aden_damage_4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (131,0,0,'aden_damage_3','damage','aden_damage_3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (132,0,0,'aden_damage_2','damage','aden_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (133,0,0,'aden_damage_1','damage','aden_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (134,0,0,'gludio_slow_1','swamp','gludio_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1921001');
INSERT INTO `zone` VALUES (135,0,0,'gludio_slow_2','swamp','gludio_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1921002');
INSERT INTO `zone` VALUES (136,0,0,'gludio_damage_1','damage','gludio_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (137,0,0,'gludio_damage_2','damage','gludio_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (138,0,0,'dion_slow_1','swamp','dion_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022001');
INSERT INTO `zone` VALUES (139,0,0,'dion_slow_2','swamp','dion_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022002');
INSERT INTO `zone` VALUES (140,0,0,'dion_damage_1','damage','dion_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (141,0,0,'dion_damage_2','damage','dion_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (142,0,0,'giran_slow_1','swamp','giran_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2322001');
INSERT INTO `zone` VALUES (143,0,0,'giran_slow_2','swamp','giran_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2322002');
INSERT INTO `zone` VALUES (144,0,0,'giran_damage_1','damage','giran_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (145,0,0,'giran_damage_2','damage','giran_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (146,0,0,'oren_slow_1','swamp','oren_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2219001');
INSERT INTO `zone` VALUES (147,0,0,'oren_slow_2','swamp','oren_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2219002');
INSERT INTO `zone` VALUES (148,0,0,'oren_damage_1','damage','oren_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (149,0,0,'oren_damage_2','damage','oren_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (150,0,0,'innadrile_slow_1','swamp','innadrile_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2325001');
INSERT INTO `zone` VALUES (151,0,0,'innadrile_slow_2','swamp','innadrile_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2325002');
INSERT INTO `zone` VALUES (152,0,0,'innadrile_damage_1','damage','innadrile_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (153,0,0,'innadrile_damage_2','damage','innadrile_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (154,0,0,'godad_slow_1','swamp','godad_slow_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2416001');
INSERT INTO `zone` VALUES (155,0,0,'godad_slow_2','swamp','godad_slow_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2416002');
INSERT INTO `zone` VALUES (156,0,0,'godad_damage_1','damage','godad_damage_1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (157,0,0,'godad_damage_2','damage','godad_damage_2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (158,0,0,'fireswamp_1','poison','fireswamp_1',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (159,0,0,'fireswamp_2','poison','fireswamp_2',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (160,0,0,'fireswamp_3','poison','fireswamp_3',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (161,0,0,'fireswamp_4','poison','fireswamp_4',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (162,0,0,'fireswamp_5','poison','fireswamp_5',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (163,0,0,'fireswamp_6','poison','fireswamp_6',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (164,0,0,'fireswamp_7','poison','fireswamp_7',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (165,0,0,'fireswamp_8','poison','fireswamp_8',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (166,0,0,'fireswamp_9','poison','fireswamp_9',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (167,0,0,'fireswamp_10','poison','fireswamp_10',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (168,0,0,'fireswamp_11','poison','fireswamp_11',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (169,0,0,'fireswamp_12','poison','fireswamp_12',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (170,0,0,'fireswamp_13','poison','fireswamp_13',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (171,0,0,'fireswamp_14','poison','fireswamp_14',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (172,0,0,'fireswamp_15','poison','fireswamp_15',NULL,NULL,NULL,NULL,'pc','4150;1','50','30','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (173,0,0,'devil_damage_001','damage','devil_damage_001',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (174,0,0,'devil_damage_002','damage','devil_damage_002',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (175,0,0,'devil_damage_003','damage','devil_damage_003',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (176,0,0,'devil_damage_004','damage','devil_damage_004',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (177,0,0,'devil_damage_005','damage','devil_damage_005',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (178,0,0,'devil_damage_006','damage','devil_damage_006',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (179,0,0,'devil_damage_007','damage','devil_damage_007',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (180,0,0,'devil_damage_008','damage','devil_damage_008',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (181,0,0,'devil_damage_009','damage','devil_damage_009',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (182,0,0,'devil_damage_010','damage','devil_damage_010',NULL,NULL,NULL,NULL,'pc',NULL,NULL,NULL,'off','1','600','60','20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'200','0','686',NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (183,0,0,'devil_poison_001','poison','devil_poison_001',NULL,NULL,NULL,NULL,'pc','4148;4','30','9','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (184,0,0,'devil_poison_002','poison','devil_poison_002',NULL,NULL,NULL,NULL,'pc','4148;4','30','9','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (185,0,0,'devil_poison_003','poison','devil_poison_003',NULL,NULL,NULL,NULL,'pc','4148;4','30','9','on','1','120','5','15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (186,0,0,'devil_slow_8','swamp','devil_slow_8',NULL,NULL,NULL,NULL,'pc',NULL,NULL,'9','off','1','120','5','15',NULL,NULL,NULL,NULL,'-80',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (187,0,0,'devil_healing_zone','mother_tree','devil_healing_zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'2','1',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (188,0,0,'conquerors_weakness','poison','conquerors_weakness',NULL,NULL,NULL,NULL,'pc','4146;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (189,0,0,'conquerors_pddown','poison','conquerors_pddown',NULL,NULL,NULL,NULL,'pc','4145;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (190,0,0,'conquerors_poison','poison','conquerors_poison',NULL,NULL,NULL,NULL,'pc','4148;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (191,0,0,'conquerors_nonheal','poison','conquerors_nonheal',NULL,NULL,NULL,NULL,'pc','4624;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (192,0,0,'lords_weakness','poison','lords_weakness',NULL,NULL,NULL,NULL,'pc','4146;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (193,0,0,'lords_pddown','poison','lords_pddown',NULL,NULL,NULL,NULL,'pc','4145;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (194,0,0,'lords_poison','poison','lords_poison',NULL,NULL,NULL,NULL,'pc','4148;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (195,0,0,'lords_nonheal','poison','lords_nonheal',NULL,NULL,NULL,NULL,'pc','4624;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (196,0,0,'savants_weakness','poison','savants_weakness',NULL,NULL,NULL,NULL,'pc','4146;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (197,0,0,'savants_pddown','poison','savants_pddown',NULL,NULL,NULL,NULL,'pc','4145;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (198,0,0,'savants_poison','poison','savants_poison',NULL,NULL,NULL,NULL,'pc','4148;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (199,0,0,'savants_nonheal','poison','savants_nonheal',NULL,NULL,NULL,NULL,'pc','4624;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (200,0,0,'magistrates_weakness','poison','magistrates_weakness',NULL,NULL,NULL,NULL,'pc','4146;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (201,0,0,'magistrates_pddown','poison','magistrates_pddown',NULL,NULL,NULL,NULL,'pc','4145;3','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (202,0,0,'magistrates_poison','poison','magistrates_poison',NULL,NULL,NULL,NULL,'pc','4148;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (203,0,0,'magistrates_nonheal','poison','magistrates_nonheal',NULL,NULL,NULL,NULL,'pc','4624;9','70','9','off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (204,0,0,'spa_11','poison','spa_11',NULL,NULL,NULL,NULL,'only_pc','4559;1','100','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (205,0,0,'spa_21','poison','spa_21',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (206,0,0,'spa_31','poison','spa_31',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (207,0,0,'spa_41','poison','spa_41',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (208,0,0,'spa_51','poison','spa_51',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (209,0,0,'spa_61','poison','spa_61',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (210,0,0,'spa_71','poison','spa_71',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (211,0,0,'spa_81','poison','spa_81',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (212,0,0,'spa_91','poison','spa_91',NULL,NULL,NULL,NULL,'only_pc','4559;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (213,0,0,'spa_12','instant_skill','spa_12',NULL,NULL,NULL,NULL,'pc','4557;1','100','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (214,0,0,'spa_22','instant_skill','spa_22',NULL,NULL,NULL,NULL,'pc','4556;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (215,0,0,'spa_32','instant_skill','spa_32',NULL,NULL,NULL,NULL,'pc','4558;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (216,0,0,'spa_42','instant_skill','spa_42',NULL,NULL,NULL,NULL,'pc','4556;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (217,0,0,'spa_52','instant_skill','spa_52',NULL,NULL,NULL,NULL,'pc','4558;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (218,0,0,'spa_62','instant_skill','spa_62',NULL,NULL,NULL,NULL,'pc','4557;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (219,0,0,'spa_72','instant_skill','spa_72',NULL,NULL,NULL,NULL,'pc','4556;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (220,0,0,'spa_82','instant_skill','spa_82',NULL,NULL,NULL,NULL,'pc','4558;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (221,0,0,'spa_92','instant_skill','spa_92',NULL,NULL,NULL,NULL,'pc','4557;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (222,0,0,'spa_102','instant_skill','spa_102',NULL,NULL,NULL,NULL,'pc','4557;1','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (223,0,0,'godad_fire_zone1','poison','godad_fire_zone1',NULL,NULL,NULL,NULL,'pc','4150;5','100','5','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (224,0,0,'godad_fire_zone2','poison','godad_fire_zone2',NULL,NULL,NULL,NULL,'pc','4150;5','100','5','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (225,0,0,'godad_fire_zone3','poison','godad_fire_zone3',NULL,NULL,NULL,NULL,'pc','4150;5','100','5','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (226,0,0,'godad_fire_zone4','poison','godad_fire_zone4',NULL,NULL,NULL,NULL,'pc','4150;5','100','5','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (227,0,0,'fire_pot_god_hp_regen1','poison','fire_pot_god_hp_regen1',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (228,0,0,'fire_pot_god_hp_regen2','poison','fire_pot_god_hp_regen2',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (229,0,0,'fire_pot_god_hp_regen3','poison','fire_pot_god_hp_regen3',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (230,0,0,'fire_pot_god_hp_regen4','poison','fire_pot_god_hp_regen4',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (231,0,0,'fire_pot_god_hp_regen5','poison','fire_pot_god_hp_regen5',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (232,0,0,'fire_pot_god_hp_regen6','poison','fire_pot_god_hp_regen6',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (233,0,0,'fire_pot_god_hp_regen7','poison','fire_pot_god_hp_regen7',NULL,NULL,NULL,NULL,'npc','4698;7','70','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (234,0,0,'godad_swamp_monster1','poison','godad_swamp_monster1',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (235,0,0,'godad_swamp_monster2','poison','godad_swamp_monster2',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (236,0,0,'godad_swamp_monster3','poison','godad_swamp_monster3',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (237,0,0,'godad_swamp_monster4','poison','godad_swamp_monster4',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (238,0,0,'godad_swamp_monster5','poison','godad_swamp_monster5',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (239,0,0,'godad_swamp_monster6','poison','godad_swamp_monster6',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (240,0,0,'godad_swamp_monster7','poison','godad_swamp_monster7',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (241,0,0,'godad_swamp_monster8','poison','godad_swamp_monster8',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (242,0,0,'godad_swamp_monster9','poison','godad_swamp_monster9',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (243,0,0,'godad_swamp_monster10','poison','godad_swamp_monster10',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (244,0,0,'godad_swamp_monster11','poison','godad_swamp_monster11',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (245,0,0,'godad_swamp_monster12','poison','godad_swamp_monster12',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (246,0,0,'godad_swamp_monster13','poison','godad_swamp_monster13',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (247,0,0,'godad_swamp_monster14','poison','godad_swamp_monster14',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (248,0,0,'godad_swamp_monster15','poison','godad_swamp_monster15',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (249,0,0,'godad_swamp_monster16','poison','godad_swamp_monster16',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (250,0,0,'godad_swamp_monster17','poison','godad_swamp_monster17',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (251,0,0,'godad_swamp_monster18','poison','godad_swamp_monster18',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (252,0,0,'godad_swamp_monster19','poison','godad_swamp_monster19',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (253,0,0,'godad_swamp_monster20','poison','godad_swamp_monster20',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (254,0,0,'godad_swamp_monster21','poison','godad_swamp_monster21',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (255,0,0,'godad_swamp_monster22','poison','godad_swamp_monster22',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (256,0,0,'godad_swamp_monster23','poison','godad_swamp_monster23',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (257,0,0,'godad_swamp_monster24','poison','godad_swamp_monster24',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (258,0,0,'godad_swamp_monster25','poison','godad_swamp_monster25',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (259,0,0,'godad_swamp_monster26','poison','godad_swamp_monster26',NULL,NULL,NULL,NULL,'npc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (260,0,0,'godad_swamp_pc1','poison','godad_swamp_pc1',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (261,0,0,'godad_swamp_pc2','poison','godad_swamp_pc2',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (262,0,0,'godad_swamp_pc3','poison','godad_swamp_pc3',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (263,0,0,'godad_swamp_pc4','poison','godad_swamp_pc4',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (264,0,0,'godad_swamp_pc5','poison','godad_swamp_pc5',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (265,0,0,'godad_swamp_pc6','poison','godad_swamp_pc6',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (266,0,0,'godad_swamp_pc7','poison','godad_swamp_pc7',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (267,0,0,'godad_swamp_pc8','poison','godad_swamp_pc8',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (268,0,0,'godad_swamp_pc9','poison','godad_swamp_pc9',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (269,0,0,'godad_swamp_pc10','poison','godad_swamp_pc10',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (270,0,0,'godad_swamp_pc11','poison','godad_swamp_pc11',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (271,0,0,'godad_swamp_pc12','poison','godad_swamp_pc12',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (272,0,0,'godad_swamp_pc13','poison','godad_swamp_pc13',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (273,0,0,'godad_swamp_pc14','poison','godad_swamp_pc14',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (274,0,0,'godad_swamp_pc15','poison','godad_swamp_pc15',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (275,0,0,'godad_swamp_pc16','poison','godad_swamp_pc16',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (276,0,0,'godad_swamp_pc17','poison','godad_swamp_pc17',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (277,0,0,'godad_swamp_pc18','poison','godad_swamp_pc18',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (278,0,0,'godad_swamp_pc19','poison','godad_swamp_pc19',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (279,0,0,'godad_swamp_pc20','poison','godad_swamp_pc20',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (280,0,0,'godad_swamp_pcr21','poison','godad_swamp_pcr21',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (281,0,0,'godad_swamp_pc22','poison','godad_swamp_pc22',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (282,0,0,'godad_swamp_pc23','poison','godad_swamp_pc23',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (283,0,0,'godad_swamp_pc24','poison','godad_swamp_pc24',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (284,0,0,'godad_swamp_pc25','poison','godad_swamp_pc25',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (285,0,0,'godad_swamp_pc26','poison','godad_swamp_pc26',NULL,NULL,NULL,NULL,'pc',NULL,'70','9','on','1',NULL,NULL,NULL,'serial',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (286,0,0,'balakas_lava_1','poison','balakas_lava_1',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (287,0,0,'balakas_lava_2','poison','balakas_lava_2',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (288,0,0,'balakas_lava_3','poison','balakas_lava_3',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (289,0,0,'balakas_lava_4','poison','balakas_lava_4',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (290,0,0,'balakas_lava_5','poison','balakas_lava_5',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (291,0,0,'balakas_lava_6','poison','balakas_lava_6',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (292,0,0,'balakas_lava_7','poison','balakas_lava_7',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (293,0,0,'balakas_lava_8','poison','balakas_lava_8',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (294,0,0,'balakas_lava_9','poison','balakas_lava_9',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (295,0,0,'balakas_lava_10','poison','balakas_lava_10',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (296,0,0,'balakas_lava_11','poison','balakas_lava_11',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (297,0,0,'balakas_lava_12','poison','balakas_lava_12',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (298,0,0,'balakas_lava_13','poison','balakas_lava_13',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (299,0,0,'balakas_lava_14','poison','balakas_lava_14',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (300,0,0,'balakas_lava_15','poison','balakas_lava_15',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (301,0,0,'balakas_lava_16','poison','balakas_lava_16',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (302,0,0,'balakas_lava_17','poison','balakas_lava_17',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (303,0,0,'balakas_lava_18','poison','balakas_lava_18',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (304,0,0,'balakas_lava_19','poison','balakas_lava_19',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (305,0,0,'balakas_lava_20','poison','balakas_lava_20',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (306,0,0,'balakas_lava_21','poison','balakas_lava_21',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (307,0,0,'balakas_lava_22','poison','balakas_lava_22',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (308,0,0,'balakas_lava_23','poison','balakas_lava_23',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (309,0,0,'balakas_lava_24','poison','balakas_lava_24',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (310,0,0,'balakas_lava_25','poison','balakas_lava_25',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (311,0,0,'balakas_lava_26','poison','balakas_lava_26',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (312,0,0,'balakas_lava_27','poison','balakas_lava_27',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (313,0,0,'balakas_lava_28','poison','balakas_lava_28',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (314,0,0,'balakas_lava_29','poison','balakas_lava_29',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (315,0,0,'balakas_lava_30','poison','balakas_lava_30',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (316,0,0,'balakas_lava_31','poison','balakas_lava_31',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (317,0,0,'balakas_lava_32','poison','balakas_lava_32',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (318,0,0,'balakas_lava_33','poison','balakas_lava_33',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (319,0,0,'balakas_lava_34','poison','balakas_lava_34',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (320,0,0,'balakas_lava_35','poison','balakas_lava_35',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (321,0,0,'balakas_lava_36','poison','balakas_lava_36',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (322,0,0,'balakas_lava_37','poison','balakas_lava_37',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (323,0,0,'balakas_lava_38','poison','balakas_lava_38',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (324,0,0,'balakas_lava_39','poison','balakas_lava_39',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (325,0,0,'balakas_lava_40','poison','balakas_lava_40',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (326,0,0,'balakas_lava_41','poison','balakas_lava_41',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (327,0,0,'balakas_lava_42','poison','balakas_lava_42',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (328,0,0,'balakas_lava_43','poison','balakas_lava_43',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (329,0,0,'balakas_lava_44','poison','balakas_lava_44',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (330,0,0,'balakas_lava_45','poison','balakas_lava_45',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (331,0,0,'balakas_lava_46','poison','balakas_lava_46',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (332,0,0,'balakas_lava_47','poison','balakas_lava_47',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (333,0,0,'balakas_lava_48','poison','balakas_lava_48',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (334,0,0,'balakas_lava_49','poison','balakas_lava_49',NULL,NULL,NULL,NULL,'pc','4150;1','50','9','on','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (335,0,0,'zaken_no_restart','no_restart','zaken_no_restart',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (336,0,0,'antaras_no_restart','no_restart','antaras_no_restart',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (337,0,0,'baium_no_restart','no_restart','baium_no_restart',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (338,0,0,'anakimNlilith','no_restart','anakimNlilith',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (339,0,0,'fire_no_restart1','no_restart','fire_no_restart1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (340,0,0,'fire_no_restart2','no_restart','fire_no_restart2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800','30min',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (341,0,0,'royal_rush_no_restart1','no_restart','royal_rush_no_restart1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (342,0,0,'royal_rush_no_restart2','no_restart','royal_rush_no_restart2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (343,0,0,'royal_rush_no_restart3','no_restart','royal_rush_no_restart3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (344,0,0,'royal_rush_no_restart4','no_restart','royal_rush_no_restart4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (345,0,0,'space_of_dimension_no_restart1','no_restart','space_of_dimension_no_restart1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (346,0,0,'space_of_dimension_no_restart2','no_restart','space_of_dimension_no_restart2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (347,0,0,'space_of_dimension_no_restart3','no_restart','space_of_dimension_no_restart3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (348,0,0,'space_of_dimension_no_restart4','no_restart','space_of_dimension_no_restart4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (349,0,0,'space_of_dimension_no_restart5','no_restart','space_of_dimension_no_restart5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (350,0,0,'space_of_dimension_no_restart6','no_restart','space_of_dimension_no_restart6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (351,0,0,'balakas_no_restart','no_restart','balakas_no_restart',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1800',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (352,0,0,'ssq_no_res_1720_01','no_restart','ssq_no_res_1720_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (353,0,0,'ssq_no_res_1720_02','no_restart','ssq_no_res_1720_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (354,0,0,'ssq_no_res_1720_03','no_restart','ssq_no_res_1720_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (355,0,0,'ssq_no_res_1720_04','no_restart','ssq_no_res_1720_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (356,0,0,'ssq_no_res_1720_05','no_restart','ssq_no_res_1720_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (357,0,0,'ssq_no_res_1720_06','no_restart','ssq_no_res_1720_06',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (358,0,0,'ssq_no_res_1720_07','no_restart','ssq_no_res_1720_07',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (359,0,0,'ssq_no_res_1720_08','no_restart','ssq_no_res_1720_08',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (360,0,0,'ssq_no_res_1720_09','no_restart','ssq_no_res_1720_09',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (361,0,0,'ssq_no_res_1720_10','no_restart','ssq_no_res_1720_10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (362,0,0,'ssq_no_res_1720_11','no_restart','ssq_no_res_1720_11',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (363,0,0,'ssq_no_res_1720_12','no_restart','ssq_no_res_1720_12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (364,0,0,'ssq_no_res_1720_13','no_restart','ssq_no_res_1720_13',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (365,0,0,'ssq_no_res_1720_14','no_restart','ssq_no_res_1720_14',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (366,0,0,'ssq_no_res_1720_15','no_restart','ssq_no_res_1720_15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (367,0,0,'ssq_no_res_1721_01','no_restart','ssq_no_res_1721_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (368,0,0,'ssq_no_res_1721_02','no_restart','ssq_no_res_1721_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (369,0,0,'ssq_no_res_1721_03','no_restart','ssq_no_res_1721_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (370,0,0,'ssq_no_res_1721_04','no_restart','ssq_no_res_1721_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (371,0,0,'ssq_no_res_1721_05','no_restart','ssq_no_res_1721_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (372,0,0,'ssq_no_res_1721_06','no_restart','ssq_no_res_1721_06',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (373,0,0,'ssq_no_res_1721_07','no_restart','ssq_no_res_1721_07',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (374,0,0,'ssq_no_res_1721_08','no_restart','ssq_no_res_1721_08',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (375,0,0,'ssq_no_res_1721_09','no_restart','ssq_no_res_1721_09',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (376,0,0,'ssq_no_res_1721_10','no_restart','ssq_no_res_1721_10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (377,0,0,'ssq_no_res_1721_11','no_restart','ssq_no_res_1721_11',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (378,0,0,'ssq_no_res_1721_12','no_restart','ssq_no_res_1721_12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (379,0,0,'ssq_no_res_1721_13','no_restart','ssq_no_res_1721_13',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (380,0,0,'ssq_no_res_1721_14','no_restart','ssq_no_res_1721_14',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (381,0,0,'ssq_no_res_1721_15','no_restart','ssq_no_res_1721_15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (382,0,0,'ssq_main_event_17_20_01','mother_tree','ssq_main_event_17_20_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','2',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (383,0,0,'ssq_main_event_17_20_04','mother_tree','ssq_main_event_17_20_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','2',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (384,0,0,'ssq_main_event_17_20_05','mother_tree','ssq_main_event_17_20_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','3',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (385,0,0,'ssq_main_event_17_20_03','mother_tree','ssq_main_event_17_20_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','3',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (386,0,0,'ssq_main_event_17_20_02','mother_tree','ssq_main_event_17_20_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','4',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (387,0,0,'ssq_main_event_17_21_01','mother_tree','ssq_main_event_17_21_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','2',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (388,0,0,'ssq_main_event_17_21_02','mother_tree','ssq_main_event_17_21_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','2',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (389,0,0,'ssq_main_event_17_21_05','mother_tree','ssq_main_event_17_21_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','3',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (390,0,0,'ssq_main_event_17_21_03','mother_tree','ssq_main_event_17_21_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','3',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (391,0,0,'ssq_main_event_17_21_04','mother_tree','ssq_main_event_17_21_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'all',NULL,'0','4',NULL,NULL,NULL,'1054','1055',NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (392,0,0,'ssq_main_pvp_1720_01','ssq_zone','ssq_main_pvp_1720_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (393,0,0,'ssq_main_pvp_1720_02','ssq_zone','ssq_main_pvp_1720_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (394,0,0,'ssq_main_pvp_1720_03','ssq_zone','ssq_main_pvp_1720_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (395,0,0,'ssq_main_pvp_1720_04','ssq_zone','ssq_main_pvp_1720_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (396,0,0,'ssq_main_pvp_1720_05','ssq_zone','ssq_main_pvp_1720_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (397,0,0,'ssq_main_pvp_1720_06','ssq_zone','ssq_main_pvp_1720_06',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (398,0,0,'ssq_main_pvp_1720_07','ssq_zone','ssq_main_pvp_1720_07',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (399,0,0,'ssq_main_pvp_1720_08','ssq_zone','ssq_main_pvp_1720_08',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (400,0,0,'ssq_main_pvp_1720_09','ssq_zone','ssq_main_pvp_1720_09',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (401,0,0,'ssq_main_pvp_1720_10','ssq_zone','ssq_main_pvp_1720_10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (402,0,0,'ssq_main_pvp_1720_11','ssq_zone','ssq_main_pvp_1720_11',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (403,0,0,'ssq_main_pvp_1720_12','ssq_zone','ssq_main_pvp_1720_12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (404,0,0,'ssq_main_pvp_1720_13','ssq_zone','ssq_main_pvp_1720_13',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (405,0,0,'ssq_main_pvp_1720_14','ssq_zone','ssq_main_pvp_1720_14',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (406,0,0,'ssq_main_pvp_1720_15','ssq_zone','ssq_main_pvp_1720_15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (407,0,0,'ssq_main_pvp_1721_01','ssq_zone','ssq_main_pvp_1721_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (408,0,0,'ssq_main_pvp_1721_02','ssq_zone','ssq_main_pvp_1721_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (409,0,0,'ssq_main_pvp_1721_03','ssq_zone','ssq_main_pvp_1721_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (410,0,0,'ssq_main_pvp_1721_04','ssq_zone','ssq_main_pvp_1721_04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (411,0,0,'ssq_main_pvp_1721_05','ssq_zone','ssq_main_pvp_1721_05',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (412,0,0,'ssq_main_pvp_1721_06','ssq_zone','ssq_main_pvp_1721_06',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (413,0,0,'ssq_main_pvp_1721_07','ssq_zone','ssq_main_pvp_1721_07',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (414,0,0,'ssq_main_pvp_1721_08','ssq_zone','ssq_main_pvp_1721_08',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (415,0,0,'ssq_main_pvp_1721_09','ssq_zone','ssq_main_pvp_1721_09',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (416,0,0,'ssq_main_pvp_1721_10','ssq_zone','ssq_main_pvp_1721_10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (417,0,0,'ssq_main_pvp_1721_11','ssq_zone','ssq_main_pvp_1721_11',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (418,0,0,'ssq_main_pvp_1721_12','ssq_zone','ssq_main_pvp_1721_12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (419,0,0,'ssq_main_pvp_1721_13','ssq_zone','ssq_main_pvp_1721_13',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (420,0,0,'ssq_main_pvp_1721_14','ssq_zone','ssq_main_pvp_1721_14',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (421,0,0,'ssq_main_pvp_1721_15','ssq_zone','ssq_main_pvp_1721_15',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (422,0,0,'ssq_main_pvp_1721_16','ssq_zone','ssq_main_pvp_1721_16',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'25','off',NULL,NULL);
INSERT INTO `zone` VALUES (423,0,0,'space_of_dimension_ssq1','ssq_zone','space_of_dimension_ssq1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (424,0,0,'space_of_dimension_ssq2','ssq_zone','space_of_dimension_ssq2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (425,0,0,'space_of_dimension_ssq3','ssq_zone','space_of_dimension_ssq3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (426,0,0,'space_of_dimension_ssq4','ssq_zone','space_of_dimension_ssq4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (427,0,0,'space_of_dimension_ssq5','ssq_zone','space_of_dimension_ssq5',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (428,0,0,'space_of_dimension_ssq6','ssq_zone','space_of_dimension_ssq6',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (429,0,0,'royal_rush_ssq1','ssq_zone','royal_rush_ssq1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (430,0,0,'royal_rush_ssq2','ssq_zone','royal_rush_ssq2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (431,0,0,'royal_rush_ssq3','ssq_zone','royal_rush_ssq3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (432,0,0,'royal_rush_ssq4','ssq_zone','royal_rush_ssq4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'100','off',NULL,NULL);
INSERT INTO `zone` VALUES (433,0,0,'ssq_peace_1720_01','peace_zone','ssq_peace_1720_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (434,0,0,'ssq_peace_1720_02','peace_zone','ssq_peace_1720_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (435,0,0,'ssq_peace_1720_03','peace_zone','ssq_peace_1720_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (436,0,0,'ssq_peace_1721_01','peace_zone','ssq_peace_1721_01',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (437,0,0,'ssq_peace_1721_02','peace_zone','ssq_peace_1721_02',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (438,0,0,'ssq_peace_1721_03','peace_zone','ssq_peace_1721_03',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'private store;private workshop;',NULL);
INSERT INTO `zone` VALUES (439,0,0,'space_of_dimension_peace1','peace_zone','space_of_dimension_peace1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1019,19,8,'Primeval Isle','Town','Primeval Isle',NULL,NULL,'Primeval Isle Spawn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1201,1,1,'Gludio','Castle','Gludio Castle',NULL,NULL,'gludio_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1202,2,2,'Dion','Castle','Dion Castle',NULL,NULL,'dion_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1203,3,3,'Giran','Castle','Giran Castle',NULL,NULL,'giran_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1204,4,4,'Oren','Castle','Oren Castle',NULL,NULL,'oren_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1205,5,5,'Aden','Castle','Aden Castle',NULL,NULL,'aden_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1206,6,6,'Innadril','Castle','Innadril Castle',NULL,NULL,'innadrile_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1207,7,7,'Goddard','Castle','Goddard Castle',NULL,NULL,'godad_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1208,8,8,'Rune','Castle','Rune Castle',NULL,NULL,'rune_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1209,9,9,'Schuttgart','Castle','Schuttgart Castle',NULL,NULL,'schuttgart_castle_owner_restart_point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2101,1,0,'gludio_castle','Siege','gludio_castle','gludio_castle','gludio_castle','gludio_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2102,2,0,'dion_castle','Siege','dion_castle','dion_castle','dion_castle','dion_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2103,3,0,'giran_castle','Siege','giran_castle','giran_castle','giran_castle','giran_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2104,4,0,'oren_castle','Siege','oren_castle','oren_castle','oren_castle','oren_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2105,5,0,'aden_castle','Siege','aden_castle','aden_castle','aden_castle','aden_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2106,6,0,'innadrile_castle','Siege','innadrile_castle','innadrile_castle','innadrile_castle','innadrile_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (2107,7,0,'godad_castle','Siege','godad_castle','godad_castle','godad_castle','godad_castle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1308,8,8,'Rune','Siege','Rune Siege',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `zone` VALUES (1309,9,9,'Schuttgart','Siege','Schuttgart Siege',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

